import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AdvancedThreatProtectionConfig extends cdktf.TerraformMetaArguments {
    readonly enabled: boolean;
    readonly targetResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AdvancedThreatProtectionTimeouts;
}
export interface AdvancedThreatProtectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AdvancedThreatProtection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AdvancedThreatProtectionConfig);
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledInput(): boolean;
    get id(): string;
    private _targetResourceId;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    get targetResourceIdInput(): string;
    private _timeouts?;
    get timeouts(): AdvancedThreatProtectionTimeouts;
    set timeouts(value: AdvancedThreatProtectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AdvancedThreatProtectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
