import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AnalysisServicesServerConfig extends cdktf.TerraformMetaArguments {
    readonly adminUsers?: string[];
    readonly backupBlobContainerUri?: string;
    readonly enablePowerBiService?: boolean;
    readonly location: string;
    readonly name: string;
    readonly querypoolConnectionMode?: string;
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ipv4_firewall_rule block.
     */
    readonly ipv4FirewallRule?: AnalysisServicesServerIpv4FirewallRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AnalysisServicesServerTimeouts;
}
export interface AnalysisServicesServerIpv4FirewallRule {
    readonly name: string;
    readonly rangeEnd: string;
    readonly rangeStart: string;
}
export interface AnalysisServicesServerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AnalysisServicesServer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AnalysisServicesServerConfig);
    private _adminUsers?;
    get adminUsers(): string[];
    set adminUsers(value: string[]);
    resetAdminUsers(): void;
    get adminUsersInput(): string[] | undefined;
    private _backupBlobContainerUri?;
    get backupBlobContainerUri(): string;
    set backupBlobContainerUri(value: string);
    resetBackupBlobContainerUri(): void;
    get backupBlobContainerUriInput(): string | undefined;
    private _enablePowerBiService?;
    get enablePowerBiService(): boolean;
    set enablePowerBiService(value: boolean);
    resetEnablePowerBiService(): void;
    get enablePowerBiServiceInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _querypoolConnectionMode?;
    get querypoolConnectionMode(): string;
    set querypoolConnectionMode(value: string);
    resetQuerypoolConnectionMode(): void;
    get querypoolConnectionModeInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serverFullName(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ipv4FirewallRule?;
    get ipv4FirewallRule(): AnalysisServicesServerIpv4FirewallRule[];
    set ipv4FirewallRule(value: AnalysisServicesServerIpv4FirewallRule[]);
    resetIpv4FirewallRule(): void;
    get ipv4FirewallRuleInput(): AnalysisServicesServerIpv4FirewallRule[] | undefined;
    private _timeouts?;
    get timeouts(): AnalysisServicesServerTimeouts;
    set timeouts(value: AnalysisServicesServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AnalysisServicesServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
