import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementApiDiagnosticConfig extends cdktf.TerraformMetaArguments {
    readonly alwaysLogErrors?: boolean;
    readonly apiManagementLoggerId: string;
    readonly apiManagementName: string;
    readonly apiName: string;
    readonly httpCorrelationProtocol?: string;
    readonly identifier: string;
    readonly logClientIp?: boolean;
    readonly resourceGroupName: string;
    readonly verbosity?: string;
    /**
     * backend_request block.
     */
    readonly backendRequest?: ApiManagementApiDiagnosticBackendRequest[];
    /**
     * backend_response block.
     */
    readonly backendResponse?: ApiManagementApiDiagnosticBackendResponse[];
    /**
     * frontend_request block.
     */
    readonly frontendRequest?: ApiManagementApiDiagnosticFrontendRequest[];
    /**
     * frontend_response block.
     */
    readonly frontendResponse?: ApiManagementApiDiagnosticFrontendResponse[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiDiagnosticTimeouts;
}
export interface ApiManagementApiDiagnosticBackendRequest {
    readonly bodyBytes?: number;
    readonly headersToLog?: string[];
}
export interface ApiManagementApiDiagnosticBackendResponse {
    readonly bodyBytes?: number;
    readonly headersToLog?: string[];
}
export interface ApiManagementApiDiagnosticFrontendRequest {
    readonly bodyBytes?: number;
    readonly headersToLog?: string[];
}
export interface ApiManagementApiDiagnosticFrontendResponse {
    readonly bodyBytes?: number;
    readonly headersToLog?: string[];
}
export interface ApiManagementApiDiagnosticTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementApiDiagnostic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementApiDiagnosticConfig);
    private _alwaysLogErrors?;
    get alwaysLogErrors(): boolean;
    set alwaysLogErrors(value: boolean);
    resetAlwaysLogErrors(): void;
    get alwaysLogErrorsInput(): boolean | undefined;
    private _apiManagementLoggerId;
    get apiManagementLoggerId(): string;
    set apiManagementLoggerId(value: string);
    get apiManagementLoggerIdInput(): string;
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _apiName;
    get apiName(): string;
    set apiName(value: string);
    get apiNameInput(): string;
    private _httpCorrelationProtocol?;
    get httpCorrelationProtocol(): string;
    set httpCorrelationProtocol(value: string);
    resetHttpCorrelationProtocol(): void;
    get httpCorrelationProtocolInput(): string | undefined;
    get id(): string;
    private _identifier;
    get identifier(): string;
    set identifier(value: string);
    get identifierInput(): string;
    private _logClientIp?;
    get logClientIp(): boolean;
    set logClientIp(value: boolean);
    resetLogClientIp(): void;
    get logClientIpInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _verbosity?;
    get verbosity(): string;
    set verbosity(value: string);
    resetVerbosity(): void;
    get verbosityInput(): string | undefined;
    private _backendRequest?;
    get backendRequest(): ApiManagementApiDiagnosticBackendRequest[];
    set backendRequest(value: ApiManagementApiDiagnosticBackendRequest[]);
    resetBackendRequest(): void;
    get backendRequestInput(): ApiManagementApiDiagnosticBackendRequest[] | undefined;
    private _backendResponse?;
    get backendResponse(): ApiManagementApiDiagnosticBackendResponse[];
    set backendResponse(value: ApiManagementApiDiagnosticBackendResponse[]);
    resetBackendResponse(): void;
    get backendResponseInput(): ApiManagementApiDiagnosticBackendResponse[] | undefined;
    private _frontendRequest?;
    get frontendRequest(): ApiManagementApiDiagnosticFrontendRequest[];
    set frontendRequest(value: ApiManagementApiDiagnosticFrontendRequest[]);
    resetFrontendRequest(): void;
    get frontendRequestInput(): ApiManagementApiDiagnosticFrontendRequest[] | undefined;
    private _frontendResponse?;
    get frontendResponse(): ApiManagementApiDiagnosticFrontendResponse[];
    set frontendResponse(value: ApiManagementApiDiagnosticFrontendResponse[]);
    resetFrontendResponse(): void;
    get frontendResponseInput(): ApiManagementApiDiagnosticFrontendResponse[] | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementApiDiagnosticTimeouts;
    set timeouts(value: ApiManagementApiDiagnosticTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementApiDiagnosticTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
