import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementApiPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly apiName: string;
    readonly resourceGroupName: string;
    readonly xmlContent?: string;
    readonly xmlLink?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiPolicyTimeouts;
}
export interface ApiManagementApiPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementApiPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementApiPolicyConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _apiName;
    get apiName(): string;
    set apiName(value: string);
    get apiNameInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _xmlContent?;
    get xmlContent(): string;
    set xmlContent(value: string);
    resetXmlContent(): void;
    get xmlContentInput(): string | undefined;
    private _xmlLink?;
    get xmlLink(): string;
    set xmlLink(value: string);
    resetXmlLink(): void;
    get xmlLinkInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementApiPolicyTimeouts;
    set timeouts(value: ApiManagementApiPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementApiPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
