import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementApiSchemaConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly apiName: string;
    readonly contentType: string;
    readonly resourceGroupName: string;
    readonly schemaId: string;
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiSchemaTimeouts;
}
export interface ApiManagementApiSchemaTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementApiSchema extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementApiSchemaConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _apiName;
    get apiName(): string;
    set apiName(value: string);
    get apiNameInput(): string;
    private _contentType;
    get contentType(): string;
    set contentType(value: string);
    get contentTypeInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _schemaId;
    get schemaId(): string;
    set schemaId(value: string);
    get schemaIdInput(): string;
    private _value;
    get value(): string;
    set value(value: string);
    get valueInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementApiSchemaTimeouts;
    set timeouts(value: ApiManagementApiSchemaTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementApiSchemaTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
