import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementApiVersionSetConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly description?: string;
    readonly displayName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly versionHeaderName?: string;
    readonly versionQueryName?: string;
    readonly versioningScheme: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiVersionSetTimeouts;
}
export interface ApiManagementApiVersionSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementApiVersionSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementApiVersionSetConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _versionHeaderName?;
    get versionHeaderName(): string;
    set versionHeaderName(value: string);
    resetVersionHeaderName(): void;
    get versionHeaderNameInput(): string | undefined;
    private _versionQueryName?;
    get versionQueryName(): string;
    set versionQueryName(value: string);
    resetVersionQueryName(): void;
    get versionQueryNameInput(): string | undefined;
    private _versioningScheme;
    get versioningScheme(): string;
    set versioningScheme(value: string);
    get versioningSchemeInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementApiVersionSetTimeouts;
    set timeouts(value: ApiManagementApiVersionSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementApiVersionSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
