import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementApiConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly description?: string;
    readonly displayName: string;
    readonly name: string;
    readonly path: string;
    readonly protocols: string[];
    readonly resourceGroupName: string;
    readonly revision: string;
    readonly serviceUrl?: string;
    readonly soapPassThrough?: boolean;
    readonly subscriptionRequired?: boolean;
    readonly version?: string;
    readonly versionSetId?: string;
    /**
     * import block.
     */
    readonly import?: ApiManagementApiImport[];
    /**
     * oauth2_authorization block.
     */
    readonly oauth2Authorization?: ApiManagementApiOauth2Authorization[];
    /**
     * openid_authentication block.
     */
    readonly openidAuthentication?: ApiManagementApiOpenidAuthentication[];
    /**
     * subscription_key_parameter_names block.
     */
    readonly subscriptionKeyParameterNames?: ApiManagementApiSubscriptionKeyParameterNames[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiTimeouts;
}
export interface ApiManagementApiImportWsdlSelector {
    readonly endpointName: string;
    readonly serviceName: string;
}
export interface ApiManagementApiImport {
    readonly contentFormat: string;
    readonly contentValue: string;
    /**
     * wsdl_selector block.
     */
    readonly wsdlSelector?: ApiManagementApiImportWsdlSelector[];
}
export interface ApiManagementApiOauth2Authorization {
    readonly authorizationServerName: string;
    readonly scope?: string;
}
export interface ApiManagementApiOpenidAuthentication {
    readonly bearerTokenSendingMethods?: string[];
    readonly openidProviderName: string;
}
export interface ApiManagementApiSubscriptionKeyParameterNames {
    readonly header: string;
    readonly query: string;
}
export interface ApiManagementApiTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementApi extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementApiConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    get isCurrent(): boolean;
    get isOnline(): boolean;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _path;
    get path(): string;
    set path(value: string);
    get pathInput(): string;
    private _protocols;
    get protocols(): string[];
    set protocols(value: string[]);
    get protocolsInput(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _revision;
    get revision(): string;
    set revision(value: string);
    get revisionInput(): string;
    private _serviceUrl?;
    get serviceUrl(): string;
    set serviceUrl(value: string);
    resetServiceUrl(): void;
    get serviceUrlInput(): string | undefined;
    private _soapPassThrough?;
    get soapPassThrough(): boolean;
    set soapPassThrough(value: boolean);
    resetSoapPassThrough(): void;
    get soapPassThroughInput(): boolean | undefined;
    private _subscriptionRequired?;
    get subscriptionRequired(): boolean;
    set subscriptionRequired(value: boolean);
    resetSubscriptionRequired(): void;
    get subscriptionRequiredInput(): boolean | undefined;
    private _version?;
    get version(): string;
    set version(value: string);
    resetVersion(): void;
    get versionInput(): string | undefined;
    private _versionSetId?;
    get versionSetId(): string;
    set versionSetId(value: string);
    resetVersionSetId(): void;
    get versionSetIdInput(): string | undefined;
    private _import?;
    get import(): ApiManagementApiImport[];
    set import(value: ApiManagementApiImport[]);
    resetImport(): void;
    get importInput(): ApiManagementApiImport[] | undefined;
    private _oauth2Authorization?;
    get oauth2Authorization(): ApiManagementApiOauth2Authorization[];
    set oauth2Authorization(value: ApiManagementApiOauth2Authorization[]);
    resetOauth2Authorization(): void;
    get oauth2AuthorizationInput(): ApiManagementApiOauth2Authorization[] | undefined;
    private _openidAuthentication?;
    get openidAuthentication(): ApiManagementApiOpenidAuthentication[];
    set openidAuthentication(value: ApiManagementApiOpenidAuthentication[]);
    resetOpenidAuthentication(): void;
    get openidAuthenticationInput(): ApiManagementApiOpenidAuthentication[] | undefined;
    private _subscriptionKeyParameterNames?;
    get subscriptionKeyParameterNames(): ApiManagementApiSubscriptionKeyParameterNames[];
    set subscriptionKeyParameterNames(value: ApiManagementApiSubscriptionKeyParameterNames[]);
    resetSubscriptionKeyParameterNames(): void;
    get subscriptionKeyParameterNamesInput(): ApiManagementApiSubscriptionKeyParameterNames[] | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementApiTimeouts;
    set timeouts(value: ApiManagementApiTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementApiTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
