import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementAuthorizationServerConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly authorizationEndpoint: string;
    readonly authorizationMethods: string[];
    readonly bearerTokenSendingMethods?: string[];
    readonly clientAuthenticationMethod?: string[];
    readonly clientId: string;
    readonly clientRegistrationEndpoint: string;
    readonly clientSecret?: string;
    readonly defaultScope?: string;
    readonly description?: string;
    readonly displayName: string;
    readonly grantTypes: string[];
    readonly name: string;
    readonly resourceGroupName: string;
    readonly resourceOwnerPassword?: string;
    readonly resourceOwnerUsername?: string;
    readonly supportState?: boolean;
    readonly tokenEndpoint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementAuthorizationServerTimeouts;
    /**
     * token_body_parameter block.
     */
    readonly tokenBodyParameter?: ApiManagementAuthorizationServerTokenBodyParameter[];
}
export interface ApiManagementAuthorizationServerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface ApiManagementAuthorizationServerTokenBodyParameter {
    readonly name: string;
    readonly value: string;
}
export declare class ApiManagementAuthorizationServer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementAuthorizationServerConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _authorizationEndpoint;
    get authorizationEndpoint(): string;
    set authorizationEndpoint(value: string);
    get authorizationEndpointInput(): string;
    private _authorizationMethods;
    get authorizationMethods(): string[];
    set authorizationMethods(value: string[]);
    get authorizationMethodsInput(): string[];
    private _bearerTokenSendingMethods?;
    get bearerTokenSendingMethods(): string[];
    set bearerTokenSendingMethods(value: string[]);
    resetBearerTokenSendingMethods(): void;
    get bearerTokenSendingMethodsInput(): string[] | undefined;
    private _clientAuthenticationMethod?;
    get clientAuthenticationMethod(): string[];
    set clientAuthenticationMethod(value: string[]);
    resetClientAuthenticationMethod(): void;
    get clientAuthenticationMethodInput(): string[] | undefined;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientRegistrationEndpoint;
    get clientRegistrationEndpoint(): string;
    set clientRegistrationEndpoint(value: string);
    get clientRegistrationEndpointInput(): string;
    private _clientSecret?;
    get clientSecret(): string;
    set clientSecret(value: string);
    resetClientSecret(): void;
    get clientSecretInput(): string | undefined;
    private _defaultScope?;
    get defaultScope(): string;
    set defaultScope(value: string);
    resetDefaultScope(): void;
    get defaultScopeInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    private _grantTypes;
    get grantTypes(): string[];
    set grantTypes(value: string[]);
    get grantTypesInput(): string[];
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _resourceOwnerPassword?;
    get resourceOwnerPassword(): string;
    set resourceOwnerPassword(value: string);
    resetResourceOwnerPassword(): void;
    get resourceOwnerPasswordInput(): string | undefined;
    private _resourceOwnerUsername?;
    get resourceOwnerUsername(): string;
    set resourceOwnerUsername(value: string);
    resetResourceOwnerUsername(): void;
    get resourceOwnerUsernameInput(): string | undefined;
    private _supportState?;
    get supportState(): boolean;
    set supportState(value: boolean);
    resetSupportState(): void;
    get supportStateInput(): boolean | undefined;
    private _tokenEndpoint?;
    get tokenEndpoint(): string;
    set tokenEndpoint(value: string);
    resetTokenEndpoint(): void;
    get tokenEndpointInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementAuthorizationServerTimeouts;
    set timeouts(value: ApiManagementAuthorizationServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementAuthorizationServerTimeouts | undefined;
    private _tokenBodyParameter?;
    get tokenBodyParameter(): ApiManagementAuthorizationServerTokenBodyParameter[];
    set tokenBodyParameter(value: ApiManagementAuthorizationServerTokenBodyParameter[]);
    resetTokenBodyParameter(): void;
    get tokenBodyParameterInput(): ApiManagementAuthorizationServerTokenBodyParameter[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
