import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementCertificateAConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly data: string;
    readonly name: string;
    readonly password?: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementCertificateTimeouts;
}
export interface ApiManagementCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementCertificateA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementCertificateAConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _data;
    get data(): string;
    set data(value: string);
    get dataInput(): string;
    get expiration(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get subject(): string;
    get thumbprint(): string;
    private _timeouts?;
    get timeouts(): ApiManagementCertificateTimeouts;
    set timeouts(value: ApiManagementCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
