import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementCustomDomainConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementId: string;
    /**
     * developer_portal block.
     */
    readonly developerPortal?: ApiManagementCustomDomainDeveloperPortal[];
    /**
     * management block.
     */
    readonly management?: ApiManagementCustomDomainManagement[];
    /**
     * portal block.
     */
    readonly portal?: ApiManagementCustomDomainPortal[];
    /**
     * proxy block.
     */
    readonly proxy?: ApiManagementCustomDomainProxy[];
    /**
     * scm block.
     */
    readonly scm?: ApiManagementCustomDomainScm[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementCustomDomainTimeouts;
}
export interface ApiManagementCustomDomainDeveloperPortal {
    readonly certificate?: string;
    readonly certificatePassword?: string;
    readonly hostName: string;
    readonly keyVaultId?: string;
    readonly negotiateClientCertificate?: boolean;
}
export interface ApiManagementCustomDomainManagement {
    readonly certificate?: string;
    readonly certificatePassword?: string;
    readonly hostName: string;
    readonly keyVaultId?: string;
    readonly negotiateClientCertificate?: boolean;
}
export interface ApiManagementCustomDomainPortal {
    readonly certificate?: string;
    readonly certificatePassword?: string;
    readonly hostName: string;
    readonly keyVaultId?: string;
    readonly negotiateClientCertificate?: boolean;
}
export interface ApiManagementCustomDomainProxy {
    readonly certificate?: string;
    readonly certificatePassword?: string;
    readonly defaultSslBinding?: boolean;
    readonly hostName: string;
    readonly keyVaultId?: string;
    readonly negotiateClientCertificate?: boolean;
}
export interface ApiManagementCustomDomainScm {
    readonly certificate?: string;
    readonly certificatePassword?: string;
    readonly hostName: string;
    readonly keyVaultId?: string;
    readonly negotiateClientCertificate?: boolean;
}
export interface ApiManagementCustomDomainTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementCustomDomain extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementCustomDomainConfig);
    private _apiManagementId;
    get apiManagementId(): string;
    set apiManagementId(value: string);
    get apiManagementIdInput(): string;
    get id(): string;
    private _developerPortal?;
    get developerPortal(): ApiManagementCustomDomainDeveloperPortal[];
    set developerPortal(value: ApiManagementCustomDomainDeveloperPortal[]);
    resetDeveloperPortal(): void;
    get developerPortalInput(): ApiManagementCustomDomainDeveloperPortal[] | undefined;
    private _management?;
    get management(): ApiManagementCustomDomainManagement[];
    set management(value: ApiManagementCustomDomainManagement[]);
    resetManagement(): void;
    get managementInput(): ApiManagementCustomDomainManagement[] | undefined;
    private _portal?;
    get portal(): ApiManagementCustomDomainPortal[];
    set portal(value: ApiManagementCustomDomainPortal[]);
    resetPortal(): void;
    get portalInput(): ApiManagementCustomDomainPortal[] | undefined;
    private _proxy?;
    get proxy(): ApiManagementCustomDomainProxy[];
    set proxy(value: ApiManagementCustomDomainProxy[]);
    resetProxy(): void;
    get proxyInput(): ApiManagementCustomDomainProxy[] | undefined;
    private _scm?;
    get scm(): ApiManagementCustomDomainScm[];
    set scm(value: ApiManagementCustomDomainScm[]);
    resetScm(): void;
    get scmInput(): ApiManagementCustomDomainScm[] | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementCustomDomainTimeouts;
    set timeouts(value: ApiManagementCustomDomainTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementCustomDomainTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
