import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementDiagnosticConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementLoggerId: string;
    readonly apiManagementName: string;
    readonly enabled?: boolean;
    readonly identifier: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementDiagnosticTimeouts;
}
export interface ApiManagementDiagnosticTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementDiagnostic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementDiagnosticConfig);
    private _apiManagementLoggerId;
    get apiManagementLoggerId(): string;
    set apiManagementLoggerId(value: string);
    get apiManagementLoggerIdInput(): string;
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _identifier;
    get identifier(): string;
    set identifier(value: string);
    get identifierInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementDiagnosticTimeouts;
    set timeouts(value: ApiManagementDiagnosticTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementDiagnosticTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
