import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementGroupUserConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly groupName: string;
    readonly resourceGroupName: string;
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementGroupUserTimeouts;
}
export interface ApiManagementGroupUserTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementGroupUser extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementGroupUserConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _groupName;
    get groupName(): string;
    set groupName(value: string);
    get groupNameInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _userId;
    get userId(): string;
    set userId(value: string);
    get userIdInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementGroupUserTimeouts;
    set timeouts(value: ApiManagementGroupUserTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementGroupUserTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
