import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementGroupConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly description?: string;
    readonly displayName: string;
    readonly externalId?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly type?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementGroupTimeouts;
}
export interface ApiManagementGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementGroupConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    private _externalId?;
    get externalId(): string;
    set externalId(value: string);
    resetExternalId(): void;
    get externalIdInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _type?;
    get type(): string;
    set type(value: string);
    resetType(): void;
    get typeInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementGroupTimeouts;
    set timeouts(value: ApiManagementGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
