import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementIdentityProviderAadConfig extends cdktf.TerraformMetaArguments {
    readonly allowedTenants: string[];
    readonly apiManagementName: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly resourceGroupName: string;
    readonly signinTenant?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderAadTimeouts;
}
export interface ApiManagementIdentityProviderAadTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementIdentityProviderAad extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderAadConfig);
    private _allowedTenants;
    get allowedTenants(): string[];
    set allowedTenants(value: string[]);
    get allowedTenantsInput(): string[];
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    get clientSecretInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _signinTenant?;
    get signinTenant(): string;
    set signinTenant(value: string);
    resetSigninTenant(): void;
    get signinTenantInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementIdentityProviderAadTimeouts;
    set timeouts(value: ApiManagementIdentityProviderAadTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementIdentityProviderAadTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
