import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementIdentityProviderTwitterConfig extends cdktf.TerraformMetaArguments {
    readonly apiKey: string;
    readonly apiManagementName: string;
    readonly apiSecretKey: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderTwitterTimeouts;
}
export interface ApiManagementIdentityProviderTwitterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementIdentityProviderTwitter extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderTwitterConfig);
    private _apiKey;
    get apiKey(): string;
    set apiKey(value: string);
    get apiKeyInput(): string;
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _apiSecretKey;
    get apiSecretKey(): string;
    set apiSecretKey(value: string);
    get apiSecretKeyInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementIdentityProviderTwitterTimeouts;
    set timeouts(value: ApiManagementIdentityProviderTwitterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementIdentityProviderTwitterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
