import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementLoggerConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly buffered?: boolean;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * application_insights block.
     */
    readonly applicationInsights?: ApiManagementLoggerApplicationInsights[];
    /**
     * eventhub block.
     */
    readonly eventhub?: ApiManagementLoggerEventhub[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementLoggerTimeouts;
}
export interface ApiManagementLoggerApplicationInsights {
    readonly instrumentationKey: string;
}
export interface ApiManagementLoggerEventhub {
    readonly connectionString: string;
    readonly name: string;
}
export interface ApiManagementLoggerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementLogger extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementLoggerConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _buffered?;
    get buffered(): boolean;
    set buffered(value: boolean);
    resetBuffered(): void;
    get bufferedInput(): boolean | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _applicationInsights?;
    get applicationInsights(): ApiManagementLoggerApplicationInsights[];
    set applicationInsights(value: ApiManagementLoggerApplicationInsights[]);
    resetApplicationInsights(): void;
    get applicationInsightsInput(): ApiManagementLoggerApplicationInsights[] | undefined;
    private _eventhub?;
    get eventhub(): ApiManagementLoggerEventhub[];
    set eventhub(value: ApiManagementLoggerEventhub[]);
    resetEventhub(): void;
    get eventhubInput(): ApiManagementLoggerEventhub[] | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementLoggerTimeouts;
    set timeouts(value: ApiManagementLoggerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementLoggerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
