import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementNamedValueConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly displayName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly secret?: boolean;
    readonly tags?: string[];
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementNamedValueTimeouts;
}
export interface ApiManagementNamedValueTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementNamedValue extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementNamedValueConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _secret?;
    get secret(): boolean;
    set secret(value: boolean);
    resetSecret(): void;
    get secretInput(): boolean | undefined;
    private _tags?;
    get tags(): string[];
    set tags(value: string[]);
    resetTags(): void;
    get tagsInput(): string[] | undefined;
    private _value;
    get value(): string;
    set value(value: string);
    get valueInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementNamedValueTimeouts;
    set timeouts(value: ApiManagementNamedValueTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementNamedValueTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
