import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementOpenidConnectProviderConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly description?: string;
    readonly displayName: string;
    readonly metadataEndpoint: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementOpenidConnectProviderTimeouts;
}
export interface ApiManagementOpenidConnectProviderTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementOpenidConnectProvider extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementOpenidConnectProviderConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    get clientSecretInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _metadataEndpoint;
    get metadataEndpoint(): string;
    set metadataEndpoint(value: string);
    get metadataEndpointInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementOpenidConnectProviderTimeouts;
    set timeouts(value: ApiManagementOpenidConnectProviderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementOpenidConnectProviderTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
