import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementId: string;
    readonly xmlContent?: string;
    readonly xmlLink?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementPolicyTimeouts;
}
export interface ApiManagementPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementPolicyA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementPolicyAConfig);
    private _apiManagementId;
    get apiManagementId(): string;
    set apiManagementId(value: string);
    get apiManagementIdInput(): string;
    get id(): string;
    private _xmlContent?;
    get xmlContent(): string;
    set xmlContent(value: string);
    resetXmlContent(): void;
    get xmlContentInput(): string | undefined;
    private _xmlLink?;
    get xmlLink(): string;
    set xmlLink(value: string);
    resetXmlLink(): void;
    get xmlLinkInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementPolicyTimeouts;
    set timeouts(value: ApiManagementPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
