import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementProductApiConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly apiName: string;
    readonly productId: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductApiTimeouts;
}
export interface ApiManagementProductApiTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementProductApi extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementProductApiConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _apiName;
    get apiName(): string;
    set apiName(value: string);
    get apiNameInput(): string;
    get id(): string;
    private _productId;
    get productId(): string;
    set productId(value: string);
    get productIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementProductApiTimeouts;
    set timeouts(value: ApiManagementProductApiTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementProductApiTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
