import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementProductPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly productId: string;
    readonly resourceGroupName: string;
    readonly xmlContent?: string;
    readonly xmlLink?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductPolicyTimeouts;
}
export interface ApiManagementProductPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementProductPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementProductPolicyConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get id(): string;
    private _productId;
    get productId(): string;
    set productId(value: string);
    get productIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _xmlContent?;
    get xmlContent(): string;
    set xmlContent(value: string);
    resetXmlContent(): void;
    get xmlContentInput(): string | undefined;
    private _xmlLink?;
    get xmlLink(): string;
    set xmlLink(value: string);
    resetXmlLink(): void;
    get xmlLinkInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementProductPolicyTimeouts;
    set timeouts(value: ApiManagementProductPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementProductPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
