import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementProductConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly approvalRequired?: boolean;
    readonly description?: string;
    readonly displayName: string;
    readonly productId: string;
    readonly published: boolean;
    readonly resourceGroupName: string;
    readonly subscriptionRequired: boolean;
    readonly subscriptionsLimit?: number;
    readonly terms?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductTimeouts;
}
export interface ApiManagementProductTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementProduct extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementProductConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _approvalRequired?;
    get approvalRequired(): boolean;
    set approvalRequired(value: boolean);
    resetApprovalRequired(): void;
    get approvalRequiredInput(): boolean | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _productId;
    get productId(): string;
    set productId(value: string);
    get productIdInput(): string;
    private _published;
    get published(): boolean;
    set published(value: boolean);
    get publishedInput(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subscriptionRequired;
    get subscriptionRequired(): boolean;
    set subscriptionRequired(value: boolean);
    get subscriptionRequiredInput(): boolean;
    private _subscriptionsLimit?;
    get subscriptionsLimit(): number;
    set subscriptionsLimit(value: number);
    resetSubscriptionsLimit(): void;
    get subscriptionsLimitInput(): number | undefined;
    private _terms?;
    get terms(): string;
    set terms(value: string);
    resetTerms(): void;
    get termsInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ApiManagementProductTimeouts;
    set timeouts(value: ApiManagementProductTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementProductTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
