import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementSubscriptionConfig extends cdktf.TerraformMetaArguments {
    readonly allowTracing?: boolean;
    readonly apiManagementName: string;
    readonly displayName: string;
    readonly primaryKey?: string;
    readonly productId?: string;
    readonly resourceGroupName: string;
    readonly secondaryKey?: string;
    readonly state?: string;
    readonly subscriptionId?: string;
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementSubscriptionTimeouts;
}
export interface ApiManagementSubscriptionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementSubscription extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementSubscriptionConfig);
    private _allowTracing?;
    get allowTracing(): boolean;
    set allowTracing(value: boolean);
    resetAllowTracing(): void;
    get allowTracingInput(): boolean | undefined;
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _primaryKey?;
    get primaryKey(): string;
    set primaryKey(value: string);
    resetPrimaryKey(): void;
    get primaryKeyInput(): string | undefined;
    private _productId?;
    get productId(): string;
    set productId(value: string);
    resetProductId(): void;
    get productIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _secondaryKey?;
    get secondaryKey(): string;
    set secondaryKey(value: string);
    resetSecondaryKey(): void;
    get secondaryKeyInput(): string | undefined;
    private _state?;
    get state(): string;
    set state(value: string);
    resetState(): void;
    get stateInput(): string | undefined;
    private _subscriptionId?;
    get subscriptionId(): string;
    set subscriptionId(value: string);
    resetSubscriptionId(): void;
    get subscriptionIdInput(): string | undefined;
    private _userId;
    get userId(): string;
    set userId(value: string);
    get userIdInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementSubscriptionTimeouts;
    set timeouts(value: ApiManagementSubscriptionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementSubscriptionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
