import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiManagementUserConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly confirmation?: string;
    readonly email: string;
    readonly firstName: string;
    readonly lastName: string;
    readonly note?: string;
    readonly password?: string;
    readonly resourceGroupName: string;
    readonly state?: string;
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementUserTimeouts;
}
export interface ApiManagementUserTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApiManagementUser extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApiManagementUserConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    private _confirmation?;
    get confirmation(): string;
    set confirmation(value: string);
    resetConfirmation(): void;
    get confirmationInput(): string | undefined;
    private _email;
    get email(): string;
    set email(value: string);
    get emailInput(): string;
    private _firstName;
    get firstName(): string;
    set firstName(value: string);
    get firstNameInput(): string;
    get id(): string;
    private _lastName;
    get lastName(): string;
    set lastName(value: string);
    get lastNameInput(): string;
    private _note?;
    get note(): string;
    set note(value: string);
    resetNote(): void;
    get noteInput(): string | undefined;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _state?;
    get state(): string;
    set state(value: string);
    resetState(): void;
    get stateInput(): string | undefined;
    private _userId;
    get userId(): string;
    set userId(value: string);
    get userIdInput(): string;
    private _timeouts?;
    get timeouts(): ApiManagementUserTimeouts;
    set timeouts(value: ApiManagementUserTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApiManagementUserTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
