import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity?: AppConfigurationIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AppConfigurationTimeouts;
}
export declare class AppConfigurationPrimaryReadKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class AppConfigurationPrimaryWriteKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class AppConfigurationSecondaryReadKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class AppConfigurationSecondaryWriteKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export interface AppConfigurationIdentity {
    readonly type: string;
}
export interface AppConfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppConfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppConfigurationConfig);
    get endpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    primaryReadKey(index: string): AppConfigurationPrimaryReadKey;
    primaryWriteKey(index: string): AppConfigurationPrimaryWriteKey;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    secondaryReadKey(index: string): AppConfigurationSecondaryReadKey;
    secondaryWriteKey(index: string): AppConfigurationSecondaryWriteKey;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    get identity(): AppConfigurationIdentity[];
    set identity(value: AppConfigurationIdentity[]);
    resetIdentity(): void;
    get identityInput(): AppConfigurationIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): AppConfigurationTimeouts;
    set timeouts(value: AppConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
