import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceCertificateBindingConfig extends cdktf.TerraformMetaArguments {
    readonly certificateId: string;
    readonly hostnameBindingId: string;
    readonly sslState: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCertificateBindingTimeouts;
}
export interface AppServiceCertificateBindingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class AppServiceCertificateBinding extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceCertificateBindingConfig);
    get appServiceName(): string;
    private _certificateId;
    get certificateId(): string;
    set certificateId(value: string);
    get certificateIdInput(): string;
    get hostname(): string;
    private _hostnameBindingId;
    get hostnameBindingId(): string;
    set hostnameBindingId(value: string);
    get hostnameBindingIdInput(): string;
    get id(): string;
    private _sslState;
    get sslState(): string;
    set sslState(value: string);
    get sslStateInput(): string;
    get thumbprint(): string;
    private _timeouts?;
    get timeouts(): AppServiceCertificateBindingTimeouts;
    set timeouts(value: AppServiceCertificateBindingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceCertificateBindingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
