import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceCertificateOrderConfig extends cdktf.TerraformMetaArguments {
    readonly autoRenew?: boolean;
    readonly csr?: string;
    readonly distinguishedName?: string;
    readonly keySize?: number;
    readonly location: string;
    readonly name: string;
    readonly productType?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly validityInYears?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCertificateOrderTimeouts;
}
export declare class AppServiceCertificateOrderCertificates extends cdktf.ComplexComputedList {
    get certificateName(): string;
    get keyVaultId(): string;
    get keyVaultSecretName(): string;
    get provisioningState(): string;
}
export interface AppServiceCertificateOrderTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceCertificateOrder extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceCertificateOrderConfig);
    get appServiceCertificateNotRenewableReasons(): string[];
    private _autoRenew?;
    get autoRenew(): boolean;
    set autoRenew(value: boolean);
    resetAutoRenew(): void;
    get autoRenewInput(): boolean | undefined;
    certificates(index: string): AppServiceCertificateOrderCertificates;
    private _csr?;
    get csr(): string;
    set csr(value: string);
    resetCsr(): void;
    get csrInput(): string | undefined;
    private _distinguishedName?;
    get distinguishedName(): string;
    set distinguishedName(value: string);
    resetDistinguishedName(): void;
    get distinguishedNameInput(): string | undefined;
    get domainVerificationToken(): string;
    get expirationTime(): string;
    get id(): string;
    get intermediateThumbprint(): string;
    get isPrivateKeyExternal(): boolean;
    private _keySize?;
    get keySize(): number;
    set keySize(value: number);
    resetKeySize(): void;
    get keySizeInput(): number | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _productType?;
    get productType(): string;
    set productType(value: string);
    resetProductType(): void;
    get productTypeInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get rootThumbprint(): string;
    get signedCertificateThumbprint(): string;
    get status(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _validityInYears?;
    get validityInYears(): number;
    set validityInYears(value: number);
    resetValidityInYears(): void;
    get validityInYearsInput(): number | undefined;
    private _timeouts?;
    get timeouts(): AppServiceCertificateOrderTimeouts;
    set timeouts(value: AppServiceCertificateOrderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceCertificateOrderTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
