import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly hostingEnvironmentProfileId?: string;
    readonly keyVaultSecretId?: string;
    readonly location: string;
    readonly name: string;
    readonly password?: string;
    readonly pfxBlob?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCertificateTimeouts;
}
export interface AppServiceCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceCertificateConfig);
    get expirationDate(): string;
    get friendlyName(): string;
    get hostNames(): string[];
    private _hostingEnvironmentProfileId?;
    get hostingEnvironmentProfileId(): string;
    set hostingEnvironmentProfileId(value: string);
    resetHostingEnvironmentProfileId(): void;
    get hostingEnvironmentProfileIdInput(): string | undefined;
    get id(): string;
    get issueDate(): string;
    get issuer(): string;
    private _keyVaultSecretId?;
    get keyVaultSecretId(): string;
    set keyVaultSecretId(value: string);
    resetKeyVaultSecretId(): void;
    get keyVaultSecretIdInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _pfxBlob?;
    get pfxBlob(): string;
    set pfxBlob(value: string);
    resetPfxBlob(): void;
    get pfxBlobInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get subjectName(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get thumbprint(): string;
    private _timeouts?;
    get timeouts(): AppServiceCertificateTimeouts;
    set timeouts(value: AppServiceCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
