import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceCustomHostnameBindingConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceName: string;
    readonly hostname: string;
    readonly resourceGroupName: string;
    readonly sslState?: string;
    readonly thumbprint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCustomHostnameBindingTimeouts;
}
export interface AppServiceCustomHostnameBindingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceCustomHostnameBinding extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceCustomHostnameBindingConfig);
    private _appServiceName;
    get appServiceName(): string;
    set appServiceName(value: string);
    get appServiceNameInput(): string;
    private _hostname;
    get hostname(): string;
    set hostname(value: string);
    get hostnameInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sslState?;
    get sslState(): string;
    set sslState(value: string);
    resetSslState(): void;
    get sslStateInput(): string | undefined;
    private _thumbprint?;
    get thumbprint(): string;
    set thumbprint(value: string);
    resetThumbprint(): void;
    get thumbprintInput(): string | undefined;
    get virtualIp(): string;
    private _timeouts?;
    get timeouts(): AppServiceCustomHostnameBindingTimeouts;
    set timeouts(value: AppServiceCustomHostnameBindingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceCustomHostnameBindingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
