import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceEnvironmentConfig extends cdktf.TerraformMetaArguments {
    readonly allowedUserIpCidrs?: string[];
    readonly frontEndScaleFactor?: number;
    readonly internalLoadBalancingMode?: string;
    readonly name: string;
    readonly pricingTier?: string;
    readonly resourceGroupName?: string;
    readonly subnetId: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly userWhitelistedIpRanges?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceEnvironmentTimeouts;
}
export interface AppServiceEnvironmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceEnvironment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceEnvironmentConfig);
    private _allowedUserIpCidrs?;
    get allowedUserIpCidrs(): string[];
    set allowedUserIpCidrs(value: string[]);
    resetAllowedUserIpCidrs(): void;
    get allowedUserIpCidrsInput(): string[] | undefined;
    private _frontEndScaleFactor?;
    get frontEndScaleFactor(): number;
    set frontEndScaleFactor(value: number);
    resetFrontEndScaleFactor(): void;
    get frontEndScaleFactorInput(): number | undefined;
    get id(): string;
    private _internalLoadBalancingMode?;
    get internalLoadBalancingMode(): string;
    set internalLoadBalancingMode(value: string);
    resetInternalLoadBalancingMode(): void;
    get internalLoadBalancingModeInput(): string | undefined;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _pricingTier?;
    get pricingTier(): string;
    set pricingTier(value: string);
    resetPricingTier(): void;
    get pricingTierInput(): string | undefined;
    private _resourceGroupName?;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    resetResourceGroupName(): void;
    get resourceGroupNameInput(): string | undefined;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _userWhitelistedIpRanges?;
    get userWhitelistedIpRanges(): string[];
    set userWhitelistedIpRanges(value: string[]);
    resetUserWhitelistedIpRanges(): void;
    get userWhitelistedIpRangesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): AppServiceEnvironmentTimeouts;
    set timeouts(value: AppServiceEnvironmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceEnvironmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
