import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceHybridConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceName: string;
    readonly hostname: string;
    readonly port: number;
    readonly relayId: string;
    readonly resourceGroupName: string;
    readonly sendKeyName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceHybridConnectionTimeouts;
}
export interface AppServiceHybridConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceHybridConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceHybridConnectionConfig);
    private _appServiceName;
    get appServiceName(): string;
    set appServiceName(value: string);
    get appServiceNameInput(): string;
    private _hostname;
    get hostname(): string;
    set hostname(value: string);
    get hostnameInput(): string;
    get id(): string;
    get namespaceName(): string;
    private _port;
    get port(): number;
    set port(value: number);
    get portInput(): number;
    private _relayId;
    get relayId(): string;
    set relayId(value: string);
    get relayIdInput(): string;
    get relayName(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sendKeyName?;
    get sendKeyName(): string;
    set sendKeyName(value: string);
    resetSendKeyName(): void;
    get sendKeyNameInput(): string | undefined;
    get sendKeyValue(): string;
    get serviceBusNamespace(): string;
    get serviceBusSuffix(): string;
    private _timeouts?;
    get timeouts(): AppServiceHybridConnectionTimeouts;
    set timeouts(value: AppServiceHybridConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceHybridConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
