import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceManagedCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly customHostnameBindingId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceManagedCertificateTimeouts;
}
export interface AppServiceManagedCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceManagedCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceManagedCertificateConfig);
    get canonicalName(): string;
    private _customHostnameBindingId;
    get customHostnameBindingId(): string;
    set customHostnameBindingId(value: string);
    get customHostnameBindingIdInput(): string;
    get expirationDate(): string;
    get friendlyName(): string;
    get hostNames(): string[];
    get id(): string;
    get issueDate(): string;
    get issuer(): string;
    get subjectName(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get thumbprint(): string;
    private _timeouts?;
    get timeouts(): AppServiceManagedCertificateTimeouts;
    set timeouts(value: AppServiceManagedCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceManagedCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
