import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServicePlanConfig extends cdktf.TerraformMetaArguments {
    readonly appServiceEnvironmentId?: string;
    readonly isXenon?: boolean;
    readonly kind?: string;
    readonly location: string;
    readonly maximumElasticWorkerCount?: number;
    readonly name: string;
    readonly perSiteScaling?: boolean;
    readonly reserved?: boolean;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     */
    readonly sku: AppServicePlanSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServicePlanTimeouts;
}
export interface AppServicePlanSku {
    readonly capacity?: number;
    readonly size: string;
    readonly tier: string;
}
export interface AppServicePlanTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServicePlan extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServicePlanConfig);
    private _appServiceEnvironmentId?;
    get appServiceEnvironmentId(): string;
    set appServiceEnvironmentId(value: string);
    resetAppServiceEnvironmentId(): void;
    get appServiceEnvironmentIdInput(): string | undefined;
    get id(): string;
    private _isXenon?;
    get isXenon(): boolean;
    set isXenon(value: boolean);
    resetIsXenon(): void;
    get isXenonInput(): boolean | undefined;
    private _kind?;
    get kind(): string;
    set kind(value: string);
    resetKind(): void;
    get kindInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maximumElasticWorkerCount?;
    get maximumElasticWorkerCount(): number;
    set maximumElasticWorkerCount(value: number);
    resetMaximumElasticWorkerCount(): void;
    get maximumElasticWorkerCountInput(): number | undefined;
    get maximumNumberOfWorkers(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _perSiteScaling?;
    get perSiteScaling(): boolean;
    set perSiteScaling(value: boolean);
    resetPerSiteScaling(): void;
    get perSiteScalingInput(): boolean | undefined;
    private _reserved?;
    get reserved(): boolean;
    set reserved(value: boolean);
    resetReserved(): void;
    get reservedInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _sku;
    get sku(): AppServicePlanSku[];
    set sku(value: AppServicePlanSku[]);
    get skuInput(): AppServicePlanSku[];
    private _timeouts?;
    get timeouts(): AppServicePlanTimeouts;
    set timeouts(value: AppServicePlanTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServicePlanTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
