import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppServiceSourceControlTokenConfig extends cdktf.TerraformMetaArguments {
    readonly token: string;
    readonly tokenSecret?: string;
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceSourceControlTokenTimeouts;
}
export interface AppServiceSourceControlTokenTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AppServiceSourceControlToken extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AppServiceSourceControlTokenConfig);
    get id(): string;
    private _token;
    get token(): string;
    set token(value: string);
    get tokenInput(): string;
    private _tokenSecret?;
    get tokenSecret(): string;
    set tokenSecret(value: string);
    resetTokenSecret(): void;
    get tokenSecretInput(): string | undefined;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _timeouts?;
    get timeouts(): AppServiceSourceControlTokenTimeouts;
    set timeouts(value: AppServiceSourceControlTokenTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AppServiceSourceControlTokenTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
