import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApplicationInsightsAnalyticsItemConfig extends cdktf.TerraformMetaArguments {
    readonly applicationInsightsId: string;
    readonly content: string;
    readonly functionAlias?: string;
    readonly name: string;
    readonly scope: string;
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsAnalyticsItemTimeouts;
}
export interface ApplicationInsightsAnalyticsItemTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApplicationInsightsAnalyticsItem extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApplicationInsightsAnalyticsItemConfig);
    private _applicationInsightsId;
    get applicationInsightsId(): string;
    set applicationInsightsId(value: string);
    get applicationInsightsIdInput(): string;
    private _content;
    get content(): string;
    set content(value: string);
    get contentInput(): string;
    private _functionAlias?;
    get functionAlias(): string;
    set functionAlias(value: string);
    resetFunctionAlias(): void;
    get functionAliasInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    get timeCreated(): string;
    get timeModified(): string;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): ApplicationInsightsAnalyticsItemTimeouts;
    set timeouts(value: ApplicationInsightsAnalyticsItemTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApplicationInsightsAnalyticsItemTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
