import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApplicationInsightsApiKeyConfig extends cdktf.TerraformMetaArguments {
    readonly applicationInsightsId: string;
    readonly name: string;
    readonly readPermissions?: string[];
    readonly writePermissions?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsApiKeyTimeouts;
}
export interface ApplicationInsightsApiKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApplicationInsightsApiKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApplicationInsightsApiKeyConfig);
    get apiKey(): string;
    private _applicationInsightsId;
    get applicationInsightsId(): string;
    set applicationInsightsId(value: string);
    get applicationInsightsIdInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _readPermissions?;
    get readPermissions(): string[];
    set readPermissions(value: string[]);
    resetReadPermissions(): void;
    get readPermissionsInput(): string[] | undefined;
    private _writePermissions?;
    get writePermissions(): string[];
    set writePermissions(value: string[]);
    resetWritePermissions(): void;
    get writePermissionsInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): ApplicationInsightsApiKeyTimeouts;
    set timeouts(value: ApplicationInsightsApiKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApplicationInsightsApiKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
