import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApplicationInsightsWebTestConfig extends cdktf.TerraformMetaArguments {
    readonly applicationInsightsId: string;
    readonly configuration: string;
    readonly description?: string;
    readonly enabled?: boolean;
    readonly frequency?: number;
    readonly geoLocations: string[];
    readonly kind: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly retryEnabled?: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    readonly timeout?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsWebTestTimeouts;
}
export interface ApplicationInsightsWebTestTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApplicationInsightsWebTest extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApplicationInsightsWebTestConfig);
    private _applicationInsightsId;
    get applicationInsightsId(): string;
    set applicationInsightsId(value: string);
    get applicationInsightsIdInput(): string;
    private _configuration;
    get configuration(): string;
    set configuration(value: string);
    get configurationInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    private _frequency?;
    get frequency(): number;
    set frequency(value: number);
    resetFrequency(): void;
    get frequencyInput(): number | undefined;
    private _geoLocations;
    get geoLocations(): string[];
    set geoLocations(value: string[]);
    get geoLocationsInput(): string[];
    get id(): string;
    private _kind;
    get kind(): string;
    set kind(value: string);
    get kindInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _retryEnabled?;
    get retryEnabled(): boolean;
    set retryEnabled(value: boolean);
    resetRetryEnabled(): void;
    get retryEnabledInput(): boolean | undefined;
    get syntheticMonitorId(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeout?;
    get timeout(): number;
    set timeout(value: number);
    resetTimeout(): void;
    get timeoutInput(): number | undefined;
    private _timeouts?;
    get timeouts(): ApplicationInsightsWebTestTimeouts;
    set timeouts(value: ApplicationInsightsWebTestTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApplicationInsightsWebTestTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
