import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApplicationInsightsConfig extends cdktf.TerraformMetaArguments {
    readonly applicationType: string;
    readonly dailyDataCapInGb?: number;
    readonly dailyDataCapNotificationsDisabled?: boolean;
    readonly disableIpMasking?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly retentionInDays?: number;
    readonly samplingPercentage?: number;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsTimeouts;
}
export interface ApplicationInsightsTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ApplicationInsights extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ApplicationInsightsConfig);
    get appId(): string;
    private _applicationType;
    get applicationType(): string;
    set applicationType(value: string);
    get applicationTypeInput(): string;
    get connectionString(): string;
    private _dailyDataCapInGb?;
    get dailyDataCapInGb(): number;
    set dailyDataCapInGb(value: number);
    resetDailyDataCapInGb(): void;
    get dailyDataCapInGbInput(): number | undefined;
    private _dailyDataCapNotificationsDisabled?;
    get dailyDataCapNotificationsDisabled(): boolean;
    set dailyDataCapNotificationsDisabled(value: boolean);
    resetDailyDataCapNotificationsDisabled(): void;
    get dailyDataCapNotificationsDisabledInput(): boolean | undefined;
    private _disableIpMasking?;
    get disableIpMasking(): boolean;
    set disableIpMasking(value: boolean);
    resetDisableIpMasking(): void;
    get disableIpMaskingInput(): boolean | undefined;
    get id(): string;
    get instrumentationKey(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _retentionInDays?;
    get retentionInDays(): number;
    set retentionInDays(value: number);
    resetRetentionInDays(): void;
    get retentionInDaysInput(): number | undefined;
    private _samplingPercentage?;
    get samplingPercentage(): number;
    set samplingPercentage(value: number);
    resetSamplingPercentage(): void;
    get samplingPercentageInput(): number | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): ApplicationInsightsTimeouts;
    set timeouts(value: ApplicationInsightsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ApplicationInsightsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
