import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly base64: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationCertificateTimeouts;
}
export interface AutomationCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationCertificateConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _base64;
    get base64(): string;
    set base64(value: string);
    get base64Input(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get exportable(): boolean;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get thumbprint(): string;
    private _timeouts?;
    get timeouts(): AutomationCertificateTimeouts;
    set timeouts(value: AutomationCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
