import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationConnectionCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly automationCertificateName: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subscriptionId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationConnectionCertificateTimeouts;
}
export interface AutomationConnectionCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationConnectionCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationConnectionCertificateConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _automationCertificateName;
    get automationCertificateName(): string;
    set automationCertificateName(value: string);
    get automationCertificateNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subscriptionId;
    get subscriptionId(): string;
    set subscriptionId(value: string);
    get subscriptionIdInput(): string;
    private _timeouts?;
    get timeouts(): AutomationConnectionCertificateTimeouts;
    set timeouts(value: AutomationConnectionCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationConnectionCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
