import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationConnectionClassicCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly certificateAssetName: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subscriptionId: string;
    readonly subscriptionName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationConnectionClassicCertificateTimeouts;
}
export interface AutomationConnectionClassicCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationConnectionClassicCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationConnectionClassicCertificateConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _certificateAssetName;
    get certificateAssetName(): string;
    set certificateAssetName(value: string);
    get certificateAssetNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subscriptionId;
    get subscriptionId(): string;
    set subscriptionId(value: string);
    get subscriptionIdInput(): string;
    private _subscriptionName;
    get subscriptionName(): string;
    set subscriptionName(value: string);
    get subscriptionNameInput(): string;
    private _timeouts?;
    get timeouts(): AutomationConnectionClassicCertificateTimeouts;
    set timeouts(value: AutomationConnectionClassicCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationConnectionClassicCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
