import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationConnectionServicePrincipalConfig extends cdktf.TerraformMetaArguments {
    readonly applicationId: string;
    readonly automationAccountName: string;
    readonly certificateThumbprint: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subscriptionId: string;
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationConnectionServicePrincipalTimeouts;
}
export interface AutomationConnectionServicePrincipalTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationConnectionServicePrincipal extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationConnectionServicePrincipalConfig);
    private _applicationId;
    get applicationId(): string;
    set applicationId(value: string);
    get applicationIdInput(): string;
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _certificateThumbprint;
    get certificateThumbprint(): string;
    set certificateThumbprint(value: string);
    get certificateThumbprintInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subscriptionId;
    get subscriptionId(): string;
    set subscriptionId(value: string);
    get subscriptionIdInput(): string;
    private _tenantId;
    get tenantId(): string;
    set tenantId(value: string);
    get tenantIdInput(): string;
    private _timeouts?;
    get timeouts(): AutomationConnectionServicePrincipalTimeouts;
    set timeouts(value: AutomationConnectionServicePrincipalTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationConnectionServicePrincipalTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
