import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly type: string;
    readonly values: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationConnectionTimeouts;
}
export interface AutomationConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationConnectionConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _values;
    get values(): {
        [key: string]: string;
    };
    set values(value: {
        [key: string]: string;
    });
    get valuesInput(): {
        [key: string]: string;
    };
    private _timeouts?;
    get timeouts(): AutomationConnectionTimeouts;
    set timeouts(value: AutomationConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
