import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationCredentialConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly description?: string;
    readonly name: string;
    readonly password: string;
    readonly resourceGroupName: string;
    readonly username: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationCredentialTimeouts;
}
export interface AutomationCredentialTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationCredential extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationCredentialConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _password;
    get password(): string;
    set password(value: string);
    get passwordInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _username;
    get username(): string;
    set username(value: string);
    get usernameInput(): string;
    private _timeouts?;
    get timeouts(): AutomationCredentialTimeouts;
    set timeouts(value: AutomationCredentialTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationCredentialTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
