import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationDscConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly contentEmbedded: string;
    readonly description?: string;
    readonly location: string;
    readonly logVerbose?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationDscConfigurationTimeouts;
}
export interface AutomationDscConfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationDscConfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationDscConfigurationConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _contentEmbedded;
    get contentEmbedded(): string;
    set contentEmbedded(value: string);
    get contentEmbeddedInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _logVerbose?;
    get logVerbose(): boolean;
    set logVerbose(value: boolean);
    resetLogVerbose(): void;
    get logVerboseInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get state(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): AutomationDscConfigurationTimeouts;
    set timeouts(value: AutomationDscConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationDscConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
