import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationDscNodeconfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly contentEmbedded: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationDscNodeconfigurationTimeouts;
}
export interface AutomationDscNodeconfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationDscNodeconfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationDscNodeconfigurationConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    get configurationName(): string;
    private _contentEmbedded;
    get contentEmbedded(): string;
    set contentEmbedded(value: string);
    get contentEmbeddedInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): AutomationDscNodeconfigurationTimeouts;
    set timeouts(value: AutomationDscNodeconfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationDscNodeconfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
