import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationJobScheduleConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly jobScheduleId?: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly runOn?: string;
    readonly runbookName: string;
    readonly scheduleName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationJobScheduleTimeouts;
}
export interface AutomationJobScheduleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationJobSchedule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationJobScheduleConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    get id(): string;
    private _jobScheduleId?;
    get jobScheduleId(): string;
    set jobScheduleId(value: string);
    resetJobScheduleId(): void;
    get jobScheduleIdInput(): string | undefined;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _runOn?;
    get runOn(): string;
    set runOn(value: string);
    resetRunOn(): void;
    get runOnInput(): string | undefined;
    private _runbookName;
    get runbookName(): string;
    set runbookName(value: string);
    get runbookNameInput(): string;
    private _scheduleName;
    get scheduleName(): string;
    set scheduleName(value: string);
    get scheduleNameInput(): string;
    private _timeouts?;
    get timeouts(): AutomationJobScheduleTimeouts;
    set timeouts(value: AutomationJobScheduleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationJobScheduleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
