import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationModuleConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * module_link block.
     */
    readonly moduleLink: AutomationModuleModuleLink[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationModuleTimeouts;
}
export interface AutomationModuleModuleLinkHash {
    readonly algorithm: string;
    readonly value: string;
}
export interface AutomationModuleModuleLink {
    readonly uri: string;
    /**
     * hash block.
     */
    readonly hash?: AutomationModuleModuleLinkHash[];
}
export interface AutomationModuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationModule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationModuleConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _moduleLink;
    get moduleLink(): AutomationModuleModuleLink[];
    set moduleLink(value: AutomationModuleModuleLink[]);
    get moduleLinkInput(): AutomationModuleModuleLink[];
    private _timeouts?;
    get timeouts(): AutomationModuleTimeouts;
    set timeouts(value: AutomationModuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationModuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
