import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationRunbookConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly content?: string;
    readonly description?: string;
    readonly jobSchedule?: AutomationRunbookJobSchedule[];
    readonly location: string;
    readonly logProgress: boolean;
    readonly logVerbose: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly runbookType: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * publish_content_link block.
     */
    readonly publishContentLink?: AutomationRunbookPublishContentLink[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationRunbookTimeouts;
}
export interface AutomationRunbookJobSchedule {
    readonly jobScheduleId?: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly runOn?: string;
    readonly scheduleName?: string;
}
export interface AutomationRunbookPublishContentLinkHash {
    readonly algorithm: string;
    readonly value: string;
}
export interface AutomationRunbookPublishContentLink {
    readonly uri: string;
    readonly version?: string;
    /**
     * hash block.
     */
    readonly hash?: AutomationRunbookPublishContentLinkHash[];
}
export interface AutomationRunbookTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationRunbook extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationRunbookConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _content?;
    get content(): string;
    set content(value: string);
    resetContent(): void;
    get contentInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _jobSchedule?;
    get jobSchedule(): AutomationRunbookJobSchedule[];
    set jobSchedule(value: AutomationRunbookJobSchedule[]);
    resetJobSchedule(): void;
    get jobScheduleInput(): AutomationRunbookJobSchedule[] | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _logProgress;
    get logProgress(): boolean;
    set logProgress(value: boolean);
    get logProgressInput(): boolean;
    private _logVerbose;
    get logVerbose(): boolean;
    set logVerbose(value: boolean);
    get logVerboseInput(): boolean;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _runbookType;
    get runbookType(): string;
    set runbookType(value: string);
    get runbookTypeInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _publishContentLink?;
    get publishContentLink(): AutomationRunbookPublishContentLink[];
    set publishContentLink(value: AutomationRunbookPublishContentLink[]);
    resetPublishContentLink(): void;
    get publishContentLinkInput(): AutomationRunbookPublishContentLink[] | undefined;
    private _timeouts?;
    get timeouts(): AutomationRunbookTimeouts;
    set timeouts(value: AutomationRunbookTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationRunbookTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
