import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationScheduleConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly description?: string;
    readonly expiryTime?: string;
    readonly frequency: string;
    readonly interval?: number;
    readonly monthDays?: number[];
    readonly name: string;
    readonly resourceGroupName: string;
    readonly startTime?: string;
    readonly timezone?: string;
    readonly weekDays?: string[];
    /**
     * monthly_occurrence block.
     */
    readonly monthlyOccurrence?: AutomationScheduleMonthlyOccurrence[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationScheduleTimeouts;
}
export interface AutomationScheduleMonthlyOccurrence {
    readonly day: string;
    readonly occurrence: number;
}
export interface AutomationScheduleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationSchedule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationScheduleConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _expiryTime?;
    get expiryTime(): string;
    set expiryTime(value: string);
    resetExpiryTime(): void;
    get expiryTimeInput(): string | undefined;
    private _frequency;
    get frequency(): string;
    set frequency(value: string);
    get frequencyInput(): string;
    get id(): string;
    private _interval?;
    get interval(): number;
    set interval(value: number);
    resetInterval(): void;
    get intervalInput(): number | undefined;
    private _monthDays?;
    get monthDays(): number[];
    set monthDays(value: number[]);
    resetMonthDays(): void;
    get monthDaysInput(): number[] | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _startTime?;
    get startTime(): string;
    set startTime(value: string);
    resetStartTime(): void;
    get startTimeInput(): string | undefined;
    private _timezone?;
    get timezone(): string;
    set timezone(value: string);
    resetTimezone(): void;
    get timezoneInput(): string | undefined;
    private _weekDays?;
    get weekDays(): string[];
    set weekDays(value: string[]);
    resetWeekDays(): void;
    get weekDaysInput(): string[] | undefined;
    private _monthlyOccurrence?;
    get monthlyOccurrence(): AutomationScheduleMonthlyOccurrence[];
    set monthlyOccurrence(value: AutomationScheduleMonthlyOccurrence[]);
    resetMonthlyOccurrence(): void;
    get monthlyOccurrenceInput(): AutomationScheduleMonthlyOccurrence[] | undefined;
    private _timeouts?;
    get timeouts(): AutomationScheduleTimeouts;
    set timeouts(value: AutomationScheduleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationScheduleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
