import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationVariableDatetimeConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly description?: string;
    readonly encrypted?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly value?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationVariableDatetimeTimeouts;
}
export interface AutomationVariableDatetimeTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationVariableDatetime extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationVariableDatetimeConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _encrypted?;
    get encrypted(): boolean;
    set encrypted(value: boolean);
    resetEncrypted(): void;
    get encryptedInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _value?;
    get value(): string;
    set value(value: string);
    resetValue(): void;
    get valueInput(): string | undefined;
    private _timeouts?;
    get timeouts(): AutomationVariableDatetimeTimeouts;
    set timeouts(value: AutomationVariableDatetimeTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationVariableDatetimeTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
