import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AutomationVariableIntConfig extends cdktf.TerraformMetaArguments {
    readonly automationAccountName: string;
    readonly description?: string;
    readonly encrypted?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly value?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationVariableIntTimeouts;
}
export interface AutomationVariableIntTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AutomationVariableInt extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AutomationVariableIntConfig);
    private _automationAccountName;
    get automationAccountName(): string;
    set automationAccountName(value: string);
    get automationAccountNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _encrypted?;
    get encrypted(): boolean;
    set encrypted(value: boolean);
    resetEncrypted(): void;
    get encryptedInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _value?;
    get value(): number;
    set value(value: number);
    resetValue(): void;
    get valueInput(): number | undefined;
    private _timeouts?;
    get timeouts(): AutomationVariableIntTimeouts;
    set timeouts(value: AutomationVariableIntTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AutomationVariableIntTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
