import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AvailabilitySetConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly managed?: boolean;
    readonly name: string;
    readonly platformFaultDomainCount?: number;
    readonly platformUpdateDomainCount?: number;
    readonly proximityPlacementGroupId?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AvailabilitySetTimeouts;
}
export interface AvailabilitySetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class AvailabilitySet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: AvailabilitySetConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _managed?;
    get managed(): boolean;
    set managed(value: boolean);
    resetManaged(): void;
    get managedInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _platformFaultDomainCount?;
    get platformFaultDomainCount(): number;
    set platformFaultDomainCount(value: number);
    resetPlatformFaultDomainCount(): void;
    get platformFaultDomainCountInput(): number | undefined;
    private _platformUpdateDomainCount?;
    get platformUpdateDomainCount(): number;
    set platformUpdateDomainCount(value: number);
    resetPlatformUpdateDomainCount(): void;
    get platformUpdateDomainCountInput(): number | undefined;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): AvailabilitySetTimeouts;
    set timeouts(value: AvailabilitySetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): AvailabilitySetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
