import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BackupContainerStorageAccountConfig extends cdktf.TerraformMetaArguments {
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupContainerStorageAccountTimeouts;
}
export interface BackupContainerStorageAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BackupContainerStorageAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BackupContainerStorageAccountConfig);
    get id(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): BackupContainerStorageAccountTimeouts;
    set timeouts(value: BackupContainerStorageAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BackupContainerStorageAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
