import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BackupPolicyFileShareConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly timezone?: string;
    /**
     * backup block.
     */
    readonly backup: BackupPolicyFileShareBackup[];
    /**
     * retention_daily block.
     */
    readonly retentionDaily: BackupPolicyFileShareRetentionDaily[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupPolicyFileShareTimeouts;
}
export interface BackupPolicyFileShareBackup {
    readonly frequency: string;
    readonly time: string;
}
export interface BackupPolicyFileShareRetentionDaily {
    readonly count: number;
}
export interface BackupPolicyFileShareTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BackupPolicyFileShare extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BackupPolicyFileShareConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timezone?;
    get timezone(): string;
    set timezone(value: string);
    resetTimezone(): void;
    get timezoneInput(): string | undefined;
    private _backup;
    get backup(): BackupPolicyFileShareBackup[];
    set backup(value: BackupPolicyFileShareBackup[]);
    get backupInput(): BackupPolicyFileShareBackup[];
    private _retentionDaily;
    get retentionDaily(): BackupPolicyFileShareRetentionDaily[];
    set retentionDaily(value: BackupPolicyFileShareRetentionDaily[]);
    get retentionDailyInput(): BackupPolicyFileShareRetentionDaily[];
    private _timeouts?;
    get timeouts(): BackupPolicyFileShareTimeouts;
    set timeouts(value: BackupPolicyFileShareTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BackupPolicyFileShareTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
