import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BackupPolicyVmConfig extends cdktf.TerraformMetaArguments {
    readonly instantRestoreRetentionDays?: number;
    readonly name: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly timezone?: string;
    /**
     * backup block.
     */
    readonly backup: BackupPolicyVmBackup[];
    /**
     * retention_daily block.
     */
    readonly retentionDaily?: BackupPolicyVmRetentionDaily[];
    /**
     * retention_monthly block.
     */
    readonly retentionMonthly?: BackupPolicyVmRetentionMonthly[];
    /**
     * retention_weekly block.
     */
    readonly retentionWeekly?: BackupPolicyVmRetentionWeekly[];
    /**
     * retention_yearly block.
     */
    readonly retentionYearly?: BackupPolicyVmRetentionYearly[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupPolicyVmTimeouts;
}
export interface BackupPolicyVmBackup {
    readonly frequency: string;
    readonly time: string;
    readonly weekdays?: string[];
}
export interface BackupPolicyVmRetentionDaily {
    readonly count: number;
}
export interface BackupPolicyVmRetentionMonthly {
    readonly count: number;
    readonly weekdays: string[];
    readonly weeks: string[];
}
export interface BackupPolicyVmRetentionWeekly {
    readonly count: number;
    readonly weekdays: string[];
}
export interface BackupPolicyVmRetentionYearly {
    readonly count: number;
    readonly months: string[];
    readonly weekdays: string[];
    readonly weeks: string[];
}
export interface BackupPolicyVmTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BackupPolicyVm extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BackupPolicyVmConfig);
    get id(): string;
    private _instantRestoreRetentionDays?;
    get instantRestoreRetentionDays(): number;
    set instantRestoreRetentionDays(value: number);
    resetInstantRestoreRetentionDays(): void;
    get instantRestoreRetentionDaysInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone?;
    get timezone(): string;
    set timezone(value: string);
    resetTimezone(): void;
    get timezoneInput(): string | undefined;
    private _backup;
    get backup(): BackupPolicyVmBackup[];
    set backup(value: BackupPolicyVmBackup[]);
    get backupInput(): BackupPolicyVmBackup[];
    private _retentionDaily?;
    get retentionDaily(): BackupPolicyVmRetentionDaily[];
    set retentionDaily(value: BackupPolicyVmRetentionDaily[]);
    resetRetentionDaily(): void;
    get retentionDailyInput(): BackupPolicyVmRetentionDaily[] | undefined;
    private _retentionMonthly?;
    get retentionMonthly(): BackupPolicyVmRetentionMonthly[];
    set retentionMonthly(value: BackupPolicyVmRetentionMonthly[]);
    resetRetentionMonthly(): void;
    get retentionMonthlyInput(): BackupPolicyVmRetentionMonthly[] | undefined;
    private _retentionWeekly?;
    get retentionWeekly(): BackupPolicyVmRetentionWeekly[];
    set retentionWeekly(value: BackupPolicyVmRetentionWeekly[]);
    resetRetentionWeekly(): void;
    get retentionWeeklyInput(): BackupPolicyVmRetentionWeekly[] | undefined;
    private _retentionYearly?;
    get retentionYearly(): BackupPolicyVmRetentionYearly[];
    set retentionYearly(value: BackupPolicyVmRetentionYearly[]);
    resetRetentionYearly(): void;
    get retentionYearlyInput(): BackupPolicyVmRetentionYearly[] | undefined;
    private _timeouts?;
    get timeouts(): BackupPolicyVmTimeouts;
    set timeouts(value: BackupPolicyVmTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BackupPolicyVmTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
