import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BackupProtectedFileShareConfig extends cdktf.TerraformMetaArguments {
    readonly backupPolicyId: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly sourceFileShareName: string;
    readonly sourceStorageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupProtectedFileShareTimeouts;
}
export interface BackupProtectedFileShareTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BackupProtectedFileShare extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BackupProtectedFileShareConfig);
    private _backupPolicyId;
    get backupPolicyId(): string;
    set backupPolicyId(value: string);
    get backupPolicyIdInput(): string;
    get id(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceFileShareName;
    get sourceFileShareName(): string;
    set sourceFileShareName(value: string);
    get sourceFileShareNameInput(): string;
    private _sourceStorageAccountId;
    get sourceStorageAccountId(): string;
    set sourceStorageAccountId(value: string);
    get sourceStorageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): BackupProtectedFileShareTimeouts;
    set timeouts(value: BackupProtectedFileShareTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BackupProtectedFileShareTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
