import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BackupProtectedVmConfig extends cdktf.TerraformMetaArguments {
    readonly backupPolicyId: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly sourceVmId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupProtectedVmTimeouts;
}
export interface BackupProtectedVmTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BackupProtectedVm extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BackupProtectedVmConfig);
    private _backupPolicyId;
    get backupPolicyId(): string;
    set backupPolicyId(value: string);
    get backupPolicyIdInput(): string;
    get id(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceVmId;
    get sourceVmId(): string;
    set sourceVmId(value: string);
    get sourceVmIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): BackupProtectedVmTimeouts;
    set timeouts(value: BackupProtectedVmTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BackupProtectedVmTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
