import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BastionHostConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration?: BastionHostIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BastionHostTimeouts;
}
export interface BastionHostIpConfiguration {
    readonly name: string;
    readonly publicIpAddressId: string;
    readonly subnetId: string;
}
export interface BastionHostTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BastionHost extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BastionHostConfig);
    get dnsName(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ipConfiguration?;
    get ipConfiguration(): BastionHostIpConfiguration[];
    set ipConfiguration(value: BastionHostIpConfiguration[]);
    resetIpConfiguration(): void;
    get ipConfigurationInput(): BastionHostIpConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): BastionHostTimeouts;
    set timeouts(value: BastionHostTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BastionHostTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
