import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BatchAccountConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly poolAllocationMode?: string;
    readonly resourceGroupName: string;
    readonly storageAccountId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * key_vault_reference block.
     */
    readonly keyVaultReference?: BatchAccountKeyVaultReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchAccountTimeouts;
}
export interface BatchAccountKeyVaultReference {
    readonly id: string;
    readonly url: string;
}
export interface BatchAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BatchAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BatchAccountConfig);
    get accountEndpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _poolAllocationMode?;
    get poolAllocationMode(): string;
    set poolAllocationMode(value: string);
    resetPoolAllocationMode(): void;
    get poolAllocationModeInput(): string | undefined;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _keyVaultReference?;
    get keyVaultReference(): BatchAccountKeyVaultReference[];
    set keyVaultReference(value: BatchAccountKeyVaultReference[]);
    resetKeyVaultReference(): void;
    get keyVaultReferenceInput(): BatchAccountKeyVaultReference[] | undefined;
    private _timeouts?;
    get timeouts(): BatchAccountTimeouts;
    set timeouts(value: BatchAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BatchAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
