import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BatchApplicationConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly allowUpdates?: boolean;
    readonly defaultVersion?: string;
    readonly displayName?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchApplicationTimeouts;
}
export interface BatchApplicationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BatchApplication extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BatchApplicationConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _allowUpdates?;
    get allowUpdates(): boolean;
    set allowUpdates(value: boolean);
    resetAllowUpdates(): void;
    get allowUpdatesInput(): boolean | undefined;
    private _defaultVersion?;
    get defaultVersion(): string;
    set defaultVersion(value: string);
    resetDefaultVersion(): void;
    get defaultVersionInput(): string | undefined;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): BatchApplicationTimeouts;
    set timeouts(value: BatchApplicationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BatchApplicationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
