import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BatchCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly certificate: string;
    readonly format: string;
    readonly password?: string;
    readonly resourceGroupName: string;
    readonly thumbprint: string;
    readonly thumbprintAlgorithm: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchCertificateTimeouts;
}
export interface BatchCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BatchCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BatchCertificateConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _certificate;
    get certificate(): string;
    set certificate(value: string);
    get certificateInput(): string;
    private _format;
    get format(): string;
    set format(value: string);
    get formatInput(): string;
    get id(): string;
    get name(): string;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    get publicData(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _thumbprint;
    get thumbprint(): string;
    set thumbprint(value: string);
    get thumbprintInput(): string;
    private _thumbprintAlgorithm;
    get thumbprintAlgorithm(): string;
    set thumbprintAlgorithm(value: string);
    get thumbprintAlgorithmInput(): string;
    private _timeouts?;
    get timeouts(): BatchCertificateTimeouts;
    set timeouts(value: BatchCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BatchCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
