import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BlueprintAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly lockExcludePrincipals?: string[];
    readonly lockMode?: string;
    readonly name: string;
    readonly parameterValues?: string;
    readonly resourceGroups?: string;
    readonly targetSubscriptionId: string;
    readonly versionId: string;
    /**
     * identity block.
     */
    readonly identity?: BlueprintAssignmentIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BlueprintAssignmentTimeouts;
}
export interface BlueprintAssignmentIdentity {
    readonly identityIds: string[];
    readonly type: string;
}
export interface BlueprintAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BlueprintAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BlueprintAssignmentConfig);
    get blueprintName(): string;
    get description(): string;
    get displayName(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _lockExcludePrincipals?;
    get lockExcludePrincipals(): string[];
    set lockExcludePrincipals(value: string[]);
    resetLockExcludePrincipals(): void;
    get lockExcludePrincipalsInput(): string[] | undefined;
    private _lockMode?;
    get lockMode(): string;
    set lockMode(value: string);
    resetLockMode(): void;
    get lockModeInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameterValues?;
    get parameterValues(): string;
    set parameterValues(value: string);
    resetParameterValues(): void;
    get parameterValuesInput(): string | undefined;
    private _resourceGroups?;
    get resourceGroups(): string;
    set resourceGroups(value: string);
    resetResourceGroups(): void;
    get resourceGroupsInput(): string | undefined;
    private _targetSubscriptionId;
    get targetSubscriptionId(): string;
    set targetSubscriptionId(value: string);
    get targetSubscriptionIdInput(): string;
    get type(): string;
    private _versionId;
    get versionId(): string;
    set versionId(value: string);
    get versionIdInput(): string;
    private _identity?;
    get identity(): BlueprintAssignmentIdentity[];
    set identity(value: BlueprintAssignmentIdentity[]);
    resetIdentity(): void;
    get identityInput(): BlueprintAssignmentIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): BlueprintAssignmentTimeouts;
    set timeouts(value: BlueprintAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BlueprintAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
