import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BotChannelDirectlineConfig extends cdktf.TerraformMetaArguments {
    readonly botName: string;
    readonly location: string;
    readonly resourceGroupName: string;
    /**
     * site block.
     */
    readonly site: BotChannelDirectlineSite[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelDirectlineTimeouts;
}
export interface BotChannelDirectlineSite {
    readonly enabled?: boolean;
    readonly enhancedAuthenticationEnabled?: boolean;
    readonly name: string;
    readonly trustedOrigins?: string[];
    readonly v1Allowed?: boolean;
    readonly v3Allowed?: boolean;
}
export interface BotChannelDirectlineTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BotChannelDirectline extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BotChannelDirectlineConfig);
    private _botName;
    get botName(): string;
    set botName(value: string);
    get botNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _site;
    get site(): BotChannelDirectlineSite[];
    set site(value: BotChannelDirectlineSite[]);
    get siteInput(): BotChannelDirectlineSite[];
    private _timeouts?;
    get timeouts(): BotChannelDirectlineTimeouts;
    set timeouts(value: BotChannelDirectlineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BotChannelDirectlineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
