import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BotChannelEmailConfig extends cdktf.TerraformMetaArguments {
    readonly botName: string;
    readonly emailAddress: string;
    readonly emailPassword: string;
    readonly location: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelEmailTimeouts;
}
export interface BotChannelEmailTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BotChannelEmail extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BotChannelEmailConfig);
    private _botName;
    get botName(): string;
    set botName(value: string);
    get botNameInput(): string;
    private _emailAddress;
    get emailAddress(): string;
    set emailAddress(value: string);
    get emailAddressInput(): string;
    private _emailPassword;
    get emailPassword(): string;
    set emailPassword(value: string);
    get emailPasswordInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): BotChannelEmailTimeouts;
    set timeouts(value: BotChannelEmailTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BotChannelEmailTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
