import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BotChannelSlackConfig extends cdktf.TerraformMetaArguments {
    readonly botName: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly landingPageUrl?: string;
    readonly location: string;
    readonly resourceGroupName: string;
    readonly verificationToken: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelSlackTimeouts;
}
export interface BotChannelSlackTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BotChannelSlack extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BotChannelSlackConfig);
    private _botName;
    get botName(): string;
    set botName(value: string);
    get botNameInput(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    get clientSecretInput(): string;
    get id(): string;
    private _landingPageUrl?;
    get landingPageUrl(): string;
    set landingPageUrl(value: string);
    resetLandingPageUrl(): void;
    get landingPageUrlInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _verificationToken;
    get verificationToken(): string;
    set verificationToken(value: string);
    get verificationTokenInput(): string;
    private _timeouts?;
    get timeouts(): BotChannelSlackTimeouts;
    set timeouts(value: BotChannelSlackTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BotChannelSlackTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
