import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface BotConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly botName: string;
    readonly clientId: string;
    readonly clientSecret: string;
    readonly location: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly scopes?: string;
    readonly serviceProviderName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: BotConnectionTimeouts;
}
export interface BotConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class BotConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: BotConnectionConfig);
    private _botName;
    get botName(): string;
    set botName(value: string);
    get botNameInput(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clientSecret;
    get clientSecret(): string;
    set clientSecret(value: string);
    get clientSecretInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scopes?;
    get scopes(): string;
    set scopes(value: string);
    resetScopes(): void;
    get scopesInput(): string | undefined;
    private _serviceProviderName;
    get serviceProviderName(): string;
    set serviceProviderName(value: string);
    get serviceProviderNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): BotConnectionTimeouts;
    set timeouts(value: BotConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): BotConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
