import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CdnEndpointConfig extends cdktf.TerraformMetaArguments {
    readonly contentTypesToCompress?: string[];
    readonly isCompressionEnabled?: boolean;
    readonly isHttpAllowed?: boolean;
    readonly isHttpsAllowed?: boolean;
    readonly location: string;
    readonly name: string;
    readonly optimizationType?: string;
    readonly originHostHeader?: string;
    readonly originPath?: string;
    readonly probePath?: string;
    readonly profileName: string;
    readonly querystringCachingBehaviour?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * delivery_rule block.
     */
    readonly deliveryRule?: CdnEndpointDeliveryRule[];
    /**
     * geo_filter block.
     */
    readonly geoFilter?: CdnEndpointGeoFilter[];
    /**
     * global_delivery_rule block.
     */
    readonly globalDeliveryRule?: CdnEndpointGlobalDeliveryRule[];
    /**
     * origin block.
     */
    readonly origin: CdnEndpointOrigin[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CdnEndpointTimeouts;
}
export interface CdnEndpointDeliveryRuleCacheExpirationAction {
    readonly behavior: string;
    readonly duration?: string;
}
export interface CdnEndpointDeliveryRuleCacheKeyQueryStringAction {
    readonly behavior: string;
    readonly parameters?: string;
}
export interface CdnEndpointDeliveryRuleCookiesCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly selector: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleDeviceCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator?: string;
}
export interface CdnEndpointDeliveryRuleHttpVersionCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator?: string;
}
export interface CdnEndpointDeliveryRuleModifyRequestHeaderAction {
    readonly action: string;
    readonly name: string;
    readonly value?: string;
}
export interface CdnEndpointDeliveryRuleModifyResponseHeaderAction {
    readonly action: string;
    readonly name: string;
    readonly value?: string;
}
export interface CdnEndpointDeliveryRulePostArgCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly selector: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleQueryStringCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleRemoteAddressCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
}
export interface CdnEndpointDeliveryRuleRequestBodyCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleRequestHeaderCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly selector: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleRequestMethodCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator?: string;
}
export interface CdnEndpointDeliveryRuleRequestSchemeCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator?: string;
}
export interface CdnEndpointDeliveryRuleRequestUriCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleUrlFileExtensionCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleUrlFileNameCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleUrlPathCondition {
    readonly matchValues: string[];
    readonly negateCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
}
export interface CdnEndpointDeliveryRuleUrlRedirectAction {
    readonly fragment?: string;
    readonly hostname?: string;
    readonly path?: string;
    readonly protocol?: string;
    readonly queryString?: string;
    readonly redirectType: string;
}
export interface CdnEndpointDeliveryRuleUrlRewriteAction {
    readonly destination: string;
    readonly preserveUnmatchedPath?: boolean;
    readonly sourcePattern: string;
}
export interface CdnEndpointDeliveryRule {
    readonly name: string;
    readonly order: number;
    /**
     * cache_expiration_action block.
     */
    readonly cacheExpirationAction?: CdnEndpointDeliveryRuleCacheExpirationAction[];
    /**
     * cache_key_query_string_action block.
     */
    readonly cacheKeyQueryStringAction?: CdnEndpointDeliveryRuleCacheKeyQueryStringAction[];
    /**
     * cookies_condition block.
     */
    readonly cookiesCondition?: CdnEndpointDeliveryRuleCookiesCondition[];
    /**
     * device_condition block.
     */
    readonly deviceCondition?: CdnEndpointDeliveryRuleDeviceCondition[];
    /**
     * http_version_condition block.
     */
    readonly httpVersionCondition?: CdnEndpointDeliveryRuleHttpVersionCondition[];
    /**
     * modify_request_header_action block.
     */
    readonly modifyRequestHeaderAction?: CdnEndpointDeliveryRuleModifyRequestHeaderAction[];
    /**
     * modify_response_header_action block.
     */
    readonly modifyResponseHeaderAction?: CdnEndpointDeliveryRuleModifyResponseHeaderAction[];
    /**
     * post_arg_condition block.
     */
    readonly postArgCondition?: CdnEndpointDeliveryRulePostArgCondition[];
    /**
     * query_string_condition block.
     */
    readonly queryStringCondition?: CdnEndpointDeliveryRuleQueryStringCondition[];
    /**
     * remote_address_condition block.
     */
    readonly remoteAddressCondition?: CdnEndpointDeliveryRuleRemoteAddressCondition[];
    /**
     * request_body_condition block.
     */
    readonly requestBodyCondition?: CdnEndpointDeliveryRuleRequestBodyCondition[];
    /**
     * request_header_condition block.
     */
    readonly requestHeaderCondition?: CdnEndpointDeliveryRuleRequestHeaderCondition[];
    /**
     * request_method_condition block.
     */
    readonly requestMethodCondition?: CdnEndpointDeliveryRuleRequestMethodCondition[];
    /**
     * request_scheme_condition block.
     */
    readonly requestSchemeCondition?: CdnEndpointDeliveryRuleRequestSchemeCondition[];
    /**
     * request_uri_condition block.
     */
    readonly requestUriCondition?: CdnEndpointDeliveryRuleRequestUriCondition[];
    /**
     * url_file_extension_condition block.
     */
    readonly urlFileExtensionCondition?: CdnEndpointDeliveryRuleUrlFileExtensionCondition[];
    /**
     * url_file_name_condition block.
     */
    readonly urlFileNameCondition?: CdnEndpointDeliveryRuleUrlFileNameCondition[];
    /**
     * url_path_condition block.
     */
    readonly urlPathCondition?: CdnEndpointDeliveryRuleUrlPathCondition[];
    /**
     * url_redirect_action block.
     */
    readonly urlRedirectAction?: CdnEndpointDeliveryRuleUrlRedirectAction[];
    /**
     * url_rewrite_action block.
     */
    readonly urlRewriteAction?: CdnEndpointDeliveryRuleUrlRewriteAction[];
}
export interface CdnEndpointGeoFilter {
    readonly action: string;
    readonly countryCodes: string[];
    readonly relativePath: string;
}
export interface CdnEndpointGlobalDeliveryRuleCacheExpirationAction {
    readonly behavior: string;
    readonly duration?: string;
}
export interface CdnEndpointGlobalDeliveryRuleCacheKeyQueryStringAction {
    readonly behavior: string;
    readonly parameters?: string;
}
export interface CdnEndpointGlobalDeliveryRuleModifyRequestHeaderAction {
    readonly action: string;
    readonly name: string;
    readonly value?: string;
}
export interface CdnEndpointGlobalDeliveryRuleModifyResponseHeaderAction {
    readonly action: string;
    readonly name: string;
    readonly value?: string;
}
export interface CdnEndpointGlobalDeliveryRuleUrlRedirectAction {
    readonly fragment?: string;
    readonly hostname?: string;
    readonly path?: string;
    readonly protocol?: string;
    readonly queryString?: string;
    readonly redirectType: string;
}
export interface CdnEndpointGlobalDeliveryRuleUrlRewriteAction {
    readonly destination: string;
    readonly preserveUnmatchedPath?: boolean;
    readonly sourcePattern: string;
}
export interface CdnEndpointGlobalDeliveryRule {
    /**
     * cache_expiration_action block.
     */
    readonly cacheExpirationAction?: CdnEndpointGlobalDeliveryRuleCacheExpirationAction[];
    /**
     * cache_key_query_string_action block.
     */
    readonly cacheKeyQueryStringAction?: CdnEndpointGlobalDeliveryRuleCacheKeyQueryStringAction[];
    /**
     * modify_request_header_action block.
     */
    readonly modifyRequestHeaderAction?: CdnEndpointGlobalDeliveryRuleModifyRequestHeaderAction[];
    /**
     * modify_response_header_action block.
     */
    readonly modifyResponseHeaderAction?: CdnEndpointGlobalDeliveryRuleModifyResponseHeaderAction[];
    /**
     * url_redirect_action block.
     */
    readonly urlRedirectAction?: CdnEndpointGlobalDeliveryRuleUrlRedirectAction[];
    /**
     * url_rewrite_action block.
     */
    readonly urlRewriteAction?: CdnEndpointGlobalDeliveryRuleUrlRewriteAction[];
}
export interface CdnEndpointOrigin {
    readonly hostName: string;
    readonly httpPort?: number;
    readonly httpsPort?: number;
    readonly name: string;
}
export interface CdnEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CdnEndpoint extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CdnEndpointConfig);
    private _contentTypesToCompress?;
    get contentTypesToCompress(): string[];
    set contentTypesToCompress(value: string[]);
    resetContentTypesToCompress(): void;
    get contentTypesToCompressInput(): string[] | undefined;
    get hostName(): string;
    get id(): string;
    private _isCompressionEnabled?;
    get isCompressionEnabled(): boolean;
    set isCompressionEnabled(value: boolean);
    resetIsCompressionEnabled(): void;
    get isCompressionEnabledInput(): boolean | undefined;
    private _isHttpAllowed?;
    get isHttpAllowed(): boolean;
    set isHttpAllowed(value: boolean);
    resetIsHttpAllowed(): void;
    get isHttpAllowedInput(): boolean | undefined;
    private _isHttpsAllowed?;
    get isHttpsAllowed(): boolean;
    set isHttpsAllowed(value: boolean);
    resetIsHttpsAllowed(): void;
    get isHttpsAllowedInput(): boolean | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _optimizationType?;
    get optimizationType(): string;
    set optimizationType(value: string);
    resetOptimizationType(): void;
    get optimizationTypeInput(): string | undefined;
    private _originHostHeader?;
    get originHostHeader(): string;
    set originHostHeader(value: string);
    resetOriginHostHeader(): void;
    get originHostHeaderInput(): string | undefined;
    private _originPath?;
    get originPath(): string;
    set originPath(value: string);
    resetOriginPath(): void;
    get originPathInput(): string | undefined;
    private _probePath?;
    get probePath(): string;
    set probePath(value: string);
    resetProbePath(): void;
    get probePathInput(): string | undefined;
    private _profileName;
    get profileName(): string;
    set profileName(value: string);
    get profileNameInput(): string;
    private _querystringCachingBehaviour?;
    get querystringCachingBehaviour(): string;
    set querystringCachingBehaviour(value: string);
    resetQuerystringCachingBehaviour(): void;
    get querystringCachingBehaviourInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _deliveryRule?;
    get deliveryRule(): CdnEndpointDeliveryRule[];
    set deliveryRule(value: CdnEndpointDeliveryRule[]);
    resetDeliveryRule(): void;
    get deliveryRuleInput(): CdnEndpointDeliveryRule[] | undefined;
    private _geoFilter?;
    get geoFilter(): CdnEndpointGeoFilter[];
    set geoFilter(value: CdnEndpointGeoFilter[]);
    resetGeoFilter(): void;
    get geoFilterInput(): CdnEndpointGeoFilter[] | undefined;
    private _globalDeliveryRule?;
    get globalDeliveryRule(): CdnEndpointGlobalDeliveryRule[];
    set globalDeliveryRule(value: CdnEndpointGlobalDeliveryRule[]);
    resetGlobalDeliveryRule(): void;
    get globalDeliveryRuleInput(): CdnEndpointGlobalDeliveryRule[] | undefined;
    private _origin;
    get origin(): CdnEndpointOrigin[];
    set origin(value: CdnEndpointOrigin[]);
    get originInput(): CdnEndpointOrigin[];
    private _timeouts?;
    get timeouts(): CdnEndpointTimeouts;
    set timeouts(value: CdnEndpointTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CdnEndpointTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
