import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CognitiveAccountConfig extends cdktf.TerraformMetaArguments {
    readonly kind: string;
    readonly location: string;
    readonly name: string;
    readonly qnaRuntimeEndpoint?: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: CognitiveAccountTimeouts;
}
export interface CognitiveAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CognitiveAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CognitiveAccountConfig);
    get endpoint(): string;
    get id(): string;
    private _kind;
    get kind(): string;
    set kind(value: string);
    get kindInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    private _qnaRuntimeEndpoint?;
    get qnaRuntimeEndpoint(): string;
    set qnaRuntimeEndpoint(value: string);
    resetQnaRuntimeEndpoint(): void;
    get qnaRuntimeEndpointInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): CognitiveAccountTimeouts;
    set timeouts(value: CognitiveAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CognitiveAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
