import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ContainerRegistryWebhookConfig extends cdktf.TerraformMetaArguments {
    readonly actions: string[];
    readonly customHeaders?: {
        [key: string]: string;
    };
    readonly location: string;
    readonly name: string;
    readonly registryName: string;
    readonly resourceGroupName: string;
    readonly scope?: string;
    readonly serviceUri: string;
    readonly status?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ContainerRegistryWebhookTimeouts;
}
export interface ContainerRegistryWebhookTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ContainerRegistryWebhook extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ContainerRegistryWebhookConfig);
    private _actions;
    get actions(): string[];
    set actions(value: string[]);
    get actionsInput(): string[];
    private _customHeaders?;
    get customHeaders(): {
        [key: string]: string;
    };
    set customHeaders(value: {
        [key: string]: string;
    });
    resetCustomHeaders(): void;
    get customHeadersInput(): {
        [key: string]: string;
    } | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _registryName;
    get registryName(): string;
    set registryName(value: string);
    get registryNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scope?;
    get scope(): string;
    set scope(value: string);
    resetScope(): void;
    get scopeInput(): string | undefined;
    private _serviceUri;
    get serviceUri(): string;
    set serviceUri(value: string);
    get serviceUriInput(): string;
    private _status?;
    get status(): string;
    set status(value: string);
    resetStatus(): void;
    get statusInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): ContainerRegistryWebhookTimeouts;
    set timeouts(value: ContainerRegistryWebhookTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ContainerRegistryWebhookTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
