import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ContainerRegistryConfig extends cdktf.TerraformMetaArguments {
    readonly adminEnabled?: boolean;
    readonly georeplicationLocations?: string[];
    readonly location: string;
    readonly name: string;
    readonly networkRuleSet?: ContainerRegistryNetworkRuleSet[];
    readonly resourceGroupName: string;
    readonly retentionPolicy?: ContainerRegistryRetentionPolicy[];
    readonly sku?: string;
    readonly storageAccountId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly trustPolicy?: ContainerRegistryTrustPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ContainerRegistryTimeouts;
}
export interface ContainerRegistryNetworkRuleSetIpRule {
    readonly action?: string;
    readonly ipRange?: string;
}
export interface ContainerRegistryNetworkRuleSetVirtualNetwork {
    readonly action?: string;
    readonly subnetId?: string;
}
export interface ContainerRegistryNetworkRuleSet {
    readonly defaultAction?: string;
    readonly ipRule?: ContainerRegistryNetworkRuleSetIpRule[];
    readonly virtualNetwork?: ContainerRegistryNetworkRuleSetVirtualNetwork[];
}
export interface ContainerRegistryRetentionPolicy {
    readonly days?: number;
    readonly enabled?: boolean;
}
export interface ContainerRegistryTrustPolicy {
    readonly enabled?: boolean;
}
export interface ContainerRegistryTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ContainerRegistry extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ContainerRegistryConfig);
    private _adminEnabled?;
    get adminEnabled(): boolean;
    set adminEnabled(value: boolean);
    resetAdminEnabled(): void;
    get adminEnabledInput(): boolean | undefined;
    get adminPassword(): string;
    get adminUsername(): string;
    private _georeplicationLocations?;
    get georeplicationLocations(): string[];
    set georeplicationLocations(value: string[]);
    resetGeoreplicationLocations(): void;
    get georeplicationLocationsInput(): string[] | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get loginServer(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkRuleSet?;
    get networkRuleSet(): ContainerRegistryNetworkRuleSet[];
    set networkRuleSet(value: ContainerRegistryNetworkRuleSet[]);
    resetNetworkRuleSet(): void;
    get networkRuleSetInput(): ContainerRegistryNetworkRuleSet[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _retentionPolicy?;
    get retentionPolicy(): ContainerRegistryRetentionPolicy[];
    set retentionPolicy(value: ContainerRegistryRetentionPolicy[]);
    resetRetentionPolicy(): void;
    get retentionPolicyInput(): ContainerRegistryRetentionPolicy[] | undefined;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _trustPolicy?;
    get trustPolicy(): ContainerRegistryTrustPolicy[];
    set trustPolicy(value: ContainerRegistryTrustPolicy[]);
    resetTrustPolicy(): void;
    get trustPolicyInput(): ContainerRegistryTrustPolicy[] | undefined;
    private _timeouts?;
    get timeouts(): ContainerRegistryTimeouts;
    set timeouts(value: ContainerRegistryTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ContainerRegistryTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
