import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbCassandraKeyspaceConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbCassandraKeyspaceAutoscaleSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbCassandraKeyspaceTimeouts;
}
export interface CosmosdbCassandraKeyspaceAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbCassandraKeyspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbCassandraKeyspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbCassandraKeyspaceConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbCassandraKeyspaceAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbCassandraKeyspaceAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbCassandraKeyspaceAutoscaleSettings[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbCassandraKeyspaceTimeouts;
    set timeouts(value: CosmosdbCassandraKeyspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbCassandraKeyspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
