import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbGremlinDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbGremlinDatabaseAutoscaleSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbGremlinDatabaseTimeouts;
}
export interface CosmosdbGremlinDatabaseAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbGremlinDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbGremlinDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbGremlinDatabaseConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbGremlinDatabaseAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbGremlinDatabaseAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbGremlinDatabaseAutoscaleSettings[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbGremlinDatabaseTimeouts;
    set timeouts(value: CosmosdbGremlinDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbGremlinDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
