import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbGremlinGraphConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly databaseName: string;
    readonly name: string;
    readonly partitionKeyPath?: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbGremlinGraphAutoscaleSettings[];
    /**
     * conflict_resolution_policy block.
     */
    readonly conflictResolutionPolicy: CosmosdbGremlinGraphConflictResolutionPolicy[];
    /**
     * index_policy block.
     */
    readonly indexPolicy: CosmosdbGremlinGraphIndexPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbGremlinGraphTimeouts;
    /**
     * unique_key block.
     */
    readonly uniqueKey?: CosmosdbGremlinGraphUniqueKey[];
}
export interface CosmosdbGremlinGraphAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbGremlinGraphConflictResolutionPolicy {
    readonly conflictResolutionPath?: string;
    readonly conflictResolutionProcedure?: string;
    readonly mode: string;
}
export interface CosmosdbGremlinGraphIndexPolicy {
    readonly automatic?: boolean;
    readonly excludedPaths?: string[];
    readonly includedPaths?: string[];
    readonly indexingMode: string;
}
export interface CosmosdbGremlinGraphTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface CosmosdbGremlinGraphUniqueKey {
    readonly paths: string[];
}
export declare class CosmosdbGremlinGraph extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbGremlinGraphConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _partitionKeyPath?;
    get partitionKeyPath(): string;
    set partitionKeyPath(value: string);
    resetPartitionKeyPath(): void;
    get partitionKeyPathInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbGremlinGraphAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbGremlinGraphAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbGremlinGraphAutoscaleSettings[] | undefined;
    private _conflictResolutionPolicy;
    get conflictResolutionPolicy(): CosmosdbGremlinGraphConflictResolutionPolicy[];
    set conflictResolutionPolicy(value: CosmosdbGremlinGraphConflictResolutionPolicy[]);
    get conflictResolutionPolicyInput(): CosmosdbGremlinGraphConflictResolutionPolicy[];
    private _indexPolicy;
    get indexPolicy(): CosmosdbGremlinGraphIndexPolicy[];
    set indexPolicy(value: CosmosdbGremlinGraphIndexPolicy[]);
    get indexPolicyInput(): CosmosdbGremlinGraphIndexPolicy[];
    private _timeouts?;
    get timeouts(): CosmosdbGremlinGraphTimeouts;
    set timeouts(value: CosmosdbGremlinGraphTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbGremlinGraphTimeouts | undefined;
    private _uniqueKey?;
    get uniqueKey(): CosmosdbGremlinGraphUniqueKey[];
    set uniqueKey(value: CosmosdbGremlinGraphUniqueKey[]);
    resetUniqueKey(): void;
    get uniqueKeyInput(): CosmosdbGremlinGraphUniqueKey[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
