import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbMongoDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbMongoDatabaseAutoscaleSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbMongoDatabaseTimeouts;
}
export interface CosmosdbMongoDatabaseAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbMongoDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbMongoDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbMongoDatabaseConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbMongoDatabaseAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbMongoDatabaseAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbMongoDatabaseAutoscaleSettings[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbMongoDatabaseTimeouts;
    set timeouts(value: CosmosdbMongoDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbMongoDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
