import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbSqlContainerConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly databaseName: string;
    readonly defaultTtl?: number;
    readonly name: string;
    readonly partitionKeyPath?: string;
    readonly partitionKeyVersion?: number;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbSqlContainerAutoscaleSettings[];
    /**
     * indexing_policy block.
     */
    readonly indexingPolicy?: CosmosdbSqlContainerIndexingPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbSqlContainerTimeouts;
    /**
     * unique_key block.
     */
    readonly uniqueKey?: CosmosdbSqlContainerUniqueKey[];
}
export interface CosmosdbSqlContainerAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbSqlContainerIndexingPolicyCompositeIndexIndex {
    readonly order: string;
    readonly path: string;
}
export interface CosmosdbSqlContainerIndexingPolicyCompositeIndex {
    /**
     * index block.
     */
    readonly index: CosmosdbSqlContainerIndexingPolicyCompositeIndexIndex[];
}
export interface CosmosdbSqlContainerIndexingPolicyExcludedPath {
    readonly path: string;
}
export interface CosmosdbSqlContainerIndexingPolicyIncludedPath {
    readonly path: string;
}
export interface CosmosdbSqlContainerIndexingPolicy {
    readonly indexingMode?: string;
    /**
     * composite_index block.
     */
    readonly compositeIndex?: CosmosdbSqlContainerIndexingPolicyCompositeIndex[];
    /**
     * excluded_path block.
     */
    readonly excludedPath?: CosmosdbSqlContainerIndexingPolicyExcludedPath[];
    /**
     * included_path block.
     */
    readonly includedPath?: CosmosdbSqlContainerIndexingPolicyIncludedPath[];
}
export interface CosmosdbSqlContainerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface CosmosdbSqlContainerUniqueKey {
    readonly paths: string[];
}
export declare class CosmosdbSqlContainer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbSqlContainerConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    private _defaultTtl?;
    get defaultTtl(): number;
    set defaultTtl(value: number);
    resetDefaultTtl(): void;
    get defaultTtlInput(): number | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _partitionKeyPath?;
    get partitionKeyPath(): string;
    set partitionKeyPath(value: string);
    resetPartitionKeyPath(): void;
    get partitionKeyPathInput(): string | undefined;
    private _partitionKeyVersion?;
    get partitionKeyVersion(): number;
    set partitionKeyVersion(value: number);
    resetPartitionKeyVersion(): void;
    get partitionKeyVersionInput(): number | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbSqlContainerAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbSqlContainerAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbSqlContainerAutoscaleSettings[] | undefined;
    private _indexingPolicy?;
    get indexingPolicy(): CosmosdbSqlContainerIndexingPolicy[];
    set indexingPolicy(value: CosmosdbSqlContainerIndexingPolicy[]);
    resetIndexingPolicy(): void;
    get indexingPolicyInput(): CosmosdbSqlContainerIndexingPolicy[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbSqlContainerTimeouts;
    set timeouts(value: CosmosdbSqlContainerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbSqlContainerTimeouts | undefined;
    private _uniqueKey?;
    get uniqueKey(): CosmosdbSqlContainerUniqueKey[];
    set uniqueKey(value: CosmosdbSqlContainerUniqueKey[]);
    resetUniqueKey(): void;
    get uniqueKeyInput(): CosmosdbSqlContainerUniqueKey[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
