import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbSqlDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbSqlDatabaseAutoscaleSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbSqlDatabaseTimeouts;
}
export interface CosmosdbSqlDatabaseAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbSqlDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbSqlDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbSqlDatabaseConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbSqlDatabaseAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbSqlDatabaseAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbSqlDatabaseAutoscaleSettings[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbSqlDatabaseTimeouts;
    set timeouts(value: CosmosdbSqlDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbSqlDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
