import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbSqlStoredProcedureConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly body: string;
    readonly containerName: string;
    readonly databaseName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbSqlStoredProcedureTimeouts;
}
export interface CosmosdbSqlStoredProcedureTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbSqlStoredProcedure extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbSqlStoredProcedureConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _body;
    get body(): string;
    set body(value: string);
    get bodyInput(): string;
    private _containerName;
    get containerName(): string;
    set containerName(value: string);
    get containerNameInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): CosmosdbSqlStoredProcedureTimeouts;
    set timeouts(value: CosmosdbSqlStoredProcedureTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbSqlStoredProcedureTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
