import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CosmosdbTableConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     */
    readonly autoscaleSettings?: CosmosdbTableAutoscaleSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbTableTimeouts;
}
export interface CosmosdbTableAutoscaleSettings {
    readonly maxThroughput?: number;
}
export interface CosmosdbTableTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CosmosdbTable extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CosmosdbTableConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _throughput?;
    get throughput(): number;
    set throughput(value: number);
    resetThroughput(): void;
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    get autoscaleSettings(): CosmosdbTableAutoscaleSettings[];
    set autoscaleSettings(value: CosmosdbTableAutoscaleSettings[]);
    resetAutoscaleSettings(): void;
    get autoscaleSettingsInput(): CosmosdbTableAutoscaleSettings[] | undefined;
    private _timeouts?;
    get timeouts(): CosmosdbTableTimeouts;
    set timeouts(value: CosmosdbTableTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CosmosdbTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
