import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CostManagementExportResourceGroupConfig extends cdktf.TerraformMetaArguments {
    readonly active?: boolean;
    readonly name: string;
    readonly recurrencePeriodEnd: string;
    readonly recurrencePeriodStart: string;
    readonly recurrenceType: string;
    readonly resourceGroupId: string;
    /**
     * delivery_info block.
     */
    readonly deliveryInfo: CostManagementExportResourceGroupDeliveryInfo[];
    /**
     * query block.
     */
    readonly query: CostManagementExportResourceGroupQuery[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CostManagementExportResourceGroupTimeouts;
}
export interface CostManagementExportResourceGroupDeliveryInfo {
    readonly containerName: string;
    readonly rootFolderPath: string;
    readonly storageAccountId: string;
}
export interface CostManagementExportResourceGroupQuery {
    readonly timeFrame: string;
    readonly type: string;
}
export interface CostManagementExportResourceGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class CostManagementExportResourceGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CostManagementExportResourceGroupConfig);
    private _active?;
    get active(): boolean;
    set active(value: boolean);
    resetActive(): void;
    get activeInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recurrencePeriodEnd;
    get recurrencePeriodEnd(): string;
    set recurrencePeriodEnd(value: string);
    get recurrencePeriodEndInput(): string;
    private _recurrencePeriodStart;
    get recurrencePeriodStart(): string;
    set recurrencePeriodStart(value: string);
    get recurrencePeriodStartInput(): string;
    private _recurrenceType;
    get recurrenceType(): string;
    set recurrenceType(value: string);
    get recurrenceTypeInput(): string;
    private _resourceGroupId;
    get resourceGroupId(): string;
    set resourceGroupId(value: string);
    get resourceGroupIdInput(): string;
    private _deliveryInfo;
    get deliveryInfo(): CostManagementExportResourceGroupDeliveryInfo[];
    set deliveryInfo(value: CostManagementExportResourceGroupDeliveryInfo[]);
    get deliveryInfoInput(): CostManagementExportResourceGroupDeliveryInfo[];
    private _query;
    get query(): CostManagementExportResourceGroupQuery[];
    set query(value: CostManagementExportResourceGroupQuery[]);
    get queryInput(): CostManagementExportResourceGroupQuery[];
    private _timeouts?;
    get timeouts(): CostManagementExportResourceGroupTimeouts;
    set timeouts(value: CostManagementExportResourceGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CostManagementExportResourceGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
