import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface CustomProviderConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     */
    readonly action?: CustomProviderAction[];
    /**
     * resource_type block.
     */
    readonly resourceType?: CustomProviderResourceType[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CustomProviderTimeouts;
    /**
     * validation block.
     */
    readonly validation?: CustomProviderValidation[];
}
export interface CustomProviderAction {
    readonly endpoint: string;
    readonly name: string;
}
export interface CustomProviderResourceType {
    readonly endpoint: string;
    readonly name: string;
    readonly routingType?: string;
}
export interface CustomProviderTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface CustomProviderValidation {
    readonly specification: string;
}
export declare class CustomProvider extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: CustomProviderConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action?;
    get action(): CustomProviderAction[];
    set action(value: CustomProviderAction[]);
    resetAction(): void;
    get actionInput(): CustomProviderAction[] | undefined;
    private _resourceType?;
    get resourceType(): CustomProviderResourceType[];
    set resourceType(value: CustomProviderResourceType[]);
    resetResourceType(): void;
    get resourceTypeInput(): CustomProviderResourceType[] | undefined;
    private _timeouts?;
    get timeouts(): CustomProviderTimeouts;
    set timeouts(value: CustomProviderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): CustomProviderTimeouts | undefined;
    private _validation?;
    get validation(): CustomProviderValidation[];
    set validation(value: CustomProviderValidation[]);
    resetValidation(): void;
    get validationInput(): CustomProviderValidation[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
