import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAdvisorRecommendationsConfig extends cdktf.TerraformMetaArguments {
    readonly filterByCategory?: string[];
    readonly filterByResourceGroups?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAdvisorRecommendationsTimeouts;
}
export declare class DataAzurermAdvisorRecommendationsRecommendations extends cdktf.ComplexComputedList {
    get category(): string;
    get description(): string;
    get impact(): string;
    get recommendationName(): string;
    get recommendationTypeId(): string;
    get resourceName(): string;
    get resourceType(): string;
    get suppressionNames(): string[];
    get updatedTime(): string;
}
export interface DataAzurermAdvisorRecommendationsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAdvisorRecommendations extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermAdvisorRecommendationsConfig);
    private _filterByCategory?;
    get filterByCategory(): string[];
    set filterByCategory(value: string[]);
    resetFilterByCategory(): void;
    get filterByCategoryInput(): string[] | undefined;
    private _filterByResourceGroups?;
    get filterByResourceGroups(): string[];
    set filterByResourceGroups(value: string[]);
    resetFilterByResourceGroups(): void;
    get filterByResourceGroupsInput(): string[] | undefined;
    get id(): string;
    recommendations(index: string): DataAzurermAdvisorRecommendationsRecommendations;
    private _timeouts?;
    get timeouts(): DataAzurermAdvisorRecommendationsTimeouts;
    set timeouts(value: DataAzurermAdvisorRecommendationsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAdvisorRecommendationsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
