import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementApiConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly revision: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementApiTimeouts;
}
export declare class DataAzurermApiManagementApiSubscriptionKeyParameterNames extends cdktf.ComplexComputedList {
    get header(): string;
    get query(): string;
}
export interface DataAzurermApiManagementApiTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagementApi extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementApiConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get description(): string;
    get displayName(): string;
    get id(): string;
    get isCurrent(): boolean;
    get isOnline(): boolean;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get path(): string;
    get protocols(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _revision;
    get revision(): string;
    set revision(value: string);
    get revisionInput(): string;
    get serviceUrl(): string;
    get soapPassThrough(): boolean;
    subscriptionKeyParameterNames(index: string): DataAzurermApiManagementApiSubscriptionKeyParameterNames;
    get subscriptionRequired(): boolean;
    get version(): string;
    get versionSetId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementApiTimeouts;
    set timeouts(value: DataAzurermApiManagementApiTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementApiTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
