import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementProductConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly productId: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementProductTimeouts;
}
export interface DataAzurermApiManagementProductTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagementProduct extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementProductConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get approvalRequired(): boolean;
    get description(): string;
    get displayName(): string;
    get id(): string;
    private _productId;
    get productId(): string;
    set productId(value: string);
    get productIdInput(): string;
    get published(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get subscriptionRequired(): boolean;
    get subscriptionsLimit(): number;
    get terms(): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementProductTimeouts;
    set timeouts(value: DataAzurermApiManagementProductTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementProductTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
