import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementUserConfig extends cdktf.TerraformMetaArguments {
    readonly apiManagementName: string;
    readonly resourceGroupName: string;
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementUserTimeouts;
}
export interface DataAzurermApiManagementUserTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagementUser extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementUserConfig);
    private _apiManagementName;
    get apiManagementName(): string;
    set apiManagementName(value: string);
    get apiManagementNameInput(): string;
    get email(): string;
    get firstName(): string;
    get id(): string;
    get lastName(): string;
    get note(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get state(): string;
    private _userId;
    get userId(): string;
    set userId(value: string);
    get userIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementUserTimeouts;
    set timeouts(value: DataAzurermApiManagementUserTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementUserTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
