import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApiManagementConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementTimeouts;
}
export declare class DataAzurermApiManagementAdditionalLocation extends cdktf.ComplexComputedList {
    get gatewayRegionalUrl(): string;
    get location(): string;
    get privateIpAddresses(): string[];
    get publicIpAddresses(): string[];
}
export declare class DataAzurermApiManagementHostnameConfigurationDeveloperPortal extends cdktf.ComplexComputedList {
    get hostName(): string;
    get keyVaultId(): string;
    get negotiateClientCertificate(): boolean;
}
export declare class DataAzurermApiManagementHostnameConfigurationManagement extends cdktf.ComplexComputedList {
    get hostName(): string;
    get keyVaultId(): string;
    get negotiateClientCertificate(): boolean;
}
export declare class DataAzurermApiManagementHostnameConfigurationPortal extends cdktf.ComplexComputedList {
    get hostName(): string;
    get keyVaultId(): string;
    get negotiateClientCertificate(): boolean;
}
export declare class DataAzurermApiManagementHostnameConfigurationProxy extends cdktf.ComplexComputedList {
    get defaultSslBinding(): boolean;
    get hostName(): string;
    get keyVaultId(): string;
    get negotiateClientCertificate(): boolean;
}
export declare class DataAzurermApiManagementHostnameConfigurationScm extends cdktf.ComplexComputedList {
    get hostName(): string;
    get keyVaultId(): string;
    get negotiateClientCertificate(): boolean;
}
export declare class DataAzurermApiManagementHostnameConfiguration extends cdktf.ComplexComputedList {
    get developerPortal(): any;
    get management(): any;
    get portal(): any;
    get proxy(): any;
    get scm(): any;
}
export declare class DataAzurermApiManagementIdentity extends cdktf.ComplexComputedList {
    get identityIds(): string[];
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermApiManagementTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApiManagement extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementConfig);
    additionalLocation(index: string): DataAzurermApiManagementAdditionalLocation;
    get developerPortalUrl(): string;
    get gatewayRegionalUrl(): string;
    get gatewayUrl(): string;
    hostnameConfiguration(index: string): DataAzurermApiManagementHostnameConfiguration;
    get id(): string;
    identity(index: string): DataAzurermApiManagementIdentity;
    get location(): string;
    get managementApiUrl(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get notificationSenderEmail(): string;
    get portalUrl(): string;
    get privateIpAddresses(): string[];
    get publicIpAddresses(): string[];
    get publisherEmail(): string;
    get publisherName(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get scmUrl(): string;
    get skuName(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermApiManagementTimeouts;
    set timeouts(value: DataAzurermApiManagementTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApiManagementTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
