import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAppConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppConfigurationTimeouts;
}
export declare class DataAzurermAppConfigurationPrimaryReadKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class DataAzurermAppConfigurationPrimaryWriteKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class DataAzurermAppConfigurationSecondaryReadKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export declare class DataAzurermAppConfigurationSecondaryWriteKey extends cdktf.ComplexComputedList {
    get connectionString(): string;
    get id(): string;
    get secret(): string;
}
export interface DataAzurermAppConfigurationTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAppConfiguration extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAppConfigurationConfig);
    get endpoint(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    primaryReadKey(index: string): DataAzurermAppConfigurationPrimaryReadKey;
    primaryWriteKey(index: string): DataAzurermAppConfigurationPrimaryWriteKey;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    secondaryReadKey(index: string): DataAzurermAppConfigurationSecondaryReadKey;
    secondaryWriteKey(index: string): DataAzurermAppConfigurationSecondaryWriteKey;
    get sku(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermAppConfigurationTimeouts;
    set timeouts(value: DataAzurermAppConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAppConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
