import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAppServiceCertificateOrderConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceCertificateOrderTimeouts;
}
export declare class DataAzurermAppServiceCertificateOrderCertificates extends cdktf.ComplexComputedList {
    get certificateName(): string;
    get keyVaultId(): string;
    get keyVaultSecretName(): string;
    get provisioningState(): string;
}
export interface DataAzurermAppServiceCertificateOrderTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAppServiceCertificateOrder extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceCertificateOrderConfig);
    get appServiceCertificateNotRenewableReasons(): string[];
    get autoRenew(): boolean;
    certificates(index: string): DataAzurermAppServiceCertificateOrderCertificates;
    get csr(): string;
    get distinguishedName(): string;
    get domainVerificationToken(): string;
    get expirationTime(): string;
    get id(): string;
    get intermediateThumbprint(): string;
    get isPrivateKeyExternal(): boolean;
    get keySize(): number;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get productType(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get rootThumbprint(): string;
    get signedCertificateThumbprint(): string;
    get status(): string;
    tags(key: string): string;
    get validityInYears(): number;
    private _timeouts?;
    get timeouts(): DataAzurermAppServiceCertificateOrderTimeouts;
    set timeouts(value: DataAzurermAppServiceCertificateOrderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAppServiceCertificateOrderTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
