import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAppServiceEnvironmentConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceEnvironmentTimeouts;
}
export interface DataAzurermAppServiceEnvironmentTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAppServiceEnvironment extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceEnvironmentConfig);
    get frontEndScaleFactor(): number;
    get id(): string;
    get internalIpAddress(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outboundIpAddresses(): string[];
    get pricingTier(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceIpAddress(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermAppServiceEnvironmentTimeouts;
    set timeouts(value: DataAzurermAppServiceEnvironmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAppServiceEnvironmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
