import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAppServicePlanConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServicePlanTimeouts;
}
export declare class DataAzurermAppServicePlanSku extends cdktf.ComplexComputedList {
    get capacity(): number;
    get size(): string;
    get tier(): string;
}
export interface DataAzurermAppServicePlanTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAppServicePlan extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAppServicePlanConfig);
    get appServiceEnvironmentId(): string;
    get id(): string;
    get isXenon(): boolean;
    get kind(): string;
    get location(): string;
    get maximumElasticWorkerCount(): number;
    get maximumNumberOfWorkers(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get perSiteScaling(): boolean;
    get reserved(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    sku(index: string): DataAzurermAppServicePlanSku;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermAppServicePlanTimeouts;
    set timeouts(value: DataAzurermAppServicePlanTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAppServicePlanTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
