import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAppServiceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceTimeouts;
}
export declare class DataAzurermAppServiceConnectionString extends cdktf.ComplexComputedList {
    get name(): string;
    get type(): string;
    get value(): string;
}
export declare class DataAzurermAppServiceSiteConfigCors extends cdktf.ComplexComputedList {
    get allowedOrigins(): string[];
    get supportCredentials(): boolean;
}
export declare class DataAzurermAppServiceSiteConfigIpRestriction extends cdktf.ComplexComputedList {
    get action(): string;
    get ipAddress(): string;
    get name(): string;
    get priority(): number;
    get subnetId(): string;
    get virtualNetworkSubnetId(): string;
}
export declare class DataAzurermAppServiceSiteConfigScmIpRestriction extends cdktf.ComplexComputedList {
    get action(): string;
    get ipAddress(): string;
    get name(): string;
    get priority(): number;
    get subnetId(): string;
    get virtualNetworkSubnetId(): string;
}
export declare class DataAzurermAppServiceSiteConfig extends cdktf.ComplexComputedList {
    get alwaysOn(): boolean;
    get appCommandLine(): string;
    get cors(): any;
    get defaultDocuments(): string[];
    get dotnetFrameworkVersion(): string;
    get ftpsState(): string;
    get healthCheckPath(): string;
    get http2Enabled(): boolean;
    get ipRestriction(): any;
    get javaContainer(): string;
    get javaContainerVersion(): string;
    get javaVersion(): string;
    get linuxFxVersion(): string;
    get localMysqlEnabled(): boolean;
    get managedPipelineMode(): string;
    get minTlsVersion(): string;
    get phpVersion(): string;
    get pythonVersion(): string;
    get remoteDebuggingEnabled(): boolean;
    get remoteDebuggingVersion(): string;
    get scmIpRestriction(): any;
    get scmType(): string;
    get scmUseMainIpRestriction(): boolean;
    get use32BitWorkerProcess(): boolean;
    get websocketsEnabled(): boolean;
    get windowsFxVersion(): string;
}
export declare class DataAzurermAppServiceSiteCredential extends cdktf.ComplexComputedList {
    get password(): string;
    get username(): string;
}
export declare class DataAzurermAppServiceSourceControl extends cdktf.ComplexComputedList {
    get branch(): string;
    get manualIntegration(): boolean;
    get repoUrl(): string;
    get rollbackEnabled(): boolean;
    get useMercurial(): boolean;
}
export interface DataAzurermAppServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAppService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceConfig);
    get appServicePlanId(): string;
    appSettings(key: string): string;
    get clientAffinityEnabled(): boolean;
    get clientCertEnabled(): boolean;
    connectionString(index: string): DataAzurermAppServiceConnectionString;
    get customDomainVerificationId(): string;
    get defaultSiteHostname(): string;
    get enabled(): boolean;
    get httpsOnly(): boolean;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outboundIpAddresses(): string;
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    siteConfig(index: string): DataAzurermAppServiceSiteConfig;
    siteCredential(index: string): DataAzurermAppServiceSiteCredential;
    sourceControl(index: string): DataAzurermAppServiceSourceControl;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermAppServiceTimeouts;
    set timeouts(value: DataAzurermAppServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAppServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
