import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermApplicationInsightsConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApplicationInsightsTimeouts;
}
export interface DataAzurermApplicationInsightsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermApplicationInsights extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermApplicationInsightsConfig);
    get appId(): string;
    get applicationType(): string;
    get connectionString(): string;
    get id(): string;
    get instrumentationKey(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get retentionInDays(): number;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermApplicationInsightsTimeouts;
    set timeouts(value: DataAzurermApplicationInsightsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermApplicationInsightsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
