import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAttestationProviderConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAttestationProviderTimeouts;
}
export interface DataAzurermAttestationProviderTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAttestationProvider extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAttestationProviderConfig);
    get attestationUri(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get trustModel(): string;
    private _timeouts?;
    get timeouts(): DataAzurermAttestationProviderTimeouts;
    set timeouts(value: DataAzurermAttestationProviderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAttestationProviderTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
