import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermAvailabilitySetConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAvailabilitySetTimeouts;
}
export interface DataAzurermAvailabilitySetTimeouts {
    readonly read?: string;
}
export declare class DataAzurermAvailabilitySet extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermAvailabilitySetConfig);
    get id(): string;
    get location(): string;
    get managed(): boolean;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get platformFaultDomainCount(): string;
    get platformUpdateDomainCount(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermAvailabilitySetTimeouts;
    set timeouts(value: DataAzurermAvailabilitySetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermAvailabilitySetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
