import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermBatchAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermBatchAccountTimeouts;
}
export declare class DataAzurermBatchAccountKeyVaultReference extends cdktf.ComplexComputedList {
    get id(): string;
    get url(): string;
}
export interface DataAzurermBatchAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermBatchAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermBatchAccountConfig);
    get accountEndpoint(): string;
    get id(): string;
    keyVaultReference(index: string): DataAzurermBatchAccountKeyVaultReference;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get poolAllocationMode(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    get storageAccountId(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermBatchAccountTimeouts;
    set timeouts(value: DataAzurermBatchAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermBatchAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
