import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermContainerRegistryConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermContainerRegistryTimeouts;
}
export interface DataAzurermContainerRegistryTimeouts {
    readonly read?: string;
}
export declare class DataAzurermContainerRegistry extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermContainerRegistryConfig);
    get adminEnabled(): boolean;
    get adminPassword(): string;
    get adminUsername(): string;
    get id(): string;
    get location(): string;
    get loginServer(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    get storageAccountId(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermContainerRegistryTimeouts;
    set timeouts(value: DataAzurermContainerRegistryTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermContainerRegistryTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
