import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermCosmosdbAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermCosmosdbAccountTimeouts;
}
export declare class DataAzurermCosmosdbAccountCapabilities extends cdktf.ComplexComputedList {
    get name(): string;
}
export declare class DataAzurermCosmosdbAccountConsistencyPolicy extends cdktf.ComplexComputedList {
    get consistencyLevel(): string;
    get maxIntervalInSeconds(): number;
    get maxStalenessPrefix(): number;
}
export declare class DataAzurermCosmosdbAccountGeoLocation extends cdktf.ComplexComputedList {
    get failoverPriority(): number;
    get id(): string;
    get location(): string;
}
export declare class DataAzurermCosmosdbAccountVirtualNetworkRule extends cdktf.ComplexComputedList {
    get id(): string;
}
export interface DataAzurermCosmosdbAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermCosmosdbAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermCosmosdbAccountConfig);
    capabilities(index: string): DataAzurermCosmosdbAccountCapabilities;
    consistencyPolicy(index: string): DataAzurermCosmosdbAccountConsistencyPolicy;
    get enableAutomaticFailover(): boolean;
    get enableFreeTier(): boolean;
    get enableMultipleWriteLocations(): boolean;
    get endpoint(): string;
    geoLocation(index: string): DataAzurermCosmosdbAccountGeoLocation;
    get id(): string;
    get ipRangeFilter(): string;
    get isVirtualNetworkFilterEnabled(): boolean;
    get keyVaultKeyId(): string;
    get kind(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get offerType(): string;
    get primaryKey(): string;
    get primaryMasterKey(): string;
    get primaryReadonlyKey(): string;
    get primaryReadonlyMasterKey(): string;
    get readEndpoints(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryKey(): string;
    get secondaryMasterKey(): string;
    get secondaryReadonlyKey(): string;
    get secondaryReadonlyMasterKey(): string;
    tags(key: string): string;
    virtualNetworkRule(index: string): DataAzurermCosmosdbAccountVirtualNetworkRule;
    get writeEndpoints(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermCosmosdbAccountTimeouts;
    set timeouts(value: DataAzurermCosmosdbAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermCosmosdbAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
