import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataFactoryConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataFactoryTimeouts;
}
export declare class DataAzurermDataFactoryGithubConfiguration extends cdktf.ComplexComputedList {
    get accountName(): string;
    get branchName(): string;
    get gitUrl(): string;
    get repositoryName(): string;
    get rootFolder(): string;
}
export declare class DataAzurermDataFactoryIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export declare class DataAzurermDataFactoryVstsConfiguration extends cdktf.ComplexComputedList {
    get accountName(): string;
    get branchName(): string;
    get projectName(): string;
    get repositoryName(): string;
    get rootFolder(): string;
    get tenantId(): string;
}
export interface DataAzurermDataFactoryTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataFactory extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataFactoryConfig);
    githubConfiguration(index: string): DataAzurermDataFactoryGithubConfiguration;
    get id(): string;
    identity(index: string): DataAzurermDataFactoryIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    vstsConfiguration(index: string): DataAzurermDataFactoryVstsConfiguration;
    private _timeouts?;
    get timeouts(): DataAzurermDataFactoryTimeouts;
    set timeouts(value: DataAzurermDataFactoryTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataFactoryTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
