import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataLakeStoreConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataLakeStoreTimeouts;
}
export interface DataAzurermDataLakeStoreTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataLakeStore extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataLakeStoreConfig);
    get encryptionState(): string;
    get encryptionType(): string;
    get firewallAllowAzureIps(): string;
    get firewallState(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get tier(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataLakeStoreTimeouts;
    set timeouts(value: DataAzurermDataLakeStoreTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataLakeStoreTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
