import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareAccountTimeouts;
}
export declare class DataAzurermDataShareAccountIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermDataShareAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShareAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareAccountConfig);
    get id(): string;
    identity(index: string): DataAzurermDataShareAccountIdentity;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareAccountTimeouts;
    set timeouts(value: DataAzurermDataShareAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
