import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDataShareConfig extends cdktf.TerraformMetaArguments {
    readonly accountId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataShareTimeouts;
}
export declare class DataAzurermDataShareSnapshotSchedule extends cdktf.ComplexComputedList {
    get name(): string;
    get recurrence(): string;
    get startTime(): string;
}
export interface DataAzurermDataShareTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDataShare extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDataShareConfig);
    private _accountId;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string;
    get description(): string;
    get id(): string;
    get kind(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    snapshotSchedule(index: string): DataAzurermDataShareSnapshotSchedule;
    get terms(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDataShareTimeouts;
    set timeouts(value: DataAzurermDataShareTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDataShareTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
