import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDevTestLabConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDevTestLabTimeouts;
}
export interface DataAzurermDevTestLabTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDevTestLab extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDevTestLabConfig);
    get artifactsStorageAccountId(): string;
    get defaultPremiumStorageAccountId(): string;
    get defaultStorageAccountId(): string;
    get id(): string;
    get keyVaultId(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get premiumDataDiskStorageAccountId(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get storageType(): string;
    tags(key: string): string;
    get uniqueIdentifier(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDevTestLabTimeouts;
    set timeouts(value: DataAzurermDevTestLabTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDevTestLabTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
