import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDevTestVirtualNetworkConfig extends cdktf.TerraformMetaArguments {
    readonly labName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDevTestVirtualNetworkTimeouts;
}
export declare class DataAzurermDevTestVirtualNetworkAllowedSubnets extends cdktf.ComplexComputedList {
    get allowPublicIp(): string;
    get labSubnetName(): string;
    get resourceId(): string;
}
export declare class DataAzurermDevTestVirtualNetworkSubnetOverrides extends cdktf.ComplexComputedList {
    get labSubnetName(): string;
    get resourceId(): string;
    get useInVmCreationPermission(): string;
    get usePublicIpAddressPermission(): string;
    get virtualNetworkPoolName(): string;
}
export interface DataAzurermDevTestVirtualNetworkTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDevTestVirtualNetwork extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDevTestVirtualNetworkConfig);
    allowedSubnets(index: string): DataAzurermDevTestVirtualNetworkAllowedSubnets;
    get id(): string;
    private _labName;
    get labName(): string;
    set labName(value: string);
    get labNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    subnetOverrides(index: string): DataAzurermDevTestVirtualNetworkSubnetOverrides;
    get uniqueIdentifier(): string;
    private _timeouts?;
    get timeouts(): DataAzurermDevTestVirtualNetworkTimeouts;
    set timeouts(value: DataAzurermDevTestVirtualNetworkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDevTestVirtualNetworkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
