import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermDnsZoneConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDnsZoneTimeouts;
}
export interface DataAzurermDnsZoneTimeouts {
    readonly read?: string;
}
export declare class DataAzurermDnsZone extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermDnsZoneConfig);
    get id(): string;
    get maxNumberOfRecordSets(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get nameServers(): string[];
    get numberOfRecordSets(): number;
    private _resourceGroupName?;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    resetResourceGroupName(): void;
    get resourceGroupNameInput(): string | undefined;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermDnsZoneTimeouts;
    set timeouts(value: DataAzurermDnsZoneTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermDnsZoneTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
