import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermEventgridTopicConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermEventgridTopicTimeouts;
}
export interface DataAzurermEventgridTopicTimeouts {
    readonly read?: string;
}
export declare class DataAzurermEventgridTopic extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermEventgridTopicConfig);
    get endpoint(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermEventgridTopicTimeouts;
    set timeouts(value: DataAzurermEventgridTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermEventgridTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
