import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermEventhubNamespaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermEventhubNamespaceTimeouts;
}
export interface DataAzurermEventhubNamespaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermEventhubNamespace extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermEventhubNamespaceConfig);
    get autoInflateEnabled(): boolean;
    get capacity(): number;
    get dedicatedClusterId(): string;
    get defaultPrimaryConnectionString(): string;
    get defaultPrimaryConnectionStringAlias(): string;
    get defaultPrimaryKey(): string;
    get defaultSecondaryConnectionString(): string;
    get defaultSecondaryConnectionStringAlias(): string;
    get defaultSecondaryKey(): string;
    get id(): string;
    get kafkaEnabled(): boolean;
    get location(): string;
    get maximumThroughputUnits(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    get zoneRedundant(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermEventhubNamespaceTimeouts;
    set timeouts(value: DataAzurermEventhubNamespaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermEventhubNamespaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
