import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermExpressRouteCircuitConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermExpressRouteCircuitTimeouts;
}
export declare class DataAzurermExpressRouteCircuitPeerings extends cdktf.ComplexComputedList {
    get azureAsn(): number;
    get peerAsn(): number;
    get peeringType(): string;
    get primaryPeerAddressPrefix(): string;
    get secondaryPeerAddressPrefix(): string;
    get sharedKey(): string;
    get vlanId(): number;
}
export declare class DataAzurermExpressRouteCircuitServiceProviderProperties extends cdktf.ComplexComputedList {
    get bandwidthInMbps(): number;
    get peeringLocation(): string;
    get serviceProviderName(): string;
}
export declare class DataAzurermExpressRouteCircuitSku extends cdktf.ComplexComputedList {
    get family(): string;
    get tier(): string;
}
export interface DataAzurermExpressRouteCircuitTimeouts {
    readonly read?: string;
}
export declare class DataAzurermExpressRouteCircuit extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermExpressRouteCircuitConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    peerings(index: string): DataAzurermExpressRouteCircuitPeerings;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceKey(): string;
    serviceProviderProperties(index: string): DataAzurermExpressRouteCircuitServiceProviderProperties;
    get serviceProviderProvisioningState(): string;
    sku(index: string): DataAzurermExpressRouteCircuitSku;
    private _timeouts?;
    get timeouts(): DataAzurermExpressRouteCircuitTimeouts;
    set timeouts(value: DataAzurermExpressRouteCircuitTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermExpressRouteCircuitTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
