import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFirewallPolicyTimeouts;
}
export declare class DataAzurermFirewallPolicyDns extends cdktf.ComplexComputedList {
    get networkRuleFqdnEnabled(): boolean;
    get proxyEnabled(): boolean;
    get servers(): string[];
}
export declare class DataAzurermFirewallPolicyThreatIntelligenceAllowlist extends cdktf.ComplexComputedList {
    get fqdns(): string[];
    get ipAddresses(): string[];
}
export interface DataAzurermFirewallPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermFirewallPolicy extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermFirewallPolicyConfig);
    get basePolicyId(): string;
    get childPolicies(): string[];
    dns(index: string): DataAzurermFirewallPolicyDns;
    get firewalls(): string[];
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get ruleCollectionGroups(): string[];
    tags(key: string): string;
    threatIntelligenceAllowlist(index: string): DataAzurermFirewallPolicyThreatIntelligenceAllowlist;
    get threatIntelligenceMode(): string;
    private _timeouts?;
    get timeouts(): DataAzurermFirewallPolicyTimeouts;
    set timeouts(value: DataAzurermFirewallPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermFirewallPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
