import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermFirewallConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFirewallTimeouts;
}
export declare class DataAzurermFirewallIpConfiguration extends cdktf.ComplexComputedList {
    get name(): string;
    get privateIpAddress(): string;
    get publicIpAddressId(): string;
    get subnetId(): string;
}
export declare class DataAzurermFirewallManagementIpConfiguration extends cdktf.ComplexComputedList {
    get name(): string;
    get privateIpAddress(): string;
    get publicIpAddressId(): string;
    get subnetId(): string;
}
export declare class DataAzurermFirewallVirtualHub extends cdktf.ComplexComputedList {
    get privateIpAddress(): string;
    get publicIpAddresses(): string[];
    get publicIpCount(): number;
    get virtualHubId(): string;
}
export interface DataAzurermFirewallTimeouts {
    readonly read?: string;
}
export declare class DataAzurermFirewall extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermFirewallConfig);
    get dnsServers(): string[];
    get firewallPolicyId(): string;
    get id(): string;
    ipConfiguration(index: string): DataAzurermFirewallIpConfiguration;
    get location(): string;
    managementIpConfiguration(index: string): DataAzurermFirewallManagementIpConfiguration;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get skuName(): string;
    get skuTier(): string;
    tags(key: string): string;
    get threatIntelMode(): string;
    virtualHub(index: string): DataAzurermFirewallVirtualHub;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermFirewallTimeouts;
    set timeouts(value: DataAzurermFirewallTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermFirewallTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
