import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermFunctionAppConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFunctionAppTimeouts;
}
export declare class DataAzurermFunctionAppConnectionString extends cdktf.ComplexComputedList {
    get name(): string;
    get type(): string;
    get value(): string;
}
export declare class DataAzurermFunctionAppIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export declare class DataAzurermFunctionAppSiteConfigCors extends cdktf.ComplexComputedList {
    get allowedOrigins(): string[];
    get supportCredentials(): boolean;
}
export declare class DataAzurermFunctionAppSiteConfigIpRestriction extends cdktf.ComplexComputedList {
    get action(): string;
    get ipAddress(): string;
    get name(): string;
    get priority(): number;
    get subnetId(): string;
    get virtualNetworkSubnetId(): string;
}
export declare class DataAzurermFunctionAppSiteConfigScmIpRestriction extends cdktf.ComplexComputedList {
    get action(): string;
    get ipAddress(): string;
    get name(): string;
    get priority(): number;
    get subnetId(): string;
    get virtualNetworkSubnetId(): string;
}
export declare class DataAzurermFunctionAppSiteConfig extends cdktf.ComplexComputedList {
    get alwaysOn(): boolean;
    get autoSwapSlotName(): string;
    get cors(): any;
    get ftpsState(): string;
    get healthCheckPath(): string;
    get http2Enabled(): boolean;
    get ipRestriction(): any;
    get linuxFxVersion(): string;
    get minTlsVersion(): string;
    get preWarmedInstanceCount(): number;
    get scmIpRestriction(): any;
    get scmType(): string;
    get scmUseMainIpRestriction(): boolean;
    get use32BitWorkerProcess(): boolean;
    get websocketsEnabled(): boolean;
}
export declare class DataAzurermFunctionAppSiteCredential extends cdktf.ComplexComputedList {
    get password(): string;
    get username(): string;
}
export declare class DataAzurermFunctionAppSourceControl extends cdktf.ComplexComputedList {
    get branch(): string;
    get manualIntegration(): boolean;
    get repoUrl(): string;
    get rollbackEnabled(): boolean;
    get useMercurial(): boolean;
}
export interface DataAzurermFunctionAppTimeouts {
    readonly read?: string;
}
export declare class DataAzurermFunctionApp extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermFunctionAppConfig);
    get appServicePlanId(): string;
    appSettings(key: string): string;
    connectionString(index: string): DataAzurermFunctionAppConnectionString;
    get customDomainVerificationId(): string;
    get defaultHostname(): string;
    get enabled(): boolean;
    get id(): string;
    identity(index: string): DataAzurermFunctionAppIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get osType(): string;
    get outboundIpAddresses(): string;
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    siteConfig(index: string): DataAzurermFunctionAppSiteConfig;
    siteCredential(index: string): DataAzurermFunctionAppSiteCredential;
    sourceControl(index: string): DataAzurermFunctionAppSourceControl;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermFunctionAppTimeouts;
    set timeouts(value: DataAzurermFunctionAppTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermFunctionAppTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
