import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermHdinsightClusterConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermHdinsightClusterTimeouts;
}
export declare class DataAzurermHdinsightClusterGateway extends cdktf.ComplexComputedList {
    get enabled(): boolean;
    get password(): string;
    get username(): string;
}
export interface DataAzurermHdinsightClusterTimeouts {
    readonly read?: string;
}
export declare class DataAzurermHdinsightCluster extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermHdinsightClusterConfig);
    get clusterVersion(): string;
    componentVersions(key: string): string;
    get edgeSshEndpoint(): string;
    gateway(index: string): DataAzurermHdinsightClusterGateway;
    get httpsEndpoint(): string;
    get id(): string;
    get kind(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sshEndpoint(): string;
    tags(key: string): string;
    get tier(): string;
    get tlsMinVersion(): string;
    private _timeouts?;
    get timeouts(): DataAzurermHdinsightClusterTimeouts;
    set timeouts(value: DataAzurermHdinsightClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermHdinsightClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
