import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermHealthcareServiceConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermHealthcareServiceTimeouts;
}
export declare class DataAzurermHealthcareServiceAuthenticationConfiguration extends cdktf.ComplexComputedList {
    get audience(): string;
    get authority(): string;
    get smartProxyEnabled(): boolean;
}
export declare class DataAzurermHealthcareServiceCorsConfiguration extends cdktf.ComplexComputedList {
    get allowCredentials(): boolean;
    get allowedHeaders(): string[];
    get allowedMethods(): string[];
    get allowedOrigins(): string[];
    get maxAgeInSeconds(): number;
}
export interface DataAzurermHealthcareServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermHealthcareService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermHealthcareServiceConfig);
    get accessPolicyObjectIds(): string[];
    authenticationConfiguration(index: string): DataAzurermHealthcareServiceAuthenticationConfiguration;
    corsConfiguration(index: string): DataAzurermHealthcareServiceCorsConfiguration;
    get cosmosdbThroughput(): number;
    get id(): string;
    get kind(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermHealthcareServiceTimeouts;
    set timeouts(value: DataAzurermHealthcareServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermHealthcareServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
