import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermImageConfig extends cdktf.TerraformMetaArguments {
    readonly name?: string;
    readonly nameRegex?: string;
    readonly resourceGroupName: string;
    readonly sortDescending?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermImageTimeouts;
}
export declare class DataAzurermImageDataDisk extends cdktf.ComplexComputedList {
    get blobUri(): string;
    get caching(): string;
    get lun(): number;
    get managedDiskId(): string;
    get sizeGb(): number;
}
export declare class DataAzurermImageOsDisk extends cdktf.ComplexComputedList {
    get blobUri(): string;
    get caching(): string;
    get managedDiskId(): string;
    get osState(): string;
    get osType(): string;
    get sizeGb(): number;
}
export interface DataAzurermImageTimeouts {
    readonly read?: string;
}
export declare class DataAzurermImage extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermImageConfig);
    dataDisk(index: string): DataAzurermImageDataDisk;
    get id(): string;
    get location(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _nameRegex?;
    get nameRegex(): string;
    set nameRegex(value: string);
    resetNameRegex(): void;
    get nameRegexInput(): string | undefined;
    osDisk(index: string): DataAzurermImageOsDisk;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sortDescending?;
    get sortDescending(): boolean;
    set sortDescending(value: boolean);
    resetSortDescending(): void;
    get sortDescendingInput(): boolean | undefined;
    tags(key: string): string;
    get zoneResilient(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermImageTimeouts;
    set timeouts(value: DataAzurermImageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermImageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
