import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermImagesConfig extends cdktf.TerraformMetaArguments {
    readonly resourceGroupName: string;
    readonly tagsFilter?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermImagesTimeouts;
}
export declare class DataAzurermImagesImagesDataDisk extends cdktf.ComplexComputedList {
    get blobUri(): string;
    get caching(): string;
    get lun(): number;
    get managedDiskId(): string;
    get sizeGb(): number;
}
export declare class DataAzurermImagesImagesOsDisk extends cdktf.ComplexComputedList {
    get blobUri(): string;
    get caching(): string;
    get managedDiskId(): string;
    get osState(): string;
    get osType(): string;
    get sizeGb(): number;
}
export declare class DataAzurermImagesImages extends cdktf.ComplexComputedList {
    get dataDisk(): any;
    get location(): string;
    get name(): string;
    get osDisk(): any;
    get tags(): any;
    get zoneResilient(): boolean;
}
export interface DataAzurermImagesTimeouts {
    readonly read?: string;
}
export declare class DataAzurermImages extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermImagesConfig);
    get id(): string;
    images(index: string): DataAzurermImagesImages;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tagsFilter?;
    get tagsFilter(): {
        [key: string]: string;
    };
    set tagsFilter(value: {
        [key: string]: string;
    });
    resetTagsFilter(): void;
    get tagsFilterInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermImagesTimeouts;
    set timeouts(value: DataAzurermImagesTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermImagesTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
