import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermIothubDpsConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermIothubDpsTimeouts;
}
export interface DataAzurermIothubDpsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermIothubDps extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermIothubDpsConfig);
    get allocationPolicy(): string;
    get deviceProvisioningHostName(): string;
    get id(): string;
    get idScope(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceOperationsHostName(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermIothubDpsTimeouts;
    set timeouts(value: DataAzurermIothubDpsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermIothubDpsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
