import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKeyVaultCertificateIssuerConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultCertificateIssuerTimeouts;
}
export declare class DataAzurermKeyVaultCertificateIssuerAdmin extends cdktf.ComplexComputedList {
    get emailAddress(): string;
    get firstName(): string;
    get lastName(): string;
    get phone(): string;
}
export interface DataAzurermKeyVaultCertificateIssuerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKeyVaultCertificateIssuer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultCertificateIssuerConfig);
    get accountId(): string;
    admin(index: string): DataAzurermKeyVaultCertificateIssuerAdmin;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get orgId(): string;
    get providerName(): string;
    private _timeouts?;
    get timeouts(): DataAzurermKeyVaultCertificateIssuerTimeouts;
    set timeouts(value: DataAzurermKeyVaultCertificateIssuerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKeyVaultCertificateIssuerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
