import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKeyVaultCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultId: string;
    readonly name: string;
    readonly version?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultCertificateTimeouts;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyIssuerParameters extends cdktf.ComplexComputedList {
    get name(): string;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyKeyProperties extends cdktf.ComplexComputedList {
    get exportable(): boolean;
    get keySize(): number;
    get keyType(): string;
    get reuseKey(): boolean;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeActionAction extends cdktf.ComplexComputedList {
    get actionType(): string;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeActionTrigger extends cdktf.ComplexComputedList {
    get daysBeforeExpiry(): number;
    get lifetimePercentage(): number;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeAction extends cdktf.ComplexComputedList {
    get action(): any;
    get trigger(): any;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicySecretProperties extends cdktf.ComplexComputedList {
    get contentType(): string;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyX509CertificatePropertiesSubjectAlternativeNames extends cdktf.ComplexComputedList {
    get dnsNames(): string[];
    get emails(): string[];
    get upns(): string[];
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicyX509CertificateProperties extends cdktf.ComplexComputedList {
    get extendedKeyUsage(): string[];
    get keyUsage(): string[];
    get subject(): string;
    get subjectAlternativeNames(): any;
    get validityInMonths(): number;
}
export declare class DataAzurermKeyVaultCertificateCertificatePolicy extends cdktf.ComplexComputedList {
    get issuerParameters(): any;
    get keyProperties(): any;
    get lifetimeAction(): any;
    get secretProperties(): any;
    get x509CertificateProperties(): any;
}
export interface DataAzurermKeyVaultCertificateTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKeyVaultCertificate extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultCertificateConfig);
    get certificateData(): string;
    certificatePolicy(index: string): DataAzurermKeyVaultCertificateCertificatePolicy;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get secretId(): string;
    tags(key: string): string;
    get thumbprint(): string;
    private _version?;
    get version(): string;
    set version(value: string);
    resetVersion(): void;
    get versionInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermKeyVaultCertificateTimeouts;
    set timeouts(value: DataAzurermKeyVaultCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKeyVaultCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
