import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKeyVaultKeyConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultKeyTimeouts;
}
export interface DataAzurermKeyVaultKeyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKeyVaultKey extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultKeyConfig);
    get e(): string;
    get id(): string;
    get keyOpts(): string[];
    get keySize(): number;
    get keyType(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    get n(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    tags(key: string): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermKeyVaultKeyTimeouts;
    set timeouts(value: DataAzurermKeyVaultKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKeyVaultKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
