import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKeyVaultSecretConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultSecretTimeouts;
}
export interface DataAzurermKeyVaultSecretTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKeyVaultSecret extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultSecretConfig);
    get contentType(): string;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    tags(key: string): string;
    get value(): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermKeyVaultSecretTimeouts;
    set timeouts(value: DataAzurermKeyVaultSecretTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKeyVaultSecretTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
