import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKubernetesClusterNodePoolConfig extends cdktf.TerraformMetaArguments {
    readonly kubernetesClusterName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKubernetesClusterNodePoolTimeouts;
}
export interface DataAzurermKubernetesClusterNodePoolTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKubernetesClusterNodePool extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesClusterNodePoolConfig);
    get availabilityZones(): string[];
    get enableAutoScaling(): boolean;
    get enableNodePublicIp(): boolean;
    get evictionPolicy(): string;
    get id(): string;
    private _kubernetesClusterName;
    get kubernetesClusterName(): string;
    set kubernetesClusterName(value: string);
    get kubernetesClusterNameInput(): string;
    get maxCount(): number;
    get maxPods(): number;
    get minCount(): number;
    get mode(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get nodeCount(): number;
    nodeLabels(key: string): string;
    get nodeTaints(): string[];
    get orchestratorVersion(): string;
    get osDiskSizeGb(): number;
    get osDiskType(): string;
    get osType(): string;
    get priority(): string;
    get proximityPlacementGroupId(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get spotMaxPrice(): number;
    tags(key: string): string;
    get vmSize(): string;
    get vnetSubnetId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermKubernetesClusterNodePoolTimeouts;
    set timeouts(value: DataAzurermKubernetesClusterNodePoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKubernetesClusterNodePoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
