import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermKubernetesClusterConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKubernetesClusterTimeouts;
}
export declare class DataAzurermKubernetesClusterAddonProfileAzurePolicy extends cdktf.ComplexComputedList {
    get enabled(): boolean;
}
export declare class DataAzurermKubernetesClusterAddonProfileHttpApplicationRouting extends cdktf.ComplexComputedList {
    get enabled(): boolean;
    get httpApplicationRoutingZoneName(): string;
}
export declare class DataAzurermKubernetesClusterAddonProfileKubeDashboard extends cdktf.ComplexComputedList {
    get enabled(): boolean;
}
export declare class DataAzurermKubernetesClusterAddonProfileOmsAgentOmsAgentIdentity extends cdktf.ComplexComputedList {
    get clientId(): string;
    get objectId(): string;
    get userAssignedIdentityId(): string;
}
export declare class DataAzurermKubernetesClusterAddonProfileOmsAgent extends cdktf.ComplexComputedList {
    get enabled(): boolean;
    get logAnalyticsWorkspaceId(): string;
    get omsAgentIdentity(): any;
}
export declare class DataAzurermKubernetesClusterAddonProfile extends cdktf.ComplexComputedList {
    get azurePolicy(): any;
    get httpApplicationRouting(): any;
    get kubeDashboard(): any;
    get omsAgent(): any;
}
export declare class DataAzurermKubernetesClusterAgentPoolProfile extends cdktf.ComplexComputedList {
    get availabilityZones(): string[];
    get count(): number;
    get enableAutoScaling(): boolean;
    get enableNodePublicIp(): boolean;
    get maxCount(): number;
    get maxPods(): number;
    get minCount(): number;
    get name(): string;
    get nodeLabels(): any;
    get nodeTaints(): string[];
    get orchestratorVersion(): string;
    get osDiskSizeGb(): number;
    get osType(): string;
    get tags(): any;
    get type(): string;
    get vmSize(): string;
    get vnetSubnetId(): string;
}
export declare class DataAzurermKubernetesClusterIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export declare class DataAzurermKubernetesClusterKubeAdminConfig extends cdktf.ComplexComputedList {
    get clientCertificate(): string;
    get clientKey(): string;
    get clusterCaCertificate(): string;
    get host(): string;
    get password(): string;
    get username(): string;
}
export declare class DataAzurermKubernetesClusterKubeConfig extends cdktf.ComplexComputedList {
    get clientCertificate(): string;
    get clientKey(): string;
    get clusterCaCertificate(): string;
    get host(): string;
    get password(): string;
    get username(): string;
}
export declare class DataAzurermKubernetesClusterKubeletIdentity extends cdktf.ComplexComputedList {
    get clientId(): string;
    get objectId(): string;
    get userAssignedIdentityId(): string;
}
export declare class DataAzurermKubernetesClusterLinuxProfileSshKey extends cdktf.ComplexComputedList {
    get keyData(): string;
}
export declare class DataAzurermKubernetesClusterLinuxProfile extends cdktf.ComplexComputedList {
    get adminUsername(): string;
    get sshKey(): any;
}
export declare class DataAzurermKubernetesClusterNetworkProfile extends cdktf.ComplexComputedList {
    get dnsServiceIp(): string;
    get dockerBridgeCidr(): string;
    get loadBalancerSku(): string;
    get networkPlugin(): string;
    get networkPolicy(): string;
    get podCidr(): string;
    get serviceCidr(): string;
}
export declare class DataAzurermKubernetesClusterRoleBasedAccessControlAzureActiveDirectory extends cdktf.ComplexComputedList {
    get adminGroupObjectIds(): string[];
    get clientAppId(): string;
    get managed(): boolean;
    get serverAppId(): string;
    get tenantId(): string;
}
export declare class DataAzurermKubernetesClusterRoleBasedAccessControl extends cdktf.ComplexComputedList {
    get azureActiveDirectory(): any;
    get enabled(): boolean;
}
export declare class DataAzurermKubernetesClusterServicePrincipal extends cdktf.ComplexComputedList {
    get clientId(): string;
}
export declare class DataAzurermKubernetesClusterWindowsProfile extends cdktf.ComplexComputedList {
    get adminUsername(): string;
}
export interface DataAzurermKubernetesClusterTimeouts {
    readonly read?: string;
}
export declare class DataAzurermKubernetesCluster extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesClusterConfig);
    addonProfile(index: string): DataAzurermKubernetesClusterAddonProfile;
    agentPoolProfile(index: string): DataAzurermKubernetesClusterAgentPoolProfile;
    get apiServerAuthorizedIpRanges(): string[];
    get diskEncryptionSetId(): string;
    get dnsPrefix(): string;
    get fqdn(): string;
    get id(): string;
    identity(index: string): DataAzurermKubernetesClusterIdentity;
    kubeAdminConfig(index: string): DataAzurermKubernetesClusterKubeAdminConfig;
    get kubeAdminConfigRaw(): string;
    kubeConfig(index: string): DataAzurermKubernetesClusterKubeConfig;
    get kubeConfigRaw(): string;
    kubeletIdentity(index: string): DataAzurermKubernetesClusterKubeletIdentity;
    get kubernetesVersion(): string;
    linuxProfile(index: string): DataAzurermKubernetesClusterLinuxProfile;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    networkProfile(index: string): DataAzurermKubernetesClusterNetworkProfile;
    get nodeResourceGroup(): string;
    get privateClusterEnabled(): boolean;
    get privateFqdn(): string;
    get privateLinkEnabled(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    roleBasedAccessControl(index: string): DataAzurermKubernetesClusterRoleBasedAccessControl;
    servicePrincipal(index: string): DataAzurermKubernetesClusterServicePrincipal;
    tags(key: string): string;
    windowsProfile(index: string): DataAzurermKubernetesClusterWindowsProfile;
    private _timeouts?;
    get timeouts(): DataAzurermKubernetesClusterTimeouts;
    set timeouts(value: DataAzurermKubernetesClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermKubernetesClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
