import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLbRuleConfig extends cdktf.TerraformMetaArguments {
    readonly loadbalancerId: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLbRuleTimeouts;
}
export interface DataAzurermLbRuleTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLbRule extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLbRuleConfig);
    get backendAddressPoolId(): string;
    get backendPort(): number;
    get disableOutboundSnat(): boolean;
    get enableFloatingIp(): boolean;
    get enableTcpReset(): boolean;
    get frontendIpConfigurationName(): string;
    get frontendPort(): number;
    get id(): string;
    get idleTimeoutInMinutes(): number;
    get loadDistribution(): string;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get probeId(): string;
    get protocol(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermLbRuleTimeouts;
    set timeouts(value: DataAzurermLbRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLbRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
