import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLbConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLbTimeouts;
}
export declare class DataAzurermLbFrontendIpConfiguration extends cdktf.ComplexComputedList {
    get id(): string;
    get name(): string;
    get privateIpAddress(): string;
    get privateIpAddressAllocation(): string;
    get privateIpAddressVersion(): string;
    get publicIpAddressId(): string;
    get subnetId(): string;
    get zones(): string[];
}
export interface DataAzurermLbTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLb extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLbConfig);
    frontendIpConfiguration(index: string): DataAzurermLbFrontendIpConfiguration;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get privateIpAddress(): string;
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermLbTimeouts;
    set timeouts(value: DataAzurermLbTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLbTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
