import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLogAnalyticsWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLogAnalyticsWorkspaceTimeouts;
}
export interface DataAzurermLogAnalyticsWorkspaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLogAnalyticsWorkspace extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLogAnalyticsWorkspaceConfig);
    get dailyQuotaGb(): number;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get portalUrl(): string;
    get primarySharedKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get retentionInDays(): number;
    get secondarySharedKey(): string;
    get sku(): string;
    tags(key: string): string;
    get workspaceId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermLogAnalyticsWorkspaceTimeouts;
    set timeouts(value: DataAzurermLogAnalyticsWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLogAnalyticsWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
