import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermLogicAppWorkflowConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLogicAppWorkflowTimeouts;
}
export interface DataAzurermLogicAppWorkflowTimeouts {
    readonly read?: string;
}
export declare class DataAzurermLogicAppWorkflow extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermLogicAppWorkflowConfig);
    get accessEndpoint(): string;
    get connectorEndpointIpAddresses(): string[];
    get connectorOutboundIpAddresses(): string[];
    get id(): string;
    get location(): string;
    get logicAppIntegrationAccountId(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    parameters(key: string): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get workflowEndpointIpAddresses(): string[];
    get workflowOutboundIpAddresses(): string[];
    get workflowSchema(): string;
    get workflowVersion(): string;
    private _timeouts?;
    get timeouts(): DataAzurermLogicAppWorkflowTimeouts;
    set timeouts(value: DataAzurermLogicAppWorkflowTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermLogicAppWorkflowTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
