import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMachineLearningWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMachineLearningWorkspaceTimeouts;
}
export declare class DataAzurermMachineLearningWorkspaceIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermMachineLearningWorkspaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMachineLearningWorkspace extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMachineLearningWorkspaceConfig);
    get id(): string;
    identity(index: string): DataAzurermMachineLearningWorkspaceIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermMachineLearningWorkspaceTimeouts;
    set timeouts(value: DataAzurermMachineLearningWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMachineLearningWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
