import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMapsAccountConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMapsAccountTimeouts;
}
export interface DataAzurermMapsAccountTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMapsAccount extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMapsAccountConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    get skuName(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get xMsClientId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMapsAccountTimeouts;
    set timeouts(value: DataAzurermMapsAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMapsAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
