import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMariadbServerConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMariadbServerTimeouts;
}
export declare class DataAzurermMariadbServerStorageProfile extends cdktf.ComplexComputedList {
    get autoGrow(): string;
    get backupRetentionDays(): number;
    get geoRedundantBackup(): string;
    get storageMb(): number;
}
export interface DataAzurermMariadbServerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMariadbServer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMariadbServerConfig);
    get administratorLogin(): string;
    get fqdn(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get skuName(): string;
    get sslEnforcement(): string;
    storageProfile(index: string): DataAzurermMariadbServerStorageProfile;
    tags(key: string): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMariadbServerTimeouts;
    set timeouts(value: DataAzurermMariadbServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMariadbServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
