import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMonitorActionGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorActionGroupTimeouts;
}
export declare class DataAzurermMonitorActionGroupArmRoleReceiver extends cdktf.ComplexComputedList {
    get name(): string;
    get roleId(): string;
    get useCommonAlertSchema(): boolean;
}
export declare class DataAzurermMonitorActionGroupAutomationRunbookReceiver extends cdktf.ComplexComputedList {
    get automationAccountId(): string;
    get isGlobalRunbook(): boolean;
    get name(): string;
    get runbookName(): string;
    get serviceUri(): string;
    get useCommonAlertSchema(): boolean;
    get webhookResourceId(): string;
}
export declare class DataAzurermMonitorActionGroupAzureAppPushReceiver extends cdktf.ComplexComputedList {
    get emailAddress(): string;
    get name(): string;
}
export declare class DataAzurermMonitorActionGroupAzureFunctionReceiver extends cdktf.ComplexComputedList {
    get functionAppResourceId(): string;
    get functionName(): string;
    get httpTriggerUrl(): string;
    get name(): string;
    get useCommonAlertSchema(): boolean;
}
export declare class DataAzurermMonitorActionGroupEmailReceiver extends cdktf.ComplexComputedList {
    get emailAddress(): string;
    get name(): string;
    get useCommonAlertSchema(): boolean;
}
export declare class DataAzurermMonitorActionGroupItsmReceiver extends cdktf.ComplexComputedList {
    get connectionId(): string;
    get name(): string;
    get region(): string;
    get ticketConfiguration(): string;
    get workspaceId(): string;
}
export declare class DataAzurermMonitorActionGroupLogicAppReceiver extends cdktf.ComplexComputedList {
    get callbackUrl(): string;
    get name(): string;
    get resourceId(): string;
    get useCommonAlertSchema(): boolean;
}
export declare class DataAzurermMonitorActionGroupSmsReceiver extends cdktf.ComplexComputedList {
    get countryCode(): string;
    get name(): string;
    get phoneNumber(): string;
}
export declare class DataAzurermMonitorActionGroupVoiceReceiver extends cdktf.ComplexComputedList {
    get countryCode(): string;
    get name(): string;
    get phoneNumber(): string;
}
export declare class DataAzurermMonitorActionGroupWebhookReceiver extends cdktf.ComplexComputedList {
    get name(): string;
    get serviceUri(): string;
    get useCommonAlertSchema(): boolean;
}
export interface DataAzurermMonitorActionGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMonitorActionGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMonitorActionGroupConfig);
    armRoleReceiver(index: string): DataAzurermMonitorActionGroupArmRoleReceiver;
    automationRunbookReceiver(index: string): DataAzurermMonitorActionGroupAutomationRunbookReceiver;
    azureAppPushReceiver(index: string): DataAzurermMonitorActionGroupAzureAppPushReceiver;
    azureFunctionReceiver(index: string): DataAzurermMonitorActionGroupAzureFunctionReceiver;
    emailReceiver(index: string): DataAzurermMonitorActionGroupEmailReceiver;
    get enabled(): boolean;
    get id(): string;
    itsmReceiver(index: string): DataAzurermMonitorActionGroupItsmReceiver;
    logicAppReceiver(index: string): DataAzurermMonitorActionGroupLogicAppReceiver;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get shortName(): string;
    smsReceiver(index: string): DataAzurermMonitorActionGroupSmsReceiver;
    voiceReceiver(index: string): DataAzurermMonitorActionGroupVoiceReceiver;
    webhookReceiver(index: string): DataAzurermMonitorActionGroupWebhookReceiver;
    private _timeouts?;
    get timeouts(): DataAzurermMonitorActionGroupTimeouts;
    set timeouts(value: DataAzurermMonitorActionGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMonitorActionGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
