import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMonitorLogProfileConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorLogProfileTimeouts;
}
export declare class DataAzurermMonitorLogProfileRetentionPolicy extends cdktf.ComplexComputedList {
    get days(): number;
    get enabled(): boolean;
}
export interface DataAzurermMonitorLogProfileTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMonitorLogProfile extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMonitorLogProfileConfig);
    get categories(): string[];
    get id(): string;
    get locations(): string[];
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    retentionPolicy(index: string): DataAzurermMonitorLogProfileRetentionPolicy;
    get servicebusRuleId(): string;
    get storageAccountId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMonitorLogProfileTimeouts;
    set timeouts(value: DataAzurermMonitorLogProfileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMonitorLogProfileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
