import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMssqlDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly serverId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMssqlDatabaseTimeouts;
}
export interface DataAzurermMssqlDatabaseTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMssqlDatabase extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMssqlDatabaseConfig);
    get collation(): string;
    get elasticPoolId(): string;
    get id(): string;
    get licenseType(): string;
    get maxSizeGb(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get readReplicaCount(): number;
    get readScale(): boolean;
    private _serverId;
    get serverId(): string;
    set serverId(value: string);
    get serverIdInput(): string;
    get skuName(): string;
    tags(key: string): string;
    get zoneRedundant(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermMssqlDatabaseTimeouts;
    set timeouts(value: DataAzurermMssqlDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMssqlDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
