import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMssqlElasticpoolConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMssqlElasticpoolTimeouts;
}
export interface DataAzurermMssqlElasticpoolTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMssqlElasticpool extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMssqlElasticpoolConfig);
    get id(): string;
    get licenseType(): string;
    get location(): string;
    get maxSizeBytes(): number;
    get maxSizeGb(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get perDbMaxCapacity(): number;
    get perDbMinCapacity(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    tags(key: string): string;
    get zoneRedundant(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermMssqlElasticpoolTimeouts;
    set timeouts(value: DataAzurermMssqlElasticpoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMssqlElasticpoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
