import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMssqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMssqlServerTimeouts;
}
export declare class DataAzurermMssqlServerIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermMssqlServerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMssqlServer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMssqlServerConfig);
    get administratorLogin(): string;
    get fullyQualifiedDomainName(): string;
    get id(): string;
    identity(index: string): DataAzurermMssqlServerIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get restorableDroppedDatabaseIds(): string[];
    tags(key: string): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMssqlServerTimeouts;
    set timeouts(value: DataAzurermMssqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMssqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
