import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermMysqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMysqlServerTimeouts;
}
export declare class DataAzurermMysqlServerIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export declare class DataAzurermMysqlServerThreatDetectionPolicy extends cdktf.ComplexComputedList {
    get disabledAlerts(): string[];
    get emailAccountAdmins(): boolean;
    get emailAddresses(): string[];
    get enabled(): boolean;
    get retentionDays(): number;
    get storageAccountAccessKey(): string;
    get storageEndpoint(): string;
}
export interface DataAzurermMysqlServerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermMysqlServer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermMysqlServerConfig);
    get administratorLogin(): string;
    get autoGrowEnabled(): boolean;
    get backupRetentionDays(): number;
    get fqdn(): string;
    get geoRedundantBackupEnabled(): boolean;
    get id(): string;
    identity(index: string): DataAzurermMysqlServerIdentity;
    get infrastructureEncryptionEnabled(): boolean;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get publicNetworkAccessEnabled(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get restorePointInTime(): string;
    get skuName(): string;
    get sslEnforcementEnabled(): boolean;
    get sslMinimalTlsVersionEnforced(): string;
    get storageMb(): number;
    tags(key: string): string;
    threatDetectionPolicy(index: string): DataAzurermMysqlServerThreatDetectionPolicy;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermMysqlServerTimeouts;
    set timeouts(value: DataAzurermMysqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermMysqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
