import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNatGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly publicIpAddressIds?: string[];
    readonly publicIpPrefixIds?: string[];
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNatGatewayTimeouts;
}
export interface DataAzurermNatGatewayTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNatGateway extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNatGatewayConfig);
    get id(): string;
    get idleTimeoutInMinutes(): number;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _publicIpAddressIds?;
    get publicIpAddressIds(): string[];
    set publicIpAddressIds(value: string[]);
    resetPublicIpAddressIds(): void;
    get publicIpAddressIdsInput(): string[] | undefined;
    private _publicIpPrefixIds?;
    get publicIpPrefixIds(): string[];
    set publicIpPrefixIds(value: string[]);
    resetPublicIpPrefixIds(): void;
    get publicIpPrefixIdsInput(): string[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get resourceGuid(): string;
    get skuName(): string;
    tags(key: string): string;
    get zones(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermNatGatewayTimeouts;
    set timeouts(value: DataAzurermNatGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNatGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
