import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetworkInterfaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetworkInterfaceTimeouts;
}
export declare class DataAzurermNetworkInterfaceIpConfiguration extends cdktf.ComplexComputedList {
    get applicationGatewayBackendAddressPoolsIds(): string[];
    get applicationSecurityGroupIds(): string[];
    get loadBalancerBackendAddressPoolsIds(): string[];
    get loadBalancerInboundNatRulesIds(): string[];
    get name(): string;
    get primary(): boolean;
    get privateIpAddress(): string;
    get privateIpAddressAllocation(): string;
    get privateIpAddressVersion(): string;
    get publicIpAddressId(): string;
    get subnetId(): string;
}
export interface DataAzurermNetworkInterfaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetworkInterface extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetworkInterfaceConfig);
    get appliedDnsServers(): string[];
    get dnsServers(): string[];
    get enableAcceleratedNetworking(): boolean;
    get enableIpForwarding(): boolean;
    get id(): string;
    get internalDnsNameLabel(): string;
    ipConfiguration(index: string): DataAzurermNetworkInterfaceIpConfiguration;
    get location(): string;
    get macAddress(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get networkSecurityGroupId(): string;
    get privateIpAddress(): string;
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get virtualMachineId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermNetworkInterfaceTimeouts;
    set timeouts(value: DataAzurermNetworkInterfaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetworkInterfaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
