import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetworkSecurityGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetworkSecurityGroupTimeouts;
}
export declare class DataAzurermNetworkSecurityGroupSecurityRule extends cdktf.ComplexComputedList {
    get access(): string;
    get description(): string;
    get destinationAddressPrefix(): string;
    get destinationAddressPrefixes(): string[];
    get destinationApplicationSecurityGroupIds(): string[];
    get destinationPortRange(): string;
    get destinationPortRanges(): string[];
    get direction(): string;
    get name(): string;
    get priority(): number;
    get protocol(): string;
    get sourceAddressPrefix(): string;
    get sourceAddressPrefixes(): string[];
    get sourceApplicationSecurityGroupIds(): string[];
    get sourcePortRange(): string;
    get sourcePortRanges(): string[];
}
export interface DataAzurermNetworkSecurityGroupTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetworkSecurityGroup extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetworkSecurityGroupConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    securityRule(index: string): DataAzurermNetworkSecurityGroupSecurityRule;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermNetworkSecurityGroupTimeouts;
    set timeouts(value: DataAzurermNetworkSecurityGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetworkSecurityGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
