import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNetworkServiceTagsConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly locationFilter?: string;
    readonly service: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetworkServiceTagsTimeouts;
}
export interface DataAzurermNetworkServiceTagsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNetworkServiceTags extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNetworkServiceTagsConfig);
    get addressPrefixes(): string[];
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _locationFilter?;
    get locationFilter(): string;
    set locationFilter(value: string);
    resetLocationFilter(): void;
    get locationFilterInput(): string | undefined;
    private _service;
    get service(): string;
    set service(value: string);
    get serviceInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermNetworkServiceTagsTimeouts;
    set timeouts(value: DataAzurermNetworkServiceTagsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNetworkServiceTagsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
