import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermNotificationHubConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNotificationHubTimeouts;
}
export declare class DataAzurermNotificationHubApnsCredential extends cdktf.ComplexComputedList {
    get applicationMode(): string;
    get bundleId(): string;
    get keyId(): string;
    get teamId(): string;
    get token(): string;
}
export declare class DataAzurermNotificationHubGcmCredential extends cdktf.ComplexComputedList {
    get apiKey(): string;
}
export interface DataAzurermNotificationHubTimeouts {
    readonly read?: string;
}
export declare class DataAzurermNotificationHub extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermNotificationHubConfig);
    apnsCredential(index: string): DataAzurermNotificationHubApnsCredential;
    gcmCredential(index: string): DataAzurermNotificationHubGcmCredential;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermNotificationHubTimeouts;
    set timeouts(value: DataAzurermNotificationHubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermNotificationHubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
