import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPlatformImageConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly offer: string;
    readonly publisher: string;
    readonly sku: string;
    readonly version?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPlatformImageTimeouts;
}
export interface DataAzurermPlatformImageTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPlatformImage extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPlatformImageConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _offer;
    get offer(): string;
    set offer(value: string);
    get offerInput(): string;
    private _publisher;
    get publisher(): string;
    set publisher(value: string);
    get publisherInput(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _version?;
    get version(): string;
    set version(value: string);
    resetVersion(): void;
    get versionInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermPlatformImageTimeouts;
    set timeouts(value: DataAzurermPlatformImageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPlatformImageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
