import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPolicyDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly displayName?: string;
    readonly managementGroupId?: string;
    readonly managementGroupName?: string;
    readonly name?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPolicyDefinitionTimeouts;
}
export interface DataAzurermPolicyDefinitionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPolicyDefinition extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermPolicyDefinitionConfig);
    get description(): string;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    get id(): string;
    private _managementGroupId?;
    get managementGroupId(): string;
    set managementGroupId(value: string);
    resetManagementGroupId(): void;
    get managementGroupIdInput(): string | undefined;
    private _managementGroupName?;
    get managementGroupName(): string;
    set managementGroupName(value: string);
    resetManagementGroupName(): void;
    get managementGroupNameInput(): string | undefined;
    get metadata(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get parameters(): string;
    get policyRule(): string;
    get policyType(): string;
    get type(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPolicyDefinitionTimeouts;
    set timeouts(value: DataAzurermPolicyDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPolicyDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
