import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPolicySetDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly displayName?: string;
    readonly managementGroupName?: string;
    readonly name?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPolicySetDefinitionTimeouts;
}
export declare class DataAzurermPolicySetDefinitionPolicyDefinitionGroup extends cdktf.ComplexComputedList {
    get additionalMetadataResourceId(): string;
    get category(): string;
    get description(): string;
    get displayName(): string;
    get name(): string;
}
export declare class DataAzurermPolicySetDefinitionPolicyDefinitionReference extends cdktf.ComplexComputedList {
    get parameterValues(): string;
    get parameters(): any;
    get policyDefinitionId(): string;
    get policyGroupNames(): string[];
    get referenceId(): string;
}
export interface DataAzurermPolicySetDefinitionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPolicySetDefinition extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermPolicySetDefinitionConfig);
    get description(): string;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    get id(): string;
    private _managementGroupName?;
    get managementGroupName(): string;
    set managementGroupName(value: string);
    resetManagementGroupName(): void;
    get managementGroupNameInput(): string | undefined;
    get metadata(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get parameters(): string;
    policyDefinitionGroup(index: string): DataAzurermPolicySetDefinitionPolicyDefinitionGroup;
    policyDefinitionReference(index: string): DataAzurermPolicySetDefinitionPolicyDefinitionReference;
    get policyDefinitions(): string;
    get policyType(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPolicySetDefinitionTimeouts;
    set timeouts(value: DataAzurermPolicySetDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPolicySetDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
