import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPostgresqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPostgresqlServerTimeouts;
}
export declare class DataAzurermPostgresqlServerIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermPostgresqlServerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPostgresqlServer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPostgresqlServerConfig);
    get administratorLogin(): string;
    get fqdn(): string;
    get id(): string;
    identity(index: string): DataAzurermPostgresqlServerIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get skuName(): string;
    tags(key: string): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPostgresqlServerTimeouts;
    set timeouts(value: DataAzurermPostgresqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPostgresqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
