import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPrivateDnsZoneConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateDnsZoneTimeouts;
}
export interface DataAzurermPrivateDnsZoneTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPrivateDnsZone extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPrivateDnsZoneConfig);
    get id(): string;
    get maxNumberOfRecordSets(): number;
    get maxNumberOfVirtualNetworkLinks(): number;
    get maxNumberOfVirtualNetworkLinksWithRegistration(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get numberOfRecordSets(): number;
    private _resourceGroupName?;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    resetResourceGroupName(): void;
    get resourceGroupNameInput(): string | undefined;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermPrivateDnsZoneTimeouts;
    set timeouts(value: DataAzurermPrivateDnsZoneTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPrivateDnsZoneTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
