import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPrivateLinkServiceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateLinkServiceTimeouts;
}
export declare class DataAzurermPrivateLinkServiceNatIpConfiguration extends cdktf.ComplexComputedList {
    get name(): string;
    get primary(): boolean;
    get privateIpAddress(): string;
    get privateIpAddressVersion(): string;
    get subnetId(): string;
}
export interface DataAzurermPrivateLinkServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPrivateLinkService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPrivateLinkServiceConfig);
    get alias(): string;
    get autoApprovalSubscriptionIds(): string[];
    get enableProxyProtocol(): boolean;
    get id(): string;
    get loadBalancerFrontendIpConfigurationIds(): string[];
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    natIpConfiguration(index: string): DataAzurermPrivateLinkServiceNatIpConfiguration;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get visibilitySubscriptionIds(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermPrivateLinkServiceTimeouts;
    set timeouts(value: DataAzurermPrivateLinkServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPrivateLinkServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
