import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPublicIpPrefixConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpPrefixTimeouts;
}
export interface DataAzurermPublicIpPrefixTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPublicIpPrefix extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpPrefixConfig);
    get id(): string;
    get ipPrefix(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get prefixLength(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermPublicIpPrefixTimeouts;
    set timeouts(value: DataAzurermPublicIpPrefixTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPublicIpPrefixTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
