import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPublicIpConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpTimeouts;
}
export interface DataAzurermPublicIpTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPublicIp extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpConfig);
    get allocationMethod(): string;
    get domainNameLabel(): string;
    get fqdn(): string;
    get id(): string;
    get idleTimeoutInMinutes(): number;
    get ipAddress(): string;
    get ipVersion(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get reverseFqdn(): string;
    get sku(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermPublicIpTimeouts;
    set timeouts(value: DataAzurermPublicIpTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPublicIpTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
