import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermPublicIpsConfig extends cdktf.TerraformMetaArguments {
    readonly allocationType?: string;
    readonly attached?: boolean;
    readonly namePrefix?: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpsTimeouts;
}
export declare class DataAzurermPublicIpsPublicIps extends cdktf.ComplexComputedList {
    get domainNameLabel(): string;
    get fqdn(): string;
    get id(): string;
    get ipAddress(): string;
    get name(): string;
}
export interface DataAzurermPublicIpsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermPublicIps extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpsConfig);
    private _allocationType?;
    get allocationType(): string;
    set allocationType(value: string);
    resetAllocationType(): void;
    get allocationTypeInput(): string | undefined;
    private _attached?;
    get attached(): boolean;
    set attached(value: boolean);
    resetAttached(): void;
    get attachedInput(): boolean | undefined;
    get id(): string;
    private _namePrefix?;
    get namePrefix(): string;
    set namePrefix(value: string);
    resetNamePrefix(): void;
    get namePrefixInput(): string | undefined;
    publicIps(index: string): DataAzurermPublicIpsPublicIps;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermPublicIpsTimeouts;
    set timeouts(value: DataAzurermPublicIpsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermPublicIpsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
