import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermResourcesConfig extends cdktf.TerraformMetaArguments {
    readonly name?: string;
    readonly requiredTags?: {
        [key: string]: string;
    };
    readonly resourceGroupName?: string;
    readonly type?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermResourcesTimeouts;
}
export declare class DataAzurermResourcesResources extends cdktf.ComplexComputedList {
    get id(): string;
    get location(): string;
    get name(): string;
    get tags(): any;
    get type(): string;
}
export interface DataAzurermResourcesTimeouts {
    readonly read?: string;
}
export declare class DataAzurermResources extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermResourcesConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _requiredTags?;
    get requiredTags(): {
        [key: string]: string;
    };
    set requiredTags(value: {
        [key: string]: string;
    });
    resetRequiredTags(): void;
    get requiredTagsInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName?;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    resetResourceGroupName(): void;
    get resourceGroupNameInput(): string | undefined;
    resources(index: string): DataAzurermResourcesResources;
    private _type?;
    get type(): string;
    set type(value: string);
    resetType(): void;
    get typeInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermResourcesTimeouts;
    set timeouts(value: DataAzurermResourcesTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermResourcesTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
