import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermRoleDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly name?: string;
    readonly roleDefinitionId?: string;
    readonly scope?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRoleDefinitionTimeouts;
}
export declare class DataAzurermRoleDefinitionPermissions extends cdktf.ComplexComputedList {
    get actions(): string[];
    get dataActions(): string[];
    get notActions(): string[];
    get notDataActions(): string[];
}
export interface DataAzurermRoleDefinitionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermRoleDefinition extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermRoleDefinitionConfig);
    get assignableScopes(): string[];
    get description(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    permissions(index: string): DataAzurermRoleDefinitionPermissions;
    private _roleDefinitionId?;
    get roleDefinitionId(): string;
    set roleDefinitionId(value: string);
    resetRoleDefinitionId(): void;
    get roleDefinitionIdInput(): string | undefined;
    private _scope?;
    get scope(): string;
    set scope(value: string);
    resetScope(): void;
    get scopeInput(): string | undefined;
    get type(): string;
    private _timeouts?;
    get timeouts(): DataAzurermRoleDefinitionTimeouts;
    set timeouts(value: DataAzurermRoleDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermRoleDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
