import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermRouteFilterConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRouteFilterTimeouts;
}
export declare class DataAzurermRouteFilterRule extends cdktf.ComplexComputedList {
    get access(): string;
    get communities(): string[];
    get name(): string;
    get ruleType(): string;
}
export interface DataAzurermRouteFilterTimeouts {
    readonly read?: string;
}
export declare class DataAzurermRouteFilter extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermRouteFilterConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    rule(index: string): DataAzurermRouteFilterRule;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermRouteFilterTimeouts;
    set timeouts(value: DataAzurermRouteFilterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermRouteFilterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
