import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermRouteTableConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRouteTableTimeouts;
}
export declare class DataAzurermRouteTableRoute extends cdktf.ComplexComputedList {
    get addressPrefix(): string;
    get name(): string;
    get nextHopInIpAddress(): string;
    get nextHopType(): string;
}
export interface DataAzurermRouteTableTimeouts {
    readonly read?: string;
}
export declare class DataAzurermRouteTable extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermRouteTableConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    route(index: string): DataAzurermRouteTableRoute;
    get subnets(): string[];
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermRouteTableTimeouts;
    set timeouts(value: DataAzurermRouteTableTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermRouteTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
