import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermServicebusNamespaceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermServicebusNamespaceTimeouts;
}
export interface DataAzurermServicebusNamespaceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermServicebusNamespace extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermServicebusNamespaceConfig);
    get capacity(): number;
    get defaultPrimaryConnectionString(): string;
    get defaultPrimaryKey(): string;
    get defaultSecondaryConnectionString(): string;
    get defaultSecondaryKey(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    get zoneRedundant(): boolean;
    private _timeouts?;
    get timeouts(): DataAzurermServicebusNamespaceTimeouts;
    set timeouts(value: DataAzurermServicebusNamespaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermServicebusNamespaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
