import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermServicebusSubscriptionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly topicName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermServicebusSubscriptionTimeouts;
}
export interface DataAzurermServicebusSubscriptionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermServicebusSubscription extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermServicebusSubscriptionConfig);
    get autoDeleteOnIdle(): string;
    get deadLetteringOnFilterEvaluationError(): boolean;
    get deadLetteringOnMessageExpiration(): boolean;
    get defaultMessageTtl(): string;
    get enableBatchedOperations(): boolean;
    get forwardDeadLetteredMessagesTo(): string;
    get forwardTo(): string;
    get id(): string;
    get lockDuration(): string;
    get maxDeliveryCount(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    get requiresSession(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _topicName;
    get topicName(): string;
    set topicName(value: string);
    get topicNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermServicebusSubscriptionTimeouts;
    set timeouts(value: DataAzurermServicebusSubscriptionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermServicebusSubscriptionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
