import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSharedImageVersionConfig extends cdktf.TerraformMetaArguments {
    readonly galleryName: string;
    readonly imageName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSharedImageVersionTimeouts;
}
export declare class DataAzurermSharedImageVersionTargetRegion extends cdktf.ComplexComputedList {
    get name(): string;
    get regionalReplicaCount(): number;
    get storageAccountType(): string;
}
export interface DataAzurermSharedImageVersionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSharedImageVersion extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageVersionConfig);
    get excludeFromLatest(): boolean;
    private _galleryName;
    get galleryName(): string;
    set galleryName(value: string);
    get galleryNameInput(): string;
    get id(): string;
    private _imageName;
    get imageName(): string;
    set imageName(value: string);
    get imageNameInput(): string;
    get location(): string;
    get managedImageId(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get osDiskImageSizeGb(): number;
    get osDiskSnapshotId(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    targetRegion(index: string): DataAzurermSharedImageVersionTargetRegion;
    private _timeouts?;
    get timeouts(): DataAzurermSharedImageVersionTimeouts;
    set timeouts(value: DataAzurermSharedImageVersionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSharedImageVersionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
