import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSharedImageVersionsConfig extends cdktf.TerraformMetaArguments {
    readonly galleryName: string;
    readonly imageName: string;
    readonly resourceGroupName: string;
    readonly tagsFilter?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSharedImageVersionsTimeouts;
}
export declare class DataAzurermSharedImageVersionsImagesTargetRegion extends cdktf.ComplexComputedList {
    get name(): string;
    get regionalReplicaCount(): number;
    get storageAccountType(): string;
}
export declare class DataAzurermSharedImageVersionsImages extends cdktf.ComplexComputedList {
    get excludeFromLatest(): boolean;
    get location(): string;
    get managedImageId(): string;
    get name(): string;
    get tags(): any;
    get targetRegion(): any;
}
export interface DataAzurermSharedImageVersionsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSharedImageVersions extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageVersionsConfig);
    private _galleryName;
    get galleryName(): string;
    set galleryName(value: string);
    get galleryNameInput(): string;
    get id(): string;
    private _imageName;
    get imageName(): string;
    set imageName(value: string);
    get imageNameInput(): string;
    images(index: string): DataAzurermSharedImageVersionsImages;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tagsFilter?;
    get tagsFilter(): {
        [key: string]: string;
    };
    set tagsFilter(value: {
        [key: string]: string;
    });
    resetTagsFilter(): void;
    get tagsFilterInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermSharedImageVersionsTimeouts;
    set timeouts(value: DataAzurermSharedImageVersionsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSharedImageVersionsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
