import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSharedImageConfig extends cdktf.TerraformMetaArguments {
    readonly galleryName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSharedImageTimeouts;
}
export declare class DataAzurermSharedImageIdentifier extends cdktf.ComplexComputedList {
    get offer(): string;
    get publisher(): string;
    get sku(): string;
}
export interface DataAzurermSharedImageTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSharedImage extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageConfig);
    get description(): string;
    get eula(): string;
    private _galleryName;
    get galleryName(): string;
    set galleryName(value: string);
    get galleryNameInput(): string;
    get hyperVGeneration(): string;
    get id(): string;
    identifier(index: string): DataAzurermSharedImageIdentifier;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get osType(): string;
    get privacyStatementUri(): string;
    get releaseNoteUri(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get specialized(): boolean;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermSharedImageTimeouts;
    set timeouts(value: DataAzurermSharedImageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSharedImageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
