import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSignalrServiceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSignalrServiceTimeouts;
}
export interface DataAzurermSignalrServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSignalrService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSignalrServiceConfig);
    get hostname(): string;
    get id(): string;
    get ipAddress(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    get primaryConnectionString(): string;
    get publicPort(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    get secondaryConnectionString(): string;
    get serverPort(): number;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermSignalrServiceTimeouts;
    set timeouts(value: DataAzurermSignalrServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSignalrServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
