import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSnapshotConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSnapshotTimeouts;
}
export declare class DataAzurermSnapshotEncryptionSettingsDiskEncryptionKey extends cdktf.ComplexComputedList {
    get secretUrl(): string;
    get sourceVaultId(): string;
}
export declare class DataAzurermSnapshotEncryptionSettingsKeyEncryptionKey extends cdktf.ComplexComputedList {
    get keyUrl(): string;
    get sourceVaultId(): string;
}
export declare class DataAzurermSnapshotEncryptionSettings extends cdktf.ComplexComputedList {
    get diskEncryptionKey(): any;
    get enabled(): boolean;
    get keyEncryptionKey(): any;
}
export interface DataAzurermSnapshotTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSnapshot extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSnapshotConfig);
    get creationOption(): string;
    get diskSizeGb(): number;
    encryptionSettings(index: string): DataAzurermSnapshotEncryptionSettings;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get osType(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sourceResourceId(): string;
    get sourceUri(): string;
    get storageAccountId(): string;
    get timeCreated(): string;
    private _timeouts?;
    get timeouts(): DataAzurermSnapshotTimeouts;
    set timeouts(value: DataAzurermSnapshotTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSnapshotTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
