import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSpringCloudServiceConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSpringCloudServiceTimeouts;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingHttpBasicAuth extends cdktf.ComplexComputedList {
    get password(): string;
    get username(): string;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepositoryHttpBasicAuth extends cdktf.ComplexComputedList {
    get password(): string;
    get username(): string;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepositorySshAuth extends cdktf.ComplexComputedList {
    get hostKey(): string;
    get hostKeyAlgorithm(): string;
    get privateKey(): string;
    get strictHostKeyCheckingEnabled(): boolean;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepository extends cdktf.ComplexComputedList {
    get httpBasicAuth(): any;
    get label(): string;
    get name(): string;
    get pattern(): string[];
    get searchPaths(): string[];
    get sshAuth(): any;
    get uri(): string;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingSshAuth extends cdktf.ComplexComputedList {
    get hostKey(): string;
    get hostKeyAlgorithm(): string;
    get privateKey(): string;
    get strictHostKeyCheckingEnabled(): boolean;
}
export declare class DataAzurermSpringCloudServiceConfigServerGitSetting extends cdktf.ComplexComputedList {
    get httpBasicAuth(): any;
    get label(): string;
    get repository(): any;
    get searchPaths(): string[];
    get sshAuth(): any;
    get uri(): string;
}
export interface DataAzurermSpringCloudServiceTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSpringCloudService extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSpringCloudServiceConfig);
    configServerGitSetting(index: string): DataAzurermSpringCloudServiceConfigServerGitSetting;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outboundPublicIpAddresses(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermSpringCloudServiceTimeouts;
    set timeouts(value: DataAzurermSpringCloudServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSpringCloudServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
