import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSqlDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSqlDatabaseTimeouts;
}
export interface DataAzurermSqlDatabaseTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSqlDatabase extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSqlDatabaseConfig);
    get collation(): string;
    get defaultSecondaryLocation(): string;
    get edition(): string;
    get elasticPoolName(): string;
    get failoverGroupId(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get readScale(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermSqlDatabaseTimeouts;
    set timeouts(value: DataAzurermSqlDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSqlDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
