import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSqlServerTimeouts;
}
export declare class DataAzurermSqlServerIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermSqlServerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSqlServer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSqlServerConfig);
    get administratorLogin(): string;
    get fqdn(): string;
    get id(): string;
    identity(index: string): DataAzurermSqlServerIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): DataAzurermSqlServerTimeouts;
    set timeouts(value: DataAzurermSqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
