import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageAccountBlobContainerSasConfig extends cdktf.TerraformMetaArguments {
    readonly cacheControl?: string;
    readonly connectionString: string;
    readonly containerName: string;
    readonly contentDisposition?: string;
    readonly contentEncoding?: string;
    readonly contentLanguage?: string;
    readonly contentType?: string;
    readonly expiry: string;
    readonly httpsOnly?: boolean;
    readonly ipAddress?: string;
    readonly start: string;
    /**
     * permissions block.
     */
    readonly permissions: DataAzurermStorageAccountBlobContainerSasPermissions[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageAccountBlobContainerSasTimeouts;
}
export interface DataAzurermStorageAccountBlobContainerSasPermissions {
    readonly add: boolean;
    readonly create: boolean;
    readonly delete: boolean;
    readonly list: boolean;
    readonly read: boolean;
    readonly write: boolean;
}
export interface DataAzurermStorageAccountBlobContainerSasTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageAccountBlobContainerSas extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountBlobContainerSasConfig);
    private _cacheControl?;
    get cacheControl(): string;
    set cacheControl(value: string);
    resetCacheControl(): void;
    get cacheControlInput(): string | undefined;
    private _connectionString;
    get connectionString(): string;
    set connectionString(value: string);
    get connectionStringInput(): string;
    private _containerName;
    get containerName(): string;
    set containerName(value: string);
    get containerNameInput(): string;
    private _contentDisposition?;
    get contentDisposition(): string;
    set contentDisposition(value: string);
    resetContentDisposition(): void;
    get contentDispositionInput(): string | undefined;
    private _contentEncoding?;
    get contentEncoding(): string;
    set contentEncoding(value: string);
    resetContentEncoding(): void;
    get contentEncodingInput(): string | undefined;
    private _contentLanguage?;
    get contentLanguage(): string;
    set contentLanguage(value: string);
    resetContentLanguage(): void;
    get contentLanguageInput(): string | undefined;
    private _contentType?;
    get contentType(): string;
    set contentType(value: string);
    resetContentType(): void;
    get contentTypeInput(): string | undefined;
    private _expiry;
    get expiry(): string;
    set expiry(value: string);
    get expiryInput(): string;
    private _httpsOnly?;
    get httpsOnly(): boolean;
    set httpsOnly(value: boolean);
    resetHttpsOnly(): void;
    get httpsOnlyInput(): boolean | undefined;
    get id(): string;
    private _ipAddress?;
    get ipAddress(): string;
    set ipAddress(value: string);
    resetIpAddress(): void;
    get ipAddressInput(): string | undefined;
    get sas(): string;
    private _start;
    get start(): string;
    set start(value: string);
    get startInput(): string;
    private _permissions;
    get permissions(): DataAzurermStorageAccountBlobContainerSasPermissions[];
    set permissions(value: DataAzurermStorageAccountBlobContainerSasPermissions[]);
    get permissionsInput(): DataAzurermStorageAccountBlobContainerSasPermissions[];
    private _timeouts?;
    get timeouts(): DataAzurermStorageAccountBlobContainerSasTimeouts;
    set timeouts(value: DataAzurermStorageAccountBlobContainerSasTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageAccountBlobContainerSasTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
