import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageAccountSasConfig extends cdktf.TerraformMetaArguments {
    readonly connectionString: string;
    readonly expiry: string;
    readonly httpsOnly?: boolean;
    readonly signedVersion?: string;
    readonly start: string;
    /**
     * permissions block.
     */
    readonly permissions: DataAzurermStorageAccountSasPermissions[];
    /**
     * resource_types block.
     */
    readonly resourceTypes: DataAzurermStorageAccountSasResourceTypes[];
    /**
     * services block.
     */
    readonly services: DataAzurermStorageAccountSasServices[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageAccountSasTimeouts;
}
export interface DataAzurermStorageAccountSasPermissions {
    readonly add: boolean;
    readonly create: boolean;
    readonly delete: boolean;
    readonly list: boolean;
    readonly process: boolean;
    readonly read: boolean;
    readonly update: boolean;
    readonly write: boolean;
}
export interface DataAzurermStorageAccountSasResourceTypes {
    readonly container: boolean;
    readonly object: boolean;
    readonly service: boolean;
}
export interface DataAzurermStorageAccountSasServices {
    readonly blob: boolean;
    readonly file: boolean;
    readonly queue: boolean;
    readonly table: boolean;
}
export interface DataAzurermStorageAccountSasTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageAccountSas extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountSasConfig);
    private _connectionString;
    get connectionString(): string;
    set connectionString(value: string);
    get connectionStringInput(): string;
    private _expiry;
    get expiry(): string;
    set expiry(value: string);
    get expiryInput(): string;
    private _httpsOnly?;
    get httpsOnly(): boolean;
    set httpsOnly(value: boolean);
    resetHttpsOnly(): void;
    get httpsOnlyInput(): boolean | undefined;
    get id(): string;
    get sas(): string;
    private _signedVersion?;
    get signedVersion(): string;
    set signedVersion(value: string);
    resetSignedVersion(): void;
    get signedVersionInput(): string | undefined;
    private _start;
    get start(): string;
    set start(value: string);
    get startInput(): string;
    private _permissions;
    get permissions(): DataAzurermStorageAccountSasPermissions[];
    set permissions(value: DataAzurermStorageAccountSasPermissions[]);
    get permissionsInput(): DataAzurermStorageAccountSasPermissions[];
    private _resourceTypes;
    get resourceTypes(): DataAzurermStorageAccountSasResourceTypes[];
    set resourceTypes(value: DataAzurermStorageAccountSasResourceTypes[]);
    get resourceTypesInput(): DataAzurermStorageAccountSasResourceTypes[];
    private _services;
    get services(): DataAzurermStorageAccountSasServices[];
    set services(value: DataAzurermStorageAccountSasServices[]);
    get servicesInput(): DataAzurermStorageAccountSasServices[];
    private _timeouts?;
    get timeouts(): DataAzurermStorageAccountSasTimeouts;
    set timeouts(value: DataAzurermStorageAccountSasTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageAccountSasTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
