import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageContainerConfig extends cdktf.TerraformMetaArguments {
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageContainerTimeouts;
}
export interface DataAzurermStorageContainerTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageContainer extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageContainerConfig);
    get containerAccessType(): string;
    get hasImmutabilityPolicy(): boolean;
    get hasLegalHold(): boolean;
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get resourceManagerId(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermStorageContainerTimeouts;
    set timeouts(value: DataAzurermStorageContainerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageContainerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
