import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageEncryptionScopeConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageEncryptionScopeTimeouts;
}
export interface DataAzurermStorageEncryptionScopeTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageEncryptionScope extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageEncryptionScopeConfig);
    get id(): string;
    get keyVaultKeyId(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get source(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermStorageEncryptionScopeTimeouts;
    set timeouts(value: DataAzurermStorageEncryptionScopeTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageEncryptionScopeTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
