import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageManagementPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageManagementPolicyTimeouts;
}
export declare class DataAzurermStorageManagementPolicyRuleActionsBaseBlob extends cdktf.ComplexComputedList {
    get deleteAfterDaysSinceModificationGreaterThan(): number;
    get tierToArchiveAfterDaysSinceModificationGreaterThan(): number;
    get tierToCoolAfterDaysSinceModificationGreaterThan(): number;
}
export declare class DataAzurermStorageManagementPolicyRuleActionsSnapshot extends cdktf.ComplexComputedList {
    get deleteAfterDaysSinceCreationGreaterThan(): number;
}
export declare class DataAzurermStorageManagementPolicyRuleActions extends cdktf.ComplexComputedList {
    get baseBlob(): any;
    get snapshot(): any;
}
export declare class DataAzurermStorageManagementPolicyRuleFilters extends cdktf.ComplexComputedList {
    get blobTypes(): string[];
    get prefixMatch(): string[];
}
export declare class DataAzurermStorageManagementPolicyRule extends cdktf.ComplexComputedList {
    get actions(): any;
    get enabled(): boolean;
    get filters(): any;
    get name(): string;
}
export interface DataAzurermStorageManagementPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageManagementPolicy extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageManagementPolicyConfig);
    get id(): string;
    rule(index: string): DataAzurermStorageManagementPolicyRule;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermStorageManagementPolicyTimeouts;
    set timeouts(value: DataAzurermStorageManagementPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageManagementPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
