import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStorageSyncConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageSyncTimeouts;
}
export interface DataAzurermStorageSyncTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStorageSync extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStorageSyncConfig);
    get id(): string;
    get incomingTrafficPolicy(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    tags(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermStorageSyncTimeouts;
    set timeouts(value: DataAzurermStorageSyncTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStorageSyncTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
