import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermStreamAnalyticsJobConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStreamAnalyticsJobTimeouts;
}
export interface DataAzurermStreamAnalyticsJobTimeouts {
    readonly read?: string;
}
export declare class DataAzurermStreamAnalyticsJob extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermStreamAnalyticsJobConfig);
    get compatibilityLevel(): string;
    get dataLocale(): string;
    get eventsLateArrivalMaxDelayInSeconds(): number;
    get eventsOutOfOrderMaxDelayInSeconds(): number;
    get eventsOutOfOrderPolicy(): string;
    get id(): string;
    get jobId(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outputErrorPolicy(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get streamingUnits(): number;
    get transformationQuery(): string;
    private _timeouts?;
    get timeouts(): DataAzurermStreamAnalyticsJobTimeouts;
    set timeouts(value: DataAzurermStreamAnalyticsJobTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermStreamAnalyticsJobTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
