import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSubnetConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly virtualNetworkName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubnetTimeouts;
}
export interface DataAzurermSubnetTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSubnet extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermSubnetConfig);
    get addressPrefix(): string;
    get addressPrefixes(): string[];
    get enforcePrivateLinkEndpointNetworkPolicies(): boolean;
    get enforcePrivateLinkServiceNetworkPolicies(): boolean;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get networkSecurityGroupId(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get routeTableId(): string;
    get serviceEndpoints(): string[];
    private _virtualNetworkName;
    get virtualNetworkName(): string;
    set virtualNetworkName(value: string);
    get virtualNetworkNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermSubnetTimeouts;
    set timeouts(value: DataAzurermSubnetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSubnetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
