import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSubscriptionConfig extends cdktf.TerraformMetaArguments {
    readonly subscriptionId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubscriptionTimeouts;
}
export interface DataAzurermSubscriptionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSubscription extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermSubscriptionConfig);
    get displayName(): string;
    get id(): string;
    get locationPlacementId(): string;
    get quotaId(): string;
    get spendingLimit(): string;
    get state(): string;
    private _subscriptionId?;
    get subscriptionId(): string;
    set subscriptionId(value: string);
    resetSubscriptionId(): void;
    get subscriptionIdInput(): string | undefined;
    get tenantId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermSubscriptionTimeouts;
    set timeouts(value: DataAzurermSubscriptionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSubscriptionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
