import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermSubscriptionsConfig extends cdktf.TerraformMetaArguments {
    readonly displayNameContains?: string;
    readonly displayNamePrefix?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubscriptionsTimeouts;
}
export declare class DataAzurermSubscriptionsSubscriptions extends cdktf.ComplexComputedList {
    get displayName(): string;
    get locationPlacementId(): string;
    get quotaId(): string;
    get spendingLimit(): string;
    get state(): string;
    get subscriptionId(): string;
    get tenantId(): string;
}
export interface DataAzurermSubscriptionsTimeouts {
    readonly read?: string;
}
export declare class DataAzurermSubscriptions extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAzurermSubscriptionsConfig);
    private _displayNameContains?;
    get displayNameContains(): string;
    set displayNameContains(value: string);
    resetDisplayNameContains(): void;
    get displayNameContainsInput(): string | undefined;
    private _displayNamePrefix?;
    get displayNamePrefix(): string;
    set displayNamePrefix(value: string);
    resetDisplayNamePrefix(): void;
    get displayNamePrefixInput(): string | undefined;
    get id(): string;
    subscriptions(index: string): DataAzurermSubscriptionsSubscriptions;
    private _timeouts?;
    get timeouts(): DataAzurermSubscriptionsTimeouts;
    set timeouts(value: DataAzurermSubscriptionsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermSubscriptionsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
