import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermTrafficManagerProfileConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermTrafficManagerProfileTimeouts;
}
export declare class DataAzurermTrafficManagerProfileDnsConfig extends cdktf.ComplexComputedList {
    get relativeName(): string;
    get ttl(): number;
}
export declare class DataAzurermTrafficManagerProfileMonitorConfigCustomHeader extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataAzurermTrafficManagerProfileMonitorConfig extends cdktf.ComplexComputedList {
    get customHeader(): any;
    get expectedStatusCodeRanges(): string[];
    get intervalInSeconds(): number;
    get path(): string;
    get port(): number;
    get protocol(): string;
    get timeoutInSeconds(): number;
    get toleratedNumberOfFailures(): number;
}
export interface DataAzurermTrafficManagerProfileTimeouts {
    readonly read?: string;
}
export declare class DataAzurermTrafficManagerProfile extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermTrafficManagerProfileConfig);
    dnsConfig(index: string): DataAzurermTrafficManagerProfileDnsConfig;
    get fqdn(): string;
    get id(): string;
    monitorConfig(index: string): DataAzurermTrafficManagerProfileMonitorConfig;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get profileStatus(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get trafficRoutingMethod(): string;
    private _timeouts?;
    get timeouts(): DataAzurermTrafficManagerProfileTimeouts;
    set timeouts(value: DataAzurermTrafficManagerProfileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermTrafficManagerProfileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
