import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualMachineScaleSetTimeouts;
}
export declare class DataAzurermVirtualMachineScaleSetIdentity extends cdktf.ComplexComputedList {
    get identityIds(): string[];
    get principalId(): string;
    get type(): string;
}
export interface DataAzurermVirtualMachineScaleSetTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualMachineScaleSet extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualMachineScaleSetConfig);
    get id(): string;
    identity(index: string): DataAzurermVirtualMachineScaleSetIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermVirtualMachineScaleSetTimeouts;
    set timeouts(value: DataAzurermVirtualMachineScaleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualMachineScaleSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
