import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualMachineConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualMachineTimeouts;
}
export declare class DataAzurermVirtualMachineIdentity extends cdktf.ComplexComputedList {
    get identityIds(): string[];
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface DataAzurermVirtualMachineTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualMachine extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualMachineConfig);
    get id(): string;
    identity(index: string): DataAzurermVirtualMachineIdentity;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataAzurermVirtualMachineTimeouts;
    set timeouts(value: DataAzurermVirtualMachineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualMachineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
