import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualNetworkGatewayConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayConnectionTimeouts;
}
export declare class DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy extends cdktf.ComplexComputedList {
    get dhGroup(): string;
    get ikeEncryption(): string;
    get ikeIntegrity(): string;
    get ipsecEncryption(): string;
    get ipsecIntegrity(): string;
    get pfsGroup(): string;
    get saDatasize(): number;
    get saLifetime(): number;
}
export declare class DataAzurermVirtualNetworkGatewayConnectionTrafficSelectorPolicy extends cdktf.ComplexComputedList {
    get localAddressCidrs(): string[];
    get remoteAddressCidrs(): string[];
}
export interface DataAzurermVirtualNetworkGatewayConnectionTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualNetworkGatewayConnection extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConnectionConfig);
    get authorizationKey(): string;
    get connectionProtocol(): string;
    get dpdTimeoutSeconds(): number;
    get egressBytesTransferred(): number;
    get enableBgp(): boolean;
    get expressRouteCircuitId(): string;
    get expressRouteGatewayBypass(): boolean;
    get id(): string;
    get ingressBytesTransferred(): number;
    ipsecPolicy(index: string): DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy;
    get localAzureIpAddressEnabled(): boolean;
    get localNetworkGatewayId(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get peerVirtualNetworkGatewayId(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get resourceGuid(): string;
    get routingWeight(): number;
    get sharedKey(): string;
    tags(key: string): string;
    trafficSelectorPolicy(index: string): DataAzurermVirtualNetworkGatewayConnectionTrafficSelectorPolicy;
    get type(): string;
    get usePolicyBasedTrafficSelectors(): boolean;
    get virtualNetworkGatewayId(): string;
    private _timeouts?;
    get timeouts(): DataAzurermVirtualNetworkGatewayConnectionTimeouts;
    set timeouts(value: DataAzurermVirtualNetworkGatewayConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualNetworkGatewayConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
