import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualNetworkGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayTimeouts;
}
export declare class DataAzurermVirtualNetworkGatewayBgpSettings extends cdktf.ComplexComputedList {
    get asn(): number;
    get peerWeight(): number;
    get peeringAddress(): string;
}
export declare class DataAzurermVirtualNetworkGatewayCustomRoute extends cdktf.ComplexComputedList {
    get addressPrefixes(): string[];
}
export declare class DataAzurermVirtualNetworkGatewayIpConfiguration extends cdktf.ComplexComputedList {
    get name(): string;
    get privateIpAddressAllocation(): string;
    get publicIpAddressId(): string;
    get subnetId(): string;
}
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRevokedCertificate extends cdktf.ComplexComputedList {
    get name(): string;
    get thumbprint(): string;
}
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRootCertificate extends cdktf.ComplexComputedList {
    get name(): string;
    get publicCertData(): string;
}
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfiguration extends cdktf.ComplexComputedList {
    get aadAudience(): string;
    get aadIssuer(): string;
    get aadTenant(): string;
    get addressSpace(): string[];
    get radiusServerAddress(): string;
    get radiusServerSecret(): string;
    get revokedCertificate(): any;
    get rootCertificate(): any;
    get vpnClientProtocols(): string[];
}
export interface DataAzurermVirtualNetworkGatewayTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualNetworkGateway extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConfig);
    get activeActive(): boolean;
    bgpSettings(index: string): DataAzurermVirtualNetworkGatewayBgpSettings;
    customRoute(index: string): DataAzurermVirtualNetworkGatewayCustomRoute;
    get defaultLocalNetworkGatewayId(): string;
    get enableBgp(): boolean;
    get generation(): string;
    get id(): string;
    ipConfiguration(index: string): DataAzurermVirtualNetworkGatewayIpConfiguration;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get privateIpAddressEnabled(): boolean;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    get type(): string;
    vpnClientConfiguration(index: string): DataAzurermVirtualNetworkGatewayVpnClientConfiguration;
    get vpnType(): string;
    private _timeouts?;
    get timeouts(): DataAzurermVirtualNetworkGatewayTimeouts;
    set timeouts(value: DataAzurermVirtualNetworkGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualNetworkGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
