import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualNetworkConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualNetworkTimeouts;
}
export interface DataAzurermVirtualNetworkTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualNetwork extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkConfig);
    get addressSpace(): string[];
    get dnsServers(): string[];
    get guid(): string;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get subnets(): string[];
    vnetPeerings(key: string): string;
    private _timeouts?;
    get timeouts(): DataAzurermVirtualNetworkTimeouts;
    set timeouts(value: DataAzurermVirtualNetworkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualNetworkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
