import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermVirtualWanConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualWanTimeouts;
}
export interface DataAzurermVirtualWanTimeouts {
    readonly read?: string;
}
export declare class DataAzurermVirtualWan extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermVirtualWanConfig);
    get allowBranchToBranchTraffic(): boolean;
    get disableVpnEncryption(): boolean;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get office365LocalBreakoutCategory(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sku(): string;
    tags(key: string): string;
    get virtualHubIds(): string[];
    get vpnSiteIds(): string[];
    private _timeouts?;
    get timeouts(): DataAzurermVirtualWanTimeouts;
    set timeouts(value: DataAzurermVirtualWanTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermVirtualWanTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
