import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAzurermWebApplicationFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermWebApplicationFirewallPolicyTimeouts;
}
export interface DataAzurermWebApplicationFirewallPolicyTimeouts {
    readonly read?: string;
}
export declare class DataAzurermWebApplicationFirewallPolicy extends cdktf.TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAzurermWebApplicationFirewallPolicyConfig);
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataAzurermWebApplicationFirewallPolicyTimeouts;
    set timeouts(value: DataAzurermWebApplicationFirewallPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataAzurermWebApplicationFirewallPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
