import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryDatasetAzureBlobConfig extends cdktf.TerraformMetaArguments {
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly filename?: string;
    readonly folder?: string;
    readonly linkedServiceName: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly path?: string;
    readonly resourceGroupName: string;
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetAzureBlobSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetAzureBlobTimeouts;
}
export interface DataFactoryDatasetAzureBlobSchemaColumn {
    readonly description?: string;
    readonly name: string;
    readonly type?: string;
}
export interface DataFactoryDatasetAzureBlobTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryDatasetAzureBlob extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryDatasetAzureBlobConfig);
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _filename?;
    get filename(): string;
    set filename(value: string);
    resetFilename(): void;
    get filenameInput(): string | undefined;
    private _folder?;
    get folder(): string;
    set folder(value: string);
    resetFolder(): void;
    get folderInput(): string | undefined;
    get id(): string;
    private _linkedServiceName;
    get linkedServiceName(): string;
    set linkedServiceName(value: string);
    get linkedServiceNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _path?;
    get path(): string;
    set path(value: string);
    resetPath(): void;
    get pathInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _schemaColumn?;
    get schemaColumn(): DataFactoryDatasetAzureBlobSchemaColumn[];
    set schemaColumn(value: DataFactoryDatasetAzureBlobSchemaColumn[]);
    resetSchemaColumn(): void;
    get schemaColumnInput(): DataFactoryDatasetAzureBlobSchemaColumn[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryDatasetAzureBlobTimeouts;
    set timeouts(value: DataFactoryDatasetAzureBlobTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryDatasetAzureBlobTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
