import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryDatasetDelimitedTextConfig extends cdktf.TerraformMetaArguments {
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly columnDelimiter?: string;
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly encoding?: string;
    readonly escapeCharacter?: string;
    readonly firstRowAsHeader?: boolean;
    readonly folder?: string;
    readonly linkedServiceName: string;
    readonly name: string;
    readonly nullValue?: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly quoteCharacter?: string;
    readonly resourceGroupName: string;
    readonly rowDelimiter?: string;
    /**
     * azure_blob_storage_location block.
     */
    readonly azureBlobStorageLocation?: DataFactoryDatasetDelimitedTextAzureBlobStorageLocation[];
    /**
     * http_server_location block.
     */
    readonly httpServerLocation?: DataFactoryDatasetDelimitedTextHttpServerLocation[];
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetDelimitedTextSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetDelimitedTextTimeouts;
}
export interface DataFactoryDatasetDelimitedTextAzureBlobStorageLocation {
    readonly container: string;
    readonly filename: string;
    readonly path: string;
}
export interface DataFactoryDatasetDelimitedTextHttpServerLocation {
    readonly filename: string;
    readonly path: string;
    readonly relativeUrl: string;
}
export interface DataFactoryDatasetDelimitedTextSchemaColumn {
    readonly description?: string;
    readonly name: string;
    readonly type?: string;
}
export interface DataFactoryDatasetDelimitedTextTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryDatasetDelimitedText extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryDatasetDelimitedTextConfig);
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _columnDelimiter?;
    get columnDelimiter(): string;
    set columnDelimiter(value: string);
    resetColumnDelimiter(): void;
    get columnDelimiterInput(): string | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _encoding?;
    get encoding(): string;
    set encoding(value: string);
    resetEncoding(): void;
    get encodingInput(): string | undefined;
    private _escapeCharacter?;
    get escapeCharacter(): string;
    set escapeCharacter(value: string);
    resetEscapeCharacter(): void;
    get escapeCharacterInput(): string | undefined;
    private _firstRowAsHeader?;
    get firstRowAsHeader(): boolean;
    set firstRowAsHeader(value: boolean);
    resetFirstRowAsHeader(): void;
    get firstRowAsHeaderInput(): boolean | undefined;
    private _folder?;
    get folder(): string;
    set folder(value: string);
    resetFolder(): void;
    get folderInput(): string | undefined;
    get id(): string;
    private _linkedServiceName;
    get linkedServiceName(): string;
    set linkedServiceName(value: string);
    get linkedServiceNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _nullValue?;
    get nullValue(): string;
    set nullValue(value: string);
    resetNullValue(): void;
    get nullValueInput(): string | undefined;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _quoteCharacter?;
    get quoteCharacter(): string;
    set quoteCharacter(value: string);
    resetQuoteCharacter(): void;
    get quoteCharacterInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rowDelimiter?;
    get rowDelimiter(): string;
    set rowDelimiter(value: string);
    resetRowDelimiter(): void;
    get rowDelimiterInput(): string | undefined;
    private _azureBlobStorageLocation?;
    get azureBlobStorageLocation(): DataFactoryDatasetDelimitedTextAzureBlobStorageLocation[];
    set azureBlobStorageLocation(value: DataFactoryDatasetDelimitedTextAzureBlobStorageLocation[]);
    resetAzureBlobStorageLocation(): void;
    get azureBlobStorageLocationInput(): DataFactoryDatasetDelimitedTextAzureBlobStorageLocation[] | undefined;
    private _httpServerLocation?;
    get httpServerLocation(): DataFactoryDatasetDelimitedTextHttpServerLocation[];
    set httpServerLocation(value: DataFactoryDatasetDelimitedTextHttpServerLocation[]);
    resetHttpServerLocation(): void;
    get httpServerLocationInput(): DataFactoryDatasetDelimitedTextHttpServerLocation[] | undefined;
    private _schemaColumn?;
    get schemaColumn(): DataFactoryDatasetDelimitedTextSchemaColumn[];
    set schemaColumn(value: DataFactoryDatasetDelimitedTextSchemaColumn[]);
    resetSchemaColumn(): void;
    get schemaColumnInput(): DataFactoryDatasetDelimitedTextSchemaColumn[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryDatasetDelimitedTextTimeouts;
    set timeouts(value: DataFactoryDatasetDelimitedTextTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryDatasetDelimitedTextTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
