import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryDatasetHttpConfig extends cdktf.TerraformMetaArguments {
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly folder?: string;
    readonly linkedServiceName: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly relativeUrl?: string;
    readonly requestBody?: string;
    readonly requestMethod?: string;
    readonly resourceGroupName: string;
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetHttpSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetHttpTimeouts;
}
export interface DataFactoryDatasetHttpSchemaColumn {
    readonly description?: string;
    readonly name: string;
    readonly type?: string;
}
export interface DataFactoryDatasetHttpTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryDatasetHttp extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryDatasetHttpConfig);
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _folder?;
    get folder(): string;
    set folder(value: string);
    resetFolder(): void;
    get folderInput(): string | undefined;
    get id(): string;
    private _linkedServiceName;
    get linkedServiceName(): string;
    set linkedServiceName(value: string);
    get linkedServiceNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _relativeUrl?;
    get relativeUrl(): string;
    set relativeUrl(value: string);
    resetRelativeUrl(): void;
    get relativeUrlInput(): string | undefined;
    private _requestBody?;
    get requestBody(): string;
    set requestBody(value: string);
    resetRequestBody(): void;
    get requestBodyInput(): string | undefined;
    private _requestMethod?;
    get requestMethod(): string;
    set requestMethod(value: string);
    resetRequestMethod(): void;
    get requestMethodInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _schemaColumn?;
    get schemaColumn(): DataFactoryDatasetHttpSchemaColumn[];
    set schemaColumn(value: DataFactoryDatasetHttpSchemaColumn[]);
    resetSchemaColumn(): void;
    get schemaColumnInput(): DataFactoryDatasetHttpSchemaColumn[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryDatasetHttpTimeouts;
    set timeouts(value: DataFactoryDatasetHttpTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryDatasetHttpTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
