import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryDatasetJsonConfig extends cdktf.TerraformMetaArguments {
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly encoding?: string;
    readonly folder?: string;
    readonly linkedServiceName: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    /**
     * azure_blob_storage_location block.
     */
    readonly azureBlobStorageLocation?: DataFactoryDatasetJsonAzureBlobStorageLocation[];
    /**
     * http_server_location block.
     */
    readonly httpServerLocation?: DataFactoryDatasetJsonHttpServerLocation[];
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetJsonSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetJsonTimeouts;
}
export interface DataFactoryDatasetJsonAzureBlobStorageLocation {
    readonly container: string;
    readonly filename: string;
    readonly path: string;
}
export interface DataFactoryDatasetJsonHttpServerLocation {
    readonly filename: string;
    readonly path: string;
    readonly relativeUrl: string;
}
export interface DataFactoryDatasetJsonSchemaColumn {
    readonly description?: string;
    readonly name: string;
    readonly type?: string;
}
export interface DataFactoryDatasetJsonTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryDatasetJson extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryDatasetJsonConfig);
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _encoding?;
    get encoding(): string;
    set encoding(value: string);
    resetEncoding(): void;
    get encodingInput(): string | undefined;
    private _folder?;
    get folder(): string;
    set folder(value: string);
    resetFolder(): void;
    get folderInput(): string | undefined;
    get id(): string;
    private _linkedServiceName;
    get linkedServiceName(): string;
    set linkedServiceName(value: string);
    get linkedServiceNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _azureBlobStorageLocation?;
    get azureBlobStorageLocation(): DataFactoryDatasetJsonAzureBlobStorageLocation[];
    set azureBlobStorageLocation(value: DataFactoryDatasetJsonAzureBlobStorageLocation[]);
    resetAzureBlobStorageLocation(): void;
    get azureBlobStorageLocationInput(): DataFactoryDatasetJsonAzureBlobStorageLocation[] | undefined;
    private _httpServerLocation?;
    get httpServerLocation(): DataFactoryDatasetJsonHttpServerLocation[];
    set httpServerLocation(value: DataFactoryDatasetJsonHttpServerLocation[]);
    resetHttpServerLocation(): void;
    get httpServerLocationInput(): DataFactoryDatasetJsonHttpServerLocation[] | undefined;
    private _schemaColumn?;
    get schemaColumn(): DataFactoryDatasetJsonSchemaColumn[];
    set schemaColumn(value: DataFactoryDatasetJsonSchemaColumn[]);
    resetSchemaColumn(): void;
    get schemaColumnInput(): DataFactoryDatasetJsonSchemaColumn[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryDatasetJsonTimeouts;
    set timeouts(value: DataFactoryDatasetJsonTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryDatasetJsonTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
