import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryIntegrationRuntimeManagedConfig extends cdktf.TerraformMetaArguments {
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly edition?: string;
    readonly licenseType?: string;
    readonly location: string;
    readonly maxParallelExecutionsPerNode?: number;
    readonly name: string;
    readonly nodeSize: string;
    readonly numberOfNodes?: number;
    readonly resourceGroupName: string;
    /**
     * catalog_info block.
     */
    readonly catalogInfo?: DataFactoryIntegrationRuntimeManagedCatalogInfo[];
    /**
     * custom_setup_script block.
     */
    readonly customSetupScript?: DataFactoryIntegrationRuntimeManagedCustomSetupScript[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryIntegrationRuntimeManagedTimeouts;
    /**
     * vnet_integration block.
     */
    readonly vnetIntegration?: DataFactoryIntegrationRuntimeManagedVnetIntegration[];
}
export interface DataFactoryIntegrationRuntimeManagedCatalogInfo {
    readonly administratorLogin: string;
    readonly administratorPassword: string;
    readonly pricingTier?: string;
    readonly serverEndpoint: string;
}
export interface DataFactoryIntegrationRuntimeManagedCustomSetupScript {
    readonly blobContainerUri: string;
    readonly sasToken: string;
}
export interface DataFactoryIntegrationRuntimeManagedTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface DataFactoryIntegrationRuntimeManagedVnetIntegration {
    readonly subnetName: string;
    readonly vnetId: string;
}
export declare class DataFactoryIntegrationRuntimeManaged extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryIntegrationRuntimeManagedConfig);
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _edition?;
    get edition(): string;
    set edition(value: string);
    resetEdition(): void;
    get editionInput(): string | undefined;
    get id(): string;
    private _licenseType?;
    get licenseType(): string;
    set licenseType(value: string);
    resetLicenseType(): void;
    get licenseTypeInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maxParallelExecutionsPerNode?;
    get maxParallelExecutionsPerNode(): number;
    set maxParallelExecutionsPerNode(value: number);
    resetMaxParallelExecutionsPerNode(): void;
    get maxParallelExecutionsPerNodeInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _nodeSize;
    get nodeSize(): string;
    set nodeSize(value: string);
    get nodeSizeInput(): string;
    private _numberOfNodes?;
    get numberOfNodes(): number;
    set numberOfNodes(value: number);
    resetNumberOfNodes(): void;
    get numberOfNodesInput(): number | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _catalogInfo?;
    get catalogInfo(): DataFactoryIntegrationRuntimeManagedCatalogInfo[];
    set catalogInfo(value: DataFactoryIntegrationRuntimeManagedCatalogInfo[]);
    resetCatalogInfo(): void;
    get catalogInfoInput(): DataFactoryIntegrationRuntimeManagedCatalogInfo[] | undefined;
    private _customSetupScript?;
    get customSetupScript(): DataFactoryIntegrationRuntimeManagedCustomSetupScript[];
    set customSetupScript(value: DataFactoryIntegrationRuntimeManagedCustomSetupScript[]);
    resetCustomSetupScript(): void;
    get customSetupScriptInput(): DataFactoryIntegrationRuntimeManagedCustomSetupScript[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryIntegrationRuntimeManagedTimeouts;
    set timeouts(value: DataFactoryIntegrationRuntimeManagedTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryIntegrationRuntimeManagedTimeouts | undefined;
    private _vnetIntegration?;
    get vnetIntegration(): DataFactoryIntegrationRuntimeManagedVnetIntegration[];
    set vnetIntegration(value: DataFactoryIntegrationRuntimeManagedVnetIntegration[]);
    resetVnetIntegration(): void;
    get vnetIntegrationInput(): DataFactoryIntegrationRuntimeManagedVnetIntegration[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
