import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryIntegrationRuntimeSelfHostedConfig extends cdktf.TerraformMetaArguments {
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * rbac_authorization block.
     */
    readonly rbacAuthorization?: DataFactoryIntegrationRuntimeSelfHostedRbacAuthorization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryIntegrationRuntimeSelfHostedTimeouts;
}
export interface DataFactoryIntegrationRuntimeSelfHostedRbacAuthorization {
    readonly resourceId: string;
}
export interface DataFactoryIntegrationRuntimeSelfHostedTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryIntegrationRuntimeSelfHosted extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryIntegrationRuntimeSelfHostedConfig);
    get authKey1(): string;
    get authKey2(): string;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rbacAuthorization?;
    get rbacAuthorization(): DataFactoryIntegrationRuntimeSelfHostedRbacAuthorization[];
    set rbacAuthorization(value: DataFactoryIntegrationRuntimeSelfHostedRbacAuthorization[]);
    resetRbacAuthorization(): void;
    get rbacAuthorizationInput(): DataFactoryIntegrationRuntimeSelfHostedRbacAuthorization[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryIntegrationRuntimeSelfHostedTimeouts;
    set timeouts(value: DataFactoryIntegrationRuntimeSelfHostedTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryIntegrationRuntimeSelfHostedTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
