import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryLinkedServiceCosmosdbConfig extends cdktf.TerraformMetaArguments {
    readonly accountEndpoint?: string;
    readonly accountKey?: string;
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly connectionString?: string;
    readonly dataFactoryName: string;
    readonly database?: string;
    readonly description?: string;
    readonly integrationRuntimeName?: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryLinkedServiceCosmosdbTimeouts;
}
export interface DataFactoryLinkedServiceCosmosdbTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryLinkedServiceCosmosdb extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryLinkedServiceCosmosdbConfig);
    private _accountEndpoint?;
    get accountEndpoint(): string;
    set accountEndpoint(value: string);
    resetAccountEndpoint(): void;
    get accountEndpointInput(): string | undefined;
    private _accountKey?;
    get accountKey(): string;
    set accountKey(value: string);
    resetAccountKey(): void;
    get accountKeyInput(): string | undefined;
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _connectionString?;
    get connectionString(): string;
    set connectionString(value: string);
    resetConnectionString(): void;
    get connectionStringInput(): string | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _database?;
    get database(): string;
    set database(value: string);
    resetDatabase(): void;
    get databaseInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _integrationRuntimeName?;
    get integrationRuntimeName(): string;
    set integrationRuntimeName(value: string);
    resetIntegrationRuntimeName(): void;
    get integrationRuntimeNameInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): DataFactoryLinkedServiceCosmosdbTimeouts;
    set timeouts(value: DataFactoryLinkedServiceCosmosdbTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryLinkedServiceCosmosdbTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
