import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryLinkedServiceWebConfig extends cdktf.TerraformMetaArguments {
    readonly additionalProperties?: {
        [key: string]: string;
    };
    readonly annotations?: string[];
    readonly authenticationType: string;
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly integrationRuntimeName?: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly password?: string;
    readonly resourceGroupName: string;
    readonly url: string;
    readonly username?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryLinkedServiceWebTimeouts;
}
export interface DataFactoryLinkedServiceWebTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryLinkedServiceWeb extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryLinkedServiceWebConfig);
    private _additionalProperties?;
    get additionalProperties(): {
        [key: string]: string;
    };
    set additionalProperties(value: {
        [key: string]: string;
    });
    resetAdditionalProperties(): void;
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _authenticationType;
    get authenticationType(): string;
    set authenticationType(value: string);
    get authenticationTypeInput(): string;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _integrationRuntimeName?;
    get integrationRuntimeName(): string;
    set integrationRuntimeName(value: string);
    resetIntegrationRuntimeName(): void;
    get integrationRuntimeNameInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _url;
    get url(): string;
    set url(value: string);
    get urlInput(): string;
    private _username?;
    get username(): string;
    set username(value: string);
    resetUsername(): void;
    get usernameInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryLinkedServiceWebTimeouts;
    set timeouts(value: DataFactoryLinkedServiceWebTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryLinkedServiceWebTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
