import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryPipelineConfig extends cdktf.TerraformMetaArguments {
    readonly activitiesJson?: string;
    readonly annotations?: string[];
    readonly dataFactoryName: string;
    readonly description?: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly variables?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryPipelineTimeouts;
}
export interface DataFactoryPipelineTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryPipeline extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryPipelineConfig);
    private _activitiesJson?;
    get activitiesJson(): string;
    set activitiesJson(value: string);
    resetActivitiesJson(): void;
    get activitiesJsonInput(): string | undefined;
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _variables?;
    get variables(): {
        [key: string]: string;
    };
    set variables(value: {
        [key: string]: string;
    });
    resetVariables(): void;
    get variablesInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryPipelineTimeouts;
    set timeouts(value: DataFactoryPipelineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryPipelineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
