import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryTriggerScheduleConfig extends cdktf.TerraformMetaArguments {
    readonly annotations?: string[];
    readonly dataFactoryName: string;
    readonly endTime?: string;
    readonly frequency?: string;
    readonly interval?: number;
    readonly name: string;
    readonly pipelineName: string;
    readonly pipelineParameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly startTime?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryTriggerScheduleTimeouts;
}
export interface DataFactoryTriggerScheduleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataFactoryTriggerSchedule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryTriggerScheduleConfig);
    private _annotations?;
    get annotations(): string[];
    set annotations(value: string[]);
    resetAnnotations(): void;
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    get dataFactoryName(): string;
    set dataFactoryName(value: string);
    get dataFactoryNameInput(): string;
    private _endTime?;
    get endTime(): string;
    set endTime(value: string);
    resetEndTime(): void;
    get endTimeInput(): string | undefined;
    private _frequency?;
    get frequency(): string;
    set frequency(value: string);
    resetFrequency(): void;
    get frequencyInput(): string | undefined;
    get id(): string;
    private _interval?;
    get interval(): number;
    set interval(value: number);
    resetInterval(): void;
    get intervalInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _pipelineName;
    get pipelineName(): string;
    set pipelineName(value: string);
    get pipelineNameInput(): string;
    private _pipelineParameters?;
    get pipelineParameters(): {
        [key: string]: string;
    };
    set pipelineParameters(value: {
        [key: string]: string;
    });
    resetPipelineParameters(): void;
    get pipelineParametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _startTime?;
    get startTime(): string;
    set startTime(value: string);
    resetStartTime(): void;
    get startTimeInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryTriggerScheduleTimeouts;
    set timeouts(value: DataFactoryTriggerScheduleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryTriggerScheduleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
