import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataFactoryConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * github_configuration block.
     */
    readonly githubConfiguration?: DataFactoryGithubConfiguration[];
    /**
     * identity block.
     */
    readonly identity?: DataFactoryIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryTimeouts;
    /**
     * vsts_configuration block.
     */
    readonly vstsConfiguration?: DataFactoryVstsConfiguration[];
}
export interface DataFactoryGithubConfiguration {
    readonly accountName: string;
    readonly branchName: string;
    readonly gitUrl: string;
    readonly repositoryName: string;
    readonly rootFolder: string;
}
export interface DataFactoryIdentity {
    readonly type: string;
}
export interface DataFactoryTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface DataFactoryVstsConfiguration {
    readonly accountName: string;
    readonly branchName: string;
    readonly projectName: string;
    readonly repositoryName: string;
    readonly rootFolder: string;
    readonly tenantId: string;
}
export declare class DataFactory extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataFactoryConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _githubConfiguration?;
    get githubConfiguration(): DataFactoryGithubConfiguration[];
    set githubConfiguration(value: DataFactoryGithubConfiguration[]);
    resetGithubConfiguration(): void;
    get githubConfigurationInput(): DataFactoryGithubConfiguration[] | undefined;
    private _identity?;
    get identity(): DataFactoryIdentity[];
    set identity(value: DataFactoryIdentity[]);
    resetIdentity(): void;
    get identityInput(): DataFactoryIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): DataFactoryTimeouts;
    set timeouts(value: DataFactoryTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataFactoryTimeouts | undefined;
    private _vstsConfiguration?;
    get vstsConfiguration(): DataFactoryVstsConfiguration[];
    set vstsConfiguration(value: DataFactoryVstsConfiguration[]);
    resetVstsConfiguration(): void;
    get vstsConfigurationInput(): DataFactoryVstsConfiguration[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
