import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLakeAnalyticsAccountConfig extends cdktf.TerraformMetaArguments {
    readonly defaultStoreAccountName: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeAnalyticsAccountTimeouts;
}
export interface DataLakeAnalyticsAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataLakeAnalyticsAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataLakeAnalyticsAccountConfig);
    private _defaultStoreAccountName;
    get defaultStoreAccountName(): string;
    set defaultStoreAccountName(value: string);
    get defaultStoreAccountNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier?;
    get tier(): string;
    set tier(value: string);
    resetTier(): void;
    get tierInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataLakeAnalyticsAccountTimeouts;
    set timeouts(value: DataLakeAnalyticsAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataLakeAnalyticsAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
