import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLakeAnalyticsFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly endIpAddress: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly startIpAddress: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeAnalyticsFirewallRuleTimeouts;
}
export interface DataLakeAnalyticsFirewallRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataLakeAnalyticsFirewallRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataLakeAnalyticsFirewallRuleConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    private _endIpAddress;
    get endIpAddress(): string;
    set endIpAddress(value: string);
    get endIpAddressInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _startIpAddress;
    get startIpAddress(): string;
    set startIpAddress(value: string);
    get startIpAddressInput(): string;
    private _timeouts?;
    get timeouts(): DataLakeAnalyticsFirewallRuleTimeouts;
    set timeouts(value: DataLakeAnalyticsFirewallRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataLakeAnalyticsFirewallRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
