import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLakeStoreFileConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly localFilePath: string;
    readonly remoteFilePath: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeStoreFileTimeouts;
}
export interface DataLakeStoreFileTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataLakeStoreFile extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataLakeStoreFileConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _localFilePath;
    get localFilePath(): string;
    set localFilePath(value: string);
    get localFilePathInput(): string;
    private _remoteFilePath;
    get remoteFilePath(): string;
    set remoteFilePath(value: string);
    get remoteFilePathInput(): string;
    private _timeouts?;
    get timeouts(): DataLakeStoreFileTimeouts;
    set timeouts(value: DataLakeStoreFileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataLakeStoreFileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
