import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLakeStoreConfig extends cdktf.TerraformMetaArguments {
    readonly encryptionState?: string;
    readonly encryptionType?: string;
    readonly firewallAllowAzureIps?: string;
    readonly firewallState?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeStoreTimeouts;
}
export interface DataLakeStoreTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataLakeStore extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataLakeStoreConfig);
    private _encryptionState?;
    get encryptionState(): string;
    set encryptionState(value: string);
    resetEncryptionState(): void;
    get encryptionStateInput(): string | undefined;
    private _encryptionType?;
    get encryptionType(): string;
    set encryptionType(value: string);
    resetEncryptionType(): void;
    get encryptionTypeInput(): string | undefined;
    get endpoint(): string;
    private _firewallAllowAzureIps?;
    get firewallAllowAzureIps(): string;
    set firewallAllowAzureIps(value: string);
    resetFirewallAllowAzureIps(): void;
    get firewallAllowAzureIpsInput(): string | undefined;
    private _firewallState?;
    get firewallState(): string;
    set firewallState(value: string);
    resetFirewallState(): void;
    get firewallStateInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier?;
    get tier(): string;
    set tier(value: string);
    resetTier(): void;
    get tierInput(): string | undefined;
    private _timeouts?;
    get timeouts(): DataLakeStoreTimeouts;
    set timeouts(value: DataLakeStoreTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataLakeStoreTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
