import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareAccountConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity: DataShareAccountIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareAccountTimeouts;
}
export interface DataShareAccountIdentity {
    readonly type: string;
}
export interface DataShareAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataShareAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareAccountConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity;
    get identity(): DataShareAccountIdentity[];
    set identity(value: DataShareAccountIdentity[]);
    get identityInput(): DataShareAccountIdentity[];
    private _timeouts?;
    get timeouts(): DataShareAccountTimeouts;
    set timeouts(value: DataShareAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
