import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareDatasetBlobStorageConfig extends cdktf.TerraformMetaArguments {
    readonly containerName: string;
    readonly dataShareId: string;
    readonly filePath?: string;
    readonly folderPath?: string;
    readonly name: string;
    /**
     * storage_account block.
     */
    readonly storageAccount: DataShareDatasetBlobStorageStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareDatasetBlobStorageTimeouts;
}
export interface DataShareDatasetBlobStorageStorageAccount {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subscriptionId: string;
}
export interface DataShareDatasetBlobStorageTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class DataShareDatasetBlobStorage extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareDatasetBlobStorageConfig);
    private _containerName;
    get containerName(): string;
    set containerName(value: string);
    get containerNameInput(): string;
    private _dataShareId;
    get dataShareId(): string;
    set dataShareId(value: string);
    get dataShareIdInput(): string;
    get displayName(): string;
    private _filePath?;
    get filePath(): string;
    set filePath(value: string);
    resetFilePath(): void;
    get filePathInput(): string | undefined;
    private _folderPath?;
    get folderPath(): string;
    set folderPath(value: string);
    resetFolderPath(): void;
    get folderPathInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageAccount;
    get storageAccount(): DataShareDatasetBlobStorageStorageAccount[];
    set storageAccount(value: DataShareDatasetBlobStorageStorageAccount[]);
    get storageAccountInput(): DataShareDatasetBlobStorageStorageAccount[];
    private _timeouts?;
    get timeouts(): DataShareDatasetBlobStorageTimeouts;
    set timeouts(value: DataShareDatasetBlobStorageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareDatasetBlobStorageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
