import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareDatasetKustoClusterConfig extends cdktf.TerraformMetaArguments {
    readonly kustoClusterId: string;
    readonly name: string;
    readonly shareId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareDatasetKustoClusterTimeouts;
}
export interface DataShareDatasetKustoClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class DataShareDatasetKustoCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareDatasetKustoClusterConfig);
    get displayName(): string;
    get id(): string;
    private _kustoClusterId;
    get kustoClusterId(): string;
    set kustoClusterId(value: string);
    get kustoClusterIdInput(): string;
    get kustoClusterLocation(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareId;
    get shareId(): string;
    set shareId(value: string);
    get shareIdInput(): string;
    private _timeouts?;
    get timeouts(): DataShareDatasetKustoClusterTimeouts;
    set timeouts(value: DataShareDatasetKustoClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareDatasetKustoClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
