import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareDatasetKustoDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly kustoDatabaseId: string;
    readonly name: string;
    readonly shareId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareDatasetKustoDatabaseTimeouts;
}
export interface DataShareDatasetKustoDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class DataShareDatasetKustoDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareDatasetKustoDatabaseConfig);
    get displayName(): string;
    get id(): string;
    get kustoClusterLocation(): string;
    private _kustoDatabaseId;
    get kustoDatabaseId(): string;
    set kustoDatabaseId(value: string);
    get kustoDatabaseIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareId;
    get shareId(): string;
    set shareId(value: string);
    get shareIdInput(): string;
    private _timeouts?;
    get timeouts(): DataShareDatasetKustoDatabaseTimeouts;
    set timeouts(value: DataShareDatasetKustoDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareDatasetKustoDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
