import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataShareConfig extends cdktf.TerraformMetaArguments {
    readonly accountId: string;
    readonly description?: string;
    readonly kind: string;
    readonly name: string;
    readonly terms?: string;
    /**
     * snapshot_schedule block.
     */
    readonly snapshotSchedule?: DataShareSnapshotSchedule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataShareTimeouts;
}
export interface DataShareSnapshotSchedule {
    readonly name: string;
    readonly recurrence: string;
    readonly startTime: string;
}
export interface DataShareTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DataShare extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DataShareConfig);
    private _accountId;
    get accountId(): string;
    set accountId(value: string);
    get accountIdInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _kind;
    get kind(): string;
    set kind(value: string);
    get kindInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _terms?;
    get terms(): string;
    set terms(value: string);
    resetTerms(): void;
    get termsInput(): string | undefined;
    private _snapshotSchedule?;
    get snapshotSchedule(): DataShareSnapshotSchedule[];
    set snapshotSchedule(value: DataShareSnapshotSchedule[]);
    resetSnapshotSchedule(): void;
    get snapshotScheduleInput(): DataShareSnapshotSchedule[] | undefined;
    private _timeouts?;
    get timeouts(): DataShareTimeouts;
    set timeouts(value: DataShareTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DataShareTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
