import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DatabaseMigrationProjectConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceName: string;
    readonly sourcePlatform: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly targetPlatform: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DatabaseMigrationProjectTimeouts;
}
export interface DatabaseMigrationProjectTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DatabaseMigrationProject extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DatabaseMigrationProjectConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    get serviceNameInput(): string;
    private _sourcePlatform;
    get sourcePlatform(): string;
    set sourcePlatform(value: string);
    get sourcePlatformInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetPlatform;
    get targetPlatform(): string;
    set targetPlatform(value: string);
    get targetPlatformInput(): string;
    private _timeouts?;
    get timeouts(): DatabaseMigrationProjectTimeouts;
    set timeouts(value: DatabaseMigrationProjectTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DatabaseMigrationProjectTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
