import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DatabricksWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly managedResourceGroupName?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_parameters block.
     */
    readonly customParameters?: DatabricksWorkspaceCustomParameters[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DatabricksWorkspaceTimeouts;
}
export interface DatabricksWorkspaceCustomParameters {
    readonly noPublicIp?: boolean;
    readonly privateSubnetName?: string;
    readonly publicSubnetName?: string;
    readonly virtualNetworkId?: string;
}
export interface DatabricksWorkspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DatabricksWorkspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DatabricksWorkspaceConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get managedResourceGroupId(): string;
    private _managedResourceGroupName?;
    get managedResourceGroupName(): string;
    set managedResourceGroupName(value: string);
    resetManagedResourceGroupName(): void;
    get managedResourceGroupNameInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get workspaceId(): string;
    get workspaceUrl(): string;
    private _customParameters?;
    get customParameters(): DatabricksWorkspaceCustomParameters[];
    set customParameters(value: DatabricksWorkspaceCustomParameters[]);
    resetCustomParameters(): void;
    get customParametersInput(): DatabricksWorkspaceCustomParameters[] | undefined;
    private _timeouts?;
    get timeouts(): DatabricksWorkspaceTimeouts;
    set timeouts(value: DatabricksWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DatabricksWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
