import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DedicatedHardwareSecurityModuleConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly stampId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * network_profile block.
     */
    readonly networkProfile: DedicatedHardwareSecurityModuleNetworkProfile[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DedicatedHardwareSecurityModuleTimeouts;
}
export interface DedicatedHardwareSecurityModuleNetworkProfile {
    readonly networkInterfacePrivateIpAddresses: string[];
    readonly subnetId: string;
}
export interface DedicatedHardwareSecurityModuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DedicatedHardwareSecurityModule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DedicatedHardwareSecurityModuleConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _stampId?;
    get stampId(): string;
    set stampId(value: string);
    resetStampId(): void;
    get stampIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _networkProfile;
    get networkProfile(): DedicatedHardwareSecurityModuleNetworkProfile[];
    set networkProfile(value: DedicatedHardwareSecurityModuleNetworkProfile[]);
    get networkProfileInput(): DedicatedHardwareSecurityModuleNetworkProfile[];
    private _timeouts?;
    get timeouts(): DedicatedHardwareSecurityModuleTimeouts;
    set timeouts(value: DedicatedHardwareSecurityModuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DedicatedHardwareSecurityModuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
