import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DedicatedHostGroupConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly platformFaultDomainCount: number;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DedicatedHostGroupTimeouts;
}
export interface DedicatedHostGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DedicatedHostGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DedicatedHostGroupConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _platformFaultDomainCount;
    get platformFaultDomainCount(): number;
    set platformFaultDomainCount(value: number);
    get platformFaultDomainCountInput(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): DedicatedHostGroupTimeouts;
    set timeouts(value: DedicatedHostGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DedicatedHostGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
