import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevTestGlobalVmShutdownScheduleConfig extends cdktf.TerraformMetaArguments {
    readonly dailyRecurrenceTime: string;
    readonly enabled?: boolean;
    readonly location: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly timezone: string;
    readonly virtualMachineId: string;
    /**
     * notification_settings block.
     */
    readonly notificationSettings: DevTestGlobalVmShutdownScheduleNotificationSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestGlobalVmShutdownScheduleTimeouts;
}
export interface DevTestGlobalVmShutdownScheduleNotificationSettings {
    readonly enabled: boolean;
    readonly timeInMinutes?: number;
    readonly webhookUrl?: string;
}
export interface DevTestGlobalVmShutdownScheduleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DevTestGlobalVmShutdownSchedule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevTestGlobalVmShutdownScheduleConfig);
    private _dailyRecurrenceTime;
    get dailyRecurrenceTime(): string;
    set dailyRecurrenceTime(value: string);
    get dailyRecurrenceTimeInput(): string;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone;
    get timezone(): string;
    set timezone(value: string);
    get timezoneInput(): string;
    private _virtualMachineId;
    get virtualMachineId(): string;
    set virtualMachineId(value: string);
    get virtualMachineIdInput(): string;
    private _notificationSettings;
    get notificationSettings(): DevTestGlobalVmShutdownScheduleNotificationSettings[];
    set notificationSettings(value: DevTestGlobalVmShutdownScheduleNotificationSettings[]);
    get notificationSettingsInput(): DevTestGlobalVmShutdownScheduleNotificationSettings[];
    private _timeouts?;
    get timeouts(): DevTestGlobalVmShutdownScheduleTimeouts;
    set timeouts(value: DevTestGlobalVmShutdownScheduleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevTestGlobalVmShutdownScheduleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
