import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevTestLinuxVirtualMachineConfig extends cdktf.TerraformMetaArguments {
    readonly allowClaim?: boolean;
    readonly disallowPublicIpAddress?: boolean;
    readonly labName: string;
    readonly labSubnetName: string;
    readonly labVirtualNetworkId: string;
    readonly location: string;
    readonly name: string;
    readonly notes?: string;
    readonly password?: string;
    readonly resourceGroupName: string;
    readonly size: string;
    readonly sshKey?: string;
    readonly storageType: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly username: string;
    /**
     * gallery_image_reference block.
     */
    readonly galleryImageReference: DevTestLinuxVirtualMachineGalleryImageReference[];
    /**
     * inbound_nat_rule block.
     */
    readonly inboundNatRule?: DevTestLinuxVirtualMachineInboundNatRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestLinuxVirtualMachineTimeouts;
}
export interface DevTestLinuxVirtualMachineGalleryImageReference {
    readonly offer: string;
    readonly publisher: string;
    readonly sku: string;
    readonly version: string;
}
export interface DevTestLinuxVirtualMachineInboundNatRule {
    readonly backendPort: number;
    readonly protocol: string;
}
export interface DevTestLinuxVirtualMachineTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DevTestLinuxVirtualMachine extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevTestLinuxVirtualMachineConfig);
    private _allowClaim?;
    get allowClaim(): boolean;
    set allowClaim(value: boolean);
    resetAllowClaim(): void;
    get allowClaimInput(): boolean | undefined;
    private _disallowPublicIpAddress?;
    get disallowPublicIpAddress(): boolean;
    set disallowPublicIpAddress(value: boolean);
    resetDisallowPublicIpAddress(): void;
    get disallowPublicIpAddressInput(): boolean | undefined;
    get fqdn(): string;
    get id(): string;
    private _labName;
    get labName(): string;
    set labName(value: string);
    get labNameInput(): string;
    private _labSubnetName;
    get labSubnetName(): string;
    set labSubnetName(value: string);
    get labSubnetNameInput(): string;
    private _labVirtualNetworkId;
    get labVirtualNetworkId(): string;
    set labVirtualNetworkId(value: string);
    get labVirtualNetworkIdInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _notes?;
    get notes(): string;
    set notes(value: string);
    resetNotes(): void;
    get notesInput(): string | undefined;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _size;
    get size(): string;
    set size(value: string);
    get sizeInput(): string;
    private _sshKey?;
    get sshKey(): string;
    set sshKey(value: string);
    resetSshKey(): void;
    get sshKeyInput(): string | undefined;
    private _storageType;
    get storageType(): string;
    set storageType(value: string);
    get storageTypeInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get uniqueIdentifier(): string;
    private _username;
    get username(): string;
    set username(value: string);
    get usernameInput(): string;
    private _galleryImageReference;
    get galleryImageReference(): DevTestLinuxVirtualMachineGalleryImageReference[];
    set galleryImageReference(value: DevTestLinuxVirtualMachineGalleryImageReference[]);
    get galleryImageReferenceInput(): DevTestLinuxVirtualMachineGalleryImageReference[];
    private _inboundNatRule?;
    get inboundNatRule(): DevTestLinuxVirtualMachineInboundNatRule[];
    set inboundNatRule(value: DevTestLinuxVirtualMachineInboundNatRule[]);
    resetInboundNatRule(): void;
    get inboundNatRuleInput(): DevTestLinuxVirtualMachineInboundNatRule[] | undefined;
    private _timeouts?;
    get timeouts(): DevTestLinuxVirtualMachineTimeouts;
    set timeouts(value: DevTestLinuxVirtualMachineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevTestLinuxVirtualMachineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
