import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevTestPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly evaluatorType: string;
    readonly factData?: string;
    readonly labName: string;
    readonly name: string;
    readonly policySetName: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly threshold: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestPolicyTimeouts;
}
export interface DevTestPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DevTestPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevTestPolicyConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _evaluatorType;
    get evaluatorType(): string;
    set evaluatorType(value: string);
    get evaluatorTypeInput(): string;
    private _factData?;
    get factData(): string;
    set factData(value: string);
    resetFactData(): void;
    get factDataInput(): string | undefined;
    get id(): string;
    private _labName;
    get labName(): string;
    set labName(value: string);
    get labNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _policySetName;
    get policySetName(): string;
    set policySetName(value: string);
    get policySetNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _threshold;
    get threshold(): string;
    set threshold(value: string);
    get thresholdInput(): string;
    private _timeouts?;
    get timeouts(): DevTestPolicyTimeouts;
    set timeouts(value: DevTestPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevTestPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
