import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevTestScheduleConfig extends cdktf.TerraformMetaArguments {
    readonly labName: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly status?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly taskType: string;
    readonly timeZoneId: string;
    /**
     * daily_recurrence block.
     */
    readonly dailyRecurrence?: DevTestScheduleDailyRecurrence[];
    /**
     * hourly_recurrence block.
     */
    readonly hourlyRecurrence?: DevTestScheduleHourlyRecurrence[];
    /**
     * notification_settings block.
     */
    readonly notificationSettings: DevTestScheduleNotificationSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestScheduleTimeouts;
    /**
     * weekly_recurrence block.
     */
    readonly weeklyRecurrence?: DevTestScheduleWeeklyRecurrence[];
}
export interface DevTestScheduleDailyRecurrence {
    readonly time: string;
}
export interface DevTestScheduleHourlyRecurrence {
    readonly minute: number;
}
export interface DevTestScheduleNotificationSettings {
    readonly status?: string;
    readonly timeInMinutes?: number;
    readonly webhookUrl?: string;
}
export interface DevTestScheduleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface DevTestScheduleWeeklyRecurrence {
    readonly time: string;
    readonly weekDays?: string[];
}
export declare class DevTestSchedule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevTestScheduleConfig);
    get id(): string;
    private _labName;
    get labName(): string;
    set labName(value: string);
    get labNameInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _status?;
    get status(): string;
    set status(value: string);
    resetStatus(): void;
    get statusInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _taskType;
    get taskType(): string;
    set taskType(value: string);
    get taskTypeInput(): string;
    private _timeZoneId;
    get timeZoneId(): string;
    set timeZoneId(value: string);
    get timeZoneIdInput(): string;
    private _dailyRecurrence?;
    get dailyRecurrence(): DevTestScheduleDailyRecurrence[];
    set dailyRecurrence(value: DevTestScheduleDailyRecurrence[]);
    resetDailyRecurrence(): void;
    get dailyRecurrenceInput(): DevTestScheduleDailyRecurrence[] | undefined;
    private _hourlyRecurrence?;
    get hourlyRecurrence(): DevTestScheduleHourlyRecurrence[];
    set hourlyRecurrence(value: DevTestScheduleHourlyRecurrence[]);
    resetHourlyRecurrence(): void;
    get hourlyRecurrenceInput(): DevTestScheduleHourlyRecurrence[] | undefined;
    private _notificationSettings;
    get notificationSettings(): DevTestScheduleNotificationSettings[];
    set notificationSettings(value: DevTestScheduleNotificationSettings[]);
    get notificationSettingsInput(): DevTestScheduleNotificationSettings[];
    private _timeouts?;
    get timeouts(): DevTestScheduleTimeouts;
    set timeouts(value: DevTestScheduleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevTestScheduleTimeouts | undefined;
    private _weeklyRecurrence?;
    get weeklyRecurrence(): DevTestScheduleWeeklyRecurrence[];
    set weeklyRecurrence(value: DevTestScheduleWeeklyRecurrence[]);
    resetWeeklyRecurrence(): void;
    get weeklyRecurrenceInput(): DevTestScheduleWeeklyRecurrence[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
