import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevTestVirtualNetworkConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly labName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * subnet block.
     */
    readonly subnet?: DevTestVirtualNetworkSubnet[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestVirtualNetworkTimeouts;
}
export interface DevTestVirtualNetworkSubnet {
    readonly useInVirtualMachineCreation?: string;
    readonly usePublicIpAddress?: string;
}
export interface DevTestVirtualNetworkTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DevTestVirtualNetwork extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevTestVirtualNetworkConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _labName;
    get labName(): string;
    set labName(value: string);
    get labNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get uniqueIdentifier(): string;
    private _subnet?;
    get subnet(): DevTestVirtualNetworkSubnet[];
    set subnet(value: DevTestVirtualNetworkSubnet[]);
    resetSubnet(): void;
    get subnetInput(): DevTestVirtualNetworkSubnet[] | undefined;
    private _timeouts?;
    get timeouts(): DevTestVirtualNetworkTimeouts;
    set timeouts(value: DevTestVirtualNetworkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevTestVirtualNetworkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
