import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DevspaceControllerConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly targetContainerHostCredentialsBase64: string;
    readonly targetContainerHostResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DevspaceControllerTimeouts;
}
export interface DevspaceControllerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DevspaceController extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DevspaceControllerConfig);
    get dataPlaneFqdn(): string;
    get hostSuffix(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetContainerHostCredentialsBase64;
    get targetContainerHostCredentialsBase64(): string;
    set targetContainerHostCredentialsBase64(value: string);
    get targetContainerHostCredentialsBase64Input(): string;
    private _targetContainerHostResourceId;
    get targetContainerHostResourceId(): string;
    set targetContainerHostResourceId(value: string);
    get targetContainerHostResourceIdInput(): string;
    private _timeouts?;
    get timeouts(): DevspaceControllerTimeouts;
    set timeouts(value: DevspaceControllerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DevspaceControllerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
