import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DigitalTwinsEndpointEventgridConfig extends cdktf.TerraformMetaArguments {
    readonly deadLetterStorageSecret?: string;
    readonly digitalTwinsId: string;
    readonly eventgridTopicEndpoint: string;
    readonly eventgridTopicPrimaryAccessKey: string;
    readonly eventgridTopicSecondaryAccessKey: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DigitalTwinsEndpointEventgridTimeouts;
}
export interface DigitalTwinsEndpointEventgridTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DigitalTwinsEndpointEventgrid extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointEventgridConfig);
    private _deadLetterStorageSecret?;
    get deadLetterStorageSecret(): string;
    set deadLetterStorageSecret(value: string);
    resetDeadLetterStorageSecret(): void;
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    get digitalTwinsId(): string;
    set digitalTwinsId(value: string);
    get digitalTwinsIdInput(): string;
    private _eventgridTopicEndpoint;
    get eventgridTopicEndpoint(): string;
    set eventgridTopicEndpoint(value: string);
    get eventgridTopicEndpointInput(): string;
    private _eventgridTopicPrimaryAccessKey;
    get eventgridTopicPrimaryAccessKey(): string;
    set eventgridTopicPrimaryAccessKey(value: string);
    get eventgridTopicPrimaryAccessKeyInput(): string;
    private _eventgridTopicSecondaryAccessKey;
    get eventgridTopicSecondaryAccessKey(): string;
    set eventgridTopicSecondaryAccessKey(value: string);
    get eventgridTopicSecondaryAccessKeyInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DigitalTwinsEndpointEventgridTimeouts;
    set timeouts(value: DigitalTwinsEndpointEventgridTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DigitalTwinsEndpointEventgridTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
