import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DigitalTwinsEndpointEventhubConfig extends cdktf.TerraformMetaArguments {
    readonly deadLetterStorageSecret?: string;
    readonly digitalTwinsId: string;
    readonly eventhubPrimaryConnectionString: string;
    readonly eventhubSecondaryConnectionString: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DigitalTwinsEndpointEventhubTimeouts;
}
export interface DigitalTwinsEndpointEventhubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DigitalTwinsEndpointEventhub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointEventhubConfig);
    private _deadLetterStorageSecret?;
    get deadLetterStorageSecret(): string;
    set deadLetterStorageSecret(value: string);
    resetDeadLetterStorageSecret(): void;
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    get digitalTwinsId(): string;
    set digitalTwinsId(value: string);
    get digitalTwinsIdInput(): string;
    private _eventhubPrimaryConnectionString;
    get eventhubPrimaryConnectionString(): string;
    set eventhubPrimaryConnectionString(value: string);
    get eventhubPrimaryConnectionStringInput(): string;
    private _eventhubSecondaryConnectionString;
    get eventhubSecondaryConnectionString(): string;
    set eventhubSecondaryConnectionString(value: string);
    get eventhubSecondaryConnectionStringInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): DigitalTwinsEndpointEventhubTimeouts;
    set timeouts(value: DigitalTwinsEndpointEventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DigitalTwinsEndpointEventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
