import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DigitalTwinsEndpointServicebusConfig extends cdktf.TerraformMetaArguments {
    readonly deadLetterStorageSecret?: string;
    readonly digitalTwinsId: string;
    readonly name: string;
    readonly servicebusPrimaryConnectionString: string;
    readonly servicebusSecondaryConnectionString: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DigitalTwinsEndpointServicebusTimeouts;
}
export interface DigitalTwinsEndpointServicebusTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DigitalTwinsEndpointServicebus extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointServicebusConfig);
    private _deadLetterStorageSecret?;
    get deadLetterStorageSecret(): string;
    set deadLetterStorageSecret(value: string);
    resetDeadLetterStorageSecret(): void;
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    get digitalTwinsId(): string;
    set digitalTwinsId(value: string);
    get digitalTwinsIdInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _servicebusPrimaryConnectionString;
    get servicebusPrimaryConnectionString(): string;
    set servicebusPrimaryConnectionString(value: string);
    get servicebusPrimaryConnectionStringInput(): string;
    private _servicebusSecondaryConnectionString;
    get servicebusSecondaryConnectionString(): string;
    set servicebusSecondaryConnectionString(value: string);
    get servicebusSecondaryConnectionStringInput(): string;
    private _timeouts?;
    get timeouts(): DigitalTwinsEndpointServicebusTimeouts;
    set timeouts(value: DigitalTwinsEndpointServicebusTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DigitalTwinsEndpointServicebusTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
