import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DiskEncryptionSetConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultKeyId: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity: DiskEncryptionSetIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DiskEncryptionSetTimeouts;
}
export interface DiskEncryptionSetIdentity {
    readonly type: string;
}
export interface DiskEncryptionSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DiskEncryptionSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DiskEncryptionSetConfig);
    get id(): string;
    private _keyVaultKeyId;
    get keyVaultKeyId(): string;
    set keyVaultKeyId(value: string);
    get keyVaultKeyIdInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity;
    get identity(): DiskEncryptionSetIdentity[];
    set identity(value: DiskEncryptionSetIdentity[]);
    get identityInput(): DiskEncryptionSetIdentity[];
    private _timeouts?;
    get timeouts(): DiskEncryptionSetTimeouts;
    set timeouts(value: DiskEncryptionSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DiskEncryptionSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
