import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DnsAaaaRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly records?: string[];
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly targetResourceId?: string;
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsAaaaRecordTimeouts;
}
export interface DnsAaaaRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DnsAaaaRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DnsAaaaRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _records?;
    get records(): string[];
    set records(value: string[]);
    resetRecords(): void;
    get recordsInput(): string[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetResourceId?;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    resetTargetResourceId(): void;
    get targetResourceIdInput(): string | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _timeouts?;
    get timeouts(): DnsAaaaRecordTimeouts;
    set timeouts(value: DnsAaaaRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DnsAaaaRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
