import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DnsPtrRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly records: string[];
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsPtrRecordTimeouts;
}
export interface DnsPtrRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DnsPtrRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DnsPtrRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _records;
    get records(): string[];
    set records(value: string[]);
    get recordsInput(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _timeouts?;
    get timeouts(): DnsPtrRecordTimeouts;
    set timeouts(value: DnsPtrRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DnsPtrRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
