import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DnsTxtRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: DnsTxtRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsTxtRecordTimeouts;
}
export interface DnsTxtRecordRecord {
    readonly value: string;
}
export interface DnsTxtRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DnsTxtRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DnsTxtRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _record;
    get record(): DnsTxtRecordRecord[];
    set record(value: DnsTxtRecordRecord[]);
    get recordInput(): DnsTxtRecordRecord[];
    private _timeouts?;
    get timeouts(): DnsTxtRecordTimeouts;
    set timeouts(value: DnsTxtRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DnsTxtRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
