import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DnsZoneConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * soa_record block.
     */
    readonly soaRecord?: DnsZoneSoaRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsZoneTimeouts;
}
export interface DnsZoneSoaRecord {
    readonly email: string;
    readonly expireTime?: number;
    readonly hostName: string;
    readonly minimumTtl?: number;
    readonly refreshTime?: number;
    readonly retryTime?: number;
    readonly serialNumber?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl?: number;
}
export interface DnsZoneTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class DnsZone extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: DnsZoneConfig);
    get id(): string;
    get maxNumberOfRecordSets(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get nameServers(): string[];
    get numberOfRecordSets(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _soaRecord?;
    get soaRecord(): DnsZoneSoaRecord[];
    set soaRecord(value: DnsZoneSoaRecord[]);
    resetSoaRecord(): void;
    get soaRecordInput(): DnsZoneSoaRecord[] | undefined;
    private _timeouts?;
    get timeouts(): DnsZoneTimeouts;
    set timeouts(value: DnsZoneTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): DnsZoneTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
