import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventgridDomainTopicConfig extends cdktf.TerraformMetaArguments {
    readonly domainName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridDomainTopicTimeouts;
}
export interface EventgridDomainTopicTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class EventgridDomainTopic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventgridDomainTopicConfig);
    private _domainName;
    get domainName(): string;
    set domainName(value: string);
    get domainNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): EventgridDomainTopicTimeouts;
    set timeouts(value: EventgridDomainTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventgridDomainTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
