import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventgridDomainConfig extends cdktf.TerraformMetaArguments {
    readonly inputSchema?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * input_mapping_default_values block.
     */
    readonly inputMappingDefaultValues?: EventgridDomainInputMappingDefaultValues[];
    /**
     * input_mapping_fields block.
     */
    readonly inputMappingFields?: EventgridDomainInputMappingFields[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridDomainTimeouts;
}
export interface EventgridDomainInputMappingDefaultValues {
    readonly dataVersion?: string;
    readonly eventType?: string;
    readonly subject?: string;
}
export interface EventgridDomainInputMappingFields {
    readonly dataVersion?: string;
    readonly eventTime?: string;
    readonly eventType?: string;
    readonly id?: string;
    readonly subject?: string;
    readonly topic?: string;
}
export interface EventgridDomainTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventgridDomain extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventgridDomainConfig);
    get endpoint(): string;
    get id(): string;
    private _inputSchema?;
    get inputSchema(): string;
    set inputSchema(value: string);
    resetInputSchema(): void;
    get inputSchemaInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _inputMappingDefaultValues?;
    get inputMappingDefaultValues(): EventgridDomainInputMappingDefaultValues[];
    set inputMappingDefaultValues(value: EventgridDomainInputMappingDefaultValues[]);
    resetInputMappingDefaultValues(): void;
    get inputMappingDefaultValuesInput(): EventgridDomainInputMappingDefaultValues[] | undefined;
    private _inputMappingFields?;
    get inputMappingFields(): EventgridDomainInputMappingFields[];
    set inputMappingFields(value: EventgridDomainInputMappingFields[]);
    resetInputMappingFields(): void;
    get inputMappingFieldsInput(): EventgridDomainInputMappingFields[] | undefined;
    private _timeouts?;
    get timeouts(): EventgridDomainTimeouts;
    set timeouts(value: EventgridDomainTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventgridDomainTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
