import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventgridSystemTopicConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sourceArmResourceId: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly topicType: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridSystemTopicTimeouts;
}
export interface EventgridSystemTopicTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventgridSystemTopic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventgridSystemTopicConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get metricArmResourceId(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceArmResourceId;
    get sourceArmResourceId(): string;
    set sourceArmResourceId(value: string);
    get sourceArmResourceIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _topicType;
    get topicType(): string;
    set topicType(value: string);
    get topicTypeInput(): string;
    private _timeouts?;
    get timeouts(): EventgridSystemTopicTimeouts;
    set timeouts(value: EventgridSystemTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventgridSystemTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
