import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventgridTopicConfig extends cdktf.TerraformMetaArguments {
    readonly inputSchema?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * input_mapping_default_values block.
     */
    readonly inputMappingDefaultValues?: EventgridTopicInputMappingDefaultValues[];
    /**
     * input_mapping_fields block.
     */
    readonly inputMappingFields?: EventgridTopicInputMappingFields[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridTopicTimeouts;
}
export interface EventgridTopicInputMappingDefaultValues {
    readonly dataVersion?: string;
    readonly eventType?: string;
    readonly subject?: string;
}
export interface EventgridTopicInputMappingFields {
    readonly dataVersion?: string;
    readonly eventTime?: string;
    readonly eventType?: string;
    readonly id?: string;
    readonly subject?: string;
    readonly topic?: string;
}
export interface EventgridTopicTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventgridTopic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventgridTopicConfig);
    get endpoint(): string;
    get id(): string;
    private _inputSchema?;
    get inputSchema(): string;
    set inputSchema(value: string);
    resetInputSchema(): void;
    get inputSchemaInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _inputMappingDefaultValues?;
    get inputMappingDefaultValues(): EventgridTopicInputMappingDefaultValues[];
    set inputMappingDefaultValues(value: EventgridTopicInputMappingDefaultValues[]);
    resetInputMappingDefaultValues(): void;
    get inputMappingDefaultValuesInput(): EventgridTopicInputMappingDefaultValues[] | undefined;
    private _inputMappingFields?;
    get inputMappingFields(): EventgridTopicInputMappingFields[];
    set inputMappingFields(value: EventgridTopicInputMappingFields[]);
    resetInputMappingFields(): void;
    get inputMappingFieldsInput(): EventgridTopicInputMappingFields[] | undefined;
    private _timeouts?;
    get timeouts(): EventgridTopicTimeouts;
    set timeouts(value: EventgridTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventgridTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
