import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventhubAuthorizationRuleConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubName: string;
    readonly listen?: boolean;
    readonly manage?: boolean;
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubAuthorizationRuleTimeouts;
}
export interface EventhubAuthorizationRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventhubAuthorizationRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventhubAuthorizationRuleConfig);
    private _eventhubName;
    get eventhubName(): string;
    set eventhubName(value: string);
    get eventhubNameInput(): string;
    get id(): string;
    private _listen?;
    get listen(): boolean;
    set listen(value: boolean);
    resetListen(): void;
    get listenInput(): boolean | undefined;
    private _manage?;
    get manage(): boolean;
    set manage(value: boolean);
    resetManage(): void;
    get manageInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    get primaryConnectionString(): string;
    get primaryConnectionStringAlias(): string;
    get primaryKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryConnectionStringAlias(): string;
    get secondaryKey(): string;
    private _send?;
    get send(): boolean;
    set send(value: boolean);
    resetSend(): void;
    get sendInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): EventhubAuthorizationRuleTimeouts;
    set timeouts(value: EventhubAuthorizationRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventhubAuthorizationRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
