import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventhubConsumerGroupConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubName: string;
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly userMetadata?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubConsumerGroupTimeouts;
}
export interface EventhubConsumerGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventhubConsumerGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventhubConsumerGroupConfig);
    private _eventhubName;
    get eventhubName(): string;
    set eventhubName(value: string);
    get eventhubNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _userMetadata?;
    get userMetadata(): string;
    set userMetadata(value: string);
    resetUserMetadata(): void;
    get userMetadataInput(): string | undefined;
    private _timeouts?;
    get timeouts(): EventhubConsumerGroupTimeouts;
    set timeouts(value: EventhubConsumerGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventhubConsumerGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
