import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventhubNamespaceConfig extends cdktf.TerraformMetaArguments {
    readonly autoInflateEnabled?: boolean;
    readonly capacity?: number;
    readonly dedicatedClusterId?: string;
    readonly location: string;
    readonly maximumThroughputUnits?: number;
    readonly name: string;
    readonly networkRulesets?: EventhubNamespaceNetworkRulesets[];
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zoneRedundant?: boolean;
    /**
     * identity block.
     */
    readonly identity?: EventhubNamespaceIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubNamespaceTimeouts;
}
export interface EventhubNamespaceNetworkRulesetsIpRule {
    readonly action?: string;
    readonly ipMask?: string;
}
export interface EventhubNamespaceNetworkRulesetsVirtualNetworkRule {
    readonly ignoreMissingVirtualNetworkServiceEndpoint?: boolean;
    readonly subnetId?: string;
}
export interface EventhubNamespaceNetworkRulesets {
    readonly defaultAction?: string;
    readonly ipRule?: EventhubNamespaceNetworkRulesetsIpRule[];
    readonly virtualNetworkRule?: EventhubNamespaceNetworkRulesetsVirtualNetworkRule[];
}
export interface EventhubNamespaceIdentity {
    readonly type: string;
}
export interface EventhubNamespaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class EventhubNamespace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventhubNamespaceConfig);
    private _autoInflateEnabled?;
    get autoInflateEnabled(): boolean;
    set autoInflateEnabled(value: boolean);
    resetAutoInflateEnabled(): void;
    get autoInflateEnabledInput(): boolean | undefined;
    private _capacity?;
    get capacity(): number;
    set capacity(value: number);
    resetCapacity(): void;
    get capacityInput(): number | undefined;
    private _dedicatedClusterId?;
    get dedicatedClusterId(): string;
    set dedicatedClusterId(value: string);
    resetDedicatedClusterId(): void;
    get dedicatedClusterIdInput(): string | undefined;
    get defaultPrimaryConnectionString(): string;
    get defaultPrimaryConnectionStringAlias(): string;
    get defaultPrimaryKey(): string;
    get defaultSecondaryConnectionString(): string;
    get defaultSecondaryConnectionStringAlias(): string;
    get defaultSecondaryKey(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maximumThroughputUnits?;
    get maximumThroughputUnits(): number;
    set maximumThroughputUnits(value: number);
    resetMaximumThroughputUnits(): void;
    get maximumThroughputUnitsInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkRulesets?;
    get networkRulesets(): EventhubNamespaceNetworkRulesets[];
    set networkRulesets(value: EventhubNamespaceNetworkRulesets[]);
    resetNetworkRulesets(): void;
    get networkRulesetsInput(): EventhubNamespaceNetworkRulesets[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneRedundant?;
    get zoneRedundant(): boolean;
    set zoneRedundant(value: boolean);
    resetZoneRedundant(): void;
    get zoneRedundantInput(): boolean | undefined;
    private _identity?;
    get identity(): EventhubNamespaceIdentity[];
    set identity(value: EventhubNamespaceIdentity[]);
    resetIdentity(): void;
    get identityInput(): EventhubNamespaceIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): EventhubNamespaceTimeouts;
    set timeouts(value: EventhubNamespaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventhubNamespaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
