import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventhubConfig extends cdktf.TerraformMetaArguments {
    readonly messageRetention: number;
    readonly name: string;
    readonly namespaceName: string;
    readonly partitionCount: number;
    readonly resourceGroupName: string;
    /**
     * capture_description block.
     */
    readonly captureDescription?: EventhubCaptureDescription[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubTimeouts;
}
export interface EventhubCaptureDescriptionDestination {
    readonly archiveNameFormat: string;
    readonly blobContainerName: string;
    readonly name: string;
    readonly storageAccountId: string;
}
export interface EventhubCaptureDescription {
    readonly enabled: boolean;
    readonly encoding: string;
    readonly intervalInSeconds?: number;
    readonly sizeLimitInBytes?: number;
    readonly skipEmptyArchives?: boolean;
    /**
     * destination block.
     */
    readonly destination: EventhubCaptureDescriptionDestination[];
}
export interface EventhubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Eventhub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: EventhubConfig);
    get id(): string;
    private _messageRetention;
    get messageRetention(): number;
    set messageRetention(value: number);
    get messageRetentionInput(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _partitionCount;
    get partitionCount(): number;
    set partitionCount(value: number);
    get partitionCountInput(): number;
    get partitionIds(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _captureDescription?;
    get captureDescription(): EventhubCaptureDescription[];
    set captureDescription(value: EventhubCaptureDescription[]);
    resetCaptureDescription(): void;
    get captureDescriptionInput(): EventhubCaptureDescription[] | undefined;
    private _timeouts?;
    get timeouts(): EventhubTimeouts;
    set timeouts(value: EventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): EventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
