import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ExpressRouteCircuitPeeringConfig extends cdktf.TerraformMetaArguments {
    readonly expressRouteCircuitName: string;
    readonly peerAsn?: number;
    readonly peeringType: string;
    readonly primaryPeerAddressPrefix: string;
    readonly resourceGroupName: string;
    readonly routeFilterId?: string;
    readonly secondaryPeerAddressPrefix: string;
    readonly sharedKey?: string;
    readonly vlanId: number;
    /**
     * ipv6 block.
     */
    readonly ipv6?: ExpressRouteCircuitPeeringIpv6[];
    /**
     * microsoft_peering_config block.
     */
    readonly microsoftPeeringConfig?: ExpressRouteCircuitPeeringMicrosoftPeeringConfig[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteCircuitPeeringTimeouts;
}
export interface ExpressRouteCircuitPeeringIpv6MicrosoftPeering {
    readonly advertisedPublicPrefixes?: string[];
    readonly customerAsn?: number;
    readonly routingRegistryName?: string;
}
export interface ExpressRouteCircuitPeeringIpv6 {
    readonly primaryPeerAddressPrefix: string;
    readonly routeFilterId?: string;
    readonly secondaryPeerAddressPrefix: string;
    /**
     * microsoft_peering block.
     */
    readonly microsoftPeering: ExpressRouteCircuitPeeringIpv6MicrosoftPeering[];
}
export interface ExpressRouteCircuitPeeringMicrosoftPeeringConfig {
    readonly advertisedPublicPrefixes: string[];
    readonly customerAsn?: number;
    readonly routingRegistryName?: string;
}
export interface ExpressRouteCircuitPeeringTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ExpressRouteCircuitPeering extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitPeeringConfig);
    get azureAsn(): number;
    private _expressRouteCircuitName;
    get expressRouteCircuitName(): string;
    set expressRouteCircuitName(value: string);
    get expressRouteCircuitNameInput(): string;
    get id(): string;
    private _peerAsn?;
    get peerAsn(): number;
    set peerAsn(value: number);
    resetPeerAsn(): void;
    get peerAsnInput(): number | undefined;
    private _peeringType;
    get peeringType(): string;
    set peeringType(value: string);
    get peeringTypeInput(): string;
    get primaryAzurePort(): string;
    private _primaryPeerAddressPrefix;
    get primaryPeerAddressPrefix(): string;
    set primaryPeerAddressPrefix(value: string);
    get primaryPeerAddressPrefixInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _routeFilterId?;
    get routeFilterId(): string;
    set routeFilterId(value: string);
    resetRouteFilterId(): void;
    get routeFilterIdInput(): string | undefined;
    get secondaryAzurePort(): string;
    private _secondaryPeerAddressPrefix;
    get secondaryPeerAddressPrefix(): string;
    set secondaryPeerAddressPrefix(value: string);
    get secondaryPeerAddressPrefixInput(): string;
    private _sharedKey?;
    get sharedKey(): string;
    set sharedKey(value: string);
    resetSharedKey(): void;
    get sharedKeyInput(): string | undefined;
    private _vlanId;
    get vlanId(): number;
    set vlanId(value: number);
    get vlanIdInput(): number;
    private _ipv6?;
    get ipv6(): ExpressRouteCircuitPeeringIpv6[];
    set ipv6(value: ExpressRouteCircuitPeeringIpv6[]);
    resetIpv6(): void;
    get ipv6Input(): ExpressRouteCircuitPeeringIpv6[] | undefined;
    private _microsoftPeeringConfig?;
    get microsoftPeeringConfig(): ExpressRouteCircuitPeeringMicrosoftPeeringConfig[];
    set microsoftPeeringConfig(value: ExpressRouteCircuitPeeringMicrosoftPeeringConfig[]);
    resetMicrosoftPeeringConfig(): void;
    get microsoftPeeringConfigInput(): ExpressRouteCircuitPeeringMicrosoftPeeringConfig[] | undefined;
    private _timeouts?;
    get timeouts(): ExpressRouteCircuitPeeringTimeouts;
    set timeouts(value: ExpressRouteCircuitPeeringTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ExpressRouteCircuitPeeringTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
