import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ExpressRouteCircuitConfig extends cdktf.TerraformMetaArguments {
    readonly allowClassicOperations?: boolean;
    readonly bandwidthInMbps: number;
    readonly location: string;
    readonly name: string;
    readonly peeringLocation: string;
    readonly resourceGroupName: string;
    readonly serviceProviderName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     */
    readonly sku: ExpressRouteCircuitSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteCircuitTimeouts;
}
export interface ExpressRouteCircuitSku {
    readonly family: string;
    readonly tier: string;
}
export interface ExpressRouteCircuitTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ExpressRouteCircuit extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitConfig);
    private _allowClassicOperations?;
    get allowClassicOperations(): boolean;
    set allowClassicOperations(value: boolean);
    resetAllowClassicOperations(): void;
    get allowClassicOperationsInput(): boolean | undefined;
    private _bandwidthInMbps;
    get bandwidthInMbps(): number;
    set bandwidthInMbps(value: number);
    get bandwidthInMbpsInput(): number;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _peeringLocation;
    get peeringLocation(): string;
    set peeringLocation(value: string);
    get peeringLocationInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceKey(): string;
    private _serviceProviderName;
    get serviceProviderName(): string;
    set serviceProviderName(value: string);
    get serviceProviderNameInput(): string;
    get serviceProviderProvisioningState(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _sku;
    get sku(): ExpressRouteCircuitSku[];
    set sku(value: ExpressRouteCircuitSku[]);
    get skuInput(): ExpressRouteCircuitSku[];
    private _timeouts?;
    get timeouts(): ExpressRouteCircuitTimeouts;
    set timeouts(value: ExpressRouteCircuitTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ExpressRouteCircuitTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
