import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ExpressRouteGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scaleUnits: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualHubId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteGatewayTimeouts;
}
export interface ExpressRouteGatewayTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ExpressRouteGateway extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ExpressRouteGatewayConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scaleUnits;
    get scaleUnits(): number;
    set scaleUnits(value: number);
    get scaleUnitsInput(): number;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _timeouts?;
    get timeouts(): ExpressRouteGatewayTimeouts;
    set timeouts(value: ExpressRouteGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ExpressRouteGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
