import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallApplicationRuleCollectionConfig extends cdktf.TerraformMetaArguments {
    readonly action: string;
    readonly azureFirewallName: string;
    readonly name: string;
    readonly priority: number;
    readonly resourceGroupName: string;
    /**
     * rule block.
     */
    readonly rule: FirewallApplicationRuleCollectionRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallApplicationRuleCollectionTimeouts;
}
export interface FirewallApplicationRuleCollectionRuleProtocol {
    readonly port?: number;
    readonly type: string;
}
export interface FirewallApplicationRuleCollectionRule {
    readonly description?: string;
    readonly fqdnTags?: string[];
    readonly name: string;
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
    readonly targetFqdns?: string[];
    /**
     * protocol block.
     */
    readonly protocol?: FirewallApplicationRuleCollectionRuleProtocol[];
}
export interface FirewallApplicationRuleCollectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FirewallApplicationRuleCollection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallApplicationRuleCollectionConfig);
    private _action;
    get action(): string;
    set action(value: string);
    get actionInput(): string;
    private _azureFirewallName;
    get azureFirewallName(): string;
    set azureFirewallName(value: string);
    get azureFirewallNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _priority;
    get priority(): number;
    set priority(value: number);
    get priorityInput(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rule;
    get rule(): FirewallApplicationRuleCollectionRule[];
    set rule(value: FirewallApplicationRuleCollectionRule[]);
    get ruleInput(): FirewallApplicationRuleCollectionRule[];
    private _timeouts?;
    get timeouts(): FirewallApplicationRuleCollectionTimeouts;
    set timeouts(value: FirewallApplicationRuleCollectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallApplicationRuleCollectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
