import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallNatRuleCollectionConfig extends cdktf.TerraformMetaArguments {
    readonly action: string;
    readonly azureFirewallName: string;
    readonly name: string;
    readonly priority: number;
    readonly resourceGroupName: string;
    /**
     * rule block.
     */
    readonly rule: FirewallNatRuleCollectionRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallNatRuleCollectionTimeouts;
}
export interface FirewallNatRuleCollectionRule {
    readonly description?: string;
    readonly destinationAddresses: string[];
    readonly destinationPorts: string[];
    readonly name: string;
    readonly protocols: string[];
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
    readonly translatedAddress: string;
    readonly translatedPort: string;
}
export interface FirewallNatRuleCollectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FirewallNatRuleCollection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallNatRuleCollectionConfig);
    private _action;
    get action(): string;
    set action(value: string);
    get actionInput(): string;
    private _azureFirewallName;
    get azureFirewallName(): string;
    set azureFirewallName(value: string);
    get azureFirewallNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _priority;
    get priority(): number;
    set priority(value: number);
    get priorityInput(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rule;
    get rule(): FirewallNatRuleCollectionRule[];
    set rule(value: FirewallNatRuleCollectionRule[]);
    get ruleInput(): FirewallNatRuleCollectionRule[];
    private _timeouts?;
    get timeouts(): FirewallNatRuleCollectionTimeouts;
    set timeouts(value: FirewallNatRuleCollectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallNatRuleCollectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
