import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallNetworkRuleCollectionConfig extends cdktf.TerraformMetaArguments {
    readonly action: string;
    readonly azureFirewallName: string;
    readonly name: string;
    readonly priority: number;
    readonly resourceGroupName: string;
    /**
     * rule block.
     */
    readonly rule: FirewallNetworkRuleCollectionRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallNetworkRuleCollectionTimeouts;
}
export interface FirewallNetworkRuleCollectionRule {
    readonly description?: string;
    readonly destinationAddresses?: string[];
    readonly destinationFqdns?: string[];
    readonly destinationIpGroups?: string[];
    readonly destinationPorts: string[];
    readonly name: string;
    readonly protocols: string[];
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
}
export interface FirewallNetworkRuleCollectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FirewallNetworkRuleCollection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallNetworkRuleCollectionConfig);
    private _action;
    get action(): string;
    set action(value: string);
    get actionInput(): string;
    private _azureFirewallName;
    get azureFirewallName(): string;
    set azureFirewallName(value: string);
    get azureFirewallNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _priority;
    get priority(): number;
    set priority(value: number);
    get priorityInput(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rule;
    get rule(): FirewallNetworkRuleCollectionRule[];
    set rule(value: FirewallNetworkRuleCollectionRule[]);
    get ruleInput(): FirewallNetworkRuleCollectionRule[];
    private _timeouts?;
    get timeouts(): FirewallNetworkRuleCollectionTimeouts;
    set timeouts(value: FirewallNetworkRuleCollectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallNetworkRuleCollectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
