import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallPolicyRuleCollectionGroupConfig extends cdktf.TerraformMetaArguments {
    readonly firewallPolicyId: string;
    readonly name: string;
    readonly priority: number;
    /**
     * application_rule_collection block.
     */
    readonly applicationRuleCollection?: FirewallPolicyRuleCollectionGroupApplicationRuleCollection[];
    /**
     * nat_rule_collection block.
     */
    readonly natRuleCollection?: FirewallPolicyRuleCollectionGroupNatRuleCollection[];
    /**
     * network_rule_collection block.
     */
    readonly networkRuleCollection?: FirewallPolicyRuleCollectionGroupNetworkRuleCollection[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallPolicyRuleCollectionGroupTimeouts;
}
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRuleProtocols {
    readonly port: number;
    readonly type: string;
}
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRule {
    readonly destinationFqdnTags?: string[];
    readonly destinationFqdns?: string[];
    readonly name: string;
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
    /**
     * protocols block.
     */
    readonly protocols: FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRuleProtocols[];
}
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollection {
    readonly action: string;
    readonly name: string;
    readonly priority: number;
    /**
     * rule block.
     */
    readonly rule: FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRule[];
}
export interface FirewallPolicyRuleCollectionGroupNatRuleCollectionRule {
    readonly destinationAddress?: string;
    readonly destinationPorts?: string[];
    readonly name: string;
    readonly protocols: string[];
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
    readonly translatedAddress: string;
    readonly translatedPort: number;
}
export interface FirewallPolicyRuleCollectionGroupNatRuleCollection {
    readonly action: string;
    readonly name: string;
    readonly priority: number;
    /**
     * rule block.
     */
    readonly rule: FirewallPolicyRuleCollectionGroupNatRuleCollectionRule[];
}
export interface FirewallPolicyRuleCollectionGroupNetworkRuleCollectionRule {
    readonly destinationAddresses?: string[];
    readonly destinationFqdns?: string[];
    readonly destinationIpGroups?: string[];
    readonly destinationPorts: string[];
    readonly name: string;
    readonly protocols: string[];
    readonly sourceAddresses?: string[];
    readonly sourceIpGroups?: string[];
}
export interface FirewallPolicyRuleCollectionGroupNetworkRuleCollection {
    readonly action: string;
    readonly name: string;
    readonly priority: number;
    /**
     * rule block.
     */
    readonly rule: FirewallPolicyRuleCollectionGroupNetworkRuleCollectionRule[];
}
export interface FirewallPolicyRuleCollectionGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FirewallPolicyRuleCollectionGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallPolicyRuleCollectionGroupConfig);
    private _firewallPolicyId;
    get firewallPolicyId(): string;
    set firewallPolicyId(value: string);
    get firewallPolicyIdInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _priority;
    get priority(): number;
    set priority(value: number);
    get priorityInput(): number;
    private _applicationRuleCollection?;
    get applicationRuleCollection(): FirewallPolicyRuleCollectionGroupApplicationRuleCollection[];
    set applicationRuleCollection(value: FirewallPolicyRuleCollectionGroupApplicationRuleCollection[]);
    resetApplicationRuleCollection(): void;
    get applicationRuleCollectionInput(): FirewallPolicyRuleCollectionGroupApplicationRuleCollection[] | undefined;
    private _natRuleCollection?;
    get natRuleCollection(): FirewallPolicyRuleCollectionGroupNatRuleCollection[];
    set natRuleCollection(value: FirewallPolicyRuleCollectionGroupNatRuleCollection[]);
    resetNatRuleCollection(): void;
    get natRuleCollectionInput(): FirewallPolicyRuleCollectionGroupNatRuleCollection[] | undefined;
    private _networkRuleCollection?;
    get networkRuleCollection(): FirewallPolicyRuleCollectionGroupNetworkRuleCollection[];
    set networkRuleCollection(value: FirewallPolicyRuleCollectionGroupNetworkRuleCollection[]);
    resetNetworkRuleCollection(): void;
    get networkRuleCollectionInput(): FirewallPolicyRuleCollectionGroupNetworkRuleCollection[] | undefined;
    private _timeouts?;
    get timeouts(): FirewallPolicyRuleCollectionGroupTimeouts;
    set timeouts(value: FirewallPolicyRuleCollectionGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallPolicyRuleCollectionGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
