import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly basePolicyId?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly threatIntelligenceMode?: string;
    /**
     * dns block.
     */
    readonly dns?: FirewallPolicyDns[];
    /**
     * threat_intelligence_allowlist block.
     */
    readonly threatIntelligenceAllowlist?: FirewallPolicyThreatIntelligenceAllowlist[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallPolicyTimeouts;
}
export interface FirewallPolicyDns {
    readonly networkRuleFqdnEnabled?: boolean;
    readonly proxyEnabled?: boolean;
    readonly servers?: string[];
}
export interface FirewallPolicyThreatIntelligenceAllowlist {
    readonly fqdns?: string[];
    readonly ipAddresses?: string[];
}
export interface FirewallPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FirewallPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallPolicyConfig);
    private _basePolicyId?;
    get basePolicyId(): string;
    set basePolicyId(value: string);
    resetBasePolicyId(): void;
    get basePolicyIdInput(): string | undefined;
    get childPolicies(): string[];
    get firewalls(): string[];
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get ruleCollectionGroups(): string[];
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _threatIntelligenceMode?;
    get threatIntelligenceMode(): string;
    set threatIntelligenceMode(value: string);
    resetThreatIntelligenceMode(): void;
    get threatIntelligenceModeInput(): string | undefined;
    private _dns?;
    get dns(): FirewallPolicyDns[];
    set dns(value: FirewallPolicyDns[]);
    resetDns(): void;
    get dnsInput(): FirewallPolicyDns[] | undefined;
    private _threatIntelligenceAllowlist?;
    get threatIntelligenceAllowlist(): FirewallPolicyThreatIntelligenceAllowlist[];
    set threatIntelligenceAllowlist(value: FirewallPolicyThreatIntelligenceAllowlist[]);
    resetThreatIntelligenceAllowlist(): void;
    get threatIntelligenceAllowlistInput(): FirewallPolicyThreatIntelligenceAllowlist[] | undefined;
    private _timeouts?;
    get timeouts(): FirewallPolicyTimeouts;
    set timeouts(value: FirewallPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
