import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FirewallConfig extends cdktf.TerraformMetaArguments {
    readonly dnsServers?: string[];
    readonly firewallPolicyId?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName?: string;
    readonly skuTier?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly threatIntelMode?: string;
    readonly zones?: string[];
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration?: FirewallIpConfiguration[];
    /**
     * management_ip_configuration block.
     */
    readonly managementIpConfiguration?: FirewallManagementIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallTimeouts;
    /**
     * virtual_hub block.
     */
    readonly virtualHub?: FirewallVirtualHub[];
}
export interface FirewallIpConfiguration {
    readonly name: string;
    readonly publicIpAddressId: string;
    readonly subnetId?: string;
}
export interface FirewallManagementIpConfiguration {
    readonly name: string;
    readonly publicIpAddressId: string;
    readonly subnetId: string;
}
export interface FirewallTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface FirewallVirtualHub {
    readonly publicIpCount?: number;
    readonly virtualHubId: string;
}
export declare class Firewall extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FirewallConfig);
    private _dnsServers?;
    get dnsServers(): string[];
    set dnsServers(value: string[]);
    resetDnsServers(): void;
    get dnsServersInput(): string[] | undefined;
    private _firewallPolicyId?;
    get firewallPolicyId(): string;
    set firewallPolicyId(value: string);
    resetFirewallPolicyId(): void;
    get firewallPolicyIdInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName?;
    get skuName(): string;
    set skuName(value: string);
    resetSkuName(): void;
    get skuNameInput(): string | undefined;
    private _skuTier?;
    get skuTier(): string;
    set skuTier(value: string);
    resetSkuTier(): void;
    get skuTierInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _threatIntelMode?;
    get threatIntelMode(): string;
    set threatIntelMode(value: string);
    resetThreatIntelMode(): void;
    get threatIntelModeInput(): string | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _ipConfiguration?;
    get ipConfiguration(): FirewallIpConfiguration[];
    set ipConfiguration(value: FirewallIpConfiguration[]);
    resetIpConfiguration(): void;
    get ipConfigurationInput(): FirewallIpConfiguration[] | undefined;
    private _managementIpConfiguration?;
    get managementIpConfiguration(): FirewallManagementIpConfiguration[];
    set managementIpConfiguration(value: FirewallManagementIpConfiguration[]);
    resetManagementIpConfiguration(): void;
    get managementIpConfigurationInput(): FirewallManagementIpConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): FirewallTimeouts;
    set timeouts(value: FirewallTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FirewallTimeouts | undefined;
    private _virtualHub?;
    get virtualHub(): FirewallVirtualHub[];
    set virtualHub(value: FirewallVirtualHub[]);
    resetVirtualHub(): void;
    get virtualHubInput(): FirewallVirtualHub[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
