import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FrontdoorCustomHttpsConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly customHttpsProvisioningEnabled: boolean;
    readonly frontendEndpointId: string;
    readonly resourceGroupName?: string;
    /**
     * custom_https_configuration block.
     */
    readonly customHttpsConfiguration?: FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FrontdoorCustomHttpsConfigurationTimeouts;
}
export interface FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration {
    readonly azureKeyVaultCertificateSecretName?: string;
    readonly azureKeyVaultCertificateSecretVersion?: string;
    readonly azureKeyVaultCertificateVaultId?: string;
    readonly certificateSource?: string;
}
export interface FrontdoorCustomHttpsConfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FrontdoorCustomHttpsConfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FrontdoorCustomHttpsConfigurationConfig);
    private _customHttpsProvisioningEnabled;
    get customHttpsProvisioningEnabled(): boolean;
    set customHttpsProvisioningEnabled(value: boolean);
    get customHttpsProvisioningEnabledInput(): boolean;
    private _frontendEndpointId;
    get frontendEndpointId(): string;
    set frontendEndpointId(value: string);
    get frontendEndpointIdInput(): string;
    get id(): string;
    private _resourceGroupName?;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    resetResourceGroupName(): void;
    get resourceGroupNameInput(): string | undefined;
    private _customHttpsConfiguration?;
    get customHttpsConfiguration(): FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[];
    set customHttpsConfiguration(value: FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[]);
    resetCustomHttpsConfiguration(): void;
    get customHttpsConfigurationInput(): FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): FrontdoorCustomHttpsConfigurationTimeouts;
    set timeouts(value: FrontdoorCustomHttpsConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FrontdoorCustomHttpsConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
