import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface FrontdoorFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly customBlockResponseBody?: string;
    readonly customBlockResponseStatusCode?: number;
    readonly enabled?: boolean;
    readonly mode?: string;
    readonly name: string;
    readonly redirectUrl?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_rule block.
     */
    readonly customRule?: FrontdoorFirewallPolicyCustomRule[];
    /**
     * managed_rule block.
     */
    readonly managedRule?: FrontdoorFirewallPolicyManagedRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FrontdoorFirewallPolicyTimeouts;
}
export interface FrontdoorFirewallPolicyCustomRuleMatchCondition {
    readonly matchValues: string[];
    readonly matchVariable: string;
    readonly negationCondition?: boolean;
    readonly operator: string;
    readonly selector?: string;
    readonly transforms?: string[];
}
export interface FrontdoorFirewallPolicyCustomRule {
    readonly action: string;
    readonly enabled?: boolean;
    readonly name: string;
    readonly priority?: number;
    readonly rateLimitDurationInMinutes?: number;
    readonly rateLimitThreshold?: number;
    readonly type: string;
    /**
     * match_condition block.
     */
    readonly matchCondition?: FrontdoorFirewallPolicyCustomRuleMatchCondition[];
}
export interface FrontdoorFirewallPolicyManagedRuleExclusion {
    readonly matchVariable: string;
    readonly operator: string;
    readonly selector: string;
}
export interface FrontdoorFirewallPolicyManagedRuleOverrideExclusion {
    readonly matchVariable: string;
    readonly operator: string;
    readonly selector: string;
}
export interface FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion {
    readonly matchVariable: string;
    readonly operator: string;
    readonly selector: string;
}
export interface FrontdoorFirewallPolicyManagedRuleOverrideRule {
    readonly action: string;
    readonly enabled?: boolean;
    readonly ruleId: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion[];
}
export interface FrontdoorFirewallPolicyManagedRuleOverride {
    readonly ruleGroupName: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideExclusion[];
    /**
     * rule block.
     */
    readonly rule?: FrontdoorFirewallPolicyManagedRuleOverrideRule[];
}
export interface FrontdoorFirewallPolicyManagedRule {
    readonly type: string;
    readonly version: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleExclusion[];
    /**
     * override block.
     */
    readonly override?: FrontdoorFirewallPolicyManagedRuleOverride[];
}
export interface FrontdoorFirewallPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class FrontdoorFirewallPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: FrontdoorFirewallPolicyConfig);
    private _customBlockResponseBody?;
    get customBlockResponseBody(): string;
    set customBlockResponseBody(value: string);
    resetCustomBlockResponseBody(): void;
    get customBlockResponseBodyInput(): string | undefined;
    private _customBlockResponseStatusCode?;
    get customBlockResponseStatusCode(): number;
    set customBlockResponseStatusCode(value: number);
    resetCustomBlockResponseStatusCode(): void;
    get customBlockResponseStatusCodeInput(): number | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get frontendEndpointIds(): string[];
    get id(): string;
    get location(): string;
    private _mode?;
    get mode(): string;
    set mode(value: string);
    resetMode(): void;
    get modeInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _redirectUrl?;
    get redirectUrl(): string;
    set redirectUrl(value: string);
    resetRedirectUrl(): void;
    get redirectUrlInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _customRule?;
    get customRule(): FrontdoorFirewallPolicyCustomRule[];
    set customRule(value: FrontdoorFirewallPolicyCustomRule[]);
    resetCustomRule(): void;
    get customRuleInput(): FrontdoorFirewallPolicyCustomRule[] | undefined;
    private _managedRule?;
    get managedRule(): FrontdoorFirewallPolicyManagedRule[];
    set managedRule(value: FrontdoorFirewallPolicyManagedRule[]);
    resetManagedRule(): void;
    get managedRuleInput(): FrontdoorFirewallPolicyManagedRule[] | undefined;
    private _timeouts?;
    get timeouts(): FrontdoorFirewallPolicyTimeouts;
    set timeouts(value: FrontdoorFirewallPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): FrontdoorFirewallPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
