import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HdinsightHadoopClusterConfig extends cdktf.TerraformMetaArguments {
    readonly clusterVersion: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier: string;
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightHadoopClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightHadoopClusterGateway[];
    /**
     * metastores block.
     */
    readonly metastores?: HdinsightHadoopClusterMetastores[];
    /**
     * monitor block.
     */
    readonly monitor?: HdinsightHadoopClusterMonitor[];
    /**
     * roles block.
     */
    readonly roles: HdinsightHadoopClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightHadoopClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightHadoopClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightHadoopClusterTimeouts;
}
export interface HdinsightHadoopClusterComponentVersion {
    readonly hadoop: string;
}
export interface HdinsightHadoopClusterGateway {
    readonly enabled?: boolean;
    readonly password: string;
    readonly username: string;
}
export interface HdinsightHadoopClusterMetastoresAmbari {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightHadoopClusterMetastoresHive {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightHadoopClusterMetastoresOozie {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightHadoopClusterMetastores {
    /**
     * ambari block.
     */
    readonly ambari?: HdinsightHadoopClusterMetastoresAmbari[];
    /**
     * hive block.
     */
    readonly hive?: HdinsightHadoopClusterMetastoresHive[];
    /**
     * oozie block.
     */
    readonly oozie?: HdinsightHadoopClusterMetastoresOozie[];
}
export interface HdinsightHadoopClusterMonitor {
    readonly logAnalyticsWorkspaceId: string;
    readonly primaryKey: string;
}
export interface HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction {
    readonly name: string;
    readonly uri: string;
}
export interface HdinsightHadoopClusterRolesEdgeNode {
    readonly targetInstanceCount: number;
    readonly vmSize: string;
    /**
     * install_script_action block.
     */
    readonly installScriptAction: HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction[];
}
export interface HdinsightHadoopClusterRolesHeadNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightHadoopClusterRolesWorkerNode {
    readonly minInstanceCount?: number;
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly targetInstanceCount: number;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightHadoopClusterRolesZookeeperNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightHadoopClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode?: HdinsightHadoopClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightHadoopClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightHadoopClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightHadoopClusterRolesZookeeperNode[];
}
export interface HdinsightHadoopClusterStorageAccount {
    readonly isDefault: boolean;
    readonly storageAccountKey: string;
    readonly storageContainerId: string;
}
export interface HdinsightHadoopClusterStorageAccountGen2 {
    readonly filesystemId: string;
    readonly isDefault: boolean;
    readonly managedIdentityResourceId: string;
    readonly storageResourceId: string;
}
export interface HdinsightHadoopClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HdinsightHadoopCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HdinsightHadoopClusterConfig);
    private _clusterVersion;
    get clusterVersion(): string;
    set clusterVersion(value: string);
    get clusterVersionInput(): string;
    get httpsEndpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sshEndpoint(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    get tier(): string;
    set tier(value: string);
    get tierInput(): string;
    private _tlsMinVersion?;
    get tlsMinVersion(): string;
    set tlsMinVersion(value: string);
    resetTlsMinVersion(): void;
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    get componentVersion(): HdinsightHadoopClusterComponentVersion[];
    set componentVersion(value: HdinsightHadoopClusterComponentVersion[]);
    get componentVersionInput(): HdinsightHadoopClusterComponentVersion[];
    private _gateway;
    get gateway(): HdinsightHadoopClusterGateway[];
    set gateway(value: HdinsightHadoopClusterGateway[]);
    get gatewayInput(): HdinsightHadoopClusterGateway[];
    private _metastores?;
    get metastores(): HdinsightHadoopClusterMetastores[];
    set metastores(value: HdinsightHadoopClusterMetastores[]);
    resetMetastores(): void;
    get metastoresInput(): HdinsightHadoopClusterMetastores[] | undefined;
    private _monitor?;
    get monitor(): HdinsightHadoopClusterMonitor[];
    set monitor(value: HdinsightHadoopClusterMonitor[]);
    resetMonitor(): void;
    get monitorInput(): HdinsightHadoopClusterMonitor[] | undefined;
    private _roles;
    get roles(): HdinsightHadoopClusterRoles[];
    set roles(value: HdinsightHadoopClusterRoles[]);
    get rolesInput(): HdinsightHadoopClusterRoles[];
    private _storageAccount?;
    get storageAccount(): HdinsightHadoopClusterStorageAccount[];
    set storageAccount(value: HdinsightHadoopClusterStorageAccount[]);
    resetStorageAccount(): void;
    get storageAccountInput(): HdinsightHadoopClusterStorageAccount[] | undefined;
    private _storageAccountGen2?;
    get storageAccountGen2(): HdinsightHadoopClusterStorageAccountGen2[];
    set storageAccountGen2(value: HdinsightHadoopClusterStorageAccountGen2[]);
    resetStorageAccountGen2(): void;
    get storageAccountGen2Input(): HdinsightHadoopClusterStorageAccountGen2[] | undefined;
    private _timeouts?;
    get timeouts(): HdinsightHadoopClusterTimeouts;
    set timeouts(value: HdinsightHadoopClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HdinsightHadoopClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
