import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HdinsightInteractiveQueryClusterConfig extends cdktf.TerraformMetaArguments {
    readonly clusterVersion: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier: string;
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightInteractiveQueryClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightInteractiveQueryClusterGateway[];
    /**
     * metastores block.
     */
    readonly metastores?: HdinsightInteractiveQueryClusterMetastores[];
    /**
     * monitor block.
     */
    readonly monitor?: HdinsightInteractiveQueryClusterMonitor[];
    /**
     * roles block.
     */
    readonly roles: HdinsightInteractiveQueryClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightInteractiveQueryClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightInteractiveQueryClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightInteractiveQueryClusterTimeouts;
}
export interface HdinsightInteractiveQueryClusterComponentVersion {
    readonly interactiveHive: string;
}
export interface HdinsightInteractiveQueryClusterGateway {
    readonly enabled?: boolean;
    readonly password: string;
    readonly username: string;
}
export interface HdinsightInteractiveQueryClusterMetastoresAmbari {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightInteractiveQueryClusterMetastoresHive {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightInteractiveQueryClusterMetastoresOozie {
    readonly databaseName: string;
    readonly password: string;
    readonly server: string;
    readonly username: string;
}
export interface HdinsightInteractiveQueryClusterMetastores {
    /**
     * ambari block.
     */
    readonly ambari?: HdinsightInteractiveQueryClusterMetastoresAmbari[];
    /**
     * hive block.
     */
    readonly hive?: HdinsightInteractiveQueryClusterMetastoresHive[];
    /**
     * oozie block.
     */
    readonly oozie?: HdinsightInteractiveQueryClusterMetastoresOozie[];
}
export interface HdinsightInteractiveQueryClusterMonitor {
    readonly logAnalyticsWorkspaceId: string;
    readonly primaryKey: string;
}
export interface HdinsightInteractiveQueryClusterRolesHeadNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightInteractiveQueryClusterRolesWorkerNode {
    readonly minInstanceCount?: number;
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly targetInstanceCount: number;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightInteractiveQueryClusterRolesZookeeperNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightInteractiveQueryClusterRoles {
    /**
     * head_node block.
     */
    readonly headNode: HdinsightInteractiveQueryClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightInteractiveQueryClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightInteractiveQueryClusterRolesZookeeperNode[];
}
export interface HdinsightInteractiveQueryClusterStorageAccount {
    readonly isDefault: boolean;
    readonly storageAccountKey: string;
    readonly storageContainerId: string;
}
export interface HdinsightInteractiveQueryClusterStorageAccountGen2 {
    readonly filesystemId: string;
    readonly isDefault: boolean;
    readonly managedIdentityResourceId: string;
    readonly storageResourceId: string;
}
export interface HdinsightInteractiveQueryClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HdinsightInteractiveQueryCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HdinsightInteractiveQueryClusterConfig);
    private _clusterVersion;
    get clusterVersion(): string;
    set clusterVersion(value: string);
    get clusterVersionInput(): string;
    get httpsEndpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get sshEndpoint(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    get tier(): string;
    set tier(value: string);
    get tierInput(): string;
    private _tlsMinVersion?;
    get tlsMinVersion(): string;
    set tlsMinVersion(value: string);
    resetTlsMinVersion(): void;
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    get componentVersion(): HdinsightInteractiveQueryClusterComponentVersion[];
    set componentVersion(value: HdinsightInteractiveQueryClusterComponentVersion[]);
    get componentVersionInput(): HdinsightInteractiveQueryClusterComponentVersion[];
    private _gateway;
    get gateway(): HdinsightInteractiveQueryClusterGateway[];
    set gateway(value: HdinsightInteractiveQueryClusterGateway[]);
    get gatewayInput(): HdinsightInteractiveQueryClusterGateway[];
    private _metastores?;
    get metastores(): HdinsightInteractiveQueryClusterMetastores[];
    set metastores(value: HdinsightInteractiveQueryClusterMetastores[]);
    resetMetastores(): void;
    get metastoresInput(): HdinsightInteractiveQueryClusterMetastores[] | undefined;
    private _monitor?;
    get monitor(): HdinsightInteractiveQueryClusterMonitor[];
    set monitor(value: HdinsightInteractiveQueryClusterMonitor[]);
    resetMonitor(): void;
    get monitorInput(): HdinsightInteractiveQueryClusterMonitor[] | undefined;
    private _roles;
    get roles(): HdinsightInteractiveQueryClusterRoles[];
    set roles(value: HdinsightInteractiveQueryClusterRoles[]);
    get rolesInput(): HdinsightInteractiveQueryClusterRoles[];
    private _storageAccount?;
    get storageAccount(): HdinsightInteractiveQueryClusterStorageAccount[];
    set storageAccount(value: HdinsightInteractiveQueryClusterStorageAccount[]);
    resetStorageAccount(): void;
    get storageAccountInput(): HdinsightInteractiveQueryClusterStorageAccount[] | undefined;
    private _storageAccountGen2?;
    get storageAccountGen2(): HdinsightInteractiveQueryClusterStorageAccountGen2[];
    set storageAccountGen2(value: HdinsightInteractiveQueryClusterStorageAccountGen2[]);
    resetStorageAccountGen2(): void;
    get storageAccountGen2Input(): HdinsightInteractiveQueryClusterStorageAccountGen2[] | undefined;
    private _timeouts?;
    get timeouts(): HdinsightInteractiveQueryClusterTimeouts;
    set timeouts(value: HdinsightInteractiveQueryClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HdinsightInteractiveQueryClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
