import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HdinsightMlServicesClusterConfig extends cdktf.TerraformMetaArguments {
    readonly clusterVersion: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly rstudio: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier: string;
    readonly tlsMinVersion?: string;
    /**
     * gateway block.
     */
    readonly gateway: HdinsightMlServicesClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightMlServicesClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightMlServicesClusterStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightMlServicesClusterTimeouts;
}
export interface HdinsightMlServicesClusterGateway {
    readonly enabled?: boolean;
    readonly password: string;
    readonly username: string;
}
export interface HdinsightMlServicesClusterRolesEdgeNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightMlServicesClusterRolesHeadNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightMlServicesClusterRolesWorkerNode {
    readonly minInstanceCount?: number;
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly targetInstanceCount: number;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightMlServicesClusterRolesZookeeperNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightMlServicesClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode: HdinsightMlServicesClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightMlServicesClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightMlServicesClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightMlServicesClusterRolesZookeeperNode[];
}
export interface HdinsightMlServicesClusterStorageAccount {
    readonly isDefault: boolean;
    readonly storageAccountKey: string;
    readonly storageContainerId: string;
}
export interface HdinsightMlServicesClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HdinsightMlServicesCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HdinsightMlServicesClusterConfig);
    private _clusterVersion;
    get clusterVersion(): string;
    set clusterVersion(value: string);
    get clusterVersionInput(): string;
    get edgeSshEndpoint(): string;
    get httpsEndpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rstudio;
    get rstudio(): boolean;
    set rstudio(value: boolean);
    get rstudioInput(): boolean;
    get sshEndpoint(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    get tier(): string;
    set tier(value: string);
    get tierInput(): string;
    private _tlsMinVersion?;
    get tlsMinVersion(): string;
    set tlsMinVersion(value: string);
    resetTlsMinVersion(): void;
    get tlsMinVersionInput(): string | undefined;
    private _gateway;
    get gateway(): HdinsightMlServicesClusterGateway[];
    set gateway(value: HdinsightMlServicesClusterGateway[]);
    get gatewayInput(): HdinsightMlServicesClusterGateway[];
    private _roles;
    get roles(): HdinsightMlServicesClusterRoles[];
    set roles(value: HdinsightMlServicesClusterRoles[]);
    get rolesInput(): HdinsightMlServicesClusterRoles[];
    private _storageAccount?;
    get storageAccount(): HdinsightMlServicesClusterStorageAccount[];
    set storageAccount(value: HdinsightMlServicesClusterStorageAccount[]);
    resetStorageAccount(): void;
    get storageAccountInput(): HdinsightMlServicesClusterStorageAccount[] | undefined;
    private _timeouts?;
    get timeouts(): HdinsightMlServicesClusterTimeouts;
    set timeouts(value: HdinsightMlServicesClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HdinsightMlServicesClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
