import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HdinsightRserverClusterConfig extends cdktf.TerraformMetaArguments {
    readonly clusterVersion: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly rstudio: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tier: string;
    readonly tlsMinVersion?: string;
    /**
     * gateway block.
     */
    readonly gateway: HdinsightRserverClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightRserverClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightRserverClusterStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightRserverClusterTimeouts;
}
export interface HdinsightRserverClusterGateway {
    readonly enabled?: boolean;
    readonly password: string;
    readonly username: string;
}
export interface HdinsightRserverClusterRolesEdgeNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightRserverClusterRolesHeadNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightRserverClusterRolesWorkerNode {
    readonly minInstanceCount?: number;
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly targetInstanceCount: number;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightRserverClusterRolesZookeeperNode {
    readonly password?: string;
    readonly sshKeys?: string[];
    readonly subnetId?: string;
    readonly username: string;
    readonly virtualNetworkId?: string;
    readonly vmSize: string;
}
export interface HdinsightRserverClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode: HdinsightRserverClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightRserverClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightRserverClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightRserverClusterRolesZookeeperNode[];
}
export interface HdinsightRserverClusterStorageAccount {
    readonly isDefault: boolean;
    readonly storageAccountKey: string;
    readonly storageContainerId: string;
}
export interface HdinsightRserverClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HdinsightRserverCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HdinsightRserverClusterConfig);
    private _clusterVersion;
    get clusterVersion(): string;
    set clusterVersion(value: string);
    get clusterVersionInput(): string;
    get edgeSshEndpoint(): string;
    get httpsEndpoint(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rstudio;
    get rstudio(): boolean;
    set rstudio(value: boolean);
    get rstudioInput(): boolean;
    get sshEndpoint(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    get tier(): string;
    set tier(value: string);
    get tierInput(): string;
    private _tlsMinVersion?;
    get tlsMinVersion(): string;
    set tlsMinVersion(value: string);
    resetTlsMinVersion(): void;
    get tlsMinVersionInput(): string | undefined;
    private _gateway;
    get gateway(): HdinsightRserverClusterGateway[];
    set gateway(value: HdinsightRserverClusterGateway[]);
    get gatewayInput(): HdinsightRserverClusterGateway[];
    private _roles;
    get roles(): HdinsightRserverClusterRoles[];
    set roles(value: HdinsightRserverClusterRoles[]);
    get rolesInput(): HdinsightRserverClusterRoles[];
    private _storageAccount?;
    get storageAccount(): HdinsightRserverClusterStorageAccount[];
    set storageAccount(value: HdinsightRserverClusterStorageAccount[]);
    resetStorageAccount(): void;
    get storageAccountInput(): HdinsightRserverClusterStorageAccount[] | undefined;
    private _timeouts?;
    get timeouts(): HdinsightRserverClusterTimeouts;
    set timeouts(value: HdinsightRserverClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HdinsightRserverClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
