import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HealthcareServiceConfig extends cdktf.TerraformMetaArguments {
    readonly accessPolicyObjectIds?: string[];
    readonly cosmosdbThroughput?: number;
    readonly kind?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * authentication_configuration block.
     */
    readonly authenticationConfiguration?: HealthcareServiceAuthenticationConfiguration[];
    /**
     * cors_configuration block.
     */
    readonly corsConfiguration?: HealthcareServiceCorsConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HealthcareServiceTimeouts;
}
export interface HealthcareServiceAuthenticationConfiguration {
    readonly audience?: string;
    readonly authority?: string;
    readonly smartProxyEnabled?: boolean;
}
export interface HealthcareServiceCorsConfiguration {
    readonly allowCredentials?: boolean;
    readonly allowedHeaders?: string[];
    readonly allowedMethods?: string[];
    readonly allowedOrigins?: string[];
    readonly maxAgeInSeconds?: number;
}
export interface HealthcareServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HealthcareService extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareServiceConfig);
    private _accessPolicyObjectIds?;
    get accessPolicyObjectIds(): string[];
    set accessPolicyObjectIds(value: string[]);
    resetAccessPolicyObjectIds(): void;
    get accessPolicyObjectIdsInput(): string[] | undefined;
    private _cosmosdbThroughput?;
    get cosmosdbThroughput(): number;
    set cosmosdbThroughput(value: number);
    resetCosmosdbThroughput(): void;
    get cosmosdbThroughputInput(): number | undefined;
    get id(): string;
    private _kind?;
    get kind(): string;
    set kind(value: string);
    resetKind(): void;
    get kindInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _authenticationConfiguration?;
    get authenticationConfiguration(): HealthcareServiceAuthenticationConfiguration[];
    set authenticationConfiguration(value: HealthcareServiceAuthenticationConfiguration[]);
    resetAuthenticationConfiguration(): void;
    get authenticationConfigurationInput(): HealthcareServiceAuthenticationConfiguration[] | undefined;
    private _corsConfiguration?;
    get corsConfiguration(): HealthcareServiceCorsConfiguration[];
    set corsConfiguration(value: HealthcareServiceCorsConfiguration[]);
    resetCorsConfiguration(): void;
    get corsConfigurationInput(): HealthcareServiceCorsConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): HealthcareServiceTimeouts;
    set timeouts(value: HealthcareServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HealthcareServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
