import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HpcCacheBlobTargetConfig extends cdktf.TerraformMetaArguments {
    readonly cacheName: string;
    readonly name: string;
    readonly namespacePath: string;
    readonly resourceGroupName: string;
    readonly storageContainerId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: HpcCacheBlobTargetTimeouts;
}
export interface HpcCacheBlobTargetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HpcCacheBlobTarget extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HpcCacheBlobTargetConfig);
    private _cacheName;
    get cacheName(): string;
    set cacheName(value: string);
    get cacheNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespacePath;
    get namespacePath(): string;
    set namespacePath(value: string);
    get namespacePathInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageContainerId;
    get storageContainerId(): string;
    set storageContainerId(value: string);
    get storageContainerIdInput(): string;
    private _timeouts?;
    get timeouts(): HpcCacheBlobTargetTimeouts;
    set timeouts(value: HpcCacheBlobTargetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HpcCacheBlobTargetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
