import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HpcCacheNfsTargetConfig extends cdktf.TerraformMetaArguments {
    readonly cacheName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly targetHostName: string;
    readonly usageModel: string;
    /**
     * namespace_junction block.
     */
    readonly namespaceJunction: HpcCacheNfsTargetNamespaceJunction[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HpcCacheNfsTargetTimeouts;
}
export interface HpcCacheNfsTargetNamespaceJunction {
    readonly namespacePath: string;
    readonly nfsExport: string;
    readonly targetPath?: string;
}
export interface HpcCacheNfsTargetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HpcCacheNfsTarget extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HpcCacheNfsTargetConfig);
    private _cacheName;
    get cacheName(): string;
    set cacheName(value: string);
    get cacheNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _targetHostName;
    get targetHostName(): string;
    set targetHostName(value: string);
    get targetHostNameInput(): string;
    private _usageModel;
    get usageModel(): string;
    set usageModel(value: string);
    get usageModelInput(): string;
    private _namespaceJunction;
    get namespaceJunction(): HpcCacheNfsTargetNamespaceJunction[];
    set namespaceJunction(value: HpcCacheNfsTargetNamespaceJunction[]);
    get namespaceJunctionInput(): HpcCacheNfsTargetNamespaceJunction[];
    private _timeouts?;
    get timeouts(): HpcCacheNfsTargetTimeouts;
    set timeouts(value: HpcCacheNfsTargetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HpcCacheNfsTargetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
