import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface HpcCacheConfig extends cdktf.TerraformMetaArguments {
    readonly cacheSizeInGb: number;
    readonly location: string;
    readonly mtu?: number;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly rootSquashEnabled?: boolean;
    readonly skuName: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: HpcCacheTimeouts;
}
export interface HpcCacheTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class HpcCache extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: HpcCacheConfig);
    private _cacheSizeInGb;
    get cacheSizeInGb(): number;
    set cacheSizeInGb(value: number);
    get cacheSizeInGbInput(): number;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get mountAddresses(): string[];
    private _mtu?;
    get mtu(): number;
    set mtu(value: number);
    resetMtu(): void;
    get mtuInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rootSquashEnabled?;
    get rootSquashEnabled(): boolean;
    set rootSquashEnabled(value: boolean);
    resetRootSquashEnabled(): void;
    get rootSquashEnabledInput(): boolean | undefined;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): HpcCacheTimeouts;
    set timeouts(value: HpcCacheTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): HpcCacheTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
