import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ImageConfig extends cdktf.TerraformMetaArguments {
    readonly hyperVGeneration?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sourceVirtualMachineId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zoneResilient?: boolean;
    /**
     * data_disk block.
     */
    readonly dataDisk?: ImageDataDisk[];
    /**
     * os_disk block.
     */
    readonly osDisk?: ImageOsDisk[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ImageTimeouts;
}
export interface ImageDataDisk {
    readonly blobUri?: string;
    readonly caching?: string;
    readonly lun?: number;
    readonly managedDiskId?: string;
    readonly sizeGb?: number;
}
export interface ImageOsDisk {
    readonly blobUri?: string;
    readonly caching?: string;
    readonly managedDiskId?: string;
    readonly osState?: string;
    readonly osType?: string;
    readonly sizeGb?: number;
}
export interface ImageTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Image extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ImageConfig);
    private _hyperVGeneration?;
    get hyperVGeneration(): string;
    set hyperVGeneration(value: string);
    resetHyperVGeneration(): void;
    get hyperVGenerationInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceVirtualMachineId?;
    get sourceVirtualMachineId(): string;
    set sourceVirtualMachineId(value: string);
    resetSourceVirtualMachineId(): void;
    get sourceVirtualMachineIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneResilient?;
    get zoneResilient(): boolean;
    set zoneResilient(value: boolean);
    resetZoneResilient(): void;
    get zoneResilientInput(): boolean | undefined;
    private _dataDisk?;
    get dataDisk(): ImageDataDisk[];
    set dataDisk(value: ImageDataDisk[]);
    resetDataDisk(): void;
    get dataDiskInput(): ImageDataDisk[] | undefined;
    private _osDisk?;
    get osDisk(): ImageOsDisk[];
    set osDisk(value: ImageOsDisk[]);
    resetOsDisk(): void;
    get osDiskInput(): ImageOsDisk[] | undefined;
    private _timeouts?;
    get timeouts(): ImageTimeouts;
    set timeouts(value: ImageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ImageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
