import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IntegrationServiceEnvironmentConfig extends cdktf.TerraformMetaArguments {
    readonly accessEndpointType: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualNetworkSubnetIds: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: IntegrationServiceEnvironmentTimeouts;
}
export interface IntegrationServiceEnvironmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IntegrationServiceEnvironment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IntegrationServiceEnvironmentConfig);
    private _accessEndpointType;
    get accessEndpointType(): string;
    set accessEndpointType(value: string);
    get accessEndpointTypeInput(): string;
    get connectorEndpointIpAddresses(): string[];
    get connectorOutboundIpAddresses(): string[];
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName?;
    get skuName(): string;
    set skuName(value: string);
    resetSkuName(): void;
    get skuNameInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualNetworkSubnetIds;
    get virtualNetworkSubnetIds(): string[];
    set virtualNetworkSubnetIds(value: string[]);
    get virtualNetworkSubnetIdsInput(): string[];
    get workflowEndpointIpAddresses(): string[];
    get workflowOutboundIpAddresses(): string[];
    private _timeouts?;
    get timeouts(): IntegrationServiceEnvironmentTimeouts;
    set timeouts(value: IntegrationServiceEnvironmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IntegrationServiceEnvironmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
