import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IotTimeSeriesInsightsAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly name: string;
    readonly principalObjectId: string;
    readonly roles: string[];
    readonly timeSeriesInsightsEnvironmentId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IotTimeSeriesInsightsAccessPolicyTimeouts;
}
export interface IotTimeSeriesInsightsAccessPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IotTimeSeriesInsightsAccessPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsAccessPolicyConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _principalObjectId;
    get principalObjectId(): string;
    set principalObjectId(value: string);
    get principalObjectIdInput(): string;
    private _roles;
    get roles(): string[];
    set roles(value: string[]);
    get rolesInput(): string[];
    private _timeSeriesInsightsEnvironmentId;
    get timeSeriesInsightsEnvironmentId(): string;
    set timeSeriesInsightsEnvironmentId(value: string);
    get timeSeriesInsightsEnvironmentIdInput(): string;
    private _timeouts?;
    get timeouts(): IotTimeSeriesInsightsAccessPolicyTimeouts;
    set timeouts(value: IotTimeSeriesInsightsAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IotTimeSeriesInsightsAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
