import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IotTimeSeriesInsightsGen2EnvironmentConfig extends cdktf.TerraformMetaArguments {
    readonly idProperties: string[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly warmStoreDataRetentionTime?: string;
    /**
     * storage block.
     */
    readonly storage: IotTimeSeriesInsightsGen2EnvironmentStorage[];
    /**
     * timeouts block.
     */
    readonly timeouts?: IotTimeSeriesInsightsGen2EnvironmentTimeouts;
}
export interface IotTimeSeriesInsightsGen2EnvironmentStorage {
    readonly key: string;
    readonly name: string;
}
export interface IotTimeSeriesInsightsGen2EnvironmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IotTimeSeriesInsightsGen2Environment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsGen2EnvironmentConfig);
    get id(): string;
    private _idProperties;
    get idProperties(): string[];
    set idProperties(value: string[]);
    get idPropertiesInput(): string[];
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _warmStoreDataRetentionTime?;
    get warmStoreDataRetentionTime(): string;
    set warmStoreDataRetentionTime(value: string);
    resetWarmStoreDataRetentionTime(): void;
    get warmStoreDataRetentionTimeInput(): string | undefined;
    private _storage;
    get storage(): IotTimeSeriesInsightsGen2EnvironmentStorage[];
    set storage(value: IotTimeSeriesInsightsGen2EnvironmentStorage[]);
    get storageInput(): IotTimeSeriesInsightsGen2EnvironmentStorage[];
    private _timeouts?;
    get timeouts(): IotTimeSeriesInsightsGen2EnvironmentTimeouts;
    set timeouts(value: IotTimeSeriesInsightsGen2EnvironmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IotTimeSeriesInsightsGen2EnvironmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
