import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IotTimeSeriesInsightsReferenceDataSetConfig extends cdktf.TerraformMetaArguments {
    readonly dataStringComparisonBehavior?: string;
    readonly location: string;
    readonly name: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly timeSeriesInsightsEnvironmentId: string;
    /**
     * key_property block.
     */
    readonly keyProperty: IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    /**
     * timeouts block.
     */
    readonly timeouts?: IotTimeSeriesInsightsReferenceDataSetTimeouts;
}
export interface IotTimeSeriesInsightsReferenceDataSetKeyProperty {
    readonly name: string;
    readonly type: string;
}
export interface IotTimeSeriesInsightsReferenceDataSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IotTimeSeriesInsightsReferenceDataSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsReferenceDataSetConfig);
    private _dataStringComparisonBehavior?;
    get dataStringComparisonBehavior(): string;
    set dataStringComparisonBehavior(value: string);
    resetDataStringComparisonBehavior(): void;
    get dataStringComparisonBehaviorInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeSeriesInsightsEnvironmentId;
    get timeSeriesInsightsEnvironmentId(): string;
    set timeSeriesInsightsEnvironmentId(value: string);
    get timeSeriesInsightsEnvironmentIdInput(): string;
    private _keyProperty;
    get keyProperty(): IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    set keyProperty(value: IotTimeSeriesInsightsReferenceDataSetKeyProperty[]);
    get keyPropertyInput(): IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    private _timeouts?;
    get timeouts(): IotTimeSeriesInsightsReferenceDataSetTimeouts;
    set timeouts(value: IotTimeSeriesInsightsReferenceDataSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IotTimeSeriesInsightsReferenceDataSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
