import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IotTimeSeriesInsightsStandardEnvironmentConfig extends cdktf.TerraformMetaArguments {
    readonly dataRetentionTime: string;
    readonly location: string;
    readonly name: string;
    readonly partitionKey?: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly storageLimitExceededBehavior?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: IotTimeSeriesInsightsStandardEnvironmentTimeouts;
}
export interface IotTimeSeriesInsightsStandardEnvironmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IotTimeSeriesInsightsStandardEnvironment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsStandardEnvironmentConfig);
    private _dataRetentionTime;
    get dataRetentionTime(): string;
    set dataRetentionTime(value: string);
    get dataRetentionTimeInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _partitionKey?;
    get partitionKey(): string;
    set partitionKey(value: string);
    resetPartitionKey(): void;
    get partitionKeyInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _storageLimitExceededBehavior?;
    get storageLimitExceededBehavior(): string;
    set storageLimitExceededBehavior(value: string);
    resetStorageLimitExceededBehavior(): void;
    get storageLimitExceededBehaviorInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): IotTimeSeriesInsightsStandardEnvironmentTimeouts;
    set timeouts(value: IotTimeSeriesInsightsStandardEnvironmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IotTimeSeriesInsightsStandardEnvironmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
