import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IotcentralApplicationConfig extends cdktf.TerraformMetaArguments {
    readonly displayName?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku?: string;
    readonly subDomain: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly template?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IotcentralApplicationTimeouts;
}
export interface IotcentralApplicationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IotcentralApplication extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IotcentralApplicationConfig);
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _subDomain;
    get subDomain(): string;
    set subDomain(value: string);
    get subDomainInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _template?;
    get template(): string;
    set template(value: string);
    resetTemplate(): void;
    get templateInput(): string | undefined;
    private _timeouts?;
    get timeouts(): IotcentralApplicationTimeouts;
    set timeouts(value: IotcentralApplicationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IotcentralApplicationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
