import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubConsumerGroupConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubEndpointName: string;
    readonly iothubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubConsumerGroupTimeouts;
}
export interface IothubConsumerGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubConsumerGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubConsumerGroupConfig);
    private _eventhubEndpointName;
    get eventhubEndpointName(): string;
    set eventhubEndpointName(value: string);
    get eventhubEndpointNameInput(): string;
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): IothubConsumerGroupTimeouts;
    set timeouts(value: IothubConsumerGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubConsumerGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
