import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubDpsCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly certificateContent: string;
    readonly iotDpsName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsCertificateTimeouts;
}
export interface IothubDpsCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubDpsCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubDpsCertificateConfig);
    private _certificateContent;
    get certificateContent(): string;
    set certificateContent(value: string);
    get certificateContentInput(): string;
    get id(): string;
    private _iotDpsName;
    get iotDpsName(): string;
    set iotDpsName(value: string);
    get iotDpsNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): IothubDpsCertificateTimeouts;
    set timeouts(value: IothubDpsCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubDpsCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
