import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubDpsSharedAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly enrollmentRead?: boolean;
    readonly enrollmentWrite?: boolean;
    readonly iothubDpsName: string;
    readonly name: string;
    readonly registrationRead?: boolean;
    readonly registrationWrite?: boolean;
    readonly resourceGroupName: string;
    readonly serviceConfig?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsSharedAccessPolicyTimeouts;
}
export interface IothubDpsSharedAccessPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubDpsSharedAccessPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubDpsSharedAccessPolicyConfig);
    private _enrollmentRead?;
    get enrollmentRead(): boolean;
    set enrollmentRead(value: boolean);
    resetEnrollmentRead(): void;
    get enrollmentReadInput(): boolean | undefined;
    private _enrollmentWrite?;
    get enrollmentWrite(): boolean;
    set enrollmentWrite(value: boolean);
    resetEnrollmentWrite(): void;
    get enrollmentWriteInput(): boolean | undefined;
    get id(): string;
    private _iothubDpsName;
    get iothubDpsName(): string;
    set iothubDpsName(value: string);
    get iothubDpsNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _registrationRead?;
    get registrationRead(): boolean;
    set registrationRead(value: boolean);
    resetRegistrationRead(): void;
    get registrationReadInput(): boolean | undefined;
    private _registrationWrite?;
    get registrationWrite(): boolean;
    set registrationWrite(value: boolean);
    resetRegistrationWrite(): void;
    get registrationWriteInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    private _serviceConfig?;
    get serviceConfig(): boolean;
    set serviceConfig(value: boolean);
    resetServiceConfig(): void;
    get serviceConfigInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): IothubDpsSharedAccessPolicyTimeouts;
    set timeouts(value: IothubDpsSharedAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubDpsSharedAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
