import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubDpsConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * linked_hub block.
     */
    readonly linkedHub?: IothubDpsLinkedHub[];
    /**
     * sku block.
     */
    readonly sku: IothubDpsSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsTimeouts;
}
export interface IothubDpsLinkedHub {
    readonly allocationWeight?: number;
    readonly applyAllocationPolicy?: boolean;
    readonly connectionString: string;
    readonly location: string;
}
export interface IothubDpsSku {
    readonly capacity: number;
    readonly name: string;
}
export interface IothubDpsTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubDps extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubDpsConfig);
    get allocationPolicy(): string;
    get deviceProvisioningHostName(): string;
    get id(): string;
    get idScope(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get serviceOperationsHostName(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _linkedHub?;
    get linkedHub(): IothubDpsLinkedHub[];
    set linkedHub(value: IothubDpsLinkedHub[]);
    resetLinkedHub(): void;
    get linkedHubInput(): IothubDpsLinkedHub[] | undefined;
    private _sku;
    get sku(): IothubDpsSku[];
    set sku(value: IothubDpsSku[]);
    get skuInput(): IothubDpsSku[];
    private _timeouts?;
    get timeouts(): IothubDpsTimeouts;
    set timeouts(value: IothubDpsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubDpsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
