import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubEndpointEventhubConfig extends cdktf.TerraformMetaArguments {
    readonly connectionString: string;
    readonly iothubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubEndpointEventhubTimeouts;
}
export interface IothubEndpointEventhubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubEndpointEventhub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubEndpointEventhubConfig);
    private _connectionString;
    get connectionString(): string;
    set connectionString(value: string);
    get connectionStringInput(): string;
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): IothubEndpointEventhubTimeouts;
    set timeouts(value: IothubEndpointEventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubEndpointEventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
