import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubEndpointStorageContainerConfig extends cdktf.TerraformMetaArguments {
    readonly batchFrequencyInSeconds?: number;
    readonly connectionString: string;
    readonly containerName: string;
    readonly encoding?: string;
    readonly fileNameFormat?: string;
    readonly iothubName: string;
    readonly maxChunkSizeInBytes?: number;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubEndpointStorageContainerTimeouts;
}
export interface IothubEndpointStorageContainerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubEndpointStorageContainer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubEndpointStorageContainerConfig);
    private _batchFrequencyInSeconds?;
    get batchFrequencyInSeconds(): number;
    set batchFrequencyInSeconds(value: number);
    resetBatchFrequencyInSeconds(): void;
    get batchFrequencyInSecondsInput(): number | undefined;
    private _connectionString;
    get connectionString(): string;
    set connectionString(value: string);
    get connectionStringInput(): string;
    private _containerName;
    get containerName(): string;
    set containerName(value: string);
    get containerNameInput(): string;
    private _encoding?;
    get encoding(): string;
    set encoding(value: string);
    resetEncoding(): void;
    get encodingInput(): string | undefined;
    private _fileNameFormat?;
    get fileNameFormat(): string;
    set fileNameFormat(value: string);
    resetFileNameFormat(): void;
    get fileNameFormatInput(): string | undefined;
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _maxChunkSizeInBytes?;
    get maxChunkSizeInBytes(): number;
    set maxChunkSizeInBytes(value: number);
    resetMaxChunkSizeInBytes(): void;
    get maxChunkSizeInBytesInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): IothubEndpointStorageContainerTimeouts;
    set timeouts(value: IothubEndpointStorageContainerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubEndpointStorageContainerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
