import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubFallbackRouteAConfig extends cdktf.TerraformMetaArguments {
    readonly condition?: string;
    readonly enabled: boolean;
    readonly endpointNames: string[];
    readonly iothubName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubFallbackRouteTimeouts;
}
export interface IothubFallbackRouteTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubFallbackRouteA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubFallbackRouteAConfig);
    private _condition?;
    get condition(): string;
    set condition(value: string);
    resetCondition(): void;
    get conditionInput(): string | undefined;
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledInput(): boolean;
    private _endpointNames;
    get endpointNames(): string[];
    set endpointNames(value: string[]);
    get endpointNamesInput(): string[];
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): IothubFallbackRouteTimeouts;
    set timeouts(value: IothubFallbackRouteTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubFallbackRouteTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
