import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubRouteAConfig extends cdktf.TerraformMetaArguments {
    readonly condition?: string;
    readonly enabled: boolean;
    readonly endpointNames: string[];
    readonly iothubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly source: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubRouteTimeouts;
}
export interface IothubRouteTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubRouteA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubRouteAConfig);
    private _condition?;
    get condition(): string;
    set condition(value: string);
    resetCondition(): void;
    get conditionInput(): string | undefined;
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledInput(): boolean;
    private _endpointNames;
    get endpointNames(): string[];
    set endpointNames(value: string[]);
    get endpointNamesInput(): string[];
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _source;
    get source(): string;
    set source(value: string);
    get sourceInput(): string;
    private _timeouts?;
    get timeouts(): IothubRouteTimeouts;
    set timeouts(value: IothubRouteTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubRouteTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
