import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IothubSharedAccessPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly deviceConnect?: boolean;
    readonly iothubName: string;
    readonly name: string;
    readonly registryRead?: boolean;
    readonly registryWrite?: boolean;
    readonly resourceGroupName: string;
    readonly serviceConnect?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubSharedAccessPolicyTimeouts;
}
export interface IothubSharedAccessPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class IothubSharedAccessPolicyA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: IothubSharedAccessPolicyAConfig);
    private _deviceConnect?;
    get deviceConnect(): boolean;
    set deviceConnect(value: boolean);
    resetDeviceConnect(): void;
    get deviceConnectInput(): boolean | undefined;
    get id(): string;
    private _iothubName;
    get iothubName(): string;
    set iothubName(value: string);
    get iothubNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _registryRead?;
    get registryRead(): boolean;
    set registryRead(value: boolean);
    resetRegistryRead(): void;
    get registryReadInput(): boolean | undefined;
    private _registryWrite?;
    get registryWrite(): boolean;
    set registryWrite(value: boolean);
    resetRegistryWrite(): void;
    get registryWriteInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    private _serviceConnect?;
    get serviceConnect(): boolean;
    set serviceConnect(value: boolean);
    resetServiceConnect(): void;
    get serviceConnectInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): IothubSharedAccessPolicyTimeouts;
    set timeouts(value: IothubSharedAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): IothubSharedAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
