import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KeyVaultAccessPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly applicationId?: string;
    readonly certificatePermissions?: string[];
    readonly keyPermissions?: string[];
    readonly keyVaultId: string;
    readonly objectId: string;
    readonly secretPermissions?: string[];
    readonly storagePermissions?: string[];
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultAccessPolicyTimeouts;
}
export interface KeyVaultAccessPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KeyVaultAccessPolicyA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KeyVaultAccessPolicyAConfig);
    private _applicationId?;
    get applicationId(): string;
    set applicationId(value: string);
    resetApplicationId(): void;
    get applicationIdInput(): string | undefined;
    private _certificatePermissions?;
    get certificatePermissions(): string[];
    set certificatePermissions(value: string[]);
    resetCertificatePermissions(): void;
    get certificatePermissionsInput(): string[] | undefined;
    get id(): string;
    private _keyPermissions?;
    get keyPermissions(): string[];
    set keyPermissions(value: string[]);
    resetKeyPermissions(): void;
    get keyPermissionsInput(): string[] | undefined;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _objectId;
    get objectId(): string;
    set objectId(value: string);
    get objectIdInput(): string;
    private _secretPermissions?;
    get secretPermissions(): string[];
    set secretPermissions(value: string[]);
    resetSecretPermissions(): void;
    get secretPermissionsInput(): string[] | undefined;
    private _storagePermissions?;
    get storagePermissions(): string[];
    set storagePermissions(value: string[]);
    resetStoragePermissions(): void;
    get storagePermissionsInput(): string[] | undefined;
    private _tenantId;
    get tenantId(): string;
    set tenantId(value: string);
    get tenantIdInput(): string;
    private _timeouts?;
    get timeouts(): KeyVaultAccessPolicyTimeouts;
    set timeouts(value: KeyVaultAccessPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KeyVaultAccessPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
