import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KeyVaultCertificateIssuerConfig extends cdktf.TerraformMetaArguments {
    readonly accountId?: string;
    readonly keyVaultId: string;
    readonly name: string;
    readonly orgId?: string;
    readonly password?: string;
    readonly providerName: string;
    /**
     * admin block.
     */
    readonly admin?: KeyVaultCertificateIssuerAdmin[];
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultCertificateIssuerTimeouts;
}
export interface KeyVaultCertificateIssuerAdmin {
    readonly emailAddress: string;
    readonly firstName?: string;
    readonly lastName?: string;
    readonly phone?: string;
}
export interface KeyVaultCertificateIssuerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KeyVaultCertificateIssuer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KeyVaultCertificateIssuerConfig);
    private _accountId?;
    get accountId(): string;
    set accountId(value: string);
    resetAccountId(): void;
    get accountIdInput(): string | undefined;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _orgId?;
    get orgId(): string;
    set orgId(value: string);
    resetOrgId(): void;
    get orgIdInput(): string | undefined;
    private _password?;
    get password(): string;
    set password(value: string);
    resetPassword(): void;
    get passwordInput(): string | undefined;
    private _providerName;
    get providerName(): string;
    set providerName(value: string);
    get providerNameInput(): string;
    private _admin?;
    get admin(): KeyVaultCertificateIssuerAdmin[];
    set admin(value: KeyVaultCertificateIssuerAdmin[]);
    resetAdmin(): void;
    get adminInput(): KeyVaultCertificateIssuerAdmin[] | undefined;
    private _timeouts?;
    get timeouts(): KeyVaultCertificateIssuerTimeouts;
    set timeouts(value: KeyVaultCertificateIssuerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KeyVaultCertificateIssuerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
