import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KeyVaultKeyConfig extends cdktf.TerraformMetaArguments {
    readonly curve?: string;
    readonly expirationDate?: string;
    readonly keyOpts: string[];
    readonly keySize?: number;
    readonly keyType: string;
    readonly keyVaultId: string;
    readonly name: string;
    readonly notBeforeDate?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultKeyTimeouts;
}
export interface KeyVaultKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KeyVaultKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KeyVaultKeyConfig);
    private _curve?;
    get curve(): string;
    set curve(value: string);
    resetCurve(): void;
    get curveInput(): string | undefined;
    get e(): string;
    private _expirationDate?;
    get expirationDate(): string;
    set expirationDate(value: string);
    resetExpirationDate(): void;
    get expirationDateInput(): string | undefined;
    get id(): string;
    private _keyOpts;
    get keyOpts(): string[];
    set keyOpts(value: string[]);
    get keyOptsInput(): string[];
    private _keySize?;
    get keySize(): number;
    set keySize(value: number);
    resetKeySize(): void;
    get keySizeInput(): number | undefined;
    private _keyType;
    get keyType(): string;
    set keyType(value: string);
    get keyTypeInput(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    get n(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _notBeforeDate?;
    get notBeforeDate(): string;
    set notBeforeDate(value: string);
    resetNotBeforeDate(): void;
    get notBeforeDateInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get version(): string;
    get x(): string;
    get y(): string;
    private _timeouts?;
    get timeouts(): KeyVaultKeyTimeouts;
    set timeouts(value: KeyVaultKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KeyVaultKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
