import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KeyVaultSecretConfig extends cdktf.TerraformMetaArguments {
    readonly contentType?: string;
    readonly expirationDate?: string;
    readonly keyVaultId: string;
    readonly name: string;
    readonly notBeforeDate?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultSecretTimeouts;
}
export interface KeyVaultSecretTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KeyVaultSecret extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KeyVaultSecretConfig);
    private _contentType?;
    get contentType(): string;
    set contentType(value: string);
    resetContentType(): void;
    get contentTypeInput(): string | undefined;
    private _expirationDate?;
    get expirationDate(): string;
    set expirationDate(value: string);
    resetExpirationDate(): void;
    get expirationDateInput(): string | undefined;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _notBeforeDate?;
    get notBeforeDate(): string;
    set notBeforeDate(value: string);
    resetNotBeforeDate(): void;
    get notBeforeDateInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _value;
    get value(): string;
    set value(value: string);
    get valueInput(): string;
    get version(): string;
    private _timeouts?;
    get timeouts(): KeyVaultSecretTimeouts;
    set timeouts(value: KeyVaultSecretTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KeyVaultSecretTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
