import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KubernetesClusterNodePoolConfig extends cdktf.TerraformMetaArguments {
    readonly availabilityZones?: string[];
    readonly enableAutoScaling?: boolean;
    readonly enableNodePublicIp?: boolean;
    readonly evictionPolicy?: string;
    readonly kubernetesClusterId: string;
    readonly maxCount?: number;
    readonly maxPods?: number;
    readonly minCount?: number;
    readonly mode?: string;
    readonly name: string;
    readonly nodeCount?: number;
    readonly nodeLabels?: {
        [key: string]: string;
    };
    readonly nodeTaints?: string[];
    readonly orchestratorVersion?: string;
    readonly osDiskSizeGb?: number;
    readonly osDiskType?: string;
    readonly osType?: string;
    readonly priority?: string;
    readonly proximityPlacementGroupId?: string;
    readonly spotMaxPrice?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly vmSize: string;
    readonly vnetSubnetId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KubernetesClusterNodePoolTimeouts;
}
export interface KubernetesClusterNodePoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KubernetesClusterNodePool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KubernetesClusterNodePoolConfig);
    private _availabilityZones?;
    get availabilityZones(): string[];
    set availabilityZones(value: string[]);
    resetAvailabilityZones(): void;
    get availabilityZonesInput(): string[] | undefined;
    private _enableAutoScaling?;
    get enableAutoScaling(): boolean;
    set enableAutoScaling(value: boolean);
    resetEnableAutoScaling(): void;
    get enableAutoScalingInput(): boolean | undefined;
    private _enableNodePublicIp?;
    get enableNodePublicIp(): boolean;
    set enableNodePublicIp(value: boolean);
    resetEnableNodePublicIp(): void;
    get enableNodePublicIpInput(): boolean | undefined;
    private _evictionPolicy?;
    get evictionPolicy(): string;
    set evictionPolicy(value: string);
    resetEvictionPolicy(): void;
    get evictionPolicyInput(): string | undefined;
    get id(): string;
    private _kubernetesClusterId;
    get kubernetesClusterId(): string;
    set kubernetesClusterId(value: string);
    get kubernetesClusterIdInput(): string;
    private _maxCount?;
    get maxCount(): number;
    set maxCount(value: number);
    resetMaxCount(): void;
    get maxCountInput(): number | undefined;
    private _maxPods?;
    get maxPods(): number;
    set maxPods(value: number);
    resetMaxPods(): void;
    get maxPodsInput(): number | undefined;
    private _minCount?;
    get minCount(): number;
    set minCount(value: number);
    resetMinCount(): void;
    get minCountInput(): number | undefined;
    private _mode?;
    get mode(): string;
    set mode(value: string);
    resetMode(): void;
    get modeInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _nodeCount?;
    get nodeCount(): number;
    set nodeCount(value: number);
    resetNodeCount(): void;
    get nodeCountInput(): number | undefined;
    private _nodeLabels?;
    get nodeLabels(): {
        [key: string]: string;
    };
    set nodeLabels(value: {
        [key: string]: string;
    });
    resetNodeLabels(): void;
    get nodeLabelsInput(): {
        [key: string]: string;
    } | undefined;
    private _nodeTaints?;
    get nodeTaints(): string[];
    set nodeTaints(value: string[]);
    resetNodeTaints(): void;
    get nodeTaintsInput(): string[] | undefined;
    private _orchestratorVersion?;
    get orchestratorVersion(): string;
    set orchestratorVersion(value: string);
    resetOrchestratorVersion(): void;
    get orchestratorVersionInput(): string | undefined;
    private _osDiskSizeGb?;
    get osDiskSizeGb(): number;
    set osDiskSizeGb(value: number);
    resetOsDiskSizeGb(): void;
    get osDiskSizeGbInput(): number | undefined;
    private _osDiskType?;
    get osDiskType(): string;
    set osDiskType(value: string);
    resetOsDiskType(): void;
    get osDiskTypeInput(): string | undefined;
    private _osType?;
    get osType(): string;
    set osType(value: string);
    resetOsType(): void;
    get osTypeInput(): string | undefined;
    private _priority?;
    get priority(): string;
    set priority(value: string);
    resetPriority(): void;
    get priorityInput(): string | undefined;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _spotMaxPrice?;
    get spotMaxPrice(): number;
    set spotMaxPrice(value: number);
    resetSpotMaxPrice(): void;
    get spotMaxPriceInput(): number | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _vmSize;
    get vmSize(): string;
    set vmSize(value: string);
    get vmSizeInput(): string;
    private _vnetSubnetId?;
    get vnetSubnetId(): string;
    set vnetSubnetId(value: string);
    resetVnetSubnetId(): void;
    get vnetSubnetIdInput(): string | undefined;
    private _timeouts?;
    get timeouts(): KubernetesClusterNodePoolTimeouts;
    set timeouts(value: KubernetesClusterNodePoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KubernetesClusterNodePoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
