import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoAttachedDatabaseConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly clusterName: string;
    readonly clusterResourceId: string;
    readonly databaseName: string;
    readonly defaultPrincipalModificationKind?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoAttachedDatabaseConfigurationTimeouts;
}
export interface KustoAttachedDatabaseConfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KustoAttachedDatabaseConfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoAttachedDatabaseConfigurationConfig);
    get attachedDatabaseNames(): string[];
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    get clusterNameInput(): string;
    private _clusterResourceId;
    get clusterResourceId(): string;
    set clusterResourceId(value: string);
    get clusterResourceIdInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    private _defaultPrincipalModificationKind?;
    get defaultPrincipalModificationKind(): string;
    set defaultPrincipalModificationKind(value: string);
    resetDefaultPrincipalModificationKind(): void;
    get defaultPrincipalModificationKindInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): KustoAttachedDatabaseConfigurationTimeouts;
    set timeouts(value: KustoAttachedDatabaseConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoAttachedDatabaseConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
