import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoClusterCustomerManagedKeyConfig extends cdktf.TerraformMetaArguments {
    readonly clusterId: string;
    readonly keyName: string;
    readonly keyVaultId: string;
    readonly keyVersion: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoClusterCustomerManagedKeyTimeouts;
}
export interface KustoClusterCustomerManagedKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KustoClusterCustomerManagedKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoClusterCustomerManagedKeyConfig);
    private _clusterId;
    get clusterId(): string;
    set clusterId(value: string);
    get clusterIdInput(): string;
    get id(): string;
    private _keyName;
    get keyName(): string;
    set keyName(value: string);
    get keyNameInput(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _keyVersion;
    get keyVersion(): string;
    set keyVersion(value: string);
    get keyVersionInput(): string;
    private _timeouts?;
    get timeouts(): KustoClusterCustomerManagedKeyTimeouts;
    set timeouts(value: KustoClusterCustomerManagedKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoClusterCustomerManagedKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
