import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoDatabasePrincipalAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly clusterName: string;
    readonly databaseName: string;
    readonly name: string;
    readonly principalId: string;
    readonly principalType: string;
    readonly resourceGroupName: string;
    readonly role: string;
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoDatabasePrincipalAssignmentTimeouts;
}
export interface KustoDatabasePrincipalAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class KustoDatabasePrincipalAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoDatabasePrincipalAssignmentConfig);
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    get clusterNameInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _principalId;
    get principalId(): string;
    set principalId(value: string);
    get principalIdInput(): string;
    get principalName(): string;
    private _principalType;
    get principalType(): string;
    set principalType(value: string);
    get principalTypeInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _role;
    get role(): string;
    set role(value: string);
    get roleInput(): string;
    private _tenantId;
    get tenantId(): string;
    set tenantId(value: string);
    get tenantIdInput(): string;
    get tenantName(): string;
    private _timeouts?;
    get timeouts(): KustoDatabasePrincipalAssignmentTimeouts;
    set timeouts(value: KustoDatabasePrincipalAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoDatabasePrincipalAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
