import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoDatabasePrincipalConfig extends cdktf.TerraformMetaArguments {
    readonly clientId: string;
    readonly clusterName: string;
    readonly databaseName: string;
    readonly objectId: string;
    readonly resourceGroupName: string;
    readonly role: string;
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoDatabasePrincipalTimeouts;
}
export interface KustoDatabasePrincipalTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KustoDatabasePrincipal extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoDatabasePrincipalConfig);
    get appId(): string;
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    get clusterNameInput(): string;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    get email(): string;
    get fullyQualifiedName(): string;
    get id(): string;
    get name(): string;
    private _objectId;
    get objectId(): string;
    set objectId(value: string);
    get objectIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _role;
    get role(): string;
    set role(value: string);
    get roleInput(): string;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _timeouts?;
    get timeouts(): KustoDatabasePrincipalTimeouts;
    set timeouts(value: KustoDatabasePrincipalTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoDatabasePrincipalTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
