import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly clusterName: string;
    readonly hotCachePeriod?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly softDeletePeriod?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoDatabaseTimeouts;
}
export interface KustoDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KustoDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoDatabaseConfig);
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    get clusterNameInput(): string;
    private _hotCachePeriod?;
    get hotCachePeriod(): string;
    set hotCachePeriod(value: string);
    resetHotCachePeriod(): void;
    get hotCachePeriodInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get size(): number;
    private _softDeletePeriod?;
    get softDeletePeriod(): string;
    set softDeletePeriod(value: string);
    resetSoftDeletePeriod(): void;
    get softDeletePeriodInput(): string | undefined;
    private _timeouts?;
    get timeouts(): KustoDatabaseTimeouts;
    set timeouts(value: KustoDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
