import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface KustoEventhubDataConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly clusterName: string;
    readonly compression?: string;
    readonly consumerGroup: string;
    readonly dataFormat?: string;
    readonly databaseName: string;
    readonly eventhubId: string;
    readonly location: string;
    readonly mappingRuleName?: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tableName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoEventhubDataConnectionTimeouts;
}
export interface KustoEventhubDataConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class KustoEventhubDataConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: KustoEventhubDataConnectionConfig);
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    get clusterNameInput(): string;
    private _compression?;
    get compression(): string;
    set compression(value: string);
    resetCompression(): void;
    get compressionInput(): string | undefined;
    private _consumerGroup;
    get consumerGroup(): string;
    set consumerGroup(value: string);
    get consumerGroupInput(): string;
    private _dataFormat?;
    get dataFormat(): string;
    set dataFormat(value: string);
    resetDataFormat(): void;
    get dataFormatInput(): string | undefined;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    private _eventhubId;
    get eventhubId(): string;
    set eventhubId(value: string);
    get eventhubIdInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _mappingRuleName?;
    get mappingRuleName(): string;
    set mappingRuleName(value: string);
    resetMappingRuleName(): void;
    get mappingRuleNameInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tableName?;
    get tableName(): string;
    set tableName(value: string);
    resetTableName(): void;
    get tableNameInput(): string | undefined;
    private _timeouts?;
    get timeouts(): KustoEventhubDataConnectionTimeouts;
    set timeouts(value: KustoEventhubDataConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): KustoEventhubDataConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
