import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbNatPoolConfig extends cdktf.TerraformMetaArguments {
    readonly backendPort: number;
    readonly frontendIpConfigurationName: string;
    readonly frontendPortEnd: number;
    readonly frontendPortStart: number;
    readonly loadbalancerId: string;
    readonly name: string;
    readonly protocol: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbNatPoolTimeouts;
}
export interface LbNatPoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LbNatPool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbNatPoolConfig);
    private _backendPort;
    get backendPort(): number;
    set backendPort(value: number);
    get backendPortInput(): number;
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    get frontendIpConfigurationName(): string;
    set frontendIpConfigurationName(value: string);
    get frontendIpConfigurationNameInput(): string;
    private _frontendPortEnd;
    get frontendPortEnd(): number;
    set frontendPortEnd(value: number);
    get frontendPortEndInput(): number;
    private _frontendPortStart;
    get frontendPortStart(): number;
    set frontendPortStart(value: number);
    get frontendPortStartInput(): number;
    get id(): string;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): LbNatPoolTimeouts;
    set timeouts(value: LbNatPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbNatPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
