import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbNatRuleConfig extends cdktf.TerraformMetaArguments {
    readonly backendPort: number;
    readonly enableFloatingIp?: boolean;
    readonly enableTcpReset?: boolean;
    readonly frontendIpConfigurationName: string;
    readonly frontendPort: number;
    readonly idleTimeoutInMinutes?: number;
    readonly loadbalancerId: string;
    readonly name: string;
    readonly protocol: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbNatRuleTimeouts;
}
export interface LbNatRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LbNatRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbNatRuleConfig);
    get backendIpConfigurationId(): string;
    private _backendPort;
    get backendPort(): number;
    set backendPort(value: number);
    get backendPortInput(): number;
    private _enableFloatingIp?;
    get enableFloatingIp(): boolean;
    set enableFloatingIp(value: boolean);
    resetEnableFloatingIp(): void;
    get enableFloatingIpInput(): boolean | undefined;
    private _enableTcpReset?;
    get enableTcpReset(): boolean;
    set enableTcpReset(value: boolean);
    resetEnableTcpReset(): void;
    get enableTcpResetInput(): boolean | undefined;
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    get frontendIpConfigurationName(): string;
    set frontendIpConfigurationName(value: string);
    get frontendIpConfigurationNameInput(): string;
    private _frontendPort;
    get frontendPort(): number;
    set frontendPort(value: number);
    get frontendPortInput(): number;
    get id(): string;
    private _idleTimeoutInMinutes?;
    get idleTimeoutInMinutes(): number;
    set idleTimeoutInMinutes(value: number);
    resetIdleTimeoutInMinutes(): void;
    get idleTimeoutInMinutesInput(): number | undefined;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): LbNatRuleTimeouts;
    set timeouts(value: LbNatRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbNatRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
