import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbOutboundRuleConfig extends cdktf.TerraformMetaArguments {
    readonly allocatedOutboundPorts?: number;
    readonly backendAddressPoolId: string;
    readonly enableTcpReset?: boolean;
    readonly idleTimeoutInMinutes?: number;
    readonly loadbalancerId: string;
    readonly name: string;
    readonly protocol: string;
    readonly resourceGroupName: string;
    /**
     * frontend_ip_configuration block.
     */
    readonly frontendIpConfiguration?: LbOutboundRuleFrontendIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LbOutboundRuleTimeouts;
}
export interface LbOutboundRuleFrontendIpConfiguration {
    readonly name: string;
}
export interface LbOutboundRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LbOutboundRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbOutboundRuleConfig);
    private _allocatedOutboundPorts?;
    get allocatedOutboundPorts(): number;
    set allocatedOutboundPorts(value: number);
    resetAllocatedOutboundPorts(): void;
    get allocatedOutboundPortsInput(): number | undefined;
    private _backendAddressPoolId;
    get backendAddressPoolId(): string;
    set backendAddressPoolId(value: string);
    get backendAddressPoolIdInput(): string;
    private _enableTcpReset?;
    get enableTcpReset(): boolean;
    set enableTcpReset(value: boolean);
    resetEnableTcpReset(): void;
    get enableTcpResetInput(): boolean | undefined;
    get id(): string;
    private _idleTimeoutInMinutes?;
    get idleTimeoutInMinutes(): number;
    set idleTimeoutInMinutes(value: number);
    resetIdleTimeoutInMinutes(): void;
    get idleTimeoutInMinutesInput(): number | undefined;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _frontendIpConfiguration?;
    get frontendIpConfiguration(): LbOutboundRuleFrontendIpConfiguration[];
    set frontendIpConfiguration(value: LbOutboundRuleFrontendIpConfiguration[]);
    resetFrontendIpConfiguration(): void;
    get frontendIpConfigurationInput(): LbOutboundRuleFrontendIpConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): LbOutboundRuleTimeouts;
    set timeouts(value: LbOutboundRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbOutboundRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
