import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbProbeConfig extends cdktf.TerraformMetaArguments {
    readonly intervalInSeconds?: number;
    readonly loadbalancerId: string;
    readonly name: string;
    readonly numberOfProbes?: number;
    readonly port: number;
    readonly protocol?: string;
    readonly requestPath?: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbProbeTimeouts;
}
export interface LbProbeTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LbProbe extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbProbeConfig);
    get id(): string;
    private _intervalInSeconds?;
    get intervalInSeconds(): number;
    set intervalInSeconds(value: number);
    resetIntervalInSeconds(): void;
    get intervalInSecondsInput(): number | undefined;
    get loadBalancerRules(): string[];
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _numberOfProbes?;
    get numberOfProbes(): number;
    set numberOfProbes(value: number);
    resetNumberOfProbes(): void;
    get numberOfProbesInput(): number | undefined;
    private _port;
    get port(): number;
    set port(value: number);
    get portInput(): number;
    private _protocol?;
    get protocol(): string;
    set protocol(value: string);
    resetProtocol(): void;
    get protocolInput(): string | undefined;
    private _requestPath?;
    get requestPath(): string;
    set requestPath(value: string);
    resetRequestPath(): void;
    get requestPathInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): LbProbeTimeouts;
    set timeouts(value: LbProbeTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbProbeTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
