import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbRuleConfig extends cdktf.TerraformMetaArguments {
    readonly backendAddressPoolId?: string;
    readonly backendPort: number;
    readonly disableOutboundSnat?: boolean;
    readonly enableFloatingIp?: boolean;
    readonly enableTcpReset?: boolean;
    readonly frontendIpConfigurationName: string;
    readonly frontendPort: number;
    readonly idleTimeoutInMinutes?: number;
    readonly loadDistribution?: string;
    readonly loadbalancerId: string;
    readonly name: string;
    readonly probeId?: string;
    readonly protocol: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbRuleTimeouts;
}
export interface LbRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LbRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbRuleConfig);
    private _backendAddressPoolId?;
    get backendAddressPoolId(): string;
    set backendAddressPoolId(value: string);
    resetBackendAddressPoolId(): void;
    get backendAddressPoolIdInput(): string | undefined;
    private _backendPort;
    get backendPort(): number;
    set backendPort(value: number);
    get backendPortInput(): number;
    private _disableOutboundSnat?;
    get disableOutboundSnat(): boolean;
    set disableOutboundSnat(value: boolean);
    resetDisableOutboundSnat(): void;
    get disableOutboundSnatInput(): boolean | undefined;
    private _enableFloatingIp?;
    get enableFloatingIp(): boolean;
    set enableFloatingIp(value: boolean);
    resetEnableFloatingIp(): void;
    get enableFloatingIpInput(): boolean | undefined;
    private _enableTcpReset?;
    get enableTcpReset(): boolean;
    set enableTcpReset(value: boolean);
    resetEnableTcpReset(): void;
    get enableTcpResetInput(): boolean | undefined;
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    get frontendIpConfigurationName(): string;
    set frontendIpConfigurationName(value: string);
    get frontendIpConfigurationNameInput(): string;
    private _frontendPort;
    get frontendPort(): number;
    set frontendPort(value: number);
    get frontendPortInput(): number;
    get id(): string;
    private _idleTimeoutInMinutes?;
    get idleTimeoutInMinutes(): number;
    set idleTimeoutInMinutes(value: number);
    resetIdleTimeoutInMinutes(): void;
    get idleTimeoutInMinutesInput(): number | undefined;
    private _loadDistribution?;
    get loadDistribution(): string;
    set loadDistribution(value: string);
    resetLoadDistribution(): void;
    get loadDistributionInput(): string | undefined;
    private _loadbalancerId;
    get loadbalancerId(): string;
    set loadbalancerId(value: string);
    get loadbalancerIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _probeId?;
    get probeId(): string;
    set probeId(value: string);
    resetProbeId(): void;
    get probeIdInput(): string | undefined;
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): LbRuleTimeouts;
    set timeouts(value: LbRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
