import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LbConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * frontend_ip_configuration block.
     */
    readonly frontendIpConfiguration?: LbFrontendIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LbTimeouts;
}
export interface LbFrontendIpConfiguration {
    readonly name: string;
    readonly privateIpAddress?: string;
    readonly privateIpAddressAllocation?: string;
    readonly privateIpAddressVersion?: string;
    readonly publicIpAddressId?: string;
    readonly publicIpPrefixId?: string;
    readonly subnetId?: string;
    readonly zones?: string[];
}
export interface LbTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Lb extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LbConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get privateIpAddress(): string;
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _frontendIpConfiguration?;
    get frontendIpConfiguration(): LbFrontendIpConfiguration[];
    set frontendIpConfiguration(value: LbFrontendIpConfiguration[]);
    resetFrontendIpConfiguration(): void;
    get frontendIpConfigurationInput(): LbFrontendIpConfiguration[] | undefined;
    private _timeouts?;
    get timeouts(): LbTimeouts;
    set timeouts(value: LbTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LbTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
