import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LighthouseAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly lighthouseDefinitionId: string;
    readonly name?: string;
    readonly scope: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LighthouseAssignmentTimeouts;
}
export interface LighthouseAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class LighthouseAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LighthouseAssignmentConfig);
    get id(): string;
    private _lighthouseDefinitionId;
    get lighthouseDefinitionId(): string;
    set lighthouseDefinitionId(value: string);
    get lighthouseDefinitionIdInput(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _timeouts?;
    get timeouts(): LighthouseAssignmentTimeouts;
    set timeouts(value: LighthouseAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LighthouseAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
