import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LighthouseDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly lighthouseDefinitionId?: string;
    readonly managingTenantId: string;
    readonly name: string;
    readonly scope: string;
    /**
     * authorization block.
     */
    readonly authorization: LighthouseDefinitionAuthorization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LighthouseDefinitionTimeouts;
}
export interface LighthouseDefinitionAuthorization {
    readonly principalId: string;
    readonly roleDefinitionId: string;
}
export interface LighthouseDefinitionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LighthouseDefinition extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LighthouseDefinitionConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _lighthouseDefinitionId?;
    get lighthouseDefinitionId(): string;
    set lighthouseDefinitionId(value: string);
    resetLighthouseDefinitionId(): void;
    get lighthouseDefinitionIdInput(): string | undefined;
    private _managingTenantId;
    get managingTenantId(): string;
    set managingTenantId(value: string);
    get managingTenantIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _authorization;
    get authorization(): LighthouseDefinitionAuthorization[];
    set authorization(value: LighthouseDefinitionAuthorization[]);
    get authorizationInput(): LighthouseDefinitionAuthorization[];
    private _timeouts?;
    get timeouts(): LighthouseDefinitionTimeouts;
    set timeouts(value: LighthouseDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LighthouseDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
