import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LinuxVirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    readonly adminPassword?: string;
    readonly adminUsername: string;
    readonly computerNamePrefix?: string;
    readonly customData?: string;
    readonly disablePasswordAuthentication?: boolean;
    readonly doNotRunExtensionsOnOverprovisionedMachines?: boolean;
    readonly encryptionAtHostEnabled?: boolean;
    readonly evictionPolicy?: string;
    readonly healthProbeId?: string;
    readonly instances: number;
    readonly location: string;
    readonly maxBidPrice?: number;
    readonly name: string;
    readonly overprovision?: boolean;
    readonly platformFaultDomainCount?: number;
    readonly priority?: string;
    readonly provisionVmAgent?: boolean;
    readonly proximityPlacementGroupId?: string;
    readonly resourceGroupName: string;
    readonly scaleInPolicy?: string;
    readonly singlePlacementGroup?: boolean;
    readonly sku: string;
    readonly sourceImageId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly upgradeMode?: string;
    readonly zoneBalance?: boolean;
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: LinuxVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * admin_ssh_key block.
     */
    readonly adminSshKey?: LinuxVirtualMachineScaleSetAdminSshKey[];
    /**
     * automatic_instance_repair block.
     */
    readonly automaticInstanceRepair?: LinuxVirtualMachineScaleSetAutomaticInstanceRepair[];
    /**
     * automatic_os_upgrade_policy block.
     */
    readonly automaticOsUpgradePolicy?: LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: LinuxVirtualMachineScaleSetBootDiagnostics[];
    /**
     * data_disk block.
     */
    readonly dataDisk?: LinuxVirtualMachineScaleSetDataDisk[];
    /**
     * extension block.
     */
    readonly extension?: LinuxVirtualMachineScaleSetExtension[];
    /**
     * identity block.
     */
    readonly identity?: LinuxVirtualMachineScaleSetIdentity[];
    /**
     * network_interface block.
     */
    readonly networkInterface: LinuxVirtualMachineScaleSetNetworkInterface[];
    /**
     * os_disk block.
     */
    readonly osDisk: LinuxVirtualMachineScaleSetOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: LinuxVirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     */
    readonly rollingUpgradePolicy?: LinuxVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * secret block.
     */
    readonly secret?: LinuxVirtualMachineScaleSetSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: LinuxVirtualMachineScaleSetSourceImageReference[];
    /**
     * terminate_notification block.
     */
    readonly terminateNotification?: LinuxVirtualMachineScaleSetTerminateNotification[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LinuxVirtualMachineScaleSetTimeouts;
}
export interface LinuxVirtualMachineScaleSetAdditionalCapabilities {
    readonly ultraSsdEnabled?: boolean;
}
export interface LinuxVirtualMachineScaleSetAdminSshKey {
    readonly publicKey: string;
    readonly username: string;
}
export interface LinuxVirtualMachineScaleSetAutomaticInstanceRepair {
    readonly enabled: boolean;
    readonly gracePeriod?: string;
}
export interface LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy {
    readonly disableAutomaticRollback: boolean;
    readonly enableAutomaticOsUpgrade: boolean;
}
export interface LinuxVirtualMachineScaleSetBootDiagnostics {
    readonly storageAccountUri?: string;
}
export interface LinuxVirtualMachineScaleSetDataDisk {
    readonly caching: string;
    readonly createOption?: string;
    readonly diskEncryptionSetId?: string;
    readonly diskIopsReadWrite?: number;
    readonly diskMbpsReadWrite?: number;
    readonly diskSizeGb: number;
    readonly lun: number;
    readonly storageAccountType: string;
    readonly writeAcceleratorEnabled?: boolean;
}
export interface LinuxVirtualMachineScaleSetExtension {
    readonly autoUpgradeMinorVersion?: boolean;
    readonly forceUpdateTag?: string;
    readonly name: string;
    readonly protectedSettings?: string;
    readonly provisionAfterExtensions?: string[];
    readonly publisher: string;
    readonly settings?: string;
    readonly type: string;
    readonly typeHandlerVersion: string;
}
export interface LinuxVirtualMachineScaleSetIdentity {
    readonly identityIds?: string[];
    readonly type: string;
}
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag {
    readonly tag: string;
    readonly type: string;
}
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress {
    readonly domainNameLabel?: string;
    readonly idleTimeoutInMinutes?: number;
    readonly name: string;
    readonly publicIpPrefixId?: string;
    /**
     * ip_tag block.
     */
    readonly ipTag?: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag[];
}
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfiguration {
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    readonly applicationSecurityGroupIds?: string[];
    readonly loadBalancerBackendAddressPoolIds?: string[];
    readonly loadBalancerInboundNatRulesIds?: string[];
    readonly name: string;
    readonly primary?: boolean;
    readonly subnetId?: string;
    readonly version?: string;
    /**
     * public_ip_address block.
     */
    readonly publicIpAddress?: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress[];
}
export interface LinuxVirtualMachineScaleSetNetworkInterface {
    readonly dnsServers?: string[];
    readonly enableAcceleratedNetworking?: boolean;
    readonly enableIpForwarding?: boolean;
    readonly name: string;
    readonly networkSecurityGroupId?: string;
    readonly primary?: boolean;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfiguration[];
}
export interface LinuxVirtualMachineScaleSetOsDiskDiffDiskSettings {
    readonly option: string;
}
export interface LinuxVirtualMachineScaleSetOsDisk {
    readonly caching: string;
    readonly diskEncryptionSetId?: string;
    readonly diskSizeGb?: number;
    readonly storageAccountType: string;
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: LinuxVirtualMachineScaleSetOsDiskDiffDiskSettings[];
}
export interface LinuxVirtualMachineScaleSetPlan {
    readonly name: string;
    readonly product: string;
    readonly publisher: string;
}
export interface LinuxVirtualMachineScaleSetRollingUpgradePolicy {
    readonly maxBatchInstancePercent: number;
    readonly maxUnhealthyInstancePercent: number;
    readonly maxUnhealthyUpgradedInstancePercent: number;
    readonly pauseTimeBetweenBatches: string;
}
export interface LinuxVirtualMachineScaleSetSecretCertificate {
    readonly url: string;
}
export interface LinuxVirtualMachineScaleSetSecret {
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: LinuxVirtualMachineScaleSetSecretCertificate[];
}
export interface LinuxVirtualMachineScaleSetSourceImageReference {
    readonly offer: string;
    readonly publisher: string;
    readonly sku: string;
    readonly version: string;
}
export interface LinuxVirtualMachineScaleSetTerminateNotification {
    readonly enabled: boolean;
    readonly timeout?: string;
}
export interface LinuxVirtualMachineScaleSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LinuxVirtualMachineScaleSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LinuxVirtualMachineScaleSetConfig);
    private _adminPassword?;
    get adminPassword(): string;
    set adminPassword(value: string);
    resetAdminPassword(): void;
    get adminPasswordInput(): string | undefined;
    private _adminUsername;
    get adminUsername(): string;
    set adminUsername(value: string);
    get adminUsernameInput(): string;
    private _computerNamePrefix?;
    get computerNamePrefix(): string;
    set computerNamePrefix(value: string);
    resetComputerNamePrefix(): void;
    get computerNamePrefixInput(): string | undefined;
    private _customData?;
    get customData(): string;
    set customData(value: string);
    resetCustomData(): void;
    get customDataInput(): string | undefined;
    private _disablePasswordAuthentication?;
    get disablePasswordAuthentication(): boolean;
    set disablePasswordAuthentication(value: boolean);
    resetDisablePasswordAuthentication(): void;
    get disablePasswordAuthenticationInput(): boolean | undefined;
    private _doNotRunExtensionsOnOverprovisionedMachines?;
    get doNotRunExtensionsOnOverprovisionedMachines(): boolean;
    set doNotRunExtensionsOnOverprovisionedMachines(value: boolean);
    resetDoNotRunExtensionsOnOverprovisionedMachines(): void;
    get doNotRunExtensionsOnOverprovisionedMachinesInput(): boolean | undefined;
    private _encryptionAtHostEnabled?;
    get encryptionAtHostEnabled(): boolean;
    set encryptionAtHostEnabled(value: boolean);
    resetEncryptionAtHostEnabled(): void;
    get encryptionAtHostEnabledInput(): boolean | undefined;
    private _evictionPolicy?;
    get evictionPolicy(): string;
    set evictionPolicy(value: string);
    resetEvictionPolicy(): void;
    get evictionPolicyInput(): string | undefined;
    private _healthProbeId?;
    get healthProbeId(): string;
    set healthProbeId(value: string);
    resetHealthProbeId(): void;
    get healthProbeIdInput(): string | undefined;
    get id(): string;
    private _instances;
    get instances(): number;
    set instances(value: number);
    get instancesInput(): number;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maxBidPrice?;
    get maxBidPrice(): number;
    set maxBidPrice(value: number);
    resetMaxBidPrice(): void;
    get maxBidPriceInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _overprovision?;
    get overprovision(): boolean;
    set overprovision(value: boolean);
    resetOverprovision(): void;
    get overprovisionInput(): boolean | undefined;
    private _platformFaultDomainCount?;
    get platformFaultDomainCount(): number;
    set platformFaultDomainCount(value: number);
    resetPlatformFaultDomainCount(): void;
    get platformFaultDomainCountInput(): number | undefined;
    private _priority?;
    get priority(): string;
    set priority(value: string);
    resetPriority(): void;
    get priorityInput(): string | undefined;
    private _provisionVmAgent?;
    get provisionVmAgent(): boolean;
    set provisionVmAgent(value: boolean);
    resetProvisionVmAgent(): void;
    get provisionVmAgentInput(): boolean | undefined;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scaleInPolicy?;
    get scaleInPolicy(): string;
    set scaleInPolicy(value: string);
    resetScaleInPolicy(): void;
    get scaleInPolicyInput(): string | undefined;
    private _singlePlacementGroup?;
    get singlePlacementGroup(): boolean;
    set singlePlacementGroup(value: boolean);
    resetSinglePlacementGroup(): void;
    get singlePlacementGroupInput(): boolean | undefined;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _sourceImageId?;
    get sourceImageId(): string;
    set sourceImageId(value: string);
    resetSourceImageId(): void;
    get sourceImageIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get uniqueId(): string;
    private _upgradeMode?;
    get upgradeMode(): string;
    set upgradeMode(value: string);
    resetUpgradeMode(): void;
    get upgradeModeInput(): string | undefined;
    private _zoneBalance?;
    get zoneBalance(): boolean;
    set zoneBalance(value: boolean);
    resetZoneBalance(): void;
    get zoneBalanceInput(): boolean | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _additionalCapabilities?;
    get additionalCapabilities(): LinuxVirtualMachineScaleSetAdditionalCapabilities[];
    set additionalCapabilities(value: LinuxVirtualMachineScaleSetAdditionalCapabilities[]);
    resetAdditionalCapabilities(): void;
    get additionalCapabilitiesInput(): LinuxVirtualMachineScaleSetAdditionalCapabilities[] | undefined;
    private _adminSshKey?;
    get adminSshKey(): LinuxVirtualMachineScaleSetAdminSshKey[];
    set adminSshKey(value: LinuxVirtualMachineScaleSetAdminSshKey[]);
    resetAdminSshKey(): void;
    get adminSshKeyInput(): LinuxVirtualMachineScaleSetAdminSshKey[] | undefined;
    private _automaticInstanceRepair?;
    get automaticInstanceRepair(): LinuxVirtualMachineScaleSetAutomaticInstanceRepair[];
    set automaticInstanceRepair(value: LinuxVirtualMachineScaleSetAutomaticInstanceRepair[]);
    resetAutomaticInstanceRepair(): void;
    get automaticInstanceRepairInput(): LinuxVirtualMachineScaleSetAutomaticInstanceRepair[] | undefined;
    private _automaticOsUpgradePolicy?;
    get automaticOsUpgradePolicy(): LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    set automaticOsUpgradePolicy(value: LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[]);
    resetAutomaticOsUpgradePolicy(): void;
    get automaticOsUpgradePolicyInput(): LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined;
    private _bootDiagnostics?;
    get bootDiagnostics(): LinuxVirtualMachineScaleSetBootDiagnostics[];
    set bootDiagnostics(value: LinuxVirtualMachineScaleSetBootDiagnostics[]);
    resetBootDiagnostics(): void;
    get bootDiagnosticsInput(): LinuxVirtualMachineScaleSetBootDiagnostics[] | undefined;
    private _dataDisk?;
    get dataDisk(): LinuxVirtualMachineScaleSetDataDisk[];
    set dataDisk(value: LinuxVirtualMachineScaleSetDataDisk[]);
    resetDataDisk(): void;
    get dataDiskInput(): LinuxVirtualMachineScaleSetDataDisk[] | undefined;
    private _extension?;
    get extension(): LinuxVirtualMachineScaleSetExtension[];
    set extension(value: LinuxVirtualMachineScaleSetExtension[]);
    resetExtension(): void;
    get extensionInput(): LinuxVirtualMachineScaleSetExtension[] | undefined;
    private _identity?;
    get identity(): LinuxVirtualMachineScaleSetIdentity[];
    set identity(value: LinuxVirtualMachineScaleSetIdentity[]);
    resetIdentity(): void;
    get identityInput(): LinuxVirtualMachineScaleSetIdentity[] | undefined;
    private _networkInterface;
    get networkInterface(): LinuxVirtualMachineScaleSetNetworkInterface[];
    set networkInterface(value: LinuxVirtualMachineScaleSetNetworkInterface[]);
    get networkInterfaceInput(): LinuxVirtualMachineScaleSetNetworkInterface[];
    private _osDisk;
    get osDisk(): LinuxVirtualMachineScaleSetOsDisk[];
    set osDisk(value: LinuxVirtualMachineScaleSetOsDisk[]);
    get osDiskInput(): LinuxVirtualMachineScaleSetOsDisk[];
    private _plan?;
    get plan(): LinuxVirtualMachineScaleSetPlan[];
    set plan(value: LinuxVirtualMachineScaleSetPlan[]);
    resetPlan(): void;
    get planInput(): LinuxVirtualMachineScaleSetPlan[] | undefined;
    private _rollingUpgradePolicy?;
    get rollingUpgradePolicy(): LinuxVirtualMachineScaleSetRollingUpgradePolicy[];
    set rollingUpgradePolicy(value: LinuxVirtualMachineScaleSetRollingUpgradePolicy[]);
    resetRollingUpgradePolicy(): void;
    get rollingUpgradePolicyInput(): LinuxVirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    private _secret?;
    get secret(): LinuxVirtualMachineScaleSetSecret[];
    set secret(value: LinuxVirtualMachineScaleSetSecret[]);
    resetSecret(): void;
    get secretInput(): LinuxVirtualMachineScaleSetSecret[] | undefined;
    private _sourceImageReference?;
    get sourceImageReference(): LinuxVirtualMachineScaleSetSourceImageReference[];
    set sourceImageReference(value: LinuxVirtualMachineScaleSetSourceImageReference[]);
    resetSourceImageReference(): void;
    get sourceImageReferenceInput(): LinuxVirtualMachineScaleSetSourceImageReference[] | undefined;
    private _terminateNotification?;
    get terminateNotification(): LinuxVirtualMachineScaleSetTerminateNotification[];
    set terminateNotification(value: LinuxVirtualMachineScaleSetTerminateNotification[]);
    resetTerminateNotification(): void;
    get terminateNotificationInput(): LinuxVirtualMachineScaleSetTerminateNotification[] | undefined;
    private _timeouts?;
    get timeouts(): LinuxVirtualMachineScaleSetTimeouts;
    set timeouts(value: LinuxVirtualMachineScaleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LinuxVirtualMachineScaleSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
