import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LocalNetworkGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly addressSpace: string[];
    readonly gatewayAddress?: string;
    readonly gatewayFqdn?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * bgp_settings block.
     */
    readonly bgpSettings?: LocalNetworkGatewayBgpSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LocalNetworkGatewayTimeouts;
}
export interface LocalNetworkGatewayBgpSettings {
    readonly asn: number;
    readonly bgpPeeringAddress: string;
    readonly peerWeight?: number;
}
export interface LocalNetworkGatewayTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LocalNetworkGateway extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LocalNetworkGatewayConfig);
    private _addressSpace;
    get addressSpace(): string[];
    set addressSpace(value: string[]);
    get addressSpaceInput(): string[];
    private _gatewayAddress?;
    get gatewayAddress(): string;
    set gatewayAddress(value: string);
    resetGatewayAddress(): void;
    get gatewayAddressInput(): string | undefined;
    private _gatewayFqdn?;
    get gatewayFqdn(): string;
    set gatewayFqdn(value: string);
    resetGatewayFqdn(): void;
    get gatewayFqdnInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _bgpSettings?;
    get bgpSettings(): LocalNetworkGatewayBgpSettings[];
    set bgpSettings(value: LocalNetworkGatewayBgpSettings[]);
    resetBgpSettings(): void;
    get bgpSettingsInput(): LocalNetworkGatewayBgpSettings[] | undefined;
    private _timeouts?;
    get timeouts(): LocalNetworkGatewayTimeouts;
    set timeouts(value: LocalNetworkGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LocalNetworkGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
