import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsClusterCustomerManagedKeyConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultKeyId: string;
    readonly logAnalyticsClusterId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsClusterCustomerManagedKeyTimeouts;
}
export interface LogAnalyticsClusterCustomerManagedKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsClusterCustomerManagedKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsClusterCustomerManagedKeyConfig);
    get id(): string;
    private _keyVaultKeyId;
    get keyVaultKeyId(): string;
    set keyVaultKeyId(value: string);
    get keyVaultKeyIdInput(): string;
    private _logAnalyticsClusterId;
    get logAnalyticsClusterId(): string;
    set logAnalyticsClusterId(value: string);
    get logAnalyticsClusterIdInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsClusterCustomerManagedKeyTimeouts;
    set timeouts(value: LogAnalyticsClusterCustomerManagedKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsClusterCustomerManagedKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
