import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsClusterConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sizeGb?: number;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity: LogAnalyticsClusterIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsClusterTimeouts;
}
export interface LogAnalyticsClusterIdentity {
    readonly type: string;
}
export interface LogAnalyticsClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsClusterConfig);
    get clusterId(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sizeGb?;
    get sizeGb(): number;
    set sizeGb(value: number);
    resetSizeGb(): void;
    get sizeGbInput(): number | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity;
    get identity(): LogAnalyticsClusterIdentity[];
    set identity(value: LogAnalyticsClusterIdentity[]);
    get identityInput(): LogAnalyticsClusterIdentity[];
    private _timeouts?;
    get timeouts(): LogAnalyticsClusterTimeouts;
    set timeouts(value: LogAnalyticsClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
