import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsDataExportRuleConfig extends cdktf.TerraformMetaArguments {
    readonly destinationResourceId: string;
    readonly enabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tableNames: string[];
    readonly workspaceResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsDataExportRuleTimeouts;
}
export interface LogAnalyticsDataExportRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsDataExportRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsDataExportRuleConfig);
    private _destinationResourceId;
    get destinationResourceId(): string;
    set destinationResourceId(value: string);
    get destinationResourceIdInput(): string;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get exportRuleId(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tableNames;
    get tableNames(): string[];
    set tableNames(value: string[]);
    get tableNamesInput(): string[];
    private _workspaceResourceId;
    get workspaceResourceId(): string;
    set workspaceResourceId(value: string);
    get workspaceResourceIdInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsDataExportRuleTimeouts;
    set timeouts(value: LogAnalyticsDataExportRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsDataExportRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
