import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsDatasourceWindowsEventConfig extends cdktf.TerraformMetaArguments {
    readonly eventLogName: string;
    readonly eventTypes: string[];
    readonly name: string;
    readonly resourceGroupName: string;
    readonly workspaceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsDatasourceWindowsEventTimeouts;
}
export interface LogAnalyticsDatasourceWindowsEventTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsDatasourceWindowsEvent extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsDatasourceWindowsEventConfig);
    private _eventLogName;
    get eventLogName(): string;
    set eventLogName(value: string);
    get eventLogNameInput(): string;
    private _eventTypes;
    get eventTypes(): string[];
    set eventTypes(value: string[]);
    get eventTypesInput(): string[];
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _workspaceName;
    get workspaceName(): string;
    set workspaceName(value: string);
    get workspaceNameInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsDatasourceWindowsEventTimeouts;
    set timeouts(value: LogAnalyticsDatasourceWindowsEventTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsDatasourceWindowsEventTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
