import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsDatasourceWindowsPerformanceCounterConfig extends cdktf.TerraformMetaArguments {
    readonly counterName: string;
    readonly instanceName: string;
    readonly intervalSeconds: number;
    readonly name: string;
    readonly objectName: string;
    readonly resourceGroupName: string;
    readonly workspaceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsDatasourceWindowsPerformanceCounterTimeouts;
}
export interface LogAnalyticsDatasourceWindowsPerformanceCounterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsDatasourceWindowsPerformanceCounter extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsDatasourceWindowsPerformanceCounterConfig);
    private _counterName;
    get counterName(): string;
    set counterName(value: string);
    get counterNameInput(): string;
    get id(): string;
    private _instanceName;
    get instanceName(): string;
    set instanceName(value: string);
    get instanceNameInput(): string;
    private _intervalSeconds;
    get intervalSeconds(): number;
    set intervalSeconds(value: number);
    get intervalSecondsInput(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _objectName;
    get objectName(): string;
    set objectName(value: string);
    get objectNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _workspaceName;
    get workspaceName(): string;
    set workspaceName(value: string);
    get workspaceNameInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsDatasourceWindowsPerformanceCounterTimeouts;
    set timeouts(value: LogAnalyticsDatasourceWindowsPerformanceCounterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsDatasourceWindowsPerformanceCounterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
