import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsLinkedServiceConfig extends cdktf.TerraformMetaArguments {
    readonly linkedServiceName?: string;
    readonly resourceGroupName: string;
    readonly resourceId: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly workspaceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsLinkedServiceTimeouts;
}
export interface LogAnalyticsLinkedServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsLinkedService extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsLinkedServiceConfig);
    get id(): string;
    private _linkedServiceName?;
    get linkedServiceName(): string;
    set linkedServiceName(value: string);
    resetLinkedServiceName(): void;
    get linkedServiceNameInput(): string | undefined;
    get name(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _resourceId;
    get resourceId(): string;
    set resourceId(value: string);
    get resourceIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _workspaceName;
    get workspaceName(): string;
    set workspaceName(value: string);
    get workspaceNameInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsLinkedServiceTimeouts;
    set timeouts(value: LogAnalyticsLinkedServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsLinkedServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
