import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsLinkedStorageAccountConfig extends cdktf.TerraformMetaArguments {
    readonly dataSourceType: string;
    readonly resourceGroupName: string;
    readonly storageAccountIds: string[];
    readonly workspaceResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsLinkedStorageAccountTimeouts;
}
export interface LogAnalyticsLinkedStorageAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsLinkedStorageAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsLinkedStorageAccountConfig);
    private _dataSourceType;
    get dataSourceType(): string;
    set dataSourceType(value: string);
    get dataSourceTypeInput(): string;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountIds;
    get storageAccountIds(): string[];
    set storageAccountIds(value: string[]);
    get storageAccountIdsInput(): string[];
    private _workspaceResourceId;
    get workspaceResourceId(): string;
    set workspaceResourceId(value: string);
    get workspaceResourceIdInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsLinkedStorageAccountTimeouts;
    set timeouts(value: LogAnalyticsLinkedStorageAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsLinkedStorageAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
