import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsSavedSearchConfig extends cdktf.TerraformMetaArguments {
    readonly category: string;
    readonly displayName: string;
    readonly functionAlias?: string;
    readonly functionParameters?: string[];
    readonly logAnalyticsWorkspaceId: string;
    readonly name: string;
    readonly query: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsSavedSearchTimeouts;
}
export interface LogAnalyticsSavedSearchTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsSavedSearch extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsSavedSearchConfig);
    private _category;
    get category(): string;
    set category(value: string);
    get categoryInput(): string;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    private _functionAlias?;
    get functionAlias(): string;
    set functionAlias(value: string);
    resetFunctionAlias(): void;
    get functionAliasInput(): string | undefined;
    private _functionParameters?;
    get functionParameters(): string[];
    set functionParameters(value: string[]);
    resetFunctionParameters(): void;
    get functionParametersInput(): string[] | undefined;
    get id(): string;
    private _logAnalyticsWorkspaceId;
    get logAnalyticsWorkspaceId(): string;
    set logAnalyticsWorkspaceId(value: string);
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _query;
    get query(): string;
    set query(value: string);
    get queryInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): LogAnalyticsSavedSearchTimeouts;
    set timeouts(value: LogAnalyticsSavedSearchTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsSavedSearchTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
