import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsSolutionConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly resourceGroupName: string;
    readonly solutionName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly workspaceName: string;
    readonly workspaceResourceId: string;
    /**
     * plan block.
     */
    readonly plan: LogAnalyticsSolutionPlan[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsSolutionTimeouts;
}
export interface LogAnalyticsSolutionPlan {
    readonly product: string;
    readonly promotionCode?: string;
    readonly publisher: string;
}
export interface LogAnalyticsSolutionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsSolution extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsSolutionConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _solutionName;
    get solutionName(): string;
    set solutionName(value: string);
    get solutionNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _workspaceName;
    get workspaceName(): string;
    set workspaceName(value: string);
    get workspaceNameInput(): string;
    private _workspaceResourceId;
    get workspaceResourceId(): string;
    set workspaceResourceId(value: string);
    get workspaceResourceIdInput(): string;
    private _plan;
    get plan(): LogAnalyticsSolutionPlan[];
    set plan(value: LogAnalyticsSolutionPlan[]);
    get planInput(): LogAnalyticsSolutionPlan[];
    private _timeouts?;
    get timeouts(): LogAnalyticsSolutionTimeouts;
    set timeouts(value: LogAnalyticsSolutionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsSolutionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
