import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsStorageInsightsConfig extends cdktf.TerraformMetaArguments {
    readonly blobContainerNames?: string[];
    readonly name: string;
    readonly resourceGroupName: string;
    readonly storageAccountId: string;
    readonly storageAccountKey: string;
    readonly tableNames?: string[];
    readonly tags?: {
        [key: string]: string;
    };
    readonly workspaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsStorageInsightsTimeouts;
}
export interface LogAnalyticsStorageInsightsTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsStorageInsights extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsStorageInsightsConfig);
    private _blobContainerNames?;
    get blobContainerNames(): string[];
    set blobContainerNames(value: string[]);
    resetBlobContainerNames(): void;
    get blobContainerNamesInput(): string[] | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _storageAccountKey;
    get storageAccountKey(): string;
    set storageAccountKey(value: string);
    get storageAccountKeyInput(): string;
    private _tableNames?;
    get tableNames(): string[];
    set tableNames(value: string[]);
    resetTableNames(): void;
    get tableNamesInput(): string[] | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _workspaceId;
    get workspaceId(): string;
    set workspaceId(value: string);
    get workspaceIdInput(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsStorageInsightsTimeouts;
    set timeouts(value: LogAnalyticsStorageInsightsTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsStorageInsightsTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
