import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogAnalyticsWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly dailyQuotaGb?: number;
    readonly internetIngestionEnabled?: boolean;
    readonly internetQueryEnabled?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly retentionInDays?: number;
    readonly sku?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsWorkspaceTimeouts;
}
export interface LogAnalyticsWorkspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogAnalyticsWorkspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogAnalyticsWorkspaceConfig);
    private _dailyQuotaGb?;
    get dailyQuotaGb(): number;
    set dailyQuotaGb(value: number);
    resetDailyQuotaGb(): void;
    get dailyQuotaGbInput(): number | undefined;
    get id(): string;
    private _internetIngestionEnabled?;
    get internetIngestionEnabled(): boolean;
    set internetIngestionEnabled(value: boolean);
    resetInternetIngestionEnabled(): void;
    get internetIngestionEnabledInput(): boolean | undefined;
    private _internetQueryEnabled?;
    get internetQueryEnabled(): boolean;
    set internetQueryEnabled(value: boolean);
    resetInternetQueryEnabled(): void;
    get internetQueryEnabledInput(): boolean | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get portalUrl(): string;
    get primarySharedKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _retentionInDays?;
    get retentionInDays(): number;
    set retentionInDays(value: number);
    resetRetentionInDays(): void;
    get retentionInDaysInput(): number | undefined;
    get secondarySharedKey(): string;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get workspaceId(): string;
    private _timeouts?;
    get timeouts(): LogAnalyticsWorkspaceTimeouts;
    set timeouts(value: LogAnalyticsWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogAnalyticsWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
