import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppActionCustomConfig extends cdktf.TerraformMetaArguments {
    readonly body: string;
    readonly logicAppId: string;
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppActionCustomTimeouts;
}
export interface LogicAppActionCustomTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppActionCustom extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppActionCustomConfig);
    private _body;
    get body(): string;
    set body(value: string);
    get bodyInput(): string;
    get id(): string;
    private _logicAppId;
    get logicAppId(): string;
    set logicAppId(value: string);
    get logicAppIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): LogicAppActionCustomTimeouts;
    set timeouts(value: LogicAppActionCustomTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppActionCustomTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
