import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppActionHttpConfig extends cdktf.TerraformMetaArguments {
    readonly body?: string;
    readonly headers?: {
        [key: string]: string;
    };
    readonly logicAppId: string;
    readonly method: string;
    readonly name: string;
    readonly uri: string;
    /**
     * run_after block.
     */
    readonly runAfter?: LogicAppActionHttpRunAfter[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppActionHttpTimeouts;
}
export interface LogicAppActionHttpRunAfter {
    readonly actionName: string;
    readonly actionResult: string;
}
export interface LogicAppActionHttpTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppActionHttp extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppActionHttpConfig);
    private _body?;
    get body(): string;
    set body(value: string);
    resetBody(): void;
    get bodyInput(): string | undefined;
    private _headers?;
    get headers(): {
        [key: string]: string;
    };
    set headers(value: {
        [key: string]: string;
    });
    resetHeaders(): void;
    get headersInput(): {
        [key: string]: string;
    } | undefined;
    get id(): string;
    private _logicAppId;
    get logicAppId(): string;
    set logicAppId(value: string);
    get logicAppIdInput(): string;
    private _method;
    get method(): string;
    set method(value: string);
    get methodInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _uri;
    get uri(): string;
    set uri(value: string);
    get uriInput(): string;
    private _runAfter?;
    get runAfter(): LogicAppActionHttpRunAfter[];
    set runAfter(value: LogicAppActionHttpRunAfter[]);
    resetRunAfter(): void;
    get runAfterInput(): LogicAppActionHttpRunAfter[] | undefined;
    private _timeouts?;
    get timeouts(): LogicAppActionHttpTimeouts;
    set timeouts(value: LogicAppActionHttpTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppActionHttpTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
