import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppIntegrationAccountConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppIntegrationAccountTimeouts;
}
export interface LogicAppIntegrationAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppIntegrationAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppIntegrationAccountConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): LogicAppIntegrationAccountTimeouts;
    set timeouts(value: LogicAppIntegrationAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppIntegrationAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
