import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppTriggerHttpRequestConfig extends cdktf.TerraformMetaArguments {
    readonly logicAppId: string;
    readonly method?: string;
    readonly name: string;
    readonly relativePath?: string;
    readonly schema: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppTriggerHttpRequestTimeouts;
}
export interface LogicAppTriggerHttpRequestTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppTriggerHttpRequest extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppTriggerHttpRequestConfig);
    get id(): string;
    private _logicAppId;
    get logicAppId(): string;
    set logicAppId(value: string);
    get logicAppIdInput(): string;
    private _method?;
    get method(): string;
    set method(value: string);
    resetMethod(): void;
    get methodInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _relativePath?;
    get relativePath(): string;
    set relativePath(value: string);
    resetRelativePath(): void;
    get relativePathInput(): string | undefined;
    private _schema;
    get schema(): string;
    set schema(value: string);
    get schemaInput(): string;
    private _timeouts?;
    get timeouts(): LogicAppTriggerHttpRequestTimeouts;
    set timeouts(value: LogicAppTriggerHttpRequestTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppTriggerHttpRequestTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
