import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppTriggerRecurrenceConfig extends cdktf.TerraformMetaArguments {
    readonly frequency: string;
    readonly interval: number;
    readonly logicAppId: string;
    readonly name: string;
    readonly startTime?: string;
    readonly timeZone?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppTriggerRecurrenceTimeouts;
}
export interface LogicAppTriggerRecurrenceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppTriggerRecurrence extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppTriggerRecurrenceConfig);
    private _frequency;
    get frequency(): string;
    set frequency(value: string);
    get frequencyInput(): string;
    get id(): string;
    private _interval;
    get interval(): number;
    set interval(value: number);
    get intervalInput(): number;
    private _logicAppId;
    get logicAppId(): string;
    set logicAppId(value: string);
    get logicAppIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _startTime?;
    get startTime(): string;
    set startTime(value: string);
    resetStartTime(): void;
    get startTimeInput(): string | undefined;
    private _timeZone?;
    get timeZone(): string;
    set timeZone(value: string);
    resetTimeZone(): void;
    get timeZoneInput(): string | undefined;
    private _timeouts?;
    get timeouts(): LogicAppTriggerRecurrenceTimeouts;
    set timeouts(value: LogicAppTriggerRecurrenceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppTriggerRecurrenceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
