import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogicAppWorkflowConfig extends cdktf.TerraformMetaArguments {
    readonly integrationServiceEnvironmentId?: string;
    readonly location: string;
    readonly logicAppIntegrationAccountId?: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly workflowSchema?: string;
    readonly workflowVersion?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppWorkflowTimeouts;
}
export interface LogicAppWorkflowTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class LogicAppWorkflow extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: LogicAppWorkflowConfig);
    get accessEndpoint(): string;
    get connectorEndpointIpAddresses(): string[];
    get connectorOutboundIpAddresses(): string[];
    get id(): string;
    private _integrationServiceEnvironmentId?;
    get integrationServiceEnvironmentId(): string;
    set integrationServiceEnvironmentId(value: string);
    resetIntegrationServiceEnvironmentId(): void;
    get integrationServiceEnvironmentIdInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _logicAppIntegrationAccountId?;
    get logicAppIntegrationAccountId(): string;
    set logicAppIntegrationAccountId(value: string);
    resetLogicAppIntegrationAccountId(): void;
    get logicAppIntegrationAccountIdInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get workflowEndpointIpAddresses(): string[];
    get workflowOutboundIpAddresses(): string[];
    private _workflowSchema?;
    get workflowSchema(): string;
    set workflowSchema(value: string);
    resetWorkflowSchema(): void;
    get workflowSchemaInput(): string | undefined;
    private _workflowVersion?;
    get workflowVersion(): string;
    set workflowVersion(value: string);
    resetWorkflowVersion(): void;
    get workflowVersionInput(): string | undefined;
    private _timeouts?;
    get timeouts(): LogicAppWorkflowTimeouts;
    set timeouts(value: LogicAppWorkflowTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): LogicAppWorkflowTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
