import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MachineLearningWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly applicationInsightsId: string;
    readonly containerRegistryId?: string;
    readonly description?: string;
    readonly friendlyName?: string;
    readonly highBusinessImpact?: boolean;
    readonly keyVaultId: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName?: string;
    readonly storageAccountId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity: MachineLearningWorkspaceIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MachineLearningWorkspaceTimeouts;
}
export interface MachineLearningWorkspaceIdentity {
    readonly type: string;
}
export interface MachineLearningWorkspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MachineLearningWorkspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MachineLearningWorkspaceConfig);
    private _applicationInsightsId;
    get applicationInsightsId(): string;
    set applicationInsightsId(value: string);
    get applicationInsightsIdInput(): string;
    private _containerRegistryId?;
    get containerRegistryId(): string;
    set containerRegistryId(value: string);
    resetContainerRegistryId(): void;
    get containerRegistryIdInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _friendlyName?;
    get friendlyName(): string;
    set friendlyName(value: string);
    resetFriendlyName(): void;
    get friendlyNameInput(): string | undefined;
    private _highBusinessImpact?;
    get highBusinessImpact(): boolean;
    set highBusinessImpact(value: boolean);
    resetHighBusinessImpact(): void;
    get highBusinessImpactInput(): boolean | undefined;
    get id(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName?;
    get skuName(): string;
    set skuName(value: string);
    resetSkuName(): void;
    get skuNameInput(): string | undefined;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity;
    get identity(): MachineLearningWorkspaceIdentity[];
    set identity(value: MachineLearningWorkspaceIdentity[]);
    get identityInput(): MachineLearningWorkspaceIdentity[];
    private _timeouts?;
    get timeouts(): MachineLearningWorkspaceTimeouts;
    set timeouts(value: MachineLearningWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MachineLearningWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
