import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MaintenanceAssignmentDedicatedHostConfig extends cdktf.TerraformMetaArguments {
    readonly dedicatedHostId: string;
    readonly location: string;
    readonly maintenanceConfigurationId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MaintenanceAssignmentDedicatedHostTimeouts;
}
export interface MaintenanceAssignmentDedicatedHostTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class MaintenanceAssignmentDedicatedHost extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MaintenanceAssignmentDedicatedHostConfig);
    private _dedicatedHostId;
    get dedicatedHostId(): string;
    set dedicatedHostId(value: string);
    get dedicatedHostIdInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maintenanceConfigurationId;
    get maintenanceConfigurationId(): string;
    set maintenanceConfigurationId(value: string);
    get maintenanceConfigurationIdInput(): string;
    private _timeouts?;
    get timeouts(): MaintenanceAssignmentDedicatedHostTimeouts;
    set timeouts(value: MaintenanceAssignmentDedicatedHostTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MaintenanceAssignmentDedicatedHostTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
