import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MaintenanceAssignmentVirtualMachineConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly maintenanceConfigurationId: string;
    readonly virtualMachineId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MaintenanceAssignmentVirtualMachineTimeouts;
}
export interface MaintenanceAssignmentVirtualMachineTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class MaintenanceAssignmentVirtualMachine extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MaintenanceAssignmentVirtualMachineConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maintenanceConfigurationId;
    get maintenanceConfigurationId(): string;
    set maintenanceConfigurationId(value: string);
    get maintenanceConfigurationIdInput(): string;
    private _virtualMachineId;
    get virtualMachineId(): string;
    set virtualMachineId(value: string);
    get virtualMachineIdInput(): string;
    private _timeouts?;
    get timeouts(): MaintenanceAssignmentVirtualMachineTimeouts;
    set timeouts(value: MaintenanceAssignmentVirtualMachineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MaintenanceAssignmentVirtualMachineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
