import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ManagedApplicationDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly createUiDefinition?: string;
    readonly description?: string;
    readonly displayName: string;
    readonly location: string;
    readonly lockLevel: string;
    readonly mainTemplate?: string;
    readonly name: string;
    readonly packageEnabled?: boolean;
    readonly packageFileUri?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * authorization block.
     */
    readonly authorization?: ManagedApplicationDefinitionAuthorization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagedApplicationDefinitionTimeouts;
}
export interface ManagedApplicationDefinitionAuthorization {
    readonly roleDefinitionId: string;
    readonly servicePrincipalId: string;
}
export interface ManagedApplicationDefinitionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ManagedApplicationDefinition extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ManagedApplicationDefinitionConfig);
    private _createUiDefinition?;
    get createUiDefinition(): string;
    set createUiDefinition(value: string);
    resetCreateUiDefinition(): void;
    get createUiDefinitionInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _lockLevel;
    get lockLevel(): string;
    set lockLevel(value: string);
    get lockLevelInput(): string;
    private _mainTemplate?;
    get mainTemplate(): string;
    set mainTemplate(value: string);
    resetMainTemplate(): void;
    get mainTemplateInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _packageEnabled?;
    get packageEnabled(): boolean;
    set packageEnabled(value: boolean);
    resetPackageEnabled(): void;
    get packageEnabledInput(): boolean | undefined;
    private _packageFileUri?;
    get packageFileUri(): string;
    set packageFileUri(value: string);
    resetPackageFileUri(): void;
    get packageFileUriInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _authorization?;
    get authorization(): ManagedApplicationDefinitionAuthorization[];
    set authorization(value: ManagedApplicationDefinitionAuthorization[]);
    resetAuthorization(): void;
    get authorizationInput(): ManagedApplicationDefinitionAuthorization[] | undefined;
    private _timeouts?;
    get timeouts(): ManagedApplicationDefinitionTimeouts;
    set timeouts(value: ManagedApplicationDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ManagedApplicationDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
