import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ManagedApplicationConfig extends cdktf.TerraformMetaArguments {
    readonly applicationDefinitionId?: string;
    readonly kind: string;
    readonly location: string;
    readonly managedResourceGroupName: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * plan block.
     */
    readonly plan?: ManagedApplicationPlan[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagedApplicationTimeouts;
}
export interface ManagedApplicationPlan {
    readonly name: string;
    readonly product: string;
    readonly promotionCode?: string;
    readonly publisher: string;
    readonly version: string;
}
export interface ManagedApplicationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ManagedApplication extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ManagedApplicationConfig);
    private _applicationDefinitionId?;
    get applicationDefinitionId(): string;
    set applicationDefinitionId(value: string);
    resetApplicationDefinitionId(): void;
    get applicationDefinitionIdInput(): string | undefined;
    get id(): string;
    private _kind;
    get kind(): string;
    set kind(value: string);
    get kindInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _managedResourceGroupName;
    get managedResourceGroupName(): string;
    set managedResourceGroupName(value: string);
    get managedResourceGroupNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    outputs(key: string): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _plan?;
    get plan(): ManagedApplicationPlan[];
    set plan(value: ManagedApplicationPlan[]);
    resetPlan(): void;
    get planInput(): ManagedApplicationPlan[] | undefined;
    private _timeouts?;
    get timeouts(): ManagedApplicationTimeouts;
    set timeouts(value: ManagedApplicationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ManagedApplicationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
