import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ManagedDiskConfig extends cdktf.TerraformMetaArguments {
    readonly createOption: string;
    readonly diskEncryptionSetId?: string;
    readonly diskIopsReadWrite?: number;
    readonly diskMbpsReadWrite?: number;
    readonly diskSizeGb?: number;
    readonly imageReferenceId?: string;
    readonly location: string;
    readonly name: string;
    readonly osType?: string;
    readonly resourceGroupName: string;
    readonly sourceResourceId?: string;
    readonly sourceUri?: string;
    readonly storageAccountId?: string;
    readonly storageAccountType: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * encryption_settings block.
     */
    readonly encryptionSettings?: ManagedDiskEncryptionSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagedDiskTimeouts;
}
export interface ManagedDiskEncryptionSettingsDiskEncryptionKey {
    readonly secretUrl: string;
    readonly sourceVaultId: string;
}
export interface ManagedDiskEncryptionSettingsKeyEncryptionKey {
    readonly keyUrl: string;
    readonly sourceVaultId: string;
}
export interface ManagedDiskEncryptionSettings {
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     */
    readonly diskEncryptionKey?: ManagedDiskEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     */
    readonly keyEncryptionKey?: ManagedDiskEncryptionSettingsKeyEncryptionKey[];
}
export interface ManagedDiskTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ManagedDisk extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ManagedDiskConfig);
    private _createOption;
    get createOption(): string;
    set createOption(value: string);
    get createOptionInput(): string;
    private _diskEncryptionSetId?;
    get diskEncryptionSetId(): string;
    set diskEncryptionSetId(value: string);
    resetDiskEncryptionSetId(): void;
    get diskEncryptionSetIdInput(): string | undefined;
    private _diskIopsReadWrite?;
    get diskIopsReadWrite(): number;
    set diskIopsReadWrite(value: number);
    resetDiskIopsReadWrite(): void;
    get diskIopsReadWriteInput(): number | undefined;
    private _diskMbpsReadWrite?;
    get diskMbpsReadWrite(): number;
    set diskMbpsReadWrite(value: number);
    resetDiskMbpsReadWrite(): void;
    get diskMbpsReadWriteInput(): number | undefined;
    private _diskSizeGb?;
    get diskSizeGb(): number;
    set diskSizeGb(value: number);
    resetDiskSizeGb(): void;
    get diskSizeGbInput(): number | undefined;
    get id(): string;
    private _imageReferenceId?;
    get imageReferenceId(): string;
    set imageReferenceId(value: string);
    resetImageReferenceId(): void;
    get imageReferenceIdInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _osType?;
    get osType(): string;
    set osType(value: string);
    resetOsType(): void;
    get osTypeInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceResourceId?;
    get sourceResourceId(): string;
    set sourceResourceId(value: string);
    resetSourceResourceId(): void;
    get sourceResourceIdInput(): string | undefined;
    private _sourceUri?;
    get sourceUri(): string;
    set sourceUri(value: string);
    resetSourceUri(): void;
    get sourceUriInput(): string | undefined;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _storageAccountType;
    get storageAccountType(): string;
    set storageAccountType(value: string);
    get storageAccountTypeInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _encryptionSettings?;
    get encryptionSettings(): ManagedDiskEncryptionSettings[];
    set encryptionSettings(value: ManagedDiskEncryptionSettings[]);
    resetEncryptionSettings(): void;
    get encryptionSettingsInput(): ManagedDiskEncryptionSettings[] | undefined;
    private _timeouts?;
    get timeouts(): ManagedDiskTimeouts;
    set timeouts(value: ManagedDiskTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ManagedDiskTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
