import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ManagementGroupConfig extends cdktf.TerraformMetaArguments {
    readonly displayName?: string;
    readonly groupId?: string;
    readonly name?: string;
    readonly parentManagementGroupId?: string;
    readonly subscriptionIds?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagementGroupTimeouts;
}
export interface ManagementGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ManagementGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config?: ManagementGroupConfig);
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    private _groupId?;
    get groupId(): string;
    set groupId(value: string);
    resetGroupId(): void;
    get groupIdInput(): string | undefined;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _parentManagementGroupId?;
    get parentManagementGroupId(): string;
    set parentManagementGroupId(value: string);
    resetParentManagementGroupId(): void;
    get parentManagementGroupIdInput(): string | undefined;
    private _subscriptionIds?;
    get subscriptionIds(): string[];
    set subscriptionIds(value: string[]);
    resetSubscriptionIds(): void;
    get subscriptionIdsInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): ManagementGroupTimeouts;
    set timeouts(value: ManagementGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ManagementGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
