import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ManagementLockConfig extends cdktf.TerraformMetaArguments {
    readonly lockLevel: string;
    readonly name: string;
    readonly notes?: string;
    readonly scope: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagementLockTimeouts;
}
export interface ManagementLockTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ManagementLock extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ManagementLockConfig);
    get id(): string;
    private _lockLevel;
    get lockLevel(): string;
    set lockLevel(value: string);
    get lockLevelInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _notes?;
    get notes(): string;
    set notes(value: string);
    resetNotes(): void;
    get notesInput(): string | undefined;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _timeouts?;
    get timeouts(): ManagementLockTimeouts;
    set timeouts(value: ManagementLockTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ManagementLockTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
