import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MariadbDatabaseConfig extends cdktf.TerraformMetaArguments {
    readonly charset: string;
    readonly collation: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MariadbDatabaseTimeouts;
}
export interface MariadbDatabaseTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MariadbDatabase extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MariadbDatabaseConfig);
    private _charset;
    get charset(): string;
    set charset(value: string);
    get charsetInput(): string;
    private _collation;
    get collation(): string;
    set collation(value: string);
    get collationInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _timeouts?;
    get timeouts(): MariadbDatabaseTimeouts;
    set timeouts(value: MariadbDatabaseTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MariadbDatabaseTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
