import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MariadbVirtualNetworkRuleConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MariadbVirtualNetworkRuleTimeouts;
}
export interface MariadbVirtualNetworkRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MariadbVirtualNetworkRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MariadbVirtualNetworkRuleConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): MariadbVirtualNetworkRuleTimeouts;
    set timeouts(value: MariadbVirtualNetworkRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MariadbVirtualNetworkRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
