import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MarketplaceAgreementConfig extends cdktf.TerraformMetaArguments {
    readonly offer: string;
    readonly plan: string;
    readonly publisher: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MarketplaceAgreementTimeouts;
}
export interface MarketplaceAgreementTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MarketplaceAgreement extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MarketplaceAgreementConfig);
    get id(): string;
    get licenseTextLink(): string;
    private _offer;
    get offer(): string;
    set offer(value: string);
    get offerInput(): string;
    private _plan;
    get plan(): string;
    set plan(value: string);
    get planInput(): string;
    get privacyPolicyLink(): string;
    private _publisher;
    get publisher(): string;
    set publisher(value: string);
    get publisherInput(): string;
    private _timeouts?;
    get timeouts(): MarketplaceAgreementTimeouts;
    set timeouts(value: MarketplaceAgreementTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MarketplaceAgreementTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
