import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MediaAssetConfig extends cdktf.TerraformMetaArguments {
    readonly alternateId?: string;
    readonly container?: string;
    readonly description?: string;
    readonly mediaServicesAccountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly storageAccountName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MediaAssetTimeouts;
}
export interface MediaAssetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MediaAsset extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MediaAssetConfig);
    private _alternateId?;
    get alternateId(): string;
    set alternateId(value: string);
    resetAlternateId(): void;
    get alternateIdInput(): string | undefined;
    private _container?;
    get container(): string;
    set container(value: string);
    resetContainer(): void;
    get containerInput(): string | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _mediaServicesAccountName;
    get mediaServicesAccountName(): string;
    set mediaServicesAccountName(value: string);
    get mediaServicesAccountNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountName?;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    resetStorageAccountName(): void;
    get storageAccountNameInput(): string | undefined;
    private _timeouts?;
    get timeouts(): MediaAssetTimeouts;
    set timeouts(value: MediaAssetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MediaAssetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
