import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MediaServicesAccountConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly storageAuthenticationType?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity?: MediaServicesAccountIdentity[];
    /**
     * storage_account block.
     */
    readonly storageAccount: MediaServicesAccountStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MediaServicesAccountTimeouts;
}
export interface MediaServicesAccountIdentity {
    readonly type?: string;
}
export interface MediaServicesAccountStorageAccount {
    readonly id: string;
    readonly isPrimary?: boolean;
}
export interface MediaServicesAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MediaServicesAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MediaServicesAccountConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAuthenticationType?;
    get storageAuthenticationType(): string;
    set storageAuthenticationType(value: string);
    resetStorageAuthenticationType(): void;
    get storageAuthenticationTypeInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    get identity(): MediaServicesAccountIdentity[];
    set identity(value: MediaServicesAccountIdentity[]);
    resetIdentity(): void;
    get identityInput(): MediaServicesAccountIdentity[] | undefined;
    private _storageAccount;
    get storageAccount(): MediaServicesAccountStorageAccount[];
    set storageAccount(value: MediaServicesAccountStorageAccount[]);
    get storageAccountInput(): MediaServicesAccountStorageAccount[];
    private _timeouts?;
    get timeouts(): MediaServicesAccountTimeouts;
    set timeouts(value: MediaServicesAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MediaServicesAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
