import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MediaTransformConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly mediaServicesAccountName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    /**
     * output block.
     */
    readonly output?: MediaTransformOutput[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MediaTransformTimeouts;
}
export interface MediaTransformOutputAudioAnalyzerPreset {
    readonly audioAnalysisMode?: string;
    readonly audioLanguage?: string;
}
export interface MediaTransformOutputBuiltinPreset {
    readonly presetName?: string;
}
export interface MediaTransformOutputFaceDetectorPreset {
    readonly analysisResolution?: string;
}
export interface MediaTransformOutputVideoAnalyzerPreset {
    readonly audioAnalysisMode?: string;
    readonly audioLanguage?: string;
    readonly insightsType?: string;
}
export interface MediaTransformOutput {
    readonly onErrorAction?: string;
    readonly relativePriority?: string;
    /**
     * audio_analyzer_preset block.
     */
    readonly audioAnalyzerPreset?: MediaTransformOutputAudioAnalyzerPreset[];
    /**
     * builtin_preset block.
     */
    readonly builtinPreset?: MediaTransformOutputBuiltinPreset[];
    /**
     * face_detector_preset block.
     */
    readonly faceDetectorPreset?: MediaTransformOutputFaceDetectorPreset[];
    /**
     * video_analyzer_preset block.
     */
    readonly videoAnalyzerPreset?: MediaTransformOutputVideoAnalyzerPreset[];
}
export interface MediaTransformTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MediaTransform extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MediaTransformConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _mediaServicesAccountName;
    get mediaServicesAccountName(): string;
    set mediaServicesAccountName(value: string);
    get mediaServicesAccountNameInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _output?;
    get output(): MediaTransformOutput[];
    set output(value: MediaTransformOutput[]);
    resetOutput(): void;
    get outputInput(): MediaTransformOutput[] | undefined;
    private _timeouts?;
    get timeouts(): MediaTransformTimeouts;
    set timeouts(value: MediaTransformTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MediaTransformTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
