import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorActionGroupConfig extends cdktf.TerraformMetaArguments {
    readonly enabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly shortName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * arm_role_receiver block.
     */
    readonly armRoleReceiver?: MonitorActionGroupArmRoleReceiver[];
    /**
     * automation_runbook_receiver block.
     */
    readonly automationRunbookReceiver?: MonitorActionGroupAutomationRunbookReceiver[];
    /**
     * azure_app_push_receiver block.
     */
    readonly azureAppPushReceiver?: MonitorActionGroupAzureAppPushReceiver[];
    /**
     * azure_function_receiver block.
     */
    readonly azureFunctionReceiver?: MonitorActionGroupAzureFunctionReceiver[];
    /**
     * email_receiver block.
     */
    readonly emailReceiver?: MonitorActionGroupEmailReceiver[];
    /**
     * itsm_receiver block.
     */
    readonly itsmReceiver?: MonitorActionGroupItsmReceiver[];
    /**
     * logic_app_receiver block.
     */
    readonly logicAppReceiver?: MonitorActionGroupLogicAppReceiver[];
    /**
     * sms_receiver block.
     */
    readonly smsReceiver?: MonitorActionGroupSmsReceiver[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActionGroupTimeouts;
    /**
     * voice_receiver block.
     */
    readonly voiceReceiver?: MonitorActionGroupVoiceReceiver[];
    /**
     * webhook_receiver block.
     */
    readonly webhookReceiver?: MonitorActionGroupWebhookReceiver[];
}
export interface MonitorActionGroupArmRoleReceiver {
    readonly name: string;
    readonly roleId: string;
    readonly useCommonAlertSchema?: boolean;
}
export interface MonitorActionGroupAutomationRunbookReceiver {
    readonly automationAccountId: string;
    readonly isGlobalRunbook: boolean;
    readonly name: string;
    readonly runbookName: string;
    readonly serviceUri: string;
    readonly useCommonAlertSchema?: boolean;
    readonly webhookResourceId: string;
}
export interface MonitorActionGroupAzureAppPushReceiver {
    readonly emailAddress: string;
    readonly name: string;
}
export interface MonitorActionGroupAzureFunctionReceiver {
    readonly functionAppResourceId: string;
    readonly functionName: string;
    readonly httpTriggerUrl: string;
    readonly name: string;
    readonly useCommonAlertSchema?: boolean;
}
export interface MonitorActionGroupEmailReceiver {
    readonly emailAddress: string;
    readonly name: string;
    readonly useCommonAlertSchema?: boolean;
}
export interface MonitorActionGroupItsmReceiver {
    readonly connectionId: string;
    readonly name: string;
    readonly region: string;
    readonly ticketConfiguration: string;
    readonly workspaceId: string;
}
export interface MonitorActionGroupLogicAppReceiver {
    readonly callbackUrl: string;
    readonly name: string;
    readonly resourceId: string;
    readonly useCommonAlertSchema?: boolean;
}
export interface MonitorActionGroupSmsReceiver {
    readonly countryCode: string;
    readonly name: string;
    readonly phoneNumber: string;
}
export interface MonitorActionGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface MonitorActionGroupVoiceReceiver {
    readonly countryCode: string;
    readonly name: string;
    readonly phoneNumber: string;
}
export interface MonitorActionGroupWebhookReceiver {
    readonly name: string;
    readonly serviceUri: string;
    readonly useCommonAlertSchema?: boolean;
}
export declare class MonitorActionGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorActionGroupConfig);
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _shortName;
    get shortName(): string;
    set shortName(value: string);
    get shortNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _armRoleReceiver?;
    get armRoleReceiver(): MonitorActionGroupArmRoleReceiver[];
    set armRoleReceiver(value: MonitorActionGroupArmRoleReceiver[]);
    resetArmRoleReceiver(): void;
    get armRoleReceiverInput(): MonitorActionGroupArmRoleReceiver[] | undefined;
    private _automationRunbookReceiver?;
    get automationRunbookReceiver(): MonitorActionGroupAutomationRunbookReceiver[];
    set automationRunbookReceiver(value: MonitorActionGroupAutomationRunbookReceiver[]);
    resetAutomationRunbookReceiver(): void;
    get automationRunbookReceiverInput(): MonitorActionGroupAutomationRunbookReceiver[] | undefined;
    private _azureAppPushReceiver?;
    get azureAppPushReceiver(): MonitorActionGroupAzureAppPushReceiver[];
    set azureAppPushReceiver(value: MonitorActionGroupAzureAppPushReceiver[]);
    resetAzureAppPushReceiver(): void;
    get azureAppPushReceiverInput(): MonitorActionGroupAzureAppPushReceiver[] | undefined;
    private _azureFunctionReceiver?;
    get azureFunctionReceiver(): MonitorActionGroupAzureFunctionReceiver[];
    set azureFunctionReceiver(value: MonitorActionGroupAzureFunctionReceiver[]);
    resetAzureFunctionReceiver(): void;
    get azureFunctionReceiverInput(): MonitorActionGroupAzureFunctionReceiver[] | undefined;
    private _emailReceiver?;
    get emailReceiver(): MonitorActionGroupEmailReceiver[];
    set emailReceiver(value: MonitorActionGroupEmailReceiver[]);
    resetEmailReceiver(): void;
    get emailReceiverInput(): MonitorActionGroupEmailReceiver[] | undefined;
    private _itsmReceiver?;
    get itsmReceiver(): MonitorActionGroupItsmReceiver[];
    set itsmReceiver(value: MonitorActionGroupItsmReceiver[]);
    resetItsmReceiver(): void;
    get itsmReceiverInput(): MonitorActionGroupItsmReceiver[] | undefined;
    private _logicAppReceiver?;
    get logicAppReceiver(): MonitorActionGroupLogicAppReceiver[];
    set logicAppReceiver(value: MonitorActionGroupLogicAppReceiver[]);
    resetLogicAppReceiver(): void;
    get logicAppReceiverInput(): MonitorActionGroupLogicAppReceiver[] | undefined;
    private _smsReceiver?;
    get smsReceiver(): MonitorActionGroupSmsReceiver[];
    set smsReceiver(value: MonitorActionGroupSmsReceiver[]);
    resetSmsReceiver(): void;
    get smsReceiverInput(): MonitorActionGroupSmsReceiver[] | undefined;
    private _timeouts?;
    get timeouts(): MonitorActionGroupTimeouts;
    set timeouts(value: MonitorActionGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorActionGroupTimeouts | undefined;
    private _voiceReceiver?;
    get voiceReceiver(): MonitorActionGroupVoiceReceiver[];
    set voiceReceiver(value: MonitorActionGroupVoiceReceiver[]);
    resetVoiceReceiver(): void;
    get voiceReceiverInput(): MonitorActionGroupVoiceReceiver[] | undefined;
    private _webhookReceiver?;
    get webhookReceiver(): MonitorActionGroupWebhookReceiver[];
    set webhookReceiver(value: MonitorActionGroupWebhookReceiver[]);
    resetWebhookReceiver(): void;
    get webhookReceiverInput(): MonitorActionGroupWebhookReceiver[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
