import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorActionRuleActionGroupConfig extends cdktf.TerraformMetaArguments {
    readonly actionGroupId: string;
    readonly description?: string;
    readonly enabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * condition block.
     */
    readonly condition?: MonitorActionRuleActionGroupCondition[];
    /**
     * scope block.
     */
    readonly scope?: MonitorActionRuleActionGroupScope[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActionRuleActionGroupTimeouts;
}
export interface MonitorActionRuleActionGroupConditionAlertContext {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionAlertRuleId {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionDescription {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionMonitor {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionMonitorService {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionSeverity {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupConditionTargetResourceType {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleActionGroupCondition {
    /**
     * alert_context block.
     */
    readonly alertContext?: MonitorActionRuleActionGroupConditionAlertContext[];
    /**
     * alert_rule_id block.
     */
    readonly alertRuleId?: MonitorActionRuleActionGroupConditionAlertRuleId[];
    /**
     * description block.
     */
    readonly description?: MonitorActionRuleActionGroupConditionDescription[];
    /**
     * monitor block.
     */
    readonly monitor?: MonitorActionRuleActionGroupConditionMonitor[];
    /**
     * monitor_service block.
     */
    readonly monitorService?: MonitorActionRuleActionGroupConditionMonitorService[];
    /**
     * severity block.
     */
    readonly severity?: MonitorActionRuleActionGroupConditionSeverity[];
    /**
     * target_resource_type block.
     */
    readonly targetResourceType?: MonitorActionRuleActionGroupConditionTargetResourceType[];
}
export interface MonitorActionRuleActionGroupScope {
    readonly resourceIds: string[];
    readonly type: string;
}
export interface MonitorActionRuleActionGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorActionRuleActionGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorActionRuleActionGroupConfig);
    private _actionGroupId;
    get actionGroupId(): string;
    set actionGroupId(value: string);
    get actionGroupIdInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _condition?;
    get condition(): MonitorActionRuleActionGroupCondition[];
    set condition(value: MonitorActionRuleActionGroupCondition[]);
    resetCondition(): void;
    get conditionInput(): MonitorActionRuleActionGroupCondition[] | undefined;
    private _scope?;
    get scope(): MonitorActionRuleActionGroupScope[];
    set scope(value: MonitorActionRuleActionGroupScope[]);
    resetScope(): void;
    get scopeInput(): MonitorActionRuleActionGroupScope[] | undefined;
    private _timeouts?;
    get timeouts(): MonitorActionRuleActionGroupTimeouts;
    set timeouts(value: MonitorActionRuleActionGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorActionRuleActionGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
