import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorActionRuleSuppressionConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly enabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * condition block.
     */
    readonly condition?: MonitorActionRuleSuppressionCondition[];
    /**
     * scope block.
     */
    readonly scope?: MonitorActionRuleSuppressionScope[];
    /**
     * suppression block.
     */
    readonly suppression: MonitorActionRuleSuppressionSuppression[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActionRuleSuppressionTimeouts;
}
export interface MonitorActionRuleSuppressionConditionAlertContext {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionAlertRuleId {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionDescription {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionMonitor {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionMonitorService {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionSeverity {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionConditionTargetResourceType {
    readonly operator: string;
    readonly values: string[];
}
export interface MonitorActionRuleSuppressionCondition {
    /**
     * alert_context block.
     */
    readonly alertContext?: MonitorActionRuleSuppressionConditionAlertContext[];
    /**
     * alert_rule_id block.
     */
    readonly alertRuleId?: MonitorActionRuleSuppressionConditionAlertRuleId[];
    /**
     * description block.
     */
    readonly description?: MonitorActionRuleSuppressionConditionDescription[];
    /**
     * monitor block.
     */
    readonly monitor?: MonitorActionRuleSuppressionConditionMonitor[];
    /**
     * monitor_service block.
     */
    readonly monitorService?: MonitorActionRuleSuppressionConditionMonitorService[];
    /**
     * severity block.
     */
    readonly severity?: MonitorActionRuleSuppressionConditionSeverity[];
    /**
     * target_resource_type block.
     */
    readonly targetResourceType?: MonitorActionRuleSuppressionConditionTargetResourceType[];
}
export interface MonitorActionRuleSuppressionScope {
    readonly resourceIds: string[];
    readonly type: string;
}
export interface MonitorActionRuleSuppressionSuppressionSchedule {
    readonly endDateUtc: string;
    readonly recurrenceMonthly?: number[];
    readonly recurrenceWeekly?: string[];
    readonly startDateUtc: string;
}
export interface MonitorActionRuleSuppressionSuppression {
    readonly recurrenceType: string;
    /**
     * schedule block.
     */
    readonly schedule?: MonitorActionRuleSuppressionSuppressionSchedule[];
}
export interface MonitorActionRuleSuppressionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorActionRuleSuppression extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorActionRuleSuppressionConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _condition?;
    get condition(): MonitorActionRuleSuppressionCondition[];
    set condition(value: MonitorActionRuleSuppressionCondition[]);
    resetCondition(): void;
    get conditionInput(): MonitorActionRuleSuppressionCondition[] | undefined;
    private _scope?;
    get scope(): MonitorActionRuleSuppressionScope[];
    set scope(value: MonitorActionRuleSuppressionScope[]);
    resetScope(): void;
    get scopeInput(): MonitorActionRuleSuppressionScope[] | undefined;
    private _suppression;
    get suppression(): MonitorActionRuleSuppressionSuppression[];
    set suppression(value: MonitorActionRuleSuppressionSuppression[]);
    get suppressionInput(): MonitorActionRuleSuppressionSuppression[];
    private _timeouts?;
    get timeouts(): MonitorActionRuleSuppressionTimeouts;
    set timeouts(value: MonitorActionRuleSuppressionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorActionRuleSuppressionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
