import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorActivityLogAlertConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly enabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scopes: string[];
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     */
    readonly action?: MonitorActivityLogAlertAction[];
    /**
     * criteria block.
     */
    readonly criteria: MonitorActivityLogAlertCriteria[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActivityLogAlertTimeouts;
}
export interface MonitorActivityLogAlertAction {
    readonly actionGroupId: string;
    readonly webhookProperties?: {
        [key: string]: string;
    };
}
export interface MonitorActivityLogAlertCriteria {
    readonly caller?: string;
    readonly category: string;
    readonly level?: string;
    readonly operationName?: string;
    readonly recommendationCategory?: string;
    readonly recommendationImpact?: string;
    readonly recommendationType?: string;
    readonly resourceGroup?: string;
    readonly resourceId?: string;
    readonly resourceProvider?: string;
    readonly resourceType?: string;
    readonly status?: string;
    readonly subStatus?: string;
}
export interface MonitorActivityLogAlertTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorActivityLogAlert extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorActivityLogAlertConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scopes;
    get scopes(): string[];
    set scopes(value: string[]);
    get scopesInput(): string[];
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action?;
    get action(): MonitorActivityLogAlertAction[];
    set action(value: MonitorActivityLogAlertAction[]);
    resetAction(): void;
    get actionInput(): MonitorActivityLogAlertAction[] | undefined;
    private _criteria;
    get criteria(): MonitorActivityLogAlertCriteria[];
    set criteria(value: MonitorActivityLogAlertCriteria[]);
    get criteriaInput(): MonitorActivityLogAlertCriteria[];
    private _timeouts?;
    get timeouts(): MonitorActivityLogAlertTimeouts;
    set timeouts(value: MonitorActivityLogAlertTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorActivityLogAlertTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
