import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorAutoscaleSettingConfig extends cdktf.TerraformMetaArguments {
    readonly enabled?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly targetResourceId: string;
    /**
     * notification block.
     */
    readonly notification?: MonitorAutoscaleSettingNotification[];
    /**
     * profile block.
     */
    readonly profile: MonitorAutoscaleSettingProfile[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorAutoscaleSettingTimeouts;
}
export interface MonitorAutoscaleSettingNotificationEmail {
    readonly customEmails?: string[];
    readonly sendToSubscriptionAdministrator?: boolean;
    readonly sendToSubscriptionCoAdministrator?: boolean;
}
export interface MonitorAutoscaleSettingNotificationWebhook {
    readonly properties?: {
        [key: string]: string;
    };
    readonly serviceUri: string;
}
export interface MonitorAutoscaleSettingNotification {
    /**
     * email block.
     */
    readonly email?: MonitorAutoscaleSettingNotificationEmail[];
    /**
     * webhook block.
     */
    readonly webhook?: MonitorAutoscaleSettingNotificationWebhook[];
}
export interface MonitorAutoscaleSettingProfileCapacity {
    readonly default: number;
    readonly maximum: number;
    readonly minimum: number;
}
export interface MonitorAutoscaleSettingProfileFixedDate {
    readonly end: string;
    readonly start: string;
    readonly timezone?: string;
}
export interface MonitorAutoscaleSettingProfileRecurrence {
    readonly days: string[];
    readonly hours: number[];
    readonly minutes: number[];
    readonly timezone?: string;
}
export interface MonitorAutoscaleSettingProfileRuleMetricTrigger {
    readonly metricName: string;
    readonly metricResourceId: string;
    readonly operator: string;
    readonly statistic: string;
    readonly threshold: number;
    readonly timeAggregation: string;
    readonly timeGrain: string;
    readonly timeWindow: string;
}
export interface MonitorAutoscaleSettingProfileRuleScaleAction {
    readonly cooldown: string;
    readonly direction: string;
    readonly type: string;
    readonly value: number;
}
export interface MonitorAutoscaleSettingProfileRule {
    /**
     * metric_trigger block.
     */
    readonly metricTrigger: MonitorAutoscaleSettingProfileRuleMetricTrigger[];
    /**
     * scale_action block.
     */
    readonly scaleAction: MonitorAutoscaleSettingProfileRuleScaleAction[];
}
export interface MonitorAutoscaleSettingProfile {
    readonly name: string;
    /**
     * capacity block.
     */
    readonly capacity: MonitorAutoscaleSettingProfileCapacity[];
    /**
     * fixed_date block.
     */
    readonly fixedDate?: MonitorAutoscaleSettingProfileFixedDate[];
    /**
     * recurrence block.
     */
    readonly recurrence?: MonitorAutoscaleSettingProfileRecurrence[];
    /**
     * rule block.
     */
    readonly rule?: MonitorAutoscaleSettingProfileRule[];
}
export interface MonitorAutoscaleSettingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorAutoscaleSetting extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorAutoscaleSettingConfig);
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetResourceId;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    get targetResourceIdInput(): string;
    private _notification?;
    get notification(): MonitorAutoscaleSettingNotification[];
    set notification(value: MonitorAutoscaleSettingNotification[]);
    resetNotification(): void;
    get notificationInput(): MonitorAutoscaleSettingNotification[] | undefined;
    private _profile;
    get profile(): MonitorAutoscaleSettingProfile[];
    set profile(value: MonitorAutoscaleSettingProfile[]);
    get profileInput(): MonitorAutoscaleSettingProfile[];
    private _timeouts?;
    get timeouts(): MonitorAutoscaleSettingTimeouts;
    set timeouts(value: MonitorAutoscaleSettingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorAutoscaleSettingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
