import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorDiagnosticSettingConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubAuthorizationRuleId?: string;
    readonly eventhubName?: string;
    readonly logAnalyticsDestinationType?: string;
    readonly logAnalyticsWorkspaceId?: string;
    readonly name: string;
    readonly storageAccountId?: string;
    readonly targetResourceId: string;
    /**
     * log block.
     */
    readonly log?: MonitorDiagnosticSettingLog[];
    /**
     * metric block.
     */
    readonly metric?: MonitorDiagnosticSettingMetric[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorDiagnosticSettingTimeouts;
}
export interface MonitorDiagnosticSettingLogRetentionPolicy {
    readonly days?: number;
    readonly enabled: boolean;
}
export interface MonitorDiagnosticSettingLog {
    readonly category: string;
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy?: MonitorDiagnosticSettingLogRetentionPolicy[];
}
export interface MonitorDiagnosticSettingMetricRetentionPolicy {
    readonly days?: number;
    readonly enabled: boolean;
}
export interface MonitorDiagnosticSettingMetric {
    readonly category: string;
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy?: MonitorDiagnosticSettingMetricRetentionPolicy[];
}
export interface MonitorDiagnosticSettingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorDiagnosticSetting extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorDiagnosticSettingConfig);
    private _eventhubAuthorizationRuleId?;
    get eventhubAuthorizationRuleId(): string;
    set eventhubAuthorizationRuleId(value: string);
    resetEventhubAuthorizationRuleId(): void;
    get eventhubAuthorizationRuleIdInput(): string | undefined;
    private _eventhubName?;
    get eventhubName(): string;
    set eventhubName(value: string);
    resetEventhubName(): void;
    get eventhubNameInput(): string | undefined;
    get id(): string;
    private _logAnalyticsDestinationType?;
    get logAnalyticsDestinationType(): string;
    set logAnalyticsDestinationType(value: string);
    resetLogAnalyticsDestinationType(): void;
    get logAnalyticsDestinationTypeInput(): string | undefined;
    private _logAnalyticsWorkspaceId?;
    get logAnalyticsWorkspaceId(): string;
    set logAnalyticsWorkspaceId(value: string);
    resetLogAnalyticsWorkspaceId(): void;
    get logAnalyticsWorkspaceIdInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _targetResourceId;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    get targetResourceIdInput(): string;
    private _log?;
    get log(): MonitorDiagnosticSettingLog[];
    set log(value: MonitorDiagnosticSettingLog[]);
    resetLog(): void;
    get logInput(): MonitorDiagnosticSettingLog[] | undefined;
    private _metric?;
    get metric(): MonitorDiagnosticSettingMetric[];
    set metric(value: MonitorDiagnosticSettingMetric[]);
    resetMetric(): void;
    get metricInput(): MonitorDiagnosticSettingMetric[] | undefined;
    private _timeouts?;
    get timeouts(): MonitorDiagnosticSettingTimeouts;
    set timeouts(value: MonitorDiagnosticSettingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorDiagnosticSettingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
