import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorLogProfileConfig extends cdktf.TerraformMetaArguments {
    readonly categories: string[];
    readonly locations: string[];
    readonly name: string;
    readonly servicebusRuleId?: string;
    readonly storageAccountId?: string;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: MonitorLogProfileRetentionPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorLogProfileTimeouts;
}
export interface MonitorLogProfileRetentionPolicy {
    readonly days?: number;
    readonly enabled: boolean;
}
export interface MonitorLogProfileTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorLogProfile extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorLogProfileConfig);
    private _categories;
    get categories(): string[];
    set categories(value: string[]);
    get categoriesInput(): string[];
    get id(): string;
    private _locations;
    get locations(): string[];
    set locations(value: string[]);
    get locationsInput(): string[];
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _servicebusRuleId?;
    get servicebusRuleId(): string;
    set servicebusRuleId(value: string);
    resetServicebusRuleId(): void;
    get servicebusRuleIdInput(): string | undefined;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _retentionPolicy;
    get retentionPolicy(): MonitorLogProfileRetentionPolicy[];
    set retentionPolicy(value: MonitorLogProfileRetentionPolicy[]);
    get retentionPolicyInput(): MonitorLogProfileRetentionPolicy[];
    private _timeouts?;
    get timeouts(): MonitorLogProfileTimeouts;
    set timeouts(value: MonitorLogProfileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorLogProfileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
