import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorScheduledQueryRulesAlertConfig extends cdktf.TerraformMetaArguments {
    readonly authorizedResourceIds?: string[];
    readonly dataSourceId: string;
    readonly description?: string;
    readonly enabled?: boolean;
    readonly frequency: number;
    readonly location: string;
    readonly name: string;
    readonly query: string;
    readonly queryType?: string;
    readonly resourceGroupName: string;
    readonly severity?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly throttling?: number;
    readonly timeWindow: number;
    /**
     * action block.
     */
    readonly action: MonitorScheduledQueryRulesAlertAction[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorScheduledQueryRulesAlertTimeouts;
    /**
     * trigger block.
     */
    readonly trigger: MonitorScheduledQueryRulesAlertTrigger[];
}
export interface MonitorScheduledQueryRulesAlertAction {
    readonly actionGroup: string[];
    readonly customWebhookPayload?: string;
    readonly emailSubject?: string;
}
export interface MonitorScheduledQueryRulesAlertTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface MonitorScheduledQueryRulesAlertTriggerMetricTrigger {
    readonly metricColumn: string;
    readonly metricTriggerType: string;
    readonly operator: string;
    readonly threshold: number;
}
export interface MonitorScheduledQueryRulesAlertTrigger {
    readonly operator: string;
    readonly threshold: number;
    /**
     * metric_trigger block.
     */
    readonly metricTrigger?: MonitorScheduledQueryRulesAlertTriggerMetricTrigger[];
}
export declare class MonitorScheduledQueryRulesAlert extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorScheduledQueryRulesAlertConfig);
    private _authorizedResourceIds?;
    get authorizedResourceIds(): string[];
    set authorizedResourceIds(value: string[]);
    resetAuthorizedResourceIds(): void;
    get authorizedResourceIdsInput(): string[] | undefined;
    private _dataSourceId;
    get dataSourceId(): string;
    set dataSourceId(value: string);
    get dataSourceIdInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    private _frequency;
    get frequency(): number;
    set frequency(value: number);
    get frequencyInput(): number;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _query;
    get query(): string;
    set query(value: string);
    get queryInput(): string;
    private _queryType?;
    get queryType(): string;
    set queryType(value: string);
    resetQueryType(): void;
    get queryTypeInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _severity?;
    get severity(): number;
    set severity(value: number);
    resetSeverity(): void;
    get severityInput(): number | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _throttling?;
    get throttling(): number;
    set throttling(value: number);
    resetThrottling(): void;
    get throttlingInput(): number | undefined;
    private _timeWindow;
    get timeWindow(): number;
    set timeWindow(value: number);
    get timeWindowInput(): number;
    private _action;
    get action(): MonitorScheduledQueryRulesAlertAction[];
    set action(value: MonitorScheduledQueryRulesAlertAction[]);
    get actionInput(): MonitorScheduledQueryRulesAlertAction[];
    private _timeouts?;
    get timeouts(): MonitorScheduledQueryRulesAlertTimeouts;
    set timeouts(value: MonitorScheduledQueryRulesAlertTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorScheduledQueryRulesAlertTimeouts | undefined;
    private _trigger;
    get trigger(): MonitorScheduledQueryRulesAlertTrigger[];
    set trigger(value: MonitorScheduledQueryRulesAlertTrigger[]);
    get triggerInput(): MonitorScheduledQueryRulesAlertTrigger[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
