import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorScheduledQueryRulesLogConfig extends cdktf.TerraformMetaArguments {
    readonly authorizedResourceIds?: string[];
    readonly dataSourceId: string;
    readonly description?: string;
    readonly enabled?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * criteria block.
     */
    readonly criteria: MonitorScheduledQueryRulesLogCriteria[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorScheduledQueryRulesLogTimeouts;
}
export interface MonitorScheduledQueryRulesLogCriteriaDimension {
    readonly name: string;
    readonly operator?: string;
    readonly values: string[];
}
export interface MonitorScheduledQueryRulesLogCriteria {
    readonly metricName: string;
    /**
     * dimension block.
     */
    readonly dimension: MonitorScheduledQueryRulesLogCriteriaDimension[];
}
export interface MonitorScheduledQueryRulesLogTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorScheduledQueryRulesLog extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorScheduledQueryRulesLogConfig);
    private _authorizedResourceIds?;
    get authorizedResourceIds(): string[];
    set authorizedResourceIds(value: string[]);
    resetAuthorizedResourceIds(): void;
    get authorizedResourceIdsInput(): string[] | undefined;
    private _dataSourceId;
    get dataSourceId(): string;
    set dataSourceId(value: string);
    get dataSourceIdInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _criteria;
    get criteria(): MonitorScheduledQueryRulesLogCriteria[];
    set criteria(value: MonitorScheduledQueryRulesLogCriteria[]);
    get criteriaInput(): MonitorScheduledQueryRulesLogCriteria[];
    private _timeouts?;
    get timeouts(): MonitorScheduledQueryRulesLogTimeouts;
    set timeouts(value: MonitorScheduledQueryRulesLogTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorScheduledQueryRulesLogTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
