import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MonitorSmartDetectorAlertRuleConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly detectorType: string;
    readonly enabled?: boolean;
    readonly frequency: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scopeResourceIds: string[];
    readonly severity: string;
    readonly throttlingDuration?: string;
    /**
     * action_group block.
     */
    readonly actionGroup: MonitorSmartDetectorAlertRuleActionGroup[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorSmartDetectorAlertRuleTimeouts;
}
export interface MonitorSmartDetectorAlertRuleActionGroup {
    readonly emailSubject?: string;
    readonly ids: string[];
    readonly webhookPayload?: string;
}
export interface MonitorSmartDetectorAlertRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MonitorSmartDetectorAlertRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MonitorSmartDetectorAlertRuleConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _detectorType;
    get detectorType(): string;
    set detectorType(value: string);
    get detectorTypeInput(): string;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    private _frequency;
    get frequency(): string;
    set frequency(value: string);
    get frequencyInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scopeResourceIds;
    get scopeResourceIds(): string[];
    set scopeResourceIds(value: string[]);
    get scopeResourceIdsInput(): string[];
    private _severity;
    get severity(): string;
    set severity(value: string);
    get severityInput(): string;
    private _throttlingDuration?;
    get throttlingDuration(): string;
    set throttlingDuration(value: string);
    resetThrottlingDuration(): void;
    get throttlingDurationInput(): string | undefined;
    private _actionGroup;
    get actionGroup(): MonitorSmartDetectorAlertRuleActionGroup[];
    set actionGroup(value: MonitorSmartDetectorAlertRuleActionGroup[]);
    get actionGroupInput(): MonitorSmartDetectorAlertRuleActionGroup[];
    private _timeouts?;
    get timeouts(): MonitorSmartDetectorAlertRuleTimeouts;
    set timeouts(value: MonitorSmartDetectorAlertRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MonitorSmartDetectorAlertRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
