import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlDatabaseExtendedAuditingPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly databaseId: string;
    readonly retentionInDays?: number;
    readonly storageAccountAccessKey?: string;
    readonly storageAccountAccessKeyIsSecondary?: boolean;
    readonly storageEndpoint: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlDatabaseExtendedAuditingPolicyTimeouts;
}
export interface MssqlDatabaseExtendedAuditingPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlDatabaseExtendedAuditingPolicyA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlDatabaseExtendedAuditingPolicyAConfig);
    private _databaseId;
    get databaseId(): string;
    set databaseId(value: string);
    get databaseIdInput(): string;
    get id(): string;
    private _retentionInDays?;
    get retentionInDays(): number;
    set retentionInDays(value: number);
    resetRetentionInDays(): void;
    get retentionInDaysInput(): number | undefined;
    private _storageAccountAccessKey?;
    get storageAccountAccessKey(): string;
    set storageAccountAccessKey(value: string);
    resetStorageAccountAccessKey(): void;
    get storageAccountAccessKeyInput(): string | undefined;
    private _storageAccountAccessKeyIsSecondary?;
    get storageAccountAccessKeyIsSecondary(): boolean;
    set storageAccountAccessKeyIsSecondary(value: boolean);
    resetStorageAccountAccessKeyIsSecondary(): void;
    get storageAccountAccessKeyIsSecondaryInput(): boolean | undefined;
    private _storageEndpoint;
    get storageEndpoint(): string;
    set storageEndpoint(value: string);
    get storageEndpointInput(): string;
    private _timeouts?;
    get timeouts(): MssqlDatabaseExtendedAuditingPolicyTimeouts;
    set timeouts(value: MssqlDatabaseExtendedAuditingPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlDatabaseExtendedAuditingPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
