import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlElasticpoolConfig extends cdktf.TerraformMetaArguments {
    readonly licenseType?: string;
    readonly location: string;
    readonly maxSizeBytes?: number;
    readonly maxSizeGb?: number;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zoneRedundant?: boolean;
    /**
     * per_database_settings block.
     */
    readonly perDatabaseSettings: MssqlElasticpoolPerDatabaseSettings[];
    /**
     * sku block.
     */
    readonly sku: MssqlElasticpoolSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlElasticpoolTimeouts;
}
export interface MssqlElasticpoolPerDatabaseSettings {
    readonly maxCapacity: number;
    readonly minCapacity: number;
}
export interface MssqlElasticpoolSku {
    readonly capacity: number;
    readonly family?: string;
    readonly name: string;
    readonly tier: string;
}
export interface MssqlElasticpoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlElasticpool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlElasticpoolConfig);
    get id(): string;
    private _licenseType?;
    get licenseType(): string;
    set licenseType(value: string);
    resetLicenseType(): void;
    get licenseTypeInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maxSizeBytes?;
    get maxSizeBytes(): number;
    set maxSizeBytes(value: number);
    resetMaxSizeBytes(): void;
    get maxSizeBytesInput(): number | undefined;
    private _maxSizeGb?;
    get maxSizeGb(): number;
    set maxSizeGb(value: number);
    resetMaxSizeGb(): void;
    get maxSizeGbInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneRedundant?;
    get zoneRedundant(): boolean;
    set zoneRedundant(value: boolean);
    resetZoneRedundant(): void;
    get zoneRedundantInput(): boolean | undefined;
    private _perDatabaseSettings;
    get perDatabaseSettings(): MssqlElasticpoolPerDatabaseSettings[];
    set perDatabaseSettings(value: MssqlElasticpoolPerDatabaseSettings[]);
    get perDatabaseSettingsInput(): MssqlElasticpoolPerDatabaseSettings[];
    private _sku;
    get sku(): MssqlElasticpoolSku[];
    set sku(value: MssqlElasticpoolSku[]);
    get skuInput(): MssqlElasticpoolSku[];
    private _timeouts?;
    get timeouts(): MssqlElasticpoolTimeouts;
    set timeouts(value: MssqlElasticpoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlElasticpoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
