import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlServerExtendedAuditingPolicyAConfig extends cdktf.TerraformMetaArguments {
    readonly retentionInDays?: number;
    readonly serverId: string;
    readonly storageAccountAccessKey?: string;
    readonly storageAccountAccessKeyIsSecondary?: boolean;
    readonly storageEndpoint: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerExtendedAuditingPolicyTimeouts;
}
export interface MssqlServerExtendedAuditingPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlServerExtendedAuditingPolicyA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlServerExtendedAuditingPolicyAConfig);
    get id(): string;
    private _retentionInDays?;
    get retentionInDays(): number;
    set retentionInDays(value: number);
    resetRetentionInDays(): void;
    get retentionInDaysInput(): number | undefined;
    private _serverId;
    get serverId(): string;
    set serverId(value: string);
    get serverIdInput(): string;
    private _storageAccountAccessKey?;
    get storageAccountAccessKey(): string;
    set storageAccountAccessKey(value: string);
    resetStorageAccountAccessKey(): void;
    get storageAccountAccessKeyInput(): string | undefined;
    private _storageAccountAccessKeyIsSecondary?;
    get storageAccountAccessKeyIsSecondary(): boolean;
    set storageAccountAccessKeyIsSecondary(value: boolean);
    resetStorageAccountAccessKeyIsSecondary(): void;
    get storageAccountAccessKeyIsSecondaryInput(): boolean | undefined;
    private _storageEndpoint;
    get storageEndpoint(): string;
    set storageEndpoint(value: string);
    get storageEndpointInput(): string;
    private _timeouts?;
    get timeouts(): MssqlServerExtendedAuditingPolicyTimeouts;
    set timeouts(value: MssqlServerExtendedAuditingPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlServerExtendedAuditingPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
