import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlServerSecurityAlertPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly disabledAlerts?: string[];
    readonly emailAccountAdmins?: boolean;
    readonly emailAddresses?: string[];
    readonly resourceGroupName: string;
    readonly retentionDays?: number;
    readonly serverName: string;
    readonly state: string;
    readonly storageAccountAccessKey?: string;
    readonly storageEndpoint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerSecurityAlertPolicyTimeouts;
}
export interface MssqlServerSecurityAlertPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlServerSecurityAlertPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlServerSecurityAlertPolicyConfig);
    private _disabledAlerts?;
    get disabledAlerts(): string[];
    set disabledAlerts(value: string[]);
    resetDisabledAlerts(): void;
    get disabledAlertsInput(): string[] | undefined;
    private _emailAccountAdmins?;
    get emailAccountAdmins(): boolean;
    set emailAccountAdmins(value: boolean);
    resetEmailAccountAdmins(): void;
    get emailAccountAdminsInput(): boolean | undefined;
    private _emailAddresses?;
    get emailAddresses(): string[];
    set emailAddresses(value: string[]);
    resetEmailAddresses(): void;
    get emailAddressesInput(): string[] | undefined;
    get id(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _retentionDays?;
    get retentionDays(): number;
    set retentionDays(value: number);
    resetRetentionDays(): void;
    get retentionDaysInput(): number | undefined;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _state;
    get state(): string;
    set state(value: string);
    get stateInput(): string;
    private _storageAccountAccessKey?;
    get storageAccountAccessKey(): string;
    set storageAccountAccessKey(value: string);
    resetStorageAccountAccessKey(): void;
    get storageAccountAccessKeyInput(): string | undefined;
    private _storageEndpoint?;
    get storageEndpoint(): string;
    set storageEndpoint(value: string);
    resetStorageEndpoint(): void;
    get storageEndpointInput(): string | undefined;
    private _timeouts?;
    get timeouts(): MssqlServerSecurityAlertPolicyTimeouts;
    set timeouts(value: MssqlServerSecurityAlertPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlServerSecurityAlertPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
