import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly administratorLogin: string;
    readonly administratorLoginPassword: string;
    readonly connectionPolicy?: string;
    readonly extendedAuditingPolicy?: MssqlServerExtendedAuditingPolicy[];
    readonly location: string;
    readonly minimumTlsVersion?: string;
    readonly name: string;
    readonly publicNetworkAccessEnabled?: boolean;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly version: string;
    /**
     * azuread_administrator block.
     */
    readonly azureadAdministrator?: MssqlServerAzureadAdministrator[];
    /**
     * identity block.
     */
    readonly identity?: MssqlServerIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerTimeouts;
}
export interface MssqlServerExtendedAuditingPolicy {
    readonly retentionInDays?: number;
    readonly storageAccountAccessKey?: string;
    readonly storageAccountAccessKeyIsSecondary?: boolean;
    readonly storageEndpoint?: string;
}
export interface MssqlServerAzureadAdministrator {
    readonly loginUsername: string;
    readonly objectId: string;
    readonly tenantId?: string;
}
export interface MssqlServerIdentity {
    readonly type: string;
}
export interface MssqlServerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlServer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlServerConfig);
    private _administratorLogin;
    get administratorLogin(): string;
    set administratorLogin(value: string);
    get administratorLoginInput(): string;
    private _administratorLoginPassword;
    get administratorLoginPassword(): string;
    set administratorLoginPassword(value: string);
    get administratorLoginPasswordInput(): string;
    private _connectionPolicy?;
    get connectionPolicy(): string;
    set connectionPolicy(value: string);
    resetConnectionPolicy(): void;
    get connectionPolicyInput(): string | undefined;
    private _extendedAuditingPolicy?;
    get extendedAuditingPolicy(): MssqlServerExtendedAuditingPolicy[];
    set extendedAuditingPolicy(value: MssqlServerExtendedAuditingPolicy[]);
    resetExtendedAuditingPolicy(): void;
    get extendedAuditingPolicyInput(): MssqlServerExtendedAuditingPolicy[] | undefined;
    get fullyQualifiedDomainName(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _minimumTlsVersion?;
    get minimumTlsVersion(): string;
    set minimumTlsVersion(value: string);
    resetMinimumTlsVersion(): void;
    get minimumTlsVersionInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _publicNetworkAccessEnabled?;
    get publicNetworkAccessEnabled(): boolean;
    set publicNetworkAccessEnabled(value: boolean);
    resetPublicNetworkAccessEnabled(): void;
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get restorableDroppedDatabaseIds(): string[];
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _version;
    get version(): string;
    set version(value: string);
    get versionInput(): string;
    private _azureadAdministrator?;
    get azureadAdministrator(): MssqlServerAzureadAdministrator[];
    set azureadAdministrator(value: MssqlServerAzureadAdministrator[]);
    resetAzureadAdministrator(): void;
    get azureadAdministratorInput(): MssqlServerAzureadAdministrator[] | undefined;
    private _identity?;
    get identity(): MssqlServerIdentity[];
    set identity(value: MssqlServerIdentity[]);
    resetIdentity(): void;
    get identityInput(): MssqlServerIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): MssqlServerTimeouts;
    set timeouts(value: MssqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
