import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MysqlConfigurationConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MysqlConfigurationTimeouts;
}
export interface MysqlConfigurationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MysqlConfiguration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MysqlConfigurationConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _value;
    get value(): string;
    set value(value: string);
    get valueInput(): string;
    private _timeouts?;
    get timeouts(): MysqlConfigurationTimeouts;
    set timeouts(value: MysqlConfigurationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MysqlConfigurationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
