import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetappAccountConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * active_directory block.
     */
    readonly activeDirectory?: NetappAccountActiveDirectory[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappAccountTimeouts;
}
export interface NetappAccountActiveDirectory {
    readonly dnsServers: string[];
    readonly domain: string;
    readonly organizationalUnit?: string;
    readonly password: string;
    readonly smbServerName: string;
    readonly username: string;
}
export interface NetappAccountTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetappAccount extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetappAccountConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _activeDirectory?;
    get activeDirectory(): NetappAccountActiveDirectory[];
    set activeDirectory(value: NetappAccountActiveDirectory[]);
    resetActiveDirectory(): void;
    get activeDirectoryInput(): NetappAccountActiveDirectory[] | undefined;
    private _timeouts?;
    get timeouts(): NetappAccountTimeouts;
    set timeouts(value: NetappAccountTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetappAccountTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
