import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetappPoolConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceLevel: string;
    readonly sizeInTb: number;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappPoolTimeouts;
}
export interface NetappPoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetappPool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetappPoolConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceLevel;
    get serviceLevel(): string;
    set serviceLevel(value: string);
    get serviceLevelInput(): string;
    private _sizeInTb;
    get sizeInTb(): number;
    set sizeInTb(value: number);
    get sizeInTbInput(): number;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): NetappPoolTimeouts;
    set timeouts(value: NetappPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetappPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
