import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetappSnapshotConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly location: string;
    readonly name: string;
    readonly poolName: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly volumeName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappSnapshotTimeouts;
}
export interface NetappSnapshotTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetappSnapshot extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetappSnapshotConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _poolName;
    get poolName(): string;
    set poolName(value: string);
    get poolNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _volumeName;
    get volumeName(): string;
    set volumeName(value: string);
    get volumeNameInput(): string;
    private _timeouts?;
    get timeouts(): NetappSnapshotTimeouts;
    set timeouts(value: NetappSnapshotTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetappSnapshotTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
