import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetappVolumeConfig extends cdktf.TerraformMetaArguments {
    readonly accountName: string;
    readonly location: string;
    readonly name: string;
    readonly poolName: string;
    readonly protocols?: string[];
    readonly resourceGroupName: string;
    readonly serviceLevel: string;
    readonly storageQuotaInGb: number;
    readonly subnetId: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly volumePath: string;
    /**
     * export_policy_rule block.
     */
    readonly exportPolicyRule?: NetappVolumeExportPolicyRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappVolumeTimeouts;
}
export interface NetappVolumeExportPolicyRule {
    readonly allowedClients: string[];
    readonly cifsEnabled?: boolean;
    readonly nfsv3Enabled?: boolean;
    readonly nfsv4Enabled?: boolean;
    readonly protocolsEnabled?: string[];
    readonly ruleIndex: number;
    readonly unixReadOnly?: boolean;
    readonly unixReadWrite?: boolean;
}
export interface NetappVolumeTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetappVolume extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetappVolumeConfig);
    private _accountName;
    get accountName(): string;
    set accountName(value: string);
    get accountNameInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get mountIpAddresses(): string[];
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _poolName;
    get poolName(): string;
    set poolName(value: string);
    get poolNameInput(): string;
    private _protocols?;
    get protocols(): string[];
    set protocols(value: string[]);
    resetProtocols(): void;
    get protocolsInput(): string[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceLevel;
    get serviceLevel(): string;
    set serviceLevel(value: string);
    get serviceLevelInput(): string;
    private _storageQuotaInGb;
    get storageQuotaInGb(): number;
    set storageQuotaInGb(value: number);
    get storageQuotaInGbInput(): number;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _volumePath;
    get volumePath(): string;
    set volumePath(value: string);
    get volumePathInput(): string;
    private _exportPolicyRule?;
    get exportPolicyRule(): NetappVolumeExportPolicyRule[];
    set exportPolicyRule(value: NetappVolumeExportPolicyRule[]);
    resetExportPolicyRule(): void;
    get exportPolicyRuleInput(): NetappVolumeExportPolicyRule[] | undefined;
    private _timeouts?;
    get timeouts(): NetappVolumeTimeouts;
    set timeouts(value: NetappVolumeTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetappVolumeTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
