import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkInterfaceNatRuleAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly ipConfigurationName: string;
    readonly natRuleId: string;
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceNatRuleAssociationTimeouts;
}
export interface NetworkInterfaceNatRuleAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkInterfaceNatRuleAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkInterfaceNatRuleAssociationConfig);
    get id(): string;
    private _ipConfigurationName;
    get ipConfigurationName(): string;
    set ipConfigurationName(value: string);
    get ipConfigurationNameInput(): string;
    private _natRuleId;
    get natRuleId(): string;
    set natRuleId(value: string);
    get natRuleIdInput(): string;
    private _networkInterfaceId;
    get networkInterfaceId(): string;
    set networkInterfaceId(value: string);
    get networkInterfaceIdInput(): string;
    private _timeouts?;
    get timeouts(): NetworkInterfaceNatRuleAssociationTimeouts;
    set timeouts(value: NetworkInterfaceNatRuleAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkInterfaceNatRuleAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
