import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkInterfaceSecurityGroupAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly networkInterfaceId: string;
    readonly networkSecurityGroupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceSecurityGroupAssociationTimeouts;
}
export interface NetworkInterfaceSecurityGroupAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkInterfaceSecurityGroupAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkInterfaceSecurityGroupAssociationConfig);
    get id(): string;
    private _networkInterfaceId;
    get networkInterfaceId(): string;
    set networkInterfaceId(value: string);
    get networkInterfaceIdInput(): string;
    private _networkSecurityGroupId;
    get networkSecurityGroupId(): string;
    set networkSecurityGroupId(value: string);
    get networkSecurityGroupIdInput(): string;
    private _timeouts?;
    get timeouts(): NetworkInterfaceSecurityGroupAssociationTimeouts;
    set timeouts(value: NetworkInterfaceSecurityGroupAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkInterfaceSecurityGroupAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
