import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkInterfaceConfig extends cdktf.TerraformMetaArguments {
    readonly dnsServers?: string[];
    readonly enableAcceleratedNetworking?: boolean;
    readonly enableIpForwarding?: boolean;
    readonly internalDnsNameLabel?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: NetworkInterfaceIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceTimeouts;
}
export interface NetworkInterfaceIpConfiguration {
    readonly name: string;
    readonly primary?: boolean;
    readonly privateIpAddress?: string;
    readonly privateIpAddressAllocation: string;
    readonly privateIpAddressVersion?: string;
    readonly publicIpAddressId?: string;
    readonly subnetId?: string;
}
export interface NetworkInterfaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkInterface extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkInterfaceConfig);
    get appliedDnsServers(): string[];
    private _dnsServers?;
    get dnsServers(): string[];
    set dnsServers(value: string[]);
    resetDnsServers(): void;
    get dnsServersInput(): string[] | undefined;
    private _enableAcceleratedNetworking?;
    get enableAcceleratedNetworking(): boolean;
    set enableAcceleratedNetworking(value: boolean);
    resetEnableAcceleratedNetworking(): void;
    get enableAcceleratedNetworkingInput(): boolean | undefined;
    private _enableIpForwarding?;
    get enableIpForwarding(): boolean;
    set enableIpForwarding(value: boolean);
    resetEnableIpForwarding(): void;
    get enableIpForwardingInput(): boolean | undefined;
    get id(): string;
    private _internalDnsNameLabel?;
    get internalDnsNameLabel(): string;
    set internalDnsNameLabel(value: string);
    resetInternalDnsNameLabel(): void;
    get internalDnsNameLabelInput(): string | undefined;
    get internalDomainNameSuffix(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get macAddress(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get privateIpAddress(): string;
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get virtualMachineId(): string;
    private _ipConfiguration;
    get ipConfiguration(): NetworkInterfaceIpConfiguration[];
    set ipConfiguration(value: NetworkInterfaceIpConfiguration[]);
    get ipConfigurationInput(): NetworkInterfaceIpConfiguration[];
    private _timeouts?;
    get timeouts(): NetworkInterfaceTimeouts;
    set timeouts(value: NetworkInterfaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkInterfaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
