import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkPacketCaptureConfig extends cdktf.TerraformMetaArguments {
    readonly maximumBytesPerPacket?: number;
    readonly maximumBytesPerSession?: number;
    readonly maximumCaptureDuration?: number;
    readonly name: string;
    readonly networkWatcherName: string;
    readonly resourceGroupName: string;
    readonly targetResourceId: string;
    /**
     * filter block.
     */
    readonly filter?: NetworkPacketCaptureFilter[];
    /**
     * storage_location block.
     */
    readonly storageLocation: NetworkPacketCaptureStorageLocation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkPacketCaptureTimeouts;
}
export interface NetworkPacketCaptureFilter {
    readonly localIpAddress?: string;
    readonly localPort?: string;
    readonly protocol: string;
    readonly remoteIpAddress?: string;
    readonly remotePort?: string;
}
export interface NetworkPacketCaptureStorageLocation {
    readonly filePath?: string;
    readonly storageAccountId?: string;
}
export interface NetworkPacketCaptureTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkPacketCapture extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkPacketCaptureConfig);
    get id(): string;
    private _maximumBytesPerPacket?;
    get maximumBytesPerPacket(): number;
    set maximumBytesPerPacket(value: number);
    resetMaximumBytesPerPacket(): void;
    get maximumBytesPerPacketInput(): number | undefined;
    private _maximumBytesPerSession?;
    get maximumBytesPerSession(): number;
    set maximumBytesPerSession(value: number);
    resetMaximumBytesPerSession(): void;
    get maximumBytesPerSessionInput(): number | undefined;
    private _maximumCaptureDuration?;
    get maximumCaptureDuration(): number;
    set maximumCaptureDuration(value: number);
    resetMaximumCaptureDuration(): void;
    get maximumCaptureDurationInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkWatcherName;
    get networkWatcherName(): string;
    set networkWatcherName(value: string);
    get networkWatcherNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _targetResourceId;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    get targetResourceIdInput(): string;
    private _filter?;
    get filter(): NetworkPacketCaptureFilter[];
    set filter(value: NetworkPacketCaptureFilter[]);
    resetFilter(): void;
    get filterInput(): NetworkPacketCaptureFilter[] | undefined;
    private _storageLocation;
    get storageLocation(): NetworkPacketCaptureStorageLocation[];
    set storageLocation(value: NetworkPacketCaptureStorageLocation[]);
    get storageLocationInput(): NetworkPacketCaptureStorageLocation[];
    private _timeouts?;
    get timeouts(): NetworkPacketCaptureTimeouts;
    set timeouts(value: NetworkPacketCaptureTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkPacketCaptureTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
