import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkProfileConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * container_network_interface block.
     */
    readonly containerNetworkInterface: NetworkProfileContainerNetworkInterface[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkProfileTimeouts;
}
export interface NetworkProfileContainerNetworkInterfaceIpConfiguration {
    readonly name: string;
    readonly subnetId: string;
}
export interface NetworkProfileContainerNetworkInterface {
    readonly name: string;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: NetworkProfileContainerNetworkInterfaceIpConfiguration[];
}
export interface NetworkProfileTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkProfile extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkProfileConfig);
    get containerNetworkInterfaceIds(): string[];
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _containerNetworkInterface;
    get containerNetworkInterface(): NetworkProfileContainerNetworkInterface[];
    set containerNetworkInterface(value: NetworkProfileContainerNetworkInterface[]);
    get containerNetworkInterfaceInput(): NetworkProfileContainerNetworkInterface[];
    private _timeouts?;
    get timeouts(): NetworkProfileTimeouts;
    set timeouts(value: NetworkProfileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkProfileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
