import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkSecurityGroupConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly securityRule?: NetworkSecurityGroupSecurityRule[];
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkSecurityGroupTimeouts;
}
export interface NetworkSecurityGroupSecurityRule {
    readonly access?: string;
    readonly description?: string;
    readonly destinationAddressPrefix?: string;
    readonly destinationAddressPrefixes?: string[];
    readonly destinationApplicationSecurityGroupIds?: string[];
    readonly destinationPortRange?: string;
    readonly destinationPortRanges?: string[];
    readonly direction?: string;
    readonly name?: string;
    readonly priority?: number;
    readonly protocol?: string;
    readonly sourceAddressPrefix?: string;
    readonly sourceAddressPrefixes?: string[];
    readonly sourceApplicationSecurityGroupIds?: string[];
    readonly sourcePortRange?: string;
    readonly sourcePortRanges?: string[];
}
export interface NetworkSecurityGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkSecurityGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkSecurityGroupConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _securityRule?;
    get securityRule(): NetworkSecurityGroupSecurityRule[];
    set securityRule(value: NetworkSecurityGroupSecurityRule[]);
    resetSecurityRule(): void;
    get securityRuleInput(): NetworkSecurityGroupSecurityRule[] | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): NetworkSecurityGroupTimeouts;
    set timeouts(value: NetworkSecurityGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkSecurityGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
