import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkSecurityRuleConfig extends cdktf.TerraformMetaArguments {
    readonly access: string;
    readonly description?: string;
    readonly destinationAddressPrefix?: string;
    readonly destinationAddressPrefixes?: string[];
    readonly destinationApplicationSecurityGroupIds?: string[];
    readonly destinationPortRange?: string;
    readonly destinationPortRanges?: string[];
    readonly direction: string;
    readonly name: string;
    readonly networkSecurityGroupName: string;
    readonly priority: number;
    readonly protocol: string;
    readonly resourceGroupName: string;
    readonly sourceAddressPrefix?: string;
    readonly sourceAddressPrefixes?: string[];
    readonly sourceApplicationSecurityGroupIds?: string[];
    readonly sourcePortRange?: string;
    readonly sourcePortRanges?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkSecurityRuleTimeouts;
}
export interface NetworkSecurityRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NetworkSecurityRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkSecurityRuleConfig);
    private _access;
    get access(): string;
    set access(value: string);
    get accessInput(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _destinationAddressPrefix?;
    get destinationAddressPrefix(): string;
    set destinationAddressPrefix(value: string);
    resetDestinationAddressPrefix(): void;
    get destinationAddressPrefixInput(): string | undefined;
    private _destinationAddressPrefixes?;
    get destinationAddressPrefixes(): string[];
    set destinationAddressPrefixes(value: string[]);
    resetDestinationAddressPrefixes(): void;
    get destinationAddressPrefixesInput(): string[] | undefined;
    private _destinationApplicationSecurityGroupIds?;
    get destinationApplicationSecurityGroupIds(): string[];
    set destinationApplicationSecurityGroupIds(value: string[]);
    resetDestinationApplicationSecurityGroupIds(): void;
    get destinationApplicationSecurityGroupIdsInput(): string[] | undefined;
    private _destinationPortRange?;
    get destinationPortRange(): string;
    set destinationPortRange(value: string);
    resetDestinationPortRange(): void;
    get destinationPortRangeInput(): string | undefined;
    private _destinationPortRanges?;
    get destinationPortRanges(): string[];
    set destinationPortRanges(value: string[]);
    resetDestinationPortRanges(): void;
    get destinationPortRangesInput(): string[] | undefined;
    private _direction;
    get direction(): string;
    set direction(value: string);
    get directionInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkSecurityGroupName;
    get networkSecurityGroupName(): string;
    set networkSecurityGroupName(value: string);
    get networkSecurityGroupNameInput(): string;
    private _priority;
    get priority(): number;
    set priority(value: number);
    get priorityInput(): number;
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    get protocolInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceAddressPrefix?;
    get sourceAddressPrefix(): string;
    set sourceAddressPrefix(value: string);
    resetSourceAddressPrefix(): void;
    get sourceAddressPrefixInput(): string | undefined;
    private _sourceAddressPrefixes?;
    get sourceAddressPrefixes(): string[];
    set sourceAddressPrefixes(value: string[]);
    resetSourceAddressPrefixes(): void;
    get sourceAddressPrefixesInput(): string[] | undefined;
    private _sourceApplicationSecurityGroupIds?;
    get sourceApplicationSecurityGroupIds(): string[];
    set sourceApplicationSecurityGroupIds(value: string[]);
    resetSourceApplicationSecurityGroupIds(): void;
    get sourceApplicationSecurityGroupIdsInput(): string[] | undefined;
    private _sourcePortRange?;
    get sourcePortRange(): string;
    set sourcePortRange(value: string);
    resetSourcePortRange(): void;
    get sourcePortRangeInput(): string | undefined;
    private _sourcePortRanges?;
    get sourcePortRanges(): string[];
    set sourcePortRanges(value: string[]);
    resetSourcePortRanges(): void;
    get sourcePortRangesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): NetworkSecurityRuleTimeouts;
    set timeouts(value: NetworkSecurityRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkSecurityRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
