import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NetworkWatcherFlowLogConfig extends cdktf.TerraformMetaArguments {
    readonly enabled: boolean;
    readonly networkSecurityGroupId: string;
    readonly networkWatcherName: string;
    readonly resourceGroupName: string;
    readonly storageAccountId: string;
    readonly version?: number;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: NetworkWatcherFlowLogRetentionPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkWatcherFlowLogTimeouts;
    /**
     * traffic_analytics block.
     */
    readonly trafficAnalytics?: NetworkWatcherFlowLogTrafficAnalytics[];
}
export interface NetworkWatcherFlowLogRetentionPolicy {
    readonly days: number;
    readonly enabled: boolean;
}
export interface NetworkWatcherFlowLogTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface NetworkWatcherFlowLogTrafficAnalytics {
    readonly enabled: boolean;
    readonly intervalInMinutes?: number;
    readonly workspaceId: string;
    readonly workspaceRegion: string;
    readonly workspaceResourceId: string;
}
export declare class NetworkWatcherFlowLog extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkWatcherFlowLogConfig);
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledInput(): boolean;
    get id(): string;
    private _networkSecurityGroupId;
    get networkSecurityGroupId(): string;
    set networkSecurityGroupId(value: string);
    get networkSecurityGroupIdInput(): string;
    private _networkWatcherName;
    get networkWatcherName(): string;
    set networkWatcherName(value: string);
    get networkWatcherNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _version?;
    get version(): number;
    set version(value: number);
    resetVersion(): void;
    get versionInput(): number | undefined;
    private _retentionPolicy;
    get retentionPolicy(): NetworkWatcherFlowLogRetentionPolicy[];
    set retentionPolicy(value: NetworkWatcherFlowLogRetentionPolicy[]);
    get retentionPolicyInput(): NetworkWatcherFlowLogRetentionPolicy[];
    private _timeouts?;
    get timeouts(): NetworkWatcherFlowLogTimeouts;
    set timeouts(value: NetworkWatcherFlowLogTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NetworkWatcherFlowLogTimeouts | undefined;
    private _trafficAnalytics?;
    get trafficAnalytics(): NetworkWatcherFlowLogTrafficAnalytics[];
    set trafficAnalytics(value: NetworkWatcherFlowLogTrafficAnalytics[]);
    resetTrafficAnalytics(): void;
    get trafficAnalyticsInput(): NetworkWatcherFlowLogTrafficAnalytics[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
