import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NotificationHubAuthorizationRuleConfig extends cdktf.TerraformMetaArguments {
    readonly listen?: boolean;
    readonly manage?: boolean;
    readonly name: string;
    readonly namespaceName: string;
    readonly notificationHubName: string;
    readonly resourceGroupName: string;
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: NotificationHubAuthorizationRuleTimeouts;
}
export interface NotificationHubAuthorizationRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NotificationHubAuthorizationRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NotificationHubAuthorizationRuleConfig);
    get id(): string;
    private _listen?;
    get listen(): boolean;
    set listen(value: boolean);
    resetListen(): void;
    get listenInput(): boolean | undefined;
    private _manage?;
    get manage(): boolean;
    set manage(value: boolean);
    resetManage(): void;
    get manageInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _notificationHubName;
    get notificationHubName(): string;
    set notificationHubName(value: string);
    get notificationHubNameInput(): string;
    get primaryAccessKey(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    private _send?;
    get send(): boolean;
    set send(value: boolean);
    resetSend(): void;
    get sendInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): NotificationHubAuthorizationRuleTimeouts;
    set timeouts(value: NotificationHubAuthorizationRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NotificationHubAuthorizationRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
