import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NotificationHubNamespaceConfig extends cdktf.TerraformMetaArguments {
    readonly enabled?: boolean;
    readonly location: string;
    readonly name: string;
    readonly namespaceType: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: NotificationHubNamespaceTimeouts;
}
export interface NotificationHubNamespaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NotificationHubNamespace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NotificationHubNamespaceConfig);
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceType;
    get namespaceType(): string;
    set namespaceType(value: string);
    get namespaceTypeInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get servicebusEndpoint(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): NotificationHubNamespaceTimeouts;
    set timeouts(value: NotificationHubNamespaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NotificationHubNamespaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
