import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface NotificationHubConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * apns_credential block.
     */
    readonly apnsCredential?: NotificationHubApnsCredential[];
    /**
     * gcm_credential block.
     */
    readonly gcmCredential?: NotificationHubGcmCredential[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NotificationHubTimeouts;
}
export interface NotificationHubApnsCredential {
    readonly applicationMode: string;
    readonly bundleId: string;
    readonly keyId: string;
    readonly teamId: string;
    readonly token: string;
}
export interface NotificationHubGcmCredential {
    readonly apiKey: string;
}
export interface NotificationHubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class NotificationHub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: NotificationHubConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _apnsCredential?;
    get apnsCredential(): NotificationHubApnsCredential[];
    set apnsCredential(value: NotificationHubApnsCredential[]);
    resetApnsCredential(): void;
    get apnsCredentialInput(): NotificationHubApnsCredential[] | undefined;
    private _gcmCredential?;
    get gcmCredential(): NotificationHubGcmCredential[];
    set gcmCredential(value: NotificationHubGcmCredential[]);
    resetGcmCredential(): void;
    get gcmCredentialInput(): NotificationHubGcmCredential[] | undefined;
    private _timeouts?;
    get timeouts(): NotificationHubTimeouts;
    set timeouts(value: NotificationHubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): NotificationHubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
