import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface OrchestratedVirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly platformFaultDomainCount: number;
    readonly proximityPlacementGroupId?: string;
    readonly resourceGroupName: string;
    readonly singlePlacementGroup?: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: OrchestratedVirtualMachineScaleSetTimeouts;
}
export interface OrchestratedVirtualMachineScaleSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class OrchestratedVirtualMachineScaleSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: OrchestratedVirtualMachineScaleSetConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _platformFaultDomainCount;
    get platformFaultDomainCount(): number;
    set platformFaultDomainCount(value: number);
    get platformFaultDomainCountInput(): number;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _singlePlacementGroup?;
    get singlePlacementGroup(): boolean;
    set singlePlacementGroup(value: boolean);
    resetSinglePlacementGroup(): void;
    get singlePlacementGroupInput(): boolean | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get uniqueId(): string;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): OrchestratedVirtualMachineScaleSetTimeouts;
    set timeouts(value: OrchestratedVirtualMachineScaleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): OrchestratedVirtualMachineScaleSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
