import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PacketCaptureConfig extends cdktf.TerraformMetaArguments {
    readonly maximumBytesPerPacket?: number;
    readonly maximumBytesPerSession?: number;
    readonly maximumCaptureDuration?: number;
    readonly name: string;
    readonly networkWatcherName: string;
    readonly resourceGroupName: string;
    readonly targetResourceId: string;
    /**
     * filter block.
     */
    readonly filter?: PacketCaptureFilter[];
    /**
     * storage_location block.
     */
    readonly storageLocation: PacketCaptureStorageLocation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PacketCaptureTimeouts;
}
export interface PacketCaptureFilter {
    readonly localIpAddress?: string;
    readonly localPort?: string;
    readonly protocol: string;
    readonly remoteIpAddress?: string;
    readonly remotePort?: string;
}
export interface PacketCaptureStorageLocation {
    readonly filePath?: string;
    readonly storageAccountId?: string;
}
export interface PacketCaptureTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PacketCapture extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PacketCaptureConfig);
    get id(): string;
    private _maximumBytesPerPacket?;
    get maximumBytesPerPacket(): number;
    set maximumBytesPerPacket(value: number);
    resetMaximumBytesPerPacket(): void;
    get maximumBytesPerPacketInput(): number | undefined;
    private _maximumBytesPerSession?;
    get maximumBytesPerSession(): number;
    set maximumBytesPerSession(value: number);
    resetMaximumBytesPerSession(): void;
    get maximumBytesPerSessionInput(): number | undefined;
    private _maximumCaptureDuration?;
    get maximumCaptureDuration(): number;
    set maximumCaptureDuration(value: number);
    resetMaximumCaptureDuration(): void;
    get maximumCaptureDurationInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkWatcherName;
    get networkWatcherName(): string;
    set networkWatcherName(value: string);
    get networkWatcherNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _targetResourceId;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    get targetResourceIdInput(): string;
    private _filter?;
    get filter(): PacketCaptureFilter[];
    set filter(value: PacketCaptureFilter[]);
    resetFilter(): void;
    get filterInput(): PacketCaptureFilter[] | undefined;
    private _storageLocation;
    get storageLocation(): PacketCaptureStorageLocation[];
    set storageLocation(value: PacketCaptureStorageLocation[]);
    get storageLocationInput(): PacketCaptureStorageLocation[];
    private _timeouts?;
    get timeouts(): PacketCaptureTimeouts;
    set timeouts(value: PacketCaptureTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PacketCaptureTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
