import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PointToSiteVpnGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly dnsServers?: string[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scaleUnit: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualHubId: string;
    readonly vpnServerConfigurationId: string;
    /**
     * connection_configuration block.
     */
    readonly connectionConfiguration: PointToSiteVpnGatewayConnectionConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PointToSiteVpnGatewayTimeouts;
}
export interface PointToSiteVpnGatewayConnectionConfigurationRoutePropagatedRouteTable {
    readonly ids: string[];
    readonly labels?: string[];
}
export interface PointToSiteVpnGatewayConnectionConfigurationRoute {
    readonly associatedRouteTableId: string;
    /**
     * propagated_route_table block.
     */
    readonly propagatedRouteTable?: PointToSiteVpnGatewayConnectionConfigurationRoutePropagatedRouteTable[];
}
export interface PointToSiteVpnGatewayConnectionConfigurationVpnClientAddressPool {
    readonly addressPrefixes: string[];
}
export interface PointToSiteVpnGatewayConnectionConfiguration {
    readonly name: string;
    /**
     * route block.
     */
    readonly route?: PointToSiteVpnGatewayConnectionConfigurationRoute[];
    /**
     * vpn_client_address_pool block.
     */
    readonly vpnClientAddressPool: PointToSiteVpnGatewayConnectionConfigurationVpnClientAddressPool[];
}
export interface PointToSiteVpnGatewayTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PointToSiteVpnGateway extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PointToSiteVpnGatewayConfig);
    private _dnsServers?;
    get dnsServers(): string[];
    set dnsServers(value: string[]);
    resetDnsServers(): void;
    get dnsServersInput(): string[] | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scaleUnit;
    get scaleUnit(): number;
    set scaleUnit(value: number);
    get scaleUnitInput(): number;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _vpnServerConfigurationId;
    get vpnServerConfigurationId(): string;
    set vpnServerConfigurationId(value: string);
    get vpnServerConfigurationIdInput(): string;
    private _connectionConfiguration;
    get connectionConfiguration(): PointToSiteVpnGatewayConnectionConfiguration[];
    set connectionConfiguration(value: PointToSiteVpnGatewayConnectionConfiguration[]);
    get connectionConfigurationInput(): PointToSiteVpnGatewayConnectionConfiguration[];
    private _timeouts?;
    get timeouts(): PointToSiteVpnGatewayTimeouts;
    set timeouts(value: PointToSiteVpnGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PointToSiteVpnGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
