import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PolicyAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly displayName?: string;
    readonly enforcementMode?: boolean;
    readonly location?: string;
    readonly metadata?: string;
    readonly name: string;
    readonly notScopes?: string[];
    readonly parameters?: string;
    readonly policyDefinitionId: string;
    readonly scope: string;
    /**
     * identity block.
     */
    readonly identity?: PolicyAssignmentIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicyAssignmentTimeouts;
}
export interface PolicyAssignmentIdentity {
    readonly type?: string;
}
export interface PolicyAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PolicyAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PolicyAssignmentConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    private _enforcementMode?;
    get enforcementMode(): boolean;
    set enforcementMode(value: boolean);
    resetEnforcementMode(): void;
    get enforcementModeInput(): boolean | undefined;
    get id(): string;
    private _location?;
    get location(): string;
    set location(value: string);
    resetLocation(): void;
    get locationInput(): string | undefined;
    private _metadata?;
    get metadata(): string;
    set metadata(value: string);
    resetMetadata(): void;
    get metadataInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _notScopes?;
    get notScopes(): string[];
    set notScopes(value: string[]);
    resetNotScopes(): void;
    get notScopesInput(): string[] | undefined;
    private _parameters?;
    get parameters(): string;
    set parameters(value: string);
    resetParameters(): void;
    get parametersInput(): string | undefined;
    private _policyDefinitionId;
    get policyDefinitionId(): string;
    set policyDefinitionId(value: string);
    get policyDefinitionIdInput(): string;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _identity?;
    get identity(): PolicyAssignmentIdentity[];
    set identity(value: PolicyAssignmentIdentity[]);
    resetIdentity(): void;
    get identityInput(): PolicyAssignmentIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): PolicyAssignmentTimeouts;
    set timeouts(value: PolicyAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PolicyAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
