import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PolicyDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly displayName: string;
    readonly managementGroupId?: string;
    readonly managementGroupName?: string;
    readonly metadata?: string;
    readonly mode: string;
    readonly name: string;
    readonly parameters?: string;
    readonly policyRule?: string;
    readonly policyType: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicyDefinitionTimeouts;
}
export interface PolicyDefinitionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PolicyDefinition extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PolicyDefinitionConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _managementGroupId?;
    get managementGroupId(): string;
    set managementGroupId(value: string);
    resetManagementGroupId(): void;
    get managementGroupIdInput(): string | undefined;
    private _managementGroupName?;
    get managementGroupName(): string;
    set managementGroupName(value: string);
    resetManagementGroupName(): void;
    get managementGroupNameInput(): string | undefined;
    private _metadata?;
    get metadata(): string;
    set metadata(value: string);
    resetMetadata(): void;
    get metadataInput(): string | undefined;
    private _mode;
    get mode(): string;
    set mode(value: string);
    get modeInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): string;
    set parameters(value: string);
    resetParameters(): void;
    get parametersInput(): string | undefined;
    private _policyRule?;
    get policyRule(): string;
    set policyRule(value: string);
    resetPolicyRule(): void;
    get policyRuleInput(): string | undefined;
    private _policyType;
    get policyType(): string;
    set policyType(value: string);
    get policyTypeInput(): string;
    private _timeouts?;
    get timeouts(): PolicyDefinitionTimeouts;
    set timeouts(value: PolicyDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PolicyDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
