import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PolicyRemediationConfig extends cdktf.TerraformMetaArguments {
    readonly locationFilters?: string[];
    readonly name: string;
    readonly policyAssignmentId: string;
    readonly policyDefinitionReferenceId?: string;
    readonly resourceDiscoveryMode?: string;
    readonly scope: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicyRemediationTimeouts;
}
export interface PolicyRemediationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PolicyRemediation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PolicyRemediationConfig);
    get id(): string;
    private _locationFilters?;
    get locationFilters(): string[];
    set locationFilters(value: string[]);
    resetLocationFilters(): void;
    get locationFiltersInput(): string[] | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _policyAssignmentId;
    get policyAssignmentId(): string;
    set policyAssignmentId(value: string);
    get policyAssignmentIdInput(): string;
    private _policyDefinitionReferenceId?;
    get policyDefinitionReferenceId(): string;
    set policyDefinitionReferenceId(value: string);
    resetPolicyDefinitionReferenceId(): void;
    get policyDefinitionReferenceIdInput(): string | undefined;
    private _resourceDiscoveryMode?;
    get resourceDiscoveryMode(): string;
    set resourceDiscoveryMode(value: string);
    resetResourceDiscoveryMode(): void;
    get resourceDiscoveryModeInput(): string | undefined;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _timeouts?;
    get timeouts(): PolicyRemediationTimeouts;
    set timeouts(value: PolicyRemediationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PolicyRemediationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
