import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PolicySetDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly displayName: string;
    readonly managementGroupId?: string;
    readonly managementGroupName?: string;
    readonly metadata?: string;
    readonly name: string;
    readonly parameters?: string;
    readonly policyDefinitions?: string;
    readonly policyType: string;
    /**
     * policy_definition_group block.
     */
    readonly policyDefinitionGroup?: PolicySetDefinitionPolicyDefinitionGroup[];
    /**
     * policy_definition_reference block.
     */
    readonly policyDefinitionReference?: PolicySetDefinitionPolicyDefinitionReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicySetDefinitionTimeouts;
}
export interface PolicySetDefinitionPolicyDefinitionGroup {
    readonly additionalMetadataResourceId?: string;
    readonly category?: string;
    readonly description?: string;
    readonly displayName?: string;
    readonly name: string;
}
export interface PolicySetDefinitionPolicyDefinitionReference {
    readonly parameterValues?: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly policyDefinitionId: string;
    readonly policyGroupNames?: string[];
    readonly referenceId?: string;
}
export interface PolicySetDefinitionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PolicySetDefinition extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PolicySetDefinitionConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    get id(): string;
    private _managementGroupId?;
    get managementGroupId(): string;
    set managementGroupId(value: string);
    resetManagementGroupId(): void;
    get managementGroupIdInput(): string | undefined;
    private _managementGroupName?;
    get managementGroupName(): string;
    set managementGroupName(value: string);
    resetManagementGroupName(): void;
    get managementGroupNameInput(): string | undefined;
    private _metadata?;
    get metadata(): string;
    set metadata(value: string);
    resetMetadata(): void;
    get metadataInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parameters?;
    get parameters(): string;
    set parameters(value: string);
    resetParameters(): void;
    get parametersInput(): string | undefined;
    private _policyDefinitions?;
    get policyDefinitions(): string;
    set policyDefinitions(value: string);
    resetPolicyDefinitions(): void;
    get policyDefinitionsInput(): string | undefined;
    private _policyType;
    get policyType(): string;
    set policyType(value: string);
    get policyTypeInput(): string;
    private _policyDefinitionGroup?;
    get policyDefinitionGroup(): PolicySetDefinitionPolicyDefinitionGroup[];
    set policyDefinitionGroup(value: PolicySetDefinitionPolicyDefinitionGroup[]);
    resetPolicyDefinitionGroup(): void;
    get policyDefinitionGroupInput(): PolicySetDefinitionPolicyDefinitionGroup[] | undefined;
    private _policyDefinitionReference?;
    get policyDefinitionReference(): PolicySetDefinitionPolicyDefinitionReference[];
    set policyDefinitionReference(value: PolicySetDefinitionPolicyDefinitionReference[]);
    resetPolicyDefinitionReference(): void;
    get policyDefinitionReferenceInput(): PolicySetDefinitionPolicyDefinitionReference[] | undefined;
    private _timeouts?;
    get timeouts(): PolicySetDefinitionTimeouts;
    set timeouts(value: PolicySetDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PolicySetDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
