import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PostgresqlFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    readonly endIpAddress: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly startIpAddress: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlFirewallRuleTimeouts;
}
export interface PostgresqlFirewallRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PostgresqlFirewallRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PostgresqlFirewallRuleConfig);
    private _endIpAddress;
    get endIpAddress(): string;
    set endIpAddress(value: string);
    get endIpAddressInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _startIpAddress;
    get startIpAddress(): string;
    set startIpAddress(value: string);
    get startIpAddressInput(): string;
    private _timeouts?;
    get timeouts(): PostgresqlFirewallRuleTimeouts;
    set timeouts(value: PostgresqlFirewallRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PostgresqlFirewallRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
