import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PostgresqlServerKeyConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultKeyId: string;
    readonly serverId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlServerKeyTimeouts;
}
export interface PostgresqlServerKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PostgresqlServerKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PostgresqlServerKeyConfig);
    get id(): string;
    private _keyVaultKeyId;
    get keyVaultKeyId(): string;
    set keyVaultKeyId(value: string);
    get keyVaultKeyIdInput(): string;
    private _serverId;
    get serverId(): string;
    set serverId(value: string);
    get serverIdInput(): string;
    private _timeouts?;
    get timeouts(): PostgresqlServerKeyTimeouts;
    set timeouts(value: PostgresqlServerKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PostgresqlServerKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
