import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PostgresqlVirtualNetworkRuleConfig extends cdktf.TerraformMetaArguments {
    readonly ignoreMissingVnetServiceEndpoint?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlVirtualNetworkRuleTimeouts;
}
export interface PostgresqlVirtualNetworkRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PostgresqlVirtualNetworkRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PostgresqlVirtualNetworkRuleConfig);
    get id(): string;
    private _ignoreMissingVnetServiceEndpoint?;
    get ignoreMissingVnetServiceEndpoint(): boolean;
    set ignoreMissingVnetServiceEndpoint(value: boolean);
    resetIgnoreMissingVnetServiceEndpoint(): void;
    get ignoreMissingVnetServiceEndpointInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): PostgresqlVirtualNetworkRuleTimeouts;
    set timeouts(value: PostgresqlVirtualNetworkRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PostgresqlVirtualNetworkRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
