import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PowerbiEmbeddedConfig extends cdktf.TerraformMetaArguments {
    readonly administrators: string[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly skuName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: PowerbiEmbeddedTimeouts;
}
export interface PowerbiEmbeddedTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PowerbiEmbedded extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PowerbiEmbeddedConfig);
    private _administrators;
    get administrators(): string[];
    set administrators(value: string[]);
    get administratorsInput(): string[];
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): PowerbiEmbeddedTimeouts;
    set timeouts(value: PowerbiEmbeddedTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PowerbiEmbeddedTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
