import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateDnsMxRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: PrivateDnsMxRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsMxRecordTimeouts;
}
export interface PrivateDnsMxRecordRecord {
    readonly exchange: string;
    readonly preference: number;
}
export interface PrivateDnsMxRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateDnsMxRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateDnsMxRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _record;
    get record(): PrivateDnsMxRecordRecord[];
    set record(value: PrivateDnsMxRecordRecord[]);
    get recordInput(): PrivateDnsMxRecordRecord[];
    private _timeouts?;
    get timeouts(): PrivateDnsMxRecordTimeouts;
    set timeouts(value: PrivateDnsMxRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateDnsMxRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
