import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateDnsSrvRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: PrivateDnsSrvRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsSrvRecordTimeouts;
}
export interface PrivateDnsSrvRecordRecord {
    readonly port: number;
    readonly priority: number;
    readonly target: string;
    readonly weight: number;
}
export interface PrivateDnsSrvRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateDnsSrvRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateDnsSrvRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _record;
    get record(): PrivateDnsSrvRecordRecord[];
    set record(value: PrivateDnsSrvRecordRecord[]);
    get recordInput(): PrivateDnsSrvRecordRecord[];
    private _timeouts?;
    get timeouts(): PrivateDnsSrvRecordTimeouts;
    set timeouts(value: PrivateDnsSrvRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateDnsSrvRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
