import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateDnsTxtRecordConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl: number;
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: PrivateDnsTxtRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsTxtRecordTimeouts;
}
export interface PrivateDnsTxtRecordRecord {
    readonly value: string;
}
export interface PrivateDnsTxtRecordTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateDnsTxtRecord extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateDnsTxtRecordConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ttl;
    get ttl(): number;
    set ttl(value: number);
    get ttlInput(): number;
    private _zoneName;
    get zoneName(): string;
    set zoneName(value: string);
    get zoneNameInput(): string;
    private _record;
    get record(): PrivateDnsTxtRecordRecord[];
    set record(value: PrivateDnsTxtRecordRecord[]);
    get recordInput(): PrivateDnsTxtRecordRecord[];
    private _timeouts?;
    get timeouts(): PrivateDnsTxtRecordTimeouts;
    set timeouts(value: PrivateDnsTxtRecordTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateDnsTxtRecordTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
