import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateDnsZoneVirtualNetworkLinkConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly privateDnsZoneName: string;
    readonly registrationEnabled?: boolean;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualNetworkId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsZoneVirtualNetworkLinkTimeouts;
}
export interface PrivateDnsZoneVirtualNetworkLinkTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateDnsZoneVirtualNetworkLink extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateDnsZoneVirtualNetworkLinkConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _privateDnsZoneName;
    get privateDnsZoneName(): string;
    set privateDnsZoneName(value: string);
    get privateDnsZoneNameInput(): string;
    private _registrationEnabled?;
    get registrationEnabled(): boolean;
    set registrationEnabled(value: boolean);
    resetRegistrationEnabled(): void;
    get registrationEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualNetworkId;
    get virtualNetworkId(): string;
    set virtualNetworkId(value: string);
    get virtualNetworkIdInput(): string;
    private _timeouts?;
    get timeouts(): PrivateDnsZoneVirtualNetworkLinkTimeouts;
    set timeouts(value: PrivateDnsZoneVirtualNetworkLinkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateDnsZoneVirtualNetworkLinkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
