import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateDnsZoneConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * soa_record block.
     */
    readonly soaRecord?: PrivateDnsZoneSoaRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsZoneTimeouts;
}
export interface PrivateDnsZoneSoaRecord {
    readonly email: string;
    readonly expireTime?: number;
    readonly minimumTtl?: number;
    readonly refreshTime?: number;
    readonly retryTime?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly ttl?: number;
}
export interface PrivateDnsZoneTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateDnsZone extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateDnsZoneConfig);
    get id(): string;
    get maxNumberOfRecordSets(): number;
    get maxNumberOfVirtualNetworkLinks(): number;
    get maxNumberOfVirtualNetworkLinksWithRegistration(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get numberOfRecordSets(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _soaRecord?;
    get soaRecord(): PrivateDnsZoneSoaRecord[];
    set soaRecord(value: PrivateDnsZoneSoaRecord[]);
    resetSoaRecord(): void;
    get soaRecordInput(): PrivateDnsZoneSoaRecord[] | undefined;
    private _timeouts?;
    get timeouts(): PrivateDnsZoneTimeouts;
    set timeouts(value: PrivateDnsZoneTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateDnsZoneTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
