import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateEndpointConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subnetId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * private_dns_zone_group block.
     */
    readonly privateDnsZoneGroup?: PrivateEndpointPrivateDnsZoneGroup[];
    /**
     * private_service_connection block.
     */
    readonly privateServiceConnection: PrivateEndpointPrivateServiceConnection[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateEndpointTimeouts;
}
export declare class PrivateEndpointCustomDnsConfigs extends cdktf.ComplexComputedList {
    get fqdn(): string;
    get ipAddresses(): string[];
}
export declare class PrivateEndpointPrivateDnsZoneConfigsRecordSets extends cdktf.ComplexComputedList {
    get fqdn(): string;
    get ipAddresses(): string[];
    get name(): string;
    get ttl(): number;
    get type(): string;
}
export declare class PrivateEndpointPrivateDnsZoneConfigs extends cdktf.ComplexComputedList {
    get id(): string;
    get name(): string;
    get privateDnsZoneId(): string;
    get recordSets(): any;
}
export interface PrivateEndpointPrivateDnsZoneGroup {
    readonly name: string;
    readonly privateDnsZoneIds: string[];
}
export interface PrivateEndpointPrivateServiceConnection {
    readonly isManualConnection: boolean;
    readonly name: string;
    readonly privateConnectionResourceId: string;
    readonly requestMessage?: string;
    readonly subresourceNames?: string[];
}
export interface PrivateEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateEndpoint extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateEndpointConfig);
    customDnsConfigs(index: string): PrivateEndpointCustomDnsConfigs;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    privateDnsZoneConfigs(index: string): PrivateEndpointPrivateDnsZoneConfigs;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _privateDnsZoneGroup?;
    get privateDnsZoneGroup(): PrivateEndpointPrivateDnsZoneGroup[];
    set privateDnsZoneGroup(value: PrivateEndpointPrivateDnsZoneGroup[]);
    resetPrivateDnsZoneGroup(): void;
    get privateDnsZoneGroupInput(): PrivateEndpointPrivateDnsZoneGroup[] | undefined;
    private _privateServiceConnection;
    get privateServiceConnection(): PrivateEndpointPrivateServiceConnection[];
    set privateServiceConnection(value: PrivateEndpointPrivateServiceConnection[]);
    get privateServiceConnectionInput(): PrivateEndpointPrivateServiceConnection[];
    private _timeouts?;
    get timeouts(): PrivateEndpointTimeouts;
    set timeouts(value: PrivateEndpointTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateEndpointTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
