import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PrivateLinkServiceConfig extends cdktf.TerraformMetaArguments {
    readonly autoApprovalSubscriptionIds?: string[];
    readonly enableProxyProtocol?: boolean;
    readonly loadBalancerFrontendIpConfigurationIds: string[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly visibilitySubscriptionIds?: string[];
    /**
     * nat_ip_configuration block.
     */
    readonly natIpConfiguration: PrivateLinkServiceNatIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateLinkServiceTimeouts;
}
export interface PrivateLinkServiceNatIpConfiguration {
    readonly name: string;
    readonly primary: boolean;
    readonly privateIpAddress?: string;
    readonly privateIpAddressVersion?: string;
    readonly subnetId: string;
}
export interface PrivateLinkServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PrivateLinkService extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PrivateLinkServiceConfig);
    get alias(): string;
    private _autoApprovalSubscriptionIds?;
    get autoApprovalSubscriptionIds(): string[];
    set autoApprovalSubscriptionIds(value: string[]);
    resetAutoApprovalSubscriptionIds(): void;
    get autoApprovalSubscriptionIdsInput(): string[] | undefined;
    private _enableProxyProtocol?;
    get enableProxyProtocol(): boolean;
    set enableProxyProtocol(value: boolean);
    resetEnableProxyProtocol(): void;
    get enableProxyProtocolInput(): boolean | undefined;
    get id(): string;
    private _loadBalancerFrontendIpConfigurationIds;
    get loadBalancerFrontendIpConfigurationIds(): string[];
    set loadBalancerFrontendIpConfigurationIds(value: string[]);
    get loadBalancerFrontendIpConfigurationIdsInput(): string[];
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _visibilitySubscriptionIds?;
    get visibilitySubscriptionIds(): string[];
    set visibilitySubscriptionIds(value: string[]);
    resetVisibilitySubscriptionIds(): void;
    get visibilitySubscriptionIdsInput(): string[] | undefined;
    private _natIpConfiguration;
    get natIpConfiguration(): PrivateLinkServiceNatIpConfiguration[];
    set natIpConfiguration(value: PrivateLinkServiceNatIpConfiguration[]);
    get natIpConfigurationInput(): PrivateLinkServiceNatIpConfiguration[];
    private _timeouts?;
    get timeouts(): PrivateLinkServiceTimeouts;
    set timeouts(value: PrivateLinkServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PrivateLinkServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
