import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface PublicIpConfig extends cdktf.TerraformMetaArguments {
    readonly allocationMethod: string;
    readonly domainNameLabel?: string;
    readonly idleTimeoutInMinutes?: number;
    readonly ipVersion?: string;
    readonly location: string;
    readonly name: string;
    readonly publicIpPrefixId?: string;
    readonly resourceGroupName: string;
    readonly reverseFqdn?: string;
    readonly sku?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PublicIpTimeouts;
}
export interface PublicIpTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class PublicIp extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: PublicIpConfig);
    private _allocationMethod;
    get allocationMethod(): string;
    set allocationMethod(value: string);
    get allocationMethodInput(): string;
    private _domainNameLabel?;
    get domainNameLabel(): string;
    set domainNameLabel(value: string);
    resetDomainNameLabel(): void;
    get domainNameLabelInput(): string | undefined;
    get fqdn(): string;
    get id(): string;
    private _idleTimeoutInMinutes?;
    get idleTimeoutInMinutes(): number;
    set idleTimeoutInMinutes(value: number);
    resetIdleTimeoutInMinutes(): void;
    get idleTimeoutInMinutesInput(): number | undefined;
    get ipAddress(): string;
    private _ipVersion?;
    get ipVersion(): string;
    set ipVersion(value: string);
    resetIpVersion(): void;
    get ipVersionInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _publicIpPrefixId?;
    get publicIpPrefixId(): string;
    set publicIpPrefixId(value: string);
    resetPublicIpPrefixId(): void;
    get publicIpPrefixIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _reverseFqdn?;
    get reverseFqdn(): string;
    set reverseFqdn(value: string);
    resetReverseFqdn(): void;
    get reverseFqdnInput(): string | undefined;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): PublicIpTimeouts;
    set timeouts(value: PublicIpTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): PublicIpTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
