import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RecoveryServicesVaultConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly softDeleteEnabled?: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity?: RecoveryServicesVaultIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: RecoveryServicesVaultTimeouts;
}
export interface RecoveryServicesVaultIdentity {
    readonly type: string;
}
export interface RecoveryServicesVaultTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RecoveryServicesVault extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RecoveryServicesVaultConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _softDeleteEnabled?;
    get softDeleteEnabled(): boolean;
    set softDeleteEnabled(value: boolean);
    resetSoftDeleteEnabled(): void;
    get softDeleteEnabledInput(): boolean | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    get identity(): RecoveryServicesVaultIdentity[];
    set identity(value: RecoveryServicesVaultIdentity[]);
    resetIdentity(): void;
    get identityInput(): RecoveryServicesVaultIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): RecoveryServicesVaultTimeouts;
    set timeouts(value: RecoveryServicesVaultTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RecoveryServicesVaultTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
