import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RedisFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    readonly endIp: string;
    readonly name: string;
    readonly redisCacheName: string;
    readonly resourceGroupName: string;
    readonly startIp: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RedisFirewallRuleTimeouts;
}
export interface RedisFirewallRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RedisFirewallRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RedisFirewallRuleConfig);
    private _endIp;
    get endIp(): string;
    set endIp(value: string);
    get endIpInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _redisCacheName;
    get redisCacheName(): string;
    set redisCacheName(value: string);
    get redisCacheNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _startIp;
    get startIp(): string;
    set startIp(value: string);
    get startIpInput(): string;
    private _timeouts?;
    get timeouts(): RedisFirewallRuleTimeouts;
    set timeouts(value: RedisFirewallRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RedisFirewallRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
