import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RedisLinkedServerConfig extends cdktf.TerraformMetaArguments {
    readonly linkedRedisCacheId: string;
    readonly linkedRedisCacheLocation: string;
    readonly resourceGroupName: string;
    readonly serverRole: string;
    readonly targetRedisCacheName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RedisLinkedServerTimeouts;
}
export interface RedisLinkedServerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RedisLinkedServer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RedisLinkedServerConfig);
    get id(): string;
    private _linkedRedisCacheId;
    get linkedRedisCacheId(): string;
    set linkedRedisCacheId(value: string);
    get linkedRedisCacheIdInput(): string;
    private _linkedRedisCacheLocation;
    get linkedRedisCacheLocation(): string;
    set linkedRedisCacheLocation(value: string);
    get linkedRedisCacheLocationInput(): string;
    get name(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverRole;
    get serverRole(): string;
    set serverRole(value: string);
    get serverRoleInput(): string;
    private _targetRedisCacheName;
    get targetRedisCacheName(): string;
    set targetRedisCacheName(value: string);
    get targetRedisCacheNameInput(): string;
    private _timeouts?;
    get timeouts(): RedisLinkedServerTimeouts;
    set timeouts(value: RedisLinkedServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RedisLinkedServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
