import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RelayHybridConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly relayNamespaceName: string;
    readonly requiresClientAuthorization?: boolean;
    readonly resourceGroupName: string;
    readonly userMetadata?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RelayHybridConnectionTimeouts;
}
export interface RelayHybridConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RelayHybridConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RelayHybridConnectionConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _relayNamespaceName;
    get relayNamespaceName(): string;
    set relayNamespaceName(value: string);
    get relayNamespaceNameInput(): string;
    private _requiresClientAuthorization?;
    get requiresClientAuthorization(): boolean;
    set requiresClientAuthorization(value: boolean);
    resetRequiresClientAuthorization(): void;
    get requiresClientAuthorizationInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _userMetadata?;
    get userMetadata(): string;
    set userMetadata(value: string);
    resetUserMetadata(): void;
    get userMetadataInput(): string | undefined;
    private _timeouts?;
    get timeouts(): RelayHybridConnectionTimeouts;
    set timeouts(value: RelayHybridConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RelayHybridConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
