import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ResourceGroupTemplateDeploymentConfig extends cdktf.TerraformMetaArguments {
    readonly debugLevel?: string;
    readonly deploymentMode: string;
    readonly name: string;
    readonly parametersContent?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly templateContent: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ResourceGroupTemplateDeploymentTimeouts;
}
export interface ResourceGroupTemplateDeploymentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ResourceGroupTemplateDeployment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ResourceGroupTemplateDeploymentConfig);
    private _debugLevel?;
    get debugLevel(): string;
    set debugLevel(value: string);
    resetDebugLevel(): void;
    get debugLevelInput(): string | undefined;
    private _deploymentMode;
    get deploymentMode(): string;
    set deploymentMode(value: string);
    get deploymentModeInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outputContent(): string;
    private _parametersContent?;
    get parametersContent(): string;
    set parametersContent(value: string);
    resetParametersContent(): void;
    get parametersContentInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _templateContent;
    get templateContent(): string;
    set templateContent(value: string);
    get templateContentInput(): string;
    private _timeouts?;
    get timeouts(): ResourceGroupTemplateDeploymentTimeouts;
    set timeouts(value: ResourceGroupTemplateDeploymentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ResourceGroupTemplateDeploymentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
