import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ResourceGroupConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ResourceGroupTimeouts;
}
export interface ResourceGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ResourceGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ResourceGroupConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): ResourceGroupTimeouts;
    set timeouts(value: ResourceGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ResourceGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
