import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ResourceProviderRegistrationConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ResourceProviderRegistrationTimeouts;
}
export interface ResourceProviderRegistrationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class ResourceProviderRegistration extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ResourceProviderRegistrationConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _timeouts?;
    get timeouts(): ResourceProviderRegistrationTimeouts;
    set timeouts(value: ResourceProviderRegistrationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ResourceProviderRegistrationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
