import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RoleAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly name?: string;
    readonly principalId: string;
    readonly roleDefinitionId?: string;
    readonly roleDefinitionName?: string;
    readonly scope: string;
    readonly skipServicePrincipalAadCheck?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: RoleAssignmentTimeouts;
}
export interface RoleAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RoleAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RoleAssignmentConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _principalId;
    get principalId(): string;
    set principalId(value: string);
    get principalIdInput(): string;
    get principalType(): string;
    private _roleDefinitionId?;
    get roleDefinitionId(): string;
    set roleDefinitionId(value: string);
    resetRoleDefinitionId(): void;
    get roleDefinitionIdInput(): string | undefined;
    private _roleDefinitionName?;
    get roleDefinitionName(): string;
    set roleDefinitionName(value: string);
    resetRoleDefinitionName(): void;
    get roleDefinitionNameInput(): string | undefined;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _skipServicePrincipalAadCheck?;
    get skipServicePrincipalAadCheck(): boolean;
    set skipServicePrincipalAadCheck(value: boolean);
    resetSkipServicePrincipalAadCheck(): void;
    get skipServicePrincipalAadCheckInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): RoleAssignmentTimeouts;
    set timeouts(value: RoleAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RoleAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
