import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RoleDefinitionConfig extends cdktf.TerraformMetaArguments {
    readonly assignableScopes?: string[];
    readonly description?: string;
    readonly name: string;
    readonly roleDefinitionId?: string;
    readonly scope: string;
    /**
     * permissions block.
     */
    readonly permissions: RoleDefinitionPermissions[];
    /**
     * timeouts block.
     */
    readonly timeouts?: RoleDefinitionTimeouts;
}
export interface RoleDefinitionPermissions {
    readonly actions?: string[];
    readonly dataActions?: string[];
    readonly notActions?: string[];
    readonly notDataActions?: string[];
}
export interface RoleDefinitionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RoleDefinition extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RoleDefinitionConfig);
    private _assignableScopes?;
    get assignableScopes(): string[];
    set assignableScopes(value: string[]);
    resetAssignableScopes(): void;
    get assignableScopesInput(): string[] | undefined;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _roleDefinitionId?;
    get roleDefinitionId(): string;
    set roleDefinitionId(value: string);
    resetRoleDefinitionId(): void;
    get roleDefinitionIdInput(): string | undefined;
    get roleDefinitionResourceId(): string;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _permissions;
    get permissions(): RoleDefinitionPermissions[];
    set permissions(value: RoleDefinitionPermissions[]);
    get permissionsInput(): RoleDefinitionPermissions[];
    private _timeouts?;
    get timeouts(): RoleDefinitionTimeouts;
    set timeouts(value: RoleDefinitionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RoleDefinitionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
