import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RouteFilterConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly rule?: RouteFilterRule[];
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: RouteFilterTimeouts;
}
export interface RouteFilterRule {
    readonly access?: string;
    readonly communities?: string[];
    readonly name?: string;
    readonly ruleType?: string;
}
export interface RouteFilterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RouteFilter extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RouteFilterConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _rule?;
    get rule(): RouteFilterRule[];
    set rule(value: RouteFilterRule[]);
    resetRule(): void;
    get ruleInput(): RouteFilterRule[] | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): RouteFilterTimeouts;
    set timeouts(value: RouteFilterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RouteFilterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
