import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RouteTableConfig extends cdktf.TerraformMetaArguments {
    readonly disableBgpRoutePropagation?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly route?: RouteTableRoute[];
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: RouteTableTimeouts;
}
export interface RouteTableRoute {
    readonly addressPrefix?: string;
    readonly name?: string;
    readonly nextHopInIpAddress?: string;
    readonly nextHopType?: string;
}
export interface RouteTableTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class RouteTable extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RouteTableConfig);
    private _disableBgpRoutePropagation?;
    get disableBgpRoutePropagation(): boolean;
    set disableBgpRoutePropagation(value: boolean);
    resetDisableBgpRoutePropagation(): void;
    get disableBgpRoutePropagationInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _route?;
    get route(): RouteTableRoute[];
    set route(value: RouteTableRoute[]);
    resetRoute(): void;
    get routeInput(): RouteTableRoute[] | undefined;
    get subnets(): string[];
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): RouteTableTimeouts;
    set timeouts(value: RouteTableTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RouteTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
