import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RouteConfig extends cdktf.TerraformMetaArguments {
    readonly addressPrefix: string;
    readonly name: string;
    readonly nextHopInIpAddress?: string;
    readonly nextHopType: string;
    readonly resourceGroupName: string;
    readonly routeTableName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RouteTimeouts;
}
export interface RouteTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Route extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: RouteConfig);
    private _addressPrefix;
    get addressPrefix(): string;
    set addressPrefix(value: string);
    get addressPrefixInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _nextHopInIpAddress?;
    get nextHopInIpAddress(): string;
    set nextHopInIpAddress(value: string);
    resetNextHopInIpAddress(): void;
    get nextHopInIpAddressInput(): string | undefined;
    private _nextHopType;
    get nextHopType(): string;
    set nextHopType(value: string);
    get nextHopTypeInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _routeTableName;
    get routeTableName(): string;
    set routeTableName(value: string);
    get routeTableNameInput(): string;
    private _timeouts?;
    get timeouts(): RouteTimeouts;
    set timeouts(value: RouteTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): RouteTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
