import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SearchServiceConfig extends cdktf.TerraformMetaArguments {
    readonly allowedIps?: string[];
    readonly location: string;
    readonly name: string;
    readonly partitionCount?: number;
    readonly publicNetworkAccessEnabled?: boolean;
    readonly replicaCount?: number;
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity?: SearchServiceIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SearchServiceTimeouts;
}
export declare class SearchServiceQueryKeys extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
}
export interface SearchServiceIdentity {
    readonly type: string;
}
export interface SearchServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SearchService extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SearchServiceConfig);
    private _allowedIps?;
    get allowedIps(): string[];
    set allowedIps(value: string[]);
    resetAllowedIps(): void;
    get allowedIpsInput(): string[] | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _partitionCount?;
    get partitionCount(): number;
    set partitionCount(value: number);
    resetPartitionCount(): void;
    get partitionCountInput(): number | undefined;
    get primaryKey(): string;
    private _publicNetworkAccessEnabled?;
    get publicNetworkAccessEnabled(): boolean;
    set publicNetworkAccessEnabled(value: boolean);
    resetPublicNetworkAccessEnabled(): void;
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    queryKeys(index: string): SearchServiceQueryKeys;
    private _replicaCount?;
    get replicaCount(): number;
    set replicaCount(value: number);
    resetReplicaCount(): void;
    get replicaCountInput(): number | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryKey(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    get identity(): SearchServiceIdentity[];
    set identity(value: SearchServiceIdentity[]);
    resetIdentity(): void;
    get identityInput(): SearchServiceIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): SearchServiceTimeouts;
    set timeouts(value: SearchServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SearchServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
