import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterAutomationConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly enabled?: boolean;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scopes: string[];
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     */
    readonly action: SecurityCenterAutomationAction[];
    /**
     * source block.
     */
    readonly source: SecurityCenterAutomationSource[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterAutomationTimeouts;
}
export interface SecurityCenterAutomationAction {
    readonly connectionString?: string;
    readonly resourceId: string;
    readonly triggerUrl?: string;
    readonly type: string;
}
export interface SecurityCenterAutomationSourceRuleSetRule {
    readonly expectedValue: string;
    readonly operator: string;
    readonly propertyPath: string;
    readonly propertyType: string;
}
export interface SecurityCenterAutomationSourceRuleSet {
    /**
     * rule block.
     */
    readonly rule: SecurityCenterAutomationSourceRuleSetRule[];
}
export interface SecurityCenterAutomationSource {
    readonly eventSource: string;
    /**
     * rule_set block.
     */
    readonly ruleSet?: SecurityCenterAutomationSourceRuleSet[];
}
export interface SecurityCenterAutomationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterAutomation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterAutomationConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scopes;
    get scopes(): string[];
    set scopes(value: string[]);
    get scopesInput(): string[];
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action;
    get action(): SecurityCenterAutomationAction[];
    set action(value: SecurityCenterAutomationAction[]);
    get actionInput(): SecurityCenterAutomationAction[];
    private _source;
    get source(): SecurityCenterAutomationSource[];
    set source(value: SecurityCenterAutomationSource[]);
    get sourceInput(): SecurityCenterAutomationSource[];
    private _timeouts?;
    get timeouts(): SecurityCenterAutomationTimeouts;
    set timeouts(value: SecurityCenterAutomationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterAutomationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
