import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterContactConfig extends cdktf.TerraformMetaArguments {
    readonly alertNotifications: boolean;
    readonly alertsToAdmins: boolean;
    readonly email: string;
    readonly phone?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterContactTimeouts;
}
export interface SecurityCenterContactTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterContact extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterContactConfig);
    private _alertNotifications;
    get alertNotifications(): boolean;
    set alertNotifications(value: boolean);
    get alertNotificationsInput(): boolean;
    private _alertsToAdmins;
    get alertsToAdmins(): boolean;
    set alertsToAdmins(value: boolean);
    get alertsToAdminsInput(): boolean;
    private _email;
    get email(): string;
    set email(value: string);
    get emailInput(): string;
    get id(): string;
    private _phone?;
    get phone(): string;
    set phone(value: string);
    resetPhone(): void;
    get phoneInput(): string | undefined;
    private _timeouts?;
    get timeouts(): SecurityCenterContactTimeouts;
    set timeouts(value: SecurityCenterContactTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterContactTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
