import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterSettingConfig extends cdktf.TerraformMetaArguments {
    readonly enabled: boolean;
    readonly settingName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterSettingTimeouts;
}
export interface SecurityCenterSettingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterSetting extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterSettingConfig);
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledInput(): boolean;
    get id(): string;
    private _settingName;
    get settingName(): string;
    set settingName(value: string);
    get settingNameInput(): string;
    private _timeouts?;
    get timeouts(): SecurityCenterSettingTimeouts;
    set timeouts(value: SecurityCenterSettingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterSettingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
