import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityCenterWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly scope: string;
    readonly workspaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterWorkspaceTimeouts;
}
export interface SecurityCenterWorkspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SecurityCenterWorkspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SecurityCenterWorkspaceConfig);
    get id(): string;
    private _scope;
    get scope(): string;
    set scope(value: string);
    get scopeInput(): string;
    private _workspaceId;
    get workspaceId(): string;
    set workspaceId(value: string);
    get workspaceIdInput(): string;
    private _timeouts?;
    get timeouts(): SecurityCenterWorkspaceTimeouts;
    set timeouts(value: SecurityCenterWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SecurityCenterWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
