import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SentinelAlertRuleMsSecurityIncidentConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly displayName: string;
    readonly displayNameFilter?: string[];
    readonly enabled?: boolean;
    readonly logAnalyticsWorkspaceId: string;
    readonly name: string;
    readonly productFilter: string;
    readonly severityFilter: string[];
    readonly textWhitelist?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SentinelAlertRuleMsSecurityIncidentTimeouts;
}
export interface SentinelAlertRuleMsSecurityIncidentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SentinelAlertRuleMsSecurityIncident extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SentinelAlertRuleMsSecurityIncidentConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    private _displayNameFilter?;
    get displayNameFilter(): string[];
    set displayNameFilter(value: string[]);
    resetDisplayNameFilter(): void;
    get displayNameFilterInput(): string[] | undefined;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _logAnalyticsWorkspaceId;
    get logAnalyticsWorkspaceId(): string;
    set logAnalyticsWorkspaceId(value: string);
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _productFilter;
    get productFilter(): string;
    set productFilter(value: string);
    get productFilterInput(): string;
    private _severityFilter;
    get severityFilter(): string[];
    set severityFilter(value: string[]);
    get severityFilterInput(): string[];
    private _textWhitelist?;
    get textWhitelist(): string[];
    set textWhitelist(value: string[]);
    resetTextWhitelist(): void;
    get textWhitelistInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): SentinelAlertRuleMsSecurityIncidentTimeouts;
    set timeouts(value: SentinelAlertRuleMsSecurityIncidentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SentinelAlertRuleMsSecurityIncidentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
