import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SentinelAlertRuleScheduledConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly displayName: string;
    readonly enabled?: boolean;
    readonly logAnalyticsWorkspaceId: string;
    readonly name: string;
    readonly query: string;
    readonly queryFrequency?: string;
    readonly queryPeriod?: string;
    readonly severity: string;
    readonly suppressionDuration?: string;
    readonly suppressionEnabled?: boolean;
    readonly tactics?: string[];
    readonly triggerOperator?: string;
    readonly triggerThreshold?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: SentinelAlertRuleScheduledTimeouts;
}
export interface SentinelAlertRuleScheduledTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SentinelAlertRuleScheduled extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SentinelAlertRuleScheduledConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string;
    private _enabled?;
    get enabled(): boolean;
    set enabled(value: boolean);
    resetEnabled(): void;
    get enabledInput(): boolean | undefined;
    get id(): string;
    private _logAnalyticsWorkspaceId;
    get logAnalyticsWorkspaceId(): string;
    set logAnalyticsWorkspaceId(value: string);
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _query;
    get query(): string;
    set query(value: string);
    get queryInput(): string;
    private _queryFrequency?;
    get queryFrequency(): string;
    set queryFrequency(value: string);
    resetQueryFrequency(): void;
    get queryFrequencyInput(): string | undefined;
    private _queryPeriod?;
    get queryPeriod(): string;
    set queryPeriod(value: string);
    resetQueryPeriod(): void;
    get queryPeriodInput(): string | undefined;
    private _severity;
    get severity(): string;
    set severity(value: string);
    get severityInput(): string;
    private _suppressionDuration?;
    get suppressionDuration(): string;
    set suppressionDuration(value: string);
    resetSuppressionDuration(): void;
    get suppressionDurationInput(): string | undefined;
    private _suppressionEnabled?;
    get suppressionEnabled(): boolean;
    set suppressionEnabled(value: boolean);
    resetSuppressionEnabled(): void;
    get suppressionEnabledInput(): boolean | undefined;
    private _tactics?;
    get tactics(): string[];
    set tactics(value: string[]);
    resetTactics(): void;
    get tacticsInput(): string[] | undefined;
    private _triggerOperator?;
    get triggerOperator(): string;
    set triggerOperator(value: string);
    resetTriggerOperator(): void;
    get triggerOperatorInput(): string | undefined;
    private _triggerThreshold?;
    get triggerThreshold(): number;
    set triggerThreshold(value: number);
    resetTriggerThreshold(): void;
    get triggerThresholdInput(): number | undefined;
    private _timeouts?;
    get timeouts(): SentinelAlertRuleScheduledTimeouts;
    set timeouts(value: SentinelAlertRuleScheduledTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SentinelAlertRuleScheduledTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
