import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServiceFabricMeshApplicationConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * service block.
     */
    readonly service: ServiceFabricMeshApplicationService[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ServiceFabricMeshApplicationTimeouts;
}
export interface ServiceFabricMeshApplicationServiceCodePackageResourcesLimits {
    readonly cpu: number;
    readonly memory: number;
}
export interface ServiceFabricMeshApplicationServiceCodePackageResourcesRequests {
    readonly cpu: number;
    readonly memory: number;
}
export interface ServiceFabricMeshApplicationServiceCodePackageResources {
    /**
     * limits block.
     */
    readonly limits?: ServiceFabricMeshApplicationServiceCodePackageResourcesLimits[];
    /**
     * requests block.
     */
    readonly requests: ServiceFabricMeshApplicationServiceCodePackageResourcesRequests[];
}
export interface ServiceFabricMeshApplicationServiceCodePackage {
    readonly imageName: string;
    readonly name: string;
    /**
     * resources block.
     */
    readonly resources: ServiceFabricMeshApplicationServiceCodePackageResources[];
}
export interface ServiceFabricMeshApplicationService {
    readonly name: string;
    readonly osType: string;
    /**
     * code_package block.
     */
    readonly codePackage: ServiceFabricMeshApplicationServiceCodePackage[];
}
export interface ServiceFabricMeshApplicationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServiceFabricMeshApplication extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceFabricMeshApplicationConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _service;
    get service(): ServiceFabricMeshApplicationService[];
    set service(value: ServiceFabricMeshApplicationService[]);
    get serviceInput(): ServiceFabricMeshApplicationService[];
    private _timeouts?;
    get timeouts(): ServiceFabricMeshApplicationTimeouts;
    set timeouts(value: ServiceFabricMeshApplicationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServiceFabricMeshApplicationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
