import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServiceFabricMeshLocalNetworkConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly location: string;
    readonly name: string;
    readonly networkAddressPrefix: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ServiceFabricMeshLocalNetworkTimeouts;
}
export interface ServiceFabricMeshLocalNetworkTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServiceFabricMeshLocalNetwork extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceFabricMeshLocalNetworkConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkAddressPrefix;
    get networkAddressPrefix(): string;
    set networkAddressPrefix(value: string);
    get networkAddressPrefixInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): ServiceFabricMeshLocalNetworkTimeouts;
    set timeouts(value: ServiceFabricMeshLocalNetworkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServiceFabricMeshLocalNetworkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
