import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServiceFabricMeshSecretValueConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly serviceFabricMeshSecretId: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServiceFabricMeshSecretValueTimeouts;
}
export interface ServiceFabricMeshSecretValueTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServiceFabricMeshSecretValue extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceFabricMeshSecretValueConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _serviceFabricMeshSecretId;
    get serviceFabricMeshSecretId(): string;
    set serviceFabricMeshSecretId(value: string);
    get serviceFabricMeshSecretIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _value;
    get value(): string;
    set value(value: string);
    get valueInput(): string;
    private _timeouts?;
    get timeouts(): ServiceFabricMeshSecretValueTimeouts;
    set timeouts(value: ServiceFabricMeshSecretValueTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServiceFabricMeshSecretValueTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
