import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusNamespaceNetworkRuleSetConfig extends cdktf.TerraformMetaArguments {
    readonly defaultAction?: string;
    readonly ipRules?: string[];
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    /**
     * network_rules block.
     */
    readonly networkRules?: ServicebusNamespaceNetworkRuleSetNetworkRules[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusNamespaceNetworkRuleSetTimeouts;
}
export interface ServicebusNamespaceNetworkRuleSetNetworkRules {
    readonly ignoreMissingVnetServiceEndpoint?: boolean;
    readonly subnetId: string;
}
export interface ServicebusNamespaceNetworkRuleSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusNamespaceNetworkRuleSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusNamespaceNetworkRuleSetConfig);
    private _defaultAction?;
    get defaultAction(): string;
    set defaultAction(value: string);
    resetDefaultAction(): void;
    get defaultActionInput(): string | undefined;
    get id(): string;
    private _ipRules?;
    get ipRules(): string[];
    set ipRules(value: string[]);
    resetIpRules(): void;
    get ipRulesInput(): string[] | undefined;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _networkRules?;
    get networkRules(): ServicebusNamespaceNetworkRuleSetNetworkRules[];
    set networkRules(value: ServicebusNamespaceNetworkRuleSetNetworkRules[]);
    resetNetworkRules(): void;
    get networkRulesInput(): ServicebusNamespaceNetworkRuleSetNetworkRules[] | undefined;
    private _timeouts?;
    get timeouts(): ServicebusNamespaceNetworkRuleSetTimeouts;
    set timeouts(value: ServicebusNamespaceNetworkRuleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusNamespaceNetworkRuleSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
