import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusNamespaceConfig extends cdktf.TerraformMetaArguments {
    readonly capacity?: number;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly zoneRedundant?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusNamespaceTimeouts;
}
export interface ServicebusNamespaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusNamespace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusNamespaceConfig);
    private _capacity?;
    get capacity(): number;
    set capacity(value: number);
    resetCapacity(): void;
    get capacityInput(): number | undefined;
    get defaultPrimaryConnectionString(): string;
    get defaultPrimaryKey(): string;
    get defaultSecondaryConnectionString(): string;
    get defaultSecondaryKey(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneRedundant?;
    get zoneRedundant(): boolean;
    set zoneRedundant(value: boolean);
    resetZoneRedundant(): void;
    get zoneRedundantInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): ServicebusNamespaceTimeouts;
    set timeouts(value: ServicebusNamespaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusNamespaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
