import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusQueueAuthorizationRuleConfig extends cdktf.TerraformMetaArguments {
    readonly listen?: boolean;
    readonly manage?: boolean;
    readonly name: string;
    readonly namespaceName: string;
    readonly queueName: string;
    readonly resourceGroupName: string;
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusQueueAuthorizationRuleTimeouts;
}
export interface ServicebusQueueAuthorizationRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusQueueAuthorizationRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusQueueAuthorizationRuleConfig);
    get id(): string;
    private _listen?;
    get listen(): boolean;
    set listen(value: boolean);
    resetListen(): void;
    get listenInput(): boolean | undefined;
    private _manage?;
    get manage(): boolean;
    set manage(value: boolean);
    resetManage(): void;
    get manageInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    get primaryConnectionString(): string;
    get primaryKey(): string;
    private _queueName;
    get queueName(): string;
    set queueName(value: string);
    get queueNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryConnectionString(): string;
    get secondaryKey(): string;
    private _send?;
    get send(): boolean;
    set send(value: boolean);
    resetSend(): void;
    get sendInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): ServicebusQueueAuthorizationRuleTimeouts;
    set timeouts(value: ServicebusQueueAuthorizationRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusQueueAuthorizationRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
