import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusQueueConfig extends cdktf.TerraformMetaArguments {
    readonly autoDeleteOnIdle?: string;
    readonly deadLetteringOnMessageExpiration?: boolean;
    readonly defaultMessageTtl?: string;
    readonly duplicateDetectionHistoryTimeWindow?: string;
    readonly enableBatchedOperations?: boolean;
    readonly enableExpress?: boolean;
    readonly enablePartitioning?: boolean;
    readonly forwardDeadLetteredMessagesTo?: string;
    readonly forwardTo?: string;
    readonly lockDuration?: string;
    readonly maxDeliveryCount?: number;
    readonly maxSizeInMegabytes?: number;
    readonly name: string;
    readonly namespaceName: string;
    readonly requiresDuplicateDetection?: boolean;
    readonly requiresSession?: boolean;
    readonly resourceGroupName: string;
    readonly status?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusQueueTimeouts;
}
export interface ServicebusQueueTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusQueue extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusQueueConfig);
    private _autoDeleteOnIdle?;
    get autoDeleteOnIdle(): string;
    set autoDeleteOnIdle(value: string);
    resetAutoDeleteOnIdle(): void;
    get autoDeleteOnIdleInput(): string | undefined;
    private _deadLetteringOnMessageExpiration?;
    get deadLetteringOnMessageExpiration(): boolean;
    set deadLetteringOnMessageExpiration(value: boolean);
    resetDeadLetteringOnMessageExpiration(): void;
    get deadLetteringOnMessageExpirationInput(): boolean | undefined;
    private _defaultMessageTtl?;
    get defaultMessageTtl(): string;
    set defaultMessageTtl(value: string);
    resetDefaultMessageTtl(): void;
    get defaultMessageTtlInput(): string | undefined;
    private _duplicateDetectionHistoryTimeWindow?;
    get duplicateDetectionHistoryTimeWindow(): string;
    set duplicateDetectionHistoryTimeWindow(value: string);
    resetDuplicateDetectionHistoryTimeWindow(): void;
    get duplicateDetectionHistoryTimeWindowInput(): string | undefined;
    private _enableBatchedOperations?;
    get enableBatchedOperations(): boolean;
    set enableBatchedOperations(value: boolean);
    resetEnableBatchedOperations(): void;
    get enableBatchedOperationsInput(): boolean | undefined;
    private _enableExpress?;
    get enableExpress(): boolean;
    set enableExpress(value: boolean);
    resetEnableExpress(): void;
    get enableExpressInput(): boolean | undefined;
    private _enablePartitioning?;
    get enablePartitioning(): boolean;
    set enablePartitioning(value: boolean);
    resetEnablePartitioning(): void;
    get enablePartitioningInput(): boolean | undefined;
    private _forwardDeadLetteredMessagesTo?;
    get forwardDeadLetteredMessagesTo(): string;
    set forwardDeadLetteredMessagesTo(value: string);
    resetForwardDeadLetteredMessagesTo(): void;
    get forwardDeadLetteredMessagesToInput(): string | undefined;
    private _forwardTo?;
    get forwardTo(): string;
    set forwardTo(value: string);
    resetForwardTo(): void;
    get forwardToInput(): string | undefined;
    get id(): string;
    private _lockDuration?;
    get lockDuration(): string;
    set lockDuration(value: string);
    resetLockDuration(): void;
    get lockDurationInput(): string | undefined;
    private _maxDeliveryCount?;
    get maxDeliveryCount(): number;
    set maxDeliveryCount(value: number);
    resetMaxDeliveryCount(): void;
    get maxDeliveryCountInput(): number | undefined;
    private _maxSizeInMegabytes?;
    get maxSizeInMegabytes(): number;
    set maxSizeInMegabytes(value: number);
    resetMaxSizeInMegabytes(): void;
    get maxSizeInMegabytesInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _requiresDuplicateDetection?;
    get requiresDuplicateDetection(): boolean;
    set requiresDuplicateDetection(value: boolean);
    resetRequiresDuplicateDetection(): void;
    get requiresDuplicateDetectionInput(): boolean | undefined;
    private _requiresSession?;
    get requiresSession(): boolean;
    set requiresSession(value: boolean);
    resetRequiresSession(): void;
    get requiresSessionInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _status?;
    get status(): string;
    set status(value: string);
    resetStatus(): void;
    get statusInput(): string | undefined;
    private _timeouts?;
    get timeouts(): ServicebusQueueTimeouts;
    set timeouts(value: ServicebusQueueTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusQueueTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
