import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusSubscriptionRuleConfig extends cdktf.TerraformMetaArguments {
    readonly action?: string;
    readonly filterType: string;
    readonly name: string;
    readonly namespaceName: string;
    readonly resourceGroupName: string;
    readonly sqlFilter?: string;
    readonly subscriptionName: string;
    readonly topicName: string;
    /**
     * correlation_filter block.
     */
    readonly correlationFilter?: ServicebusSubscriptionRuleCorrelationFilter[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusSubscriptionRuleTimeouts;
}
export interface ServicebusSubscriptionRuleCorrelationFilter {
    readonly contentType?: string;
    readonly correlationId?: string;
    readonly label?: string;
    readonly messageId?: string;
    readonly properties?: {
        [key: string]: string;
    };
    readonly replyTo?: string;
    readonly replyToSessionId?: string;
    readonly sessionId?: string;
    readonly to?: string;
}
export interface ServicebusSubscriptionRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusSubscriptionRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusSubscriptionRuleConfig);
    private _action?;
    get action(): string;
    set action(value: string);
    resetAction(): void;
    get actionInput(): string | undefined;
    private _filterType;
    get filterType(): string;
    set filterType(value: string);
    get filterTypeInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sqlFilter?;
    get sqlFilter(): string;
    set sqlFilter(value: string);
    resetSqlFilter(): void;
    get sqlFilterInput(): string | undefined;
    private _subscriptionName;
    get subscriptionName(): string;
    set subscriptionName(value: string);
    get subscriptionNameInput(): string;
    private _topicName;
    get topicName(): string;
    set topicName(value: string);
    get topicNameInput(): string;
    private _correlationFilter?;
    get correlationFilter(): ServicebusSubscriptionRuleCorrelationFilter[];
    set correlationFilter(value: ServicebusSubscriptionRuleCorrelationFilter[]);
    resetCorrelationFilter(): void;
    get correlationFilterInput(): ServicebusSubscriptionRuleCorrelationFilter[] | undefined;
    private _timeouts?;
    get timeouts(): ServicebusSubscriptionRuleTimeouts;
    set timeouts(value: ServicebusSubscriptionRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusSubscriptionRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
