import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusSubscriptionConfig extends cdktf.TerraformMetaArguments {
    readonly autoDeleteOnIdle?: string;
    readonly deadLetteringOnFilterEvaluationError?: boolean;
    readonly deadLetteringOnMessageExpiration?: boolean;
    readonly defaultMessageTtl?: string;
    readonly enableBatchedOperations?: boolean;
    readonly forwardDeadLetteredMessagesTo?: string;
    readonly forwardTo?: string;
    readonly lockDuration?: string;
    readonly maxDeliveryCount: number;
    readonly name: string;
    readonly namespaceName: string;
    readonly requiresSession?: boolean;
    readonly resourceGroupName: string;
    readonly status?: string;
    readonly topicName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusSubscriptionTimeouts;
}
export interface ServicebusSubscriptionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusSubscription extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusSubscriptionConfig);
    private _autoDeleteOnIdle?;
    get autoDeleteOnIdle(): string;
    set autoDeleteOnIdle(value: string);
    resetAutoDeleteOnIdle(): void;
    get autoDeleteOnIdleInput(): string | undefined;
    private _deadLetteringOnFilterEvaluationError?;
    get deadLetteringOnFilterEvaluationError(): boolean;
    set deadLetteringOnFilterEvaluationError(value: boolean);
    resetDeadLetteringOnFilterEvaluationError(): void;
    get deadLetteringOnFilterEvaluationErrorInput(): boolean | undefined;
    private _deadLetteringOnMessageExpiration?;
    get deadLetteringOnMessageExpiration(): boolean;
    set deadLetteringOnMessageExpiration(value: boolean);
    resetDeadLetteringOnMessageExpiration(): void;
    get deadLetteringOnMessageExpirationInput(): boolean | undefined;
    private _defaultMessageTtl?;
    get defaultMessageTtl(): string;
    set defaultMessageTtl(value: string);
    resetDefaultMessageTtl(): void;
    get defaultMessageTtlInput(): string | undefined;
    private _enableBatchedOperations?;
    get enableBatchedOperations(): boolean;
    set enableBatchedOperations(value: boolean);
    resetEnableBatchedOperations(): void;
    get enableBatchedOperationsInput(): boolean | undefined;
    private _forwardDeadLetteredMessagesTo?;
    get forwardDeadLetteredMessagesTo(): string;
    set forwardDeadLetteredMessagesTo(value: string);
    resetForwardDeadLetteredMessagesTo(): void;
    get forwardDeadLetteredMessagesToInput(): string | undefined;
    private _forwardTo?;
    get forwardTo(): string;
    set forwardTo(value: string);
    resetForwardTo(): void;
    get forwardToInput(): string | undefined;
    get id(): string;
    private _lockDuration?;
    get lockDuration(): string;
    set lockDuration(value: string);
    resetLockDuration(): void;
    get lockDurationInput(): string | undefined;
    private _maxDeliveryCount;
    get maxDeliveryCount(): number;
    set maxDeliveryCount(value: number);
    get maxDeliveryCountInput(): number;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _requiresSession?;
    get requiresSession(): boolean;
    set requiresSession(value: boolean);
    resetRequiresSession(): void;
    get requiresSessionInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _status?;
    get status(): string;
    set status(value: string);
    resetStatus(): void;
    get statusInput(): string | undefined;
    private _topicName;
    get topicName(): string;
    set topicName(value: string);
    get topicNameInput(): string;
    private _timeouts?;
    get timeouts(): ServicebusSubscriptionTimeouts;
    set timeouts(value: ServicebusSubscriptionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusSubscriptionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
