import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicebusTopicConfig extends cdktf.TerraformMetaArguments {
    readonly autoDeleteOnIdle?: string;
    readonly defaultMessageTtl?: string;
    readonly duplicateDetectionHistoryTimeWindow?: string;
    readonly enableBatchedOperations?: boolean;
    readonly enableExpress?: boolean;
    readonly enablePartitioning?: boolean;
    readonly maxSizeInMegabytes?: number;
    readonly name: string;
    readonly namespaceName: string;
    readonly requiresDuplicateDetection?: boolean;
    readonly resourceGroupName: string;
    readonly status?: string;
    readonly supportOrdering?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusTopicTimeouts;
}
export interface ServicebusTopicTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class ServicebusTopic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: ServicebusTopicConfig);
    private _autoDeleteOnIdle?;
    get autoDeleteOnIdle(): string;
    set autoDeleteOnIdle(value: string);
    resetAutoDeleteOnIdle(): void;
    get autoDeleteOnIdleInput(): string | undefined;
    private _defaultMessageTtl?;
    get defaultMessageTtl(): string;
    set defaultMessageTtl(value: string);
    resetDefaultMessageTtl(): void;
    get defaultMessageTtlInput(): string | undefined;
    private _duplicateDetectionHistoryTimeWindow?;
    get duplicateDetectionHistoryTimeWindow(): string;
    set duplicateDetectionHistoryTimeWindow(value: string);
    resetDuplicateDetectionHistoryTimeWindow(): void;
    get duplicateDetectionHistoryTimeWindowInput(): string | undefined;
    private _enableBatchedOperations?;
    get enableBatchedOperations(): boolean;
    set enableBatchedOperations(value: boolean);
    resetEnableBatchedOperations(): void;
    get enableBatchedOperationsInput(): boolean | undefined;
    private _enableExpress?;
    get enableExpress(): boolean;
    set enableExpress(value: boolean);
    resetEnableExpress(): void;
    get enableExpressInput(): boolean | undefined;
    private _enablePartitioning?;
    get enablePartitioning(): boolean;
    set enablePartitioning(value: boolean);
    resetEnablePartitioning(): void;
    get enablePartitioningInput(): boolean | undefined;
    get id(): string;
    private _maxSizeInMegabytes?;
    get maxSizeInMegabytes(): number;
    set maxSizeInMegabytes(value: number);
    resetMaxSizeInMegabytes(): void;
    get maxSizeInMegabytesInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _namespaceName;
    get namespaceName(): string;
    set namespaceName(value: string);
    get namespaceNameInput(): string;
    private _requiresDuplicateDetection?;
    get requiresDuplicateDetection(): boolean;
    set requiresDuplicateDetection(value: boolean);
    resetRequiresDuplicateDetection(): void;
    get requiresDuplicateDetectionInput(): boolean | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _status?;
    get status(): string;
    set status(value: string);
    resetStatus(): void;
    get statusInput(): string | undefined;
    private _supportOrdering?;
    get supportOrdering(): boolean;
    set supportOrdering(value: boolean);
    resetSupportOrdering(): void;
    get supportOrderingInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): ServicebusTopicTimeouts;
    set timeouts(value: ServicebusTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): ServicebusTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
