import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SharedImageVersionConfig extends cdktf.TerraformMetaArguments {
    readonly excludeFromLatest?: boolean;
    readonly galleryName: string;
    readonly imageName: string;
    readonly location: string;
    readonly managedImageId?: string;
    readonly name: string;
    readonly osDiskSnapshotId?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * target_region block.
     */
    readonly targetRegion: SharedImageVersionTargetRegion[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SharedImageVersionTimeouts;
}
export interface SharedImageVersionTargetRegion {
    readonly name: string;
    readonly regionalReplicaCount: number;
    readonly storageAccountType?: string;
}
export interface SharedImageVersionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SharedImageVersion extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SharedImageVersionConfig);
    private _excludeFromLatest?;
    get excludeFromLatest(): boolean;
    set excludeFromLatest(value: boolean);
    resetExcludeFromLatest(): void;
    get excludeFromLatestInput(): boolean | undefined;
    private _galleryName;
    get galleryName(): string;
    set galleryName(value: string);
    get galleryNameInput(): string;
    get id(): string;
    private _imageName;
    get imageName(): string;
    set imageName(value: string);
    get imageNameInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _managedImageId?;
    get managedImageId(): string;
    set managedImageId(value: string);
    resetManagedImageId(): void;
    get managedImageIdInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _osDiskSnapshotId?;
    get osDiskSnapshotId(): string;
    set osDiskSnapshotId(value: string);
    resetOsDiskSnapshotId(): void;
    get osDiskSnapshotIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetRegion;
    get targetRegion(): SharedImageVersionTargetRegion[];
    set targetRegion(value: SharedImageVersionTargetRegion[]);
    get targetRegionInput(): SharedImageVersionTargetRegion[];
    private _timeouts?;
    get timeouts(): SharedImageVersionTimeouts;
    set timeouts(value: SharedImageVersionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SharedImageVersionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
