import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SharedImageConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly eula?: string;
    readonly galleryName: string;
    readonly hyperVGeneration?: string;
    readonly location: string;
    readonly name: string;
    readonly osType: string;
    readonly privacyStatementUri?: string;
    readonly releaseNoteUri?: string;
    readonly resourceGroupName: string;
    readonly specialized?: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identifier block.
     */
    readonly identifier: SharedImageIdentifier[];
    /**
     * purchase_plan block.
     */
    readonly purchasePlan?: SharedImagePurchasePlan[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SharedImageTimeouts;
}
export interface SharedImageIdentifier {
    readonly offer: string;
    readonly publisher: string;
    readonly sku: string;
}
export interface SharedImagePurchasePlan {
    readonly name: string;
    readonly product?: string;
    readonly publisher?: string;
}
export interface SharedImageTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SharedImage extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SharedImageConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _eula?;
    get eula(): string;
    set eula(value: string);
    resetEula(): void;
    get eulaInput(): string | undefined;
    private _galleryName;
    get galleryName(): string;
    set galleryName(value: string);
    get galleryNameInput(): string;
    private _hyperVGeneration?;
    get hyperVGeneration(): string;
    set hyperVGeneration(value: string);
    resetHyperVGeneration(): void;
    get hyperVGenerationInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _osType;
    get osType(): string;
    set osType(value: string);
    get osTypeInput(): string;
    private _privacyStatementUri?;
    get privacyStatementUri(): string;
    set privacyStatementUri(value: string);
    resetPrivacyStatementUri(): void;
    get privacyStatementUriInput(): string | undefined;
    private _releaseNoteUri?;
    get releaseNoteUri(): string;
    set releaseNoteUri(value: string);
    resetReleaseNoteUri(): void;
    get releaseNoteUriInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _specialized?;
    get specialized(): boolean;
    set specialized(value: boolean);
    resetSpecialized(): void;
    get specializedInput(): boolean | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identifier;
    get identifier(): SharedImageIdentifier[];
    set identifier(value: SharedImageIdentifier[]);
    get identifierInput(): SharedImageIdentifier[];
    private _purchasePlan?;
    get purchasePlan(): SharedImagePurchasePlan[];
    set purchasePlan(value: SharedImagePurchasePlan[]);
    resetPurchasePlan(): void;
    get purchasePlanInput(): SharedImagePurchasePlan[] | undefined;
    private _timeouts?;
    get timeouts(): SharedImageTimeouts;
    set timeouts(value: SharedImageTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SharedImageTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
