import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SignalrServiceConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * cors block.
     */
    readonly cors?: SignalrServiceCors[];
    /**
     * features block.
     */
    readonly features?: SignalrServiceFeatures[];
    /**
     * sku block.
     */
    readonly sku: SignalrServiceSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SignalrServiceTimeouts;
}
export interface SignalrServiceCors {
    readonly allowedOrigins: string[];
}
export interface SignalrServiceFeatures {
    readonly flag: string;
    readonly value: string;
}
export interface SignalrServiceSku {
    readonly capacity: number;
    readonly name: string;
}
export interface SignalrServiceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SignalrService extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SignalrServiceConfig);
    get hostname(): string;
    get id(): string;
    get ipAddress(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get primaryAccessKey(): string;
    get primaryConnectionString(): string;
    get publicPort(): number;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get secondaryAccessKey(): string;
    get secondaryConnectionString(): string;
    get serverPort(): number;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _cors?;
    get cors(): SignalrServiceCors[];
    set cors(value: SignalrServiceCors[]);
    resetCors(): void;
    get corsInput(): SignalrServiceCors[] | undefined;
    private _features?;
    get features(): SignalrServiceFeatures[];
    set features(value: SignalrServiceFeatures[]);
    resetFeatures(): void;
    get featuresInput(): SignalrServiceFeatures[] | undefined;
    private _sku;
    get sku(): SignalrServiceSku[];
    set sku(value: SignalrServiceSku[]);
    get skuInput(): SignalrServiceSku[];
    private _timeouts?;
    get timeouts(): SignalrServiceTimeouts;
    set timeouts(value: SignalrServiceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SignalrServiceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
