import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SiteRecoveryNetworkMappingConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly sourceNetworkId: string;
    readonly sourceRecoveryFabricName: string;
    readonly targetNetworkId: string;
    readonly targetRecoveryFabricName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryNetworkMappingTimeouts;
}
export interface SiteRecoveryNetworkMappingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SiteRecoveryNetworkMapping extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SiteRecoveryNetworkMappingConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceNetworkId;
    get sourceNetworkId(): string;
    set sourceNetworkId(value: string);
    get sourceNetworkIdInput(): string;
    private _sourceRecoveryFabricName;
    get sourceRecoveryFabricName(): string;
    set sourceRecoveryFabricName(value: string);
    get sourceRecoveryFabricNameInput(): string;
    private _targetNetworkId;
    get targetNetworkId(): string;
    set targetNetworkId(value: string);
    get targetNetworkIdInput(): string;
    private _targetRecoveryFabricName;
    get targetRecoveryFabricName(): string;
    set targetRecoveryFabricName(value: string);
    get targetRecoveryFabricNameInput(): string;
    private _timeouts?;
    get timeouts(): SiteRecoveryNetworkMappingTimeouts;
    set timeouts(value: SiteRecoveryNetworkMappingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SiteRecoveryNetworkMappingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
