import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SiteRecoveryProtectionContainerMappingConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly recoveryFabricName: string;
    readonly recoveryReplicationPolicyId: string;
    readonly recoverySourceProtectionContainerName: string;
    readonly recoveryTargetProtectionContainerId: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryProtectionContainerMappingTimeouts;
}
export interface SiteRecoveryProtectionContainerMappingTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SiteRecoveryProtectionContainerMapping extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SiteRecoveryProtectionContainerMappingConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryFabricName;
    get recoveryFabricName(): string;
    set recoveryFabricName(value: string);
    get recoveryFabricNameInput(): string;
    private _recoveryReplicationPolicyId;
    get recoveryReplicationPolicyId(): string;
    set recoveryReplicationPolicyId(value: string);
    get recoveryReplicationPolicyIdInput(): string;
    private _recoverySourceProtectionContainerName;
    get recoverySourceProtectionContainerName(): string;
    set recoverySourceProtectionContainerName(value: string);
    get recoverySourceProtectionContainerNameInput(): string;
    private _recoveryTargetProtectionContainerId;
    get recoveryTargetProtectionContainerId(): string;
    set recoveryTargetProtectionContainerId(value: string);
    get recoveryTargetProtectionContainerIdInput(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): SiteRecoveryProtectionContainerMappingTimeouts;
    set timeouts(value: SiteRecoveryProtectionContainerMappingTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SiteRecoveryProtectionContainerMappingTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
