import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SiteRecoveryReplicatedVmConfig extends cdktf.TerraformMetaArguments {
    readonly managedDisk?: SiteRecoveryReplicatedVmManagedDisk[];
    readonly name: string;
    readonly networkInterface?: SiteRecoveryReplicatedVmNetworkInterface[];
    readonly recoveryReplicationPolicyId: string;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    readonly sourceRecoveryFabricName: string;
    readonly sourceRecoveryProtectionContainerName: string;
    readonly sourceVmId: string;
    readonly targetAvailabilitySetId?: string;
    readonly targetNetworkId?: string;
    readonly targetRecoveryFabricId: string;
    readonly targetRecoveryProtectionContainerId: string;
    readonly targetResourceGroupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryReplicatedVmTimeouts;
}
export interface SiteRecoveryReplicatedVmManagedDisk {
    readonly diskId?: string;
    readonly stagingStorageAccountId?: string;
    readonly targetDiskType?: string;
    readonly targetReplicaDiskType?: string;
    readonly targetResourceGroupId?: string;
}
export interface SiteRecoveryReplicatedVmNetworkInterface {
    readonly sourceNetworkInterfaceId?: string;
    readonly targetStaticIp?: string;
    readonly targetSubnetName?: string;
}
export interface SiteRecoveryReplicatedVmTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SiteRecoveryReplicatedVm extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SiteRecoveryReplicatedVmConfig);
    get id(): string;
    private _managedDisk?;
    get managedDisk(): SiteRecoveryReplicatedVmManagedDisk[];
    set managedDisk(value: SiteRecoveryReplicatedVmManagedDisk[]);
    resetManagedDisk(): void;
    get managedDiskInput(): SiteRecoveryReplicatedVmManagedDisk[] | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _networkInterface?;
    get networkInterface(): SiteRecoveryReplicatedVmNetworkInterface[];
    set networkInterface(value: SiteRecoveryReplicatedVmNetworkInterface[]);
    resetNetworkInterface(): void;
    get networkInterfaceInput(): SiteRecoveryReplicatedVmNetworkInterface[] | undefined;
    private _recoveryReplicationPolicyId;
    get recoveryReplicationPolicyId(): string;
    set recoveryReplicationPolicyId(value: string);
    get recoveryReplicationPolicyIdInput(): string;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceRecoveryFabricName;
    get sourceRecoveryFabricName(): string;
    set sourceRecoveryFabricName(value: string);
    get sourceRecoveryFabricNameInput(): string;
    private _sourceRecoveryProtectionContainerName;
    get sourceRecoveryProtectionContainerName(): string;
    set sourceRecoveryProtectionContainerName(value: string);
    get sourceRecoveryProtectionContainerNameInput(): string;
    private _sourceVmId;
    get sourceVmId(): string;
    set sourceVmId(value: string);
    get sourceVmIdInput(): string;
    private _targetAvailabilitySetId?;
    get targetAvailabilitySetId(): string;
    set targetAvailabilitySetId(value: string);
    resetTargetAvailabilitySetId(): void;
    get targetAvailabilitySetIdInput(): string | undefined;
    private _targetNetworkId?;
    get targetNetworkId(): string;
    set targetNetworkId(value: string);
    resetTargetNetworkId(): void;
    get targetNetworkIdInput(): string | undefined;
    private _targetRecoveryFabricId;
    get targetRecoveryFabricId(): string;
    set targetRecoveryFabricId(value: string);
    get targetRecoveryFabricIdInput(): string;
    private _targetRecoveryProtectionContainerId;
    get targetRecoveryProtectionContainerId(): string;
    set targetRecoveryProtectionContainerId(value: string);
    get targetRecoveryProtectionContainerIdInput(): string;
    private _targetResourceGroupId;
    get targetResourceGroupId(): string;
    set targetResourceGroupId(value: string);
    get targetResourceGroupIdInput(): string;
    private _timeouts?;
    get timeouts(): SiteRecoveryReplicatedVmTimeouts;
    set timeouts(value: SiteRecoveryReplicatedVmTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SiteRecoveryReplicatedVmTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
