import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SiteRecoveryReplicationPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly applicationConsistentSnapshotFrequencyInMinutes: number;
    readonly name: string;
    readonly recoveryPointRetentionInMinutes: number;
    readonly recoveryVaultName: string;
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryReplicationPolicyTimeouts;
}
export interface SiteRecoveryReplicationPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SiteRecoveryReplicationPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SiteRecoveryReplicationPolicyConfig);
    private _applicationConsistentSnapshotFrequencyInMinutes;
    get applicationConsistentSnapshotFrequencyInMinutes(): number;
    set applicationConsistentSnapshotFrequencyInMinutes(value: number);
    get applicationConsistentSnapshotFrequencyInMinutesInput(): number;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryPointRetentionInMinutes;
    get recoveryPointRetentionInMinutes(): number;
    set recoveryPointRetentionInMinutes(value: number);
    get recoveryPointRetentionInMinutesInput(): number;
    private _recoveryVaultName;
    get recoveryVaultName(): string;
    set recoveryVaultName(value: string);
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _timeouts?;
    get timeouts(): SiteRecoveryReplicationPolicyTimeouts;
    set timeouts(value: SiteRecoveryReplicationPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SiteRecoveryReplicationPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
