import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SnapshotConfig extends cdktf.TerraformMetaArguments {
    readonly createOption: string;
    readonly diskSizeGb?: number;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sourceResourceId?: string;
    readonly sourceUri?: string;
    readonly storageAccountId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * encryption_settings block.
     */
    readonly encryptionSettings?: SnapshotEncryptionSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SnapshotTimeouts;
}
export interface SnapshotEncryptionSettingsDiskEncryptionKey {
    readonly secretUrl: string;
    readonly sourceVaultId: string;
}
export interface SnapshotEncryptionSettingsKeyEncryptionKey {
    readonly keyUrl: string;
    readonly sourceVaultId: string;
}
export interface SnapshotEncryptionSettings {
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     */
    readonly diskEncryptionKey?: SnapshotEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     */
    readonly keyEncryptionKey?: SnapshotEncryptionSettingsKeyEncryptionKey[];
}
export interface SnapshotTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Snapshot extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SnapshotConfig);
    private _createOption;
    get createOption(): string;
    set createOption(value: string);
    get createOptionInput(): string;
    private _diskSizeGb?;
    get diskSizeGb(): number;
    set diskSizeGb(value: number);
    resetDiskSizeGb(): void;
    get diskSizeGbInput(): number | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sourceResourceId?;
    get sourceResourceId(): string;
    set sourceResourceId(value: string);
    resetSourceResourceId(): void;
    get sourceResourceIdInput(): string | undefined;
    private _sourceUri?;
    get sourceUri(): string;
    set sourceUri(value: string);
    resetSourceUri(): void;
    get sourceUriInput(): string | undefined;
    private _storageAccountId?;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    resetStorageAccountId(): void;
    get storageAccountIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _encryptionSettings?;
    get encryptionSettings(): SnapshotEncryptionSettings[];
    set encryptionSettings(value: SnapshotEncryptionSettings[]);
    resetEncryptionSettings(): void;
    get encryptionSettingsInput(): SnapshotEncryptionSettings[] | undefined;
    private _timeouts?;
    get timeouts(): SnapshotTimeouts;
    set timeouts(value: SnapshotTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SnapshotTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
