import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SpringCloudAppConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceName: string;
    /**
     * identity block.
     */
    readonly identity?: SpringCloudAppIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SpringCloudAppTimeouts;
}
export interface SpringCloudAppIdentity {
    readonly type: string;
}
export interface SpringCloudAppTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SpringCloudApp extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SpringCloudAppConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    get serviceNameInput(): string;
    private _identity?;
    get identity(): SpringCloudAppIdentity[];
    set identity(value: SpringCloudAppIdentity[]);
    resetIdentity(): void;
    get identityInput(): SpringCloudAppIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): SpringCloudAppTimeouts;
    set timeouts(value: SpringCloudAppTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SpringCloudAppTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
