import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SpringCloudCertificateConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultCertificateId: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SpringCloudCertificateTimeouts;
}
export interface SpringCloudCertificateTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class SpringCloudCertificate extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SpringCloudCertificateConfig);
    get id(): string;
    private _keyVaultCertificateId;
    get keyVaultCertificateId(): string;
    set keyVaultCertificateId(value: string);
    get keyVaultCertificateIdInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    get serviceNameInput(): string;
    private _timeouts?;
    get timeouts(): SpringCloudCertificateTimeouts;
    set timeouts(value: SpringCloudCertificateTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SpringCloudCertificateTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
