import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SqlActiveDirectoryAdministratorConfig extends cdktf.TerraformMetaArguments {
    readonly login: string;
    readonly objectId: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlActiveDirectoryAdministratorTimeouts;
}
export interface SqlActiveDirectoryAdministratorTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SqlActiveDirectoryAdministrator extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SqlActiveDirectoryAdministratorConfig);
    get id(): string;
    private _login;
    get login(): string;
    set login(value: string);
    get loginInput(): string;
    private _objectId;
    get objectId(): string;
    set objectId(value: string);
    get objectIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _tenantId;
    get tenantId(): string;
    set tenantId(value: string);
    get tenantIdInput(): string;
    private _timeouts?;
    get timeouts(): SqlActiveDirectoryAdministratorTimeouts;
    set timeouts(value: SqlActiveDirectoryAdministratorTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SqlActiveDirectoryAdministratorTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
