import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SqlElasticpoolConfig extends cdktf.TerraformMetaArguments {
    readonly dbDtuMax?: number;
    readonly dbDtuMin?: number;
    readonly dtu: number;
    readonly edition: string;
    readonly location: string;
    readonly name: string;
    readonly poolSize?: number;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlElasticpoolTimeouts;
}
export interface SqlElasticpoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SqlElasticpool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SqlElasticpoolConfig);
    get creationDate(): string;
    private _dbDtuMax?;
    get dbDtuMax(): number;
    set dbDtuMax(value: number);
    resetDbDtuMax(): void;
    get dbDtuMaxInput(): number | undefined;
    private _dbDtuMin?;
    get dbDtuMin(): number;
    set dbDtuMin(value: number);
    resetDbDtuMin(): void;
    get dbDtuMinInput(): number | undefined;
    private _dtu;
    get dtu(): number;
    set dtu(value: number);
    get dtuInput(): number;
    private _edition;
    get edition(): string;
    set edition(value: string);
    get editionInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _poolSize?;
    get poolSize(): number;
    set poolSize(value: number);
    resetPoolSize(): void;
    get poolSizeInput(): number | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): SqlElasticpoolTimeouts;
    set timeouts(value: SqlElasticpoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SqlElasticpoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
