import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SqlFailoverGroupConfig extends cdktf.TerraformMetaArguments {
    readonly databases?: string[];
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serverName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * partner_servers block.
     */
    readonly partnerServers: SqlFailoverGroupPartnerServers[];
    /**
     * read_write_endpoint_failover_policy block.
     */
    readonly readWriteEndpointFailoverPolicy: SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    /**
     * readonly_endpoint_failover_policy block.
     */
    readonly readonlyEndpointFailoverPolicy?: SqlFailoverGroupReadonlyEndpointFailoverPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlFailoverGroupTimeouts;
}
export interface SqlFailoverGroupPartnerServers {
    readonly id: string;
}
export interface SqlFailoverGroupReadWriteEndpointFailoverPolicy {
    readonly graceMinutes?: number;
    readonly mode: string;
}
export interface SqlFailoverGroupReadonlyEndpointFailoverPolicy {
    readonly mode: string;
}
export interface SqlFailoverGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SqlFailoverGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SqlFailoverGroupConfig);
    private _databases?;
    get databases(): string[];
    set databases(value: string[]);
    resetDatabases(): void;
    get databasesInput(): string[] | undefined;
    get id(): string;
    get location(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    get role(): string;
    private _serverName;
    get serverName(): string;
    set serverName(value: string);
    get serverNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _partnerServers;
    get partnerServers(): SqlFailoverGroupPartnerServers[];
    set partnerServers(value: SqlFailoverGroupPartnerServers[]);
    get partnerServersInput(): SqlFailoverGroupPartnerServers[];
    private _readWriteEndpointFailoverPolicy;
    get readWriteEndpointFailoverPolicy(): SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    set readWriteEndpointFailoverPolicy(value: SqlFailoverGroupReadWriteEndpointFailoverPolicy[]);
    get readWriteEndpointFailoverPolicyInput(): SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    private _readonlyEndpointFailoverPolicy?;
    get readonlyEndpointFailoverPolicy(): SqlFailoverGroupReadonlyEndpointFailoverPolicy[];
    set readonlyEndpointFailoverPolicy(value: SqlFailoverGroupReadonlyEndpointFailoverPolicy[]);
    resetReadonlyEndpointFailoverPolicy(): void;
    get readonlyEndpointFailoverPolicyInput(): SqlFailoverGroupReadonlyEndpointFailoverPolicy[] | undefined;
    private _timeouts?;
    get timeouts(): SqlFailoverGroupTimeouts;
    set timeouts(value: SqlFailoverGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SqlFailoverGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
