import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SqlServerConfig extends cdktf.TerraformMetaArguments {
    readonly administratorLogin: string;
    readonly administratorLoginPassword: string;
    readonly connectionPolicy?: string;
    readonly extendedAuditingPolicy?: SqlServerExtendedAuditingPolicy[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly version: string;
    /**
     * identity block.
     */
    readonly identity?: SqlServerIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlServerTimeouts;
}
export interface SqlServerExtendedAuditingPolicy {
    readonly retentionInDays?: number;
    readonly storageAccountAccessKey?: string;
    readonly storageAccountAccessKeyIsSecondary?: boolean;
    readonly storageEndpoint?: string;
}
export interface SqlServerIdentity {
    readonly type: string;
}
export interface SqlServerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SqlServer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SqlServerConfig);
    private _administratorLogin;
    get administratorLogin(): string;
    set administratorLogin(value: string);
    get administratorLoginInput(): string;
    private _administratorLoginPassword;
    get administratorLoginPassword(): string;
    set administratorLoginPassword(value: string);
    get administratorLoginPasswordInput(): string;
    private _connectionPolicy?;
    get connectionPolicy(): string;
    set connectionPolicy(value: string);
    resetConnectionPolicy(): void;
    get connectionPolicyInput(): string | undefined;
    private _extendedAuditingPolicy?;
    get extendedAuditingPolicy(): SqlServerExtendedAuditingPolicy[];
    set extendedAuditingPolicy(value: SqlServerExtendedAuditingPolicy[]);
    resetExtendedAuditingPolicy(): void;
    get extendedAuditingPolicyInput(): SqlServerExtendedAuditingPolicy[] | undefined;
    get fullyQualifiedDomainName(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _version;
    get version(): string;
    set version(value: string);
    get versionInput(): string;
    private _identity?;
    get identity(): SqlServerIdentity[];
    set identity(value: SqlServerIdentity[]);
    resetIdentity(): void;
    get identityInput(): SqlServerIdentity[] | undefined;
    private _timeouts?;
    get timeouts(): SqlServerTimeouts;
    set timeouts(value: SqlServerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SqlServerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
