import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StackHciClusterConfig extends cdktf.TerraformMetaArguments {
    readonly clientId: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly tenantId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StackHciClusterTimeouts;
}
export interface StackHciClusterTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StackHciCluster extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StackHciClusterConfig);
    private _clientId;
    get clientId(): string;
    set clientId(value: string);
    get clientIdInput(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tenantId?;
    get tenantId(): string;
    set tenantId(value: string);
    resetTenantId(): void;
    get tenantIdInput(): string | undefined;
    private _timeouts?;
    get timeouts(): StackHciClusterTimeouts;
    set timeouts(value: StackHciClusterTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StackHciClusterTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
