import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageAccountCustomerManagedKeyConfig extends cdktf.TerraformMetaArguments {
    readonly keyName: string;
    readonly keyVaultId: string;
    readonly keyVersion?: string;
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageAccountCustomerManagedKeyTimeouts;
}
export interface StorageAccountCustomerManagedKeyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageAccountCustomerManagedKey extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageAccountCustomerManagedKeyConfig);
    get id(): string;
    private _keyName;
    get keyName(): string;
    set keyName(value: string);
    get keyNameInput(): string;
    private _keyVaultId;
    get keyVaultId(): string;
    set keyVaultId(value: string);
    get keyVaultIdInput(): string;
    private _keyVersion?;
    get keyVersion(): string;
    set keyVersion(value: string);
    resetKeyVersion(): void;
    get keyVersionInput(): string | undefined;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageAccountCustomerManagedKeyTimeouts;
    set timeouts(value: StorageAccountCustomerManagedKeyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageAccountCustomerManagedKeyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
