import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageAccountNetworkRulesAConfig extends cdktf.TerraformMetaArguments {
    readonly bypass?: string[];
    readonly defaultAction: string;
    readonly ipRules?: string[];
    readonly resourceGroupName: string;
    readonly storageAccountName: string;
    readonly virtualNetworkSubnetIds?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageAccountNetworkRulesTimeouts;
}
export interface StorageAccountNetworkRulesTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageAccountNetworkRulesA extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageAccountNetworkRulesAConfig);
    private _bypass?;
    get bypass(): string[];
    set bypass(value: string[]);
    resetBypass(): void;
    get bypassInput(): string[] | undefined;
    private _defaultAction;
    get defaultAction(): string;
    set defaultAction(value: string);
    get defaultActionInput(): string;
    get id(): string;
    private _ipRules?;
    get ipRules(): string[];
    set ipRules(value: string[]);
    resetIpRules(): void;
    get ipRulesInput(): string[] | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _virtualNetworkSubnetIds?;
    get virtualNetworkSubnetIds(): string[];
    set virtualNetworkSubnetIds(value: string[]);
    resetVirtualNetworkSubnetIds(): void;
    get virtualNetworkSubnetIdsInput(): string[] | undefined;
    private _timeouts?;
    get timeouts(): StorageAccountNetworkRulesTimeouts;
    set timeouts(value: StorageAccountNetworkRulesTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageAccountNetworkRulesTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
