import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageBlobConfig extends cdktf.TerraformMetaArguments {
    readonly accessTier?: string;
    readonly contentMd5?: string;
    readonly contentType?: string;
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly parallelism?: number;
    readonly size?: number;
    readonly source?: string;
    readonly sourceContent?: string;
    readonly sourceUri?: string;
    readonly storageAccountName: string;
    readonly storageContainerName: string;
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageBlobTimeouts;
}
export interface StorageBlobTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageBlob extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageBlobConfig);
    private _accessTier?;
    get accessTier(): string;
    set accessTier(value: string);
    resetAccessTier(): void;
    get accessTierInput(): string | undefined;
    private _contentMd5?;
    get contentMd5(): string;
    set contentMd5(value: string);
    resetContentMd5(): void;
    get contentMd5Input(): string | undefined;
    private _contentType?;
    get contentType(): string;
    set contentType(value: string);
    resetContentType(): void;
    get contentTypeInput(): string | undefined;
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _parallelism?;
    get parallelism(): number;
    set parallelism(value: number);
    resetParallelism(): void;
    get parallelismInput(): number | undefined;
    private _size?;
    get size(): number;
    set size(value: number);
    resetSize(): void;
    get sizeInput(): number | undefined;
    private _source?;
    get source(): string;
    set source(value: string);
    resetSource(): void;
    get sourceInput(): string | undefined;
    private _sourceContent?;
    get sourceContent(): string;
    set sourceContent(value: string);
    resetSourceContent(): void;
    get sourceContentInput(): string | undefined;
    private _sourceUri?;
    get sourceUri(): string;
    set sourceUri(value: string);
    resetSourceUri(): void;
    get sourceUriInput(): string | undefined;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _storageContainerName;
    get storageContainerName(): string;
    set storageContainerName(value: string);
    get storageContainerNameInput(): string;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    get url(): string;
    private _timeouts?;
    get timeouts(): StorageBlobTimeouts;
    set timeouts(value: StorageBlobTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageBlobTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
