import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageContainerConfig extends cdktf.TerraformMetaArguments {
    readonly containerAccessType?: string;
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageContainerTimeouts;
}
export interface StorageContainerTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageContainer extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageContainerConfig);
    private _containerAccessType?;
    get containerAccessType(): string;
    set containerAccessType(value: string);
    resetContainerAccessType(): void;
    get containerAccessTypeInput(): string | undefined;
    get hasImmutabilityPolicy(): boolean;
    get hasLegalHold(): boolean;
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get resourceManagerId(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _timeouts?;
    get timeouts(): StorageContainerTimeouts;
    set timeouts(value: StorageContainerTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageContainerTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
