import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageDataLakeGen2FilesystemConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly properties?: {
        [key: string]: string;
    };
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageDataLakeGen2FilesystemTimeouts;
}
export interface StorageDataLakeGen2FilesystemTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageDataLakeGen2Filesystem extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageDataLakeGen2FilesystemConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _properties?;
    get properties(): {
        [key: string]: string;
    };
    set properties(value: {
        [key: string]: string;
    });
    resetProperties(): void;
    get propertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageDataLakeGen2FilesystemTimeouts;
    set timeouts(value: StorageDataLakeGen2FilesystemTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageDataLakeGen2FilesystemTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
