import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageDataLakeGen2PathConfig extends cdktf.TerraformMetaArguments {
    readonly filesystemName: string;
    readonly group?: string;
    readonly owner?: string;
    readonly path: string;
    readonly resource: string;
    readonly storageAccountId: string;
    /**
     * ace block.
     */
    readonly ace?: StorageDataLakeGen2PathAce[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageDataLakeGen2PathTimeouts;
}
export interface StorageDataLakeGen2PathAce {
    readonly id?: string;
    readonly permissions: string;
    readonly scope?: string;
    readonly type: string;
}
export interface StorageDataLakeGen2PathTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageDataLakeGen2Path extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageDataLakeGen2PathConfig);
    private _filesystemName;
    get filesystemName(): string;
    set filesystemName(value: string);
    get filesystemNameInput(): string;
    private _group?;
    get group(): string;
    set group(value: string);
    resetGroup(): void;
    get groupInput(): string | undefined;
    get id(): string;
    private _owner?;
    get owner(): string;
    set owner(value: string);
    resetOwner(): void;
    get ownerInput(): string | undefined;
    private _path;
    get path(): string;
    set path(value: string);
    get pathInput(): string;
    private _resource;
    get resource(): string;
    set resource(value: string);
    get resourceInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _ace?;
    get ace(): StorageDataLakeGen2PathAce[];
    set ace(value: StorageDataLakeGen2PathAce[]);
    resetAce(): void;
    get aceInput(): StorageDataLakeGen2PathAce[] | undefined;
    private _timeouts?;
    get timeouts(): StorageDataLakeGen2PathTimeouts;
    set timeouts(value: StorageDataLakeGen2PathTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageDataLakeGen2PathTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
