import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageEncryptionScopeConfig extends cdktf.TerraformMetaArguments {
    readonly keyVaultKeyId?: string;
    readonly name: string;
    readonly source: string;
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageEncryptionScopeTimeouts;
}
export interface StorageEncryptionScopeTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageEncryptionScope extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageEncryptionScopeConfig);
    get id(): string;
    private _keyVaultKeyId?;
    get keyVaultKeyId(): string;
    set keyVaultKeyId(value: string);
    resetKeyVaultKeyId(): void;
    get keyVaultKeyIdInput(): string | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _source;
    get source(): string;
    set source(value: string);
    get sourceInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageEncryptionScopeTimeouts;
    set timeouts(value: StorageEncryptionScopeTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageEncryptionScopeTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
