import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageManagementPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly storageAccountId: string;
    /**
     * rule block.
     */
    readonly rule?: StorageManagementPolicyRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageManagementPolicyTimeouts;
}
export interface StorageManagementPolicyRuleActionsBaseBlob {
    readonly deleteAfterDaysSinceModificationGreaterThan?: number;
    readonly tierToArchiveAfterDaysSinceModificationGreaterThan?: number;
    readonly tierToCoolAfterDaysSinceModificationGreaterThan?: number;
}
export interface StorageManagementPolicyRuleActionsSnapshot {
    readonly deleteAfterDaysSinceCreationGreaterThan?: number;
}
export interface StorageManagementPolicyRuleActions {
    /**
     * base_blob block.
     */
    readonly baseBlob?: StorageManagementPolicyRuleActionsBaseBlob[];
    /**
     * snapshot block.
     */
    readonly snapshot?: StorageManagementPolicyRuleActionsSnapshot[];
}
export interface StorageManagementPolicyRuleFilters {
    readonly blobTypes?: string[];
    readonly prefixMatch?: string[];
}
export interface StorageManagementPolicyRule {
    readonly enabled: boolean;
    readonly name: string;
    /**
     * actions block.
     */
    readonly actions: StorageManagementPolicyRuleActions[];
    /**
     * filters block.
     */
    readonly filters?: StorageManagementPolicyRuleFilters[];
}
export interface StorageManagementPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageManagementPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageManagementPolicyConfig);
    get id(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _rule?;
    get rule(): StorageManagementPolicyRule[];
    set rule(value: StorageManagementPolicyRule[]);
    resetRule(): void;
    get ruleInput(): StorageManagementPolicyRule[] | undefined;
    private _timeouts?;
    get timeouts(): StorageManagementPolicyTimeouts;
    set timeouts(value: StorageManagementPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageManagementPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
