import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageQueueConfig extends cdktf.TerraformMetaArguments {
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageQueueTimeouts;
}
export interface StorageQueueTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageQueue extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageQueueConfig);
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _timeouts?;
    get timeouts(): StorageQueueTimeouts;
    set timeouts(value: StorageQueueTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageQueueTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
