import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageShareDirectoryConfig extends cdktf.TerraformMetaArguments {
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly shareName: string;
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageShareDirectoryTimeouts;
}
export interface StorageShareDirectoryTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageShareDirectory extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageShareDirectoryConfig);
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _shareName;
    get shareName(): string;
    set shareName(value: string);
    get shareNameInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _timeouts?;
    get timeouts(): StorageShareDirectoryTimeouts;
    set timeouts(value: StorageShareDirectoryTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageShareDirectoryTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
