import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageShareFileConfig extends cdktf.TerraformMetaArguments {
    readonly contentDisposition?: string;
    readonly contentEncoding?: string;
    readonly contentMd5?: string;
    readonly contentType?: string;
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly path?: string;
    readonly source?: string;
    readonly storageShareId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageShareFileTimeouts;
}
export interface StorageShareFileTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageShareFile extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageShareFileConfig);
    private _contentDisposition?;
    get contentDisposition(): string;
    set contentDisposition(value: string);
    resetContentDisposition(): void;
    get contentDispositionInput(): string | undefined;
    private _contentEncoding?;
    get contentEncoding(): string;
    set contentEncoding(value: string);
    resetContentEncoding(): void;
    get contentEncodingInput(): string | undefined;
    private _contentMd5?;
    get contentMd5(): string;
    set contentMd5(value: string);
    resetContentMd5(): void;
    get contentMd5Input(): string | undefined;
    private _contentType?;
    get contentType(): string;
    set contentType(value: string);
    resetContentType(): void;
    get contentTypeInput(): string | undefined;
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _path?;
    get path(): string;
    set path(value: string);
    resetPath(): void;
    get pathInput(): string | undefined;
    private _source?;
    get source(): string;
    set source(value: string);
    resetSource(): void;
    get sourceInput(): string | undefined;
    private _storageShareId;
    get storageShareId(): string;
    set storageShareId(value: string);
    get storageShareIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageShareFileTimeouts;
    set timeouts(value: StorageShareFileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageShareFileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
