import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageShareConfig extends cdktf.TerraformMetaArguments {
    readonly metadata?: {
        [key: string]: string;
    };
    readonly name: string;
    readonly quota?: number;
    readonly storageAccountName: string;
    /**
     * acl block.
     */
    readonly acl?: StorageShareAcl[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageShareTimeouts;
}
export interface StorageShareAclAccessPolicy {
    readonly expiry?: string;
    readonly permissions: string;
    readonly start?: string;
}
export interface StorageShareAcl {
    readonly id: string;
    /**
     * access_policy block.
     */
    readonly accessPolicy?: StorageShareAclAccessPolicy[];
}
export interface StorageShareTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageShare extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageShareConfig);
    get id(): string;
    private _metadata?;
    get metadata(): {
        [key: string]: string;
    };
    set metadata(value: {
        [key: string]: string;
    });
    resetMetadata(): void;
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _quota?;
    get quota(): number;
    set quota(value: number);
    resetQuota(): void;
    get quotaInput(): number | undefined;
    get resourceManagerId(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    get url(): string;
    private _acl?;
    get acl(): StorageShareAcl[];
    set acl(value: StorageShareAcl[]);
    resetAcl(): void;
    get aclInput(): StorageShareAcl[] | undefined;
    private _timeouts?;
    get timeouts(): StorageShareTimeouts;
    set timeouts(value: StorageShareTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageShareTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
