import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageSyncCloudEndpointConfig extends cdktf.TerraformMetaArguments {
    readonly fileShareName: string;
    readonly name: string;
    readonly storageAccountId: string;
    readonly storageAccountTenantId?: string;
    readonly storageSyncGroupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageSyncCloudEndpointTimeouts;
}
export interface StorageSyncCloudEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class StorageSyncCloudEndpoint extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageSyncCloudEndpointConfig);
    private _fileShareName;
    get fileShareName(): string;
    set fileShareName(value: string);
    get fileShareNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageAccountId;
    get storageAccountId(): string;
    set storageAccountId(value: string);
    get storageAccountIdInput(): string;
    private _storageAccountTenantId?;
    get storageAccountTenantId(): string;
    set storageAccountTenantId(value: string);
    resetStorageAccountTenantId(): void;
    get storageAccountTenantIdInput(): string | undefined;
    private _storageSyncGroupId;
    get storageSyncGroupId(): string;
    set storageSyncGroupId(value: string);
    get storageSyncGroupIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageSyncCloudEndpointTimeouts;
    set timeouts(value: StorageSyncCloudEndpointTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageSyncCloudEndpointTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
