import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageSyncGroupConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly storageSyncId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageSyncGroupTimeouts;
}
export interface StorageSyncGroupTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class StorageSyncGroup extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageSyncGroupConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageSyncId;
    get storageSyncId(): string;
    set storageSyncId(value: string);
    get storageSyncIdInput(): string;
    private _timeouts?;
    get timeouts(): StorageSyncGroupTimeouts;
    set timeouts(value: StorageSyncGroupTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageSyncGroupTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
