import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageSyncConfig extends cdktf.TerraformMetaArguments {
    readonly incomingTrafficPolicy?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageSyncTimeouts;
}
export interface StorageSyncTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageSync extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageSyncConfig);
    get id(): string;
    private _incomingTrafficPolicy?;
    get incomingTrafficPolicy(): string;
    set incomingTrafficPolicy(value: string);
    resetIncomingTrafficPolicy(): void;
    get incomingTrafficPolicyInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): StorageSyncTimeouts;
    set timeouts(value: StorageSyncTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageSyncTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
