import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageTableEntityConfig extends cdktf.TerraformMetaArguments {
    readonly entity: {
        [key: string]: string;
    };
    readonly partitionKey: string;
    readonly rowKey: string;
    readonly storageAccountName: string;
    readonly tableName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageTableEntityTimeouts;
}
export interface StorageTableEntityTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageTableEntity extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageTableEntityConfig);
    private _entity;
    get entity(): {
        [key: string]: string;
    };
    set entity(value: {
        [key: string]: string;
    });
    get entityInput(): {
        [key: string]: string;
    };
    get id(): string;
    private _partitionKey;
    get partitionKey(): string;
    set partitionKey(value: string);
    get partitionKeyInput(): string;
    private _rowKey;
    get rowKey(): string;
    set rowKey(value: string);
    get rowKeyInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _tableName;
    get tableName(): string;
    set tableName(value: string);
    get tableNameInput(): string;
    private _timeouts?;
    get timeouts(): StorageTableEntityTimeouts;
    set timeouts(value: StorageTableEntityTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageTableEntityTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
