import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StorageTableConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly storageAccountName: string;
    /**
     * acl block.
     */
    readonly acl?: StorageTableAcl[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageTableTimeouts;
}
export interface StorageTableAclAccessPolicy {
    readonly expiry: string;
    readonly permissions: string;
    readonly start: string;
}
export interface StorageTableAcl {
    readonly id: string;
    /**
     * access_policy block.
     */
    readonly accessPolicy?: StorageTableAclAccessPolicy[];
}
export interface StorageTableTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StorageTable extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StorageTableConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _acl?;
    get acl(): StorageTableAcl[];
    set acl(value: StorageTableAcl[]);
    resetAcl(): void;
    get aclInput(): StorageTableAcl[] | undefined;
    private _timeouts?;
    get timeouts(): StorageTableTimeouts;
    set timeouts(value: StorageTableTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StorageTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
