import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsFunctionJavascriptUdfConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly script: string;
    readonly streamAnalyticsJobName: string;
    /**
     * input block.
     */
    readonly input: StreamAnalyticsFunctionJavascriptUdfInput[];
    /**
     * output block.
     */
    readonly output: StreamAnalyticsFunctionJavascriptUdfOutput[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsFunctionJavascriptUdfTimeouts;
}
export interface StreamAnalyticsFunctionJavascriptUdfInput {
    readonly type: string;
}
export interface StreamAnalyticsFunctionJavascriptUdfOutput {
    readonly type: string;
}
export interface StreamAnalyticsFunctionJavascriptUdfTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsFunctionJavascriptUdf extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsFunctionJavascriptUdfConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _script;
    get script(): string;
    set script(value: string);
    get scriptInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _input;
    get input(): StreamAnalyticsFunctionJavascriptUdfInput[];
    set input(value: StreamAnalyticsFunctionJavascriptUdfInput[]);
    get inputInput(): StreamAnalyticsFunctionJavascriptUdfInput[];
    private _output;
    get output(): StreamAnalyticsFunctionJavascriptUdfOutput[];
    set output(value: StreamAnalyticsFunctionJavascriptUdfOutput[]);
    get outputInput(): StreamAnalyticsFunctionJavascriptUdfOutput[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsFunctionJavascriptUdfTimeouts;
    set timeouts(value: StreamAnalyticsFunctionJavascriptUdfTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsFunctionJavascriptUdfTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
