import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsJobConfig extends cdktf.TerraformMetaArguments {
    readonly compatibilityLevel?: string;
    readonly dataLocale?: string;
    readonly eventsLateArrivalMaxDelayInSeconds?: number;
    readonly eventsOutOfOrderMaxDelayInSeconds?: number;
    readonly eventsOutOfOrderPolicy?: string;
    readonly location: string;
    readonly name: string;
    readonly outputErrorPolicy?: string;
    readonly resourceGroupName: string;
    readonly streamingUnits: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly transformationQuery: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsJobTimeouts;
}
export interface StreamAnalyticsJobTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsJob extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsJobConfig);
    private _compatibilityLevel?;
    get compatibilityLevel(): string;
    set compatibilityLevel(value: string);
    resetCompatibilityLevel(): void;
    get compatibilityLevelInput(): string | undefined;
    private _dataLocale?;
    get dataLocale(): string;
    set dataLocale(value: string);
    resetDataLocale(): void;
    get dataLocaleInput(): string | undefined;
    private _eventsLateArrivalMaxDelayInSeconds?;
    get eventsLateArrivalMaxDelayInSeconds(): number;
    set eventsLateArrivalMaxDelayInSeconds(value: number);
    resetEventsLateArrivalMaxDelayInSeconds(): void;
    get eventsLateArrivalMaxDelayInSecondsInput(): number | undefined;
    private _eventsOutOfOrderMaxDelayInSeconds?;
    get eventsOutOfOrderMaxDelayInSeconds(): number;
    set eventsOutOfOrderMaxDelayInSeconds(value: number);
    resetEventsOutOfOrderMaxDelayInSeconds(): void;
    get eventsOutOfOrderMaxDelayInSecondsInput(): number | undefined;
    private _eventsOutOfOrderPolicy?;
    get eventsOutOfOrderPolicy(): string;
    set eventsOutOfOrderPolicy(value: string);
    resetEventsOutOfOrderPolicy(): void;
    get eventsOutOfOrderPolicyInput(): string | undefined;
    get id(): string;
    get jobId(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _outputErrorPolicy?;
    get outputErrorPolicy(): string;
    set outputErrorPolicy(value: string);
    resetOutputErrorPolicy(): void;
    get outputErrorPolicyInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _streamingUnits;
    get streamingUnits(): number;
    set streamingUnits(value: number);
    get streamingUnitsInput(): number;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _transformationQuery;
    get transformationQuery(): string;
    set transformationQuery(value: string);
    get transformationQueryInput(): string;
    private _timeouts?;
    get timeouts(): StreamAnalyticsJobTimeouts;
    set timeouts(value: StreamAnalyticsJobTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsJobTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
