import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsOutputEventhubConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly servicebusNamespace: string;
    readonly sharedAccessPolicyKey: string;
    readonly sharedAccessPolicyName: string;
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputEventhubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputEventhubTimeouts;
}
export interface StreamAnalyticsOutputEventhubSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly format?: string;
    readonly type: string;
}
export interface StreamAnalyticsOutputEventhubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsOutputEventhub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputEventhubConfig);
    private _eventhubName;
    get eventhubName(): string;
    set eventhubName(value: string);
    get eventhubNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _servicebusNamespace;
    get servicebusNamespace(): string;
    set servicebusNamespace(value: string);
    get servicebusNamespaceInput(): string;
    private _sharedAccessPolicyKey;
    get sharedAccessPolicyKey(): string;
    set sharedAccessPolicyKey(value: string);
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    get sharedAccessPolicyName(): string;
    set sharedAccessPolicyName(value: string);
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsOutputEventhubSerialization[];
    set serialization(value: StreamAnalyticsOutputEventhubSerialization[]);
    get serializationInput(): StreamAnalyticsOutputEventhubSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsOutputEventhubTimeouts;
    set timeouts(value: StreamAnalyticsOutputEventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsOutputEventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
