import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsOutputMssqlConfig extends cdktf.TerraformMetaArguments {
    readonly database: string;
    readonly name: string;
    readonly password: string;
    readonly resourceGroupName: string;
    readonly server: string;
    readonly streamAnalyticsJobName: string;
    readonly table: string;
    readonly user: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputMssqlTimeouts;
}
export interface StreamAnalyticsOutputMssqlTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsOutputMssql extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputMssqlConfig);
    private _database;
    get database(): string;
    set database(value: string);
    get databaseInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _password;
    get password(): string;
    set password(value: string);
    get passwordInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _server;
    get server(): string;
    set server(value: string);
    get serverInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _table;
    get table(): string;
    set table(value: string);
    get tableInput(): string;
    private _user;
    get user(): string;
    set user(value: string);
    get userInput(): string;
    private _timeouts?;
    get timeouts(): StreamAnalyticsOutputMssqlTimeouts;
    set timeouts(value: StreamAnalyticsOutputMssqlTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsOutputMssqlTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
