import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsOutputServicebusQueueConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly queueName: string;
    readonly resourceGroupName: string;
    readonly servicebusNamespace: string;
    readonly sharedAccessPolicyKey: string;
    readonly sharedAccessPolicyName: string;
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputServicebusQueueSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputServicebusQueueTimeouts;
}
export interface StreamAnalyticsOutputServicebusQueueSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly format?: string;
    readonly type: string;
}
export interface StreamAnalyticsOutputServicebusQueueTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsOutputServicebusQueue extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputServicebusQueueConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _queueName;
    get queueName(): string;
    set queueName(value: string);
    get queueNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _servicebusNamespace;
    get servicebusNamespace(): string;
    set servicebusNamespace(value: string);
    get servicebusNamespaceInput(): string;
    private _sharedAccessPolicyKey;
    get sharedAccessPolicyKey(): string;
    set sharedAccessPolicyKey(value: string);
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    get sharedAccessPolicyName(): string;
    set sharedAccessPolicyName(value: string);
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsOutputServicebusQueueSerialization[];
    set serialization(value: StreamAnalyticsOutputServicebusQueueSerialization[]);
    get serializationInput(): StreamAnalyticsOutputServicebusQueueSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsOutputServicebusQueueTimeouts;
    set timeouts(value: StreamAnalyticsOutputServicebusQueueTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsOutputServicebusQueueTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
