import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsOutputServicebusTopicConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly resourceGroupName: string;
    readonly servicebusNamespace: string;
    readonly sharedAccessPolicyKey: string;
    readonly sharedAccessPolicyName: string;
    readonly streamAnalyticsJobName: string;
    readonly topicName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputServicebusTopicSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputServicebusTopicTimeouts;
}
export interface StreamAnalyticsOutputServicebusTopicSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly format?: string;
    readonly type: string;
}
export interface StreamAnalyticsOutputServicebusTopicTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsOutputServicebusTopic extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputServicebusTopicConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _servicebusNamespace;
    get servicebusNamespace(): string;
    set servicebusNamespace(value: string);
    get servicebusNamespaceInput(): string;
    private _sharedAccessPolicyKey;
    get sharedAccessPolicyKey(): string;
    set sharedAccessPolicyKey(value: string);
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    get sharedAccessPolicyName(): string;
    set sharedAccessPolicyName(value: string);
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _topicName;
    get topicName(): string;
    set topicName(value: string);
    get topicNameInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsOutputServicebusTopicSerialization[];
    set serialization(value: StreamAnalyticsOutputServicebusTopicSerialization[]);
    get serializationInput(): StreamAnalyticsOutputServicebusTopicSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsOutputServicebusTopicTimeouts;
    set timeouts(value: StreamAnalyticsOutputServicebusTopicTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsOutputServicebusTopicTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
