import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsReferenceInputBlobConfig extends cdktf.TerraformMetaArguments {
    readonly dateFormat: string;
    readonly name: string;
    readonly pathPattern: string;
    readonly resourceGroupName: string;
    readonly storageAccountKey: string;
    readonly storageAccountName: string;
    readonly storageContainerName: string;
    readonly streamAnalyticsJobName: string;
    readonly timeFormat: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsReferenceInputBlobSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsReferenceInputBlobTimeouts;
}
export interface StreamAnalyticsReferenceInputBlobSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly type: string;
}
export interface StreamAnalyticsReferenceInputBlobTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsReferenceInputBlob extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsReferenceInputBlobConfig);
    private _dateFormat;
    get dateFormat(): string;
    set dateFormat(value: string);
    get dateFormatInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _pathPattern;
    get pathPattern(): string;
    set pathPattern(value: string);
    get pathPatternInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _storageAccountKey;
    get storageAccountKey(): string;
    set storageAccountKey(value: string);
    get storageAccountKeyInput(): string;
    private _storageAccountName;
    get storageAccountName(): string;
    set storageAccountName(value: string);
    get storageAccountNameInput(): string;
    private _storageContainerName;
    get storageContainerName(): string;
    set storageContainerName(value: string);
    get storageContainerNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _timeFormat;
    get timeFormat(): string;
    set timeFormat(value: string);
    get timeFormatInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsReferenceInputBlobSerialization[];
    set serialization(value: StreamAnalyticsReferenceInputBlobSerialization[]);
    get serializationInput(): StreamAnalyticsReferenceInputBlobSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsReferenceInputBlobTimeouts;
    set timeouts(value: StreamAnalyticsReferenceInputBlobTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsReferenceInputBlobTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
