import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsStreamInputEventhubConfig extends cdktf.TerraformMetaArguments {
    readonly eventhubConsumerGroupName: string;
    readonly eventhubName: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly servicebusNamespace: string;
    readonly sharedAccessPolicyKey: string;
    readonly sharedAccessPolicyName: string;
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsStreamInputEventhubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsStreamInputEventhubTimeouts;
}
export interface StreamAnalyticsStreamInputEventhubSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly type: string;
}
export interface StreamAnalyticsStreamInputEventhubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsStreamInputEventhub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsStreamInputEventhubConfig);
    private _eventhubConsumerGroupName;
    get eventhubConsumerGroupName(): string;
    set eventhubConsumerGroupName(value: string);
    get eventhubConsumerGroupNameInput(): string;
    private _eventhubName;
    get eventhubName(): string;
    set eventhubName(value: string);
    get eventhubNameInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _servicebusNamespace;
    get servicebusNamespace(): string;
    set servicebusNamespace(value: string);
    get servicebusNamespaceInput(): string;
    private _sharedAccessPolicyKey;
    get sharedAccessPolicyKey(): string;
    set sharedAccessPolicyKey(value: string);
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    get sharedAccessPolicyName(): string;
    set sharedAccessPolicyName(value: string);
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsStreamInputEventhubSerialization[];
    set serialization(value: StreamAnalyticsStreamInputEventhubSerialization[]);
    get serializationInput(): StreamAnalyticsStreamInputEventhubSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsStreamInputEventhubTimeouts;
    set timeouts(value: StreamAnalyticsStreamInputEventhubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsStreamInputEventhubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
