import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface StreamAnalyticsStreamInputIothubConfig extends cdktf.TerraformMetaArguments {
    readonly endpoint: string;
    readonly eventhubConsumerGroupName: string;
    readonly iothubNamespace: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sharedAccessPolicyKey: string;
    readonly sharedAccessPolicyName: string;
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsStreamInputIothubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsStreamInputIothubTimeouts;
}
export interface StreamAnalyticsStreamInputIothubSerialization {
    readonly encoding?: string;
    readonly fieldDelimiter?: string;
    readonly type: string;
}
export interface StreamAnalyticsStreamInputIothubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class StreamAnalyticsStreamInputIothub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: StreamAnalyticsStreamInputIothubConfig);
    private _endpoint;
    get endpoint(): string;
    set endpoint(value: string);
    get endpointInput(): string;
    private _eventhubConsumerGroupName;
    get eventhubConsumerGroupName(): string;
    set eventhubConsumerGroupName(value: string);
    get eventhubConsumerGroupNameInput(): string;
    get id(): string;
    private _iothubNamespace;
    get iothubNamespace(): string;
    set iothubNamespace(value: string);
    get iothubNamespaceInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sharedAccessPolicyKey;
    get sharedAccessPolicyKey(): string;
    set sharedAccessPolicyKey(value: string);
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    get sharedAccessPolicyName(): string;
    set sharedAccessPolicyName(value: string);
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    get streamAnalyticsJobName(): string;
    set streamAnalyticsJobName(value: string);
    get streamAnalyticsJobNameInput(): string;
    private _serialization;
    get serialization(): StreamAnalyticsStreamInputIothubSerialization[];
    set serialization(value: StreamAnalyticsStreamInputIothubSerialization[]);
    get serializationInput(): StreamAnalyticsStreamInputIothubSerialization[];
    private _timeouts?;
    get timeouts(): StreamAnalyticsStreamInputIothubTimeouts;
    set timeouts(value: StreamAnalyticsStreamInputIothubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): StreamAnalyticsStreamInputIothubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
