import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SubnetNatGatewayAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly natGatewayId: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetNatGatewayAssociationTimeouts;
}
export interface SubnetNatGatewayAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SubnetNatGatewayAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SubnetNatGatewayAssociationConfig);
    get id(): string;
    private _natGatewayId;
    get natGatewayId(): string;
    set natGatewayId(value: string);
    get natGatewayIdInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): SubnetNatGatewayAssociationTimeouts;
    set timeouts(value: SubnetNatGatewayAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SubnetNatGatewayAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
