import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SubnetNetworkSecurityGroupAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly networkSecurityGroupId: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetNetworkSecurityGroupAssociationTimeouts;
}
export interface SubnetNetworkSecurityGroupAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SubnetNetworkSecurityGroupAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SubnetNetworkSecurityGroupAssociationConfig);
    get id(): string;
    private _networkSecurityGroupId;
    get networkSecurityGroupId(): string;
    set networkSecurityGroupId(value: string);
    get networkSecurityGroupIdInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): SubnetNetworkSecurityGroupAssociationTimeouts;
    set timeouts(value: SubnetNetworkSecurityGroupAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SubnetNetworkSecurityGroupAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
