import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SubnetRouteTableAssociationConfig extends cdktf.TerraformMetaArguments {
    readonly routeTableId: string;
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetRouteTableAssociationTimeouts;
}
export interface SubnetRouteTableAssociationTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SubnetRouteTableAssociation extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SubnetRouteTableAssociationConfig);
    get id(): string;
    private _routeTableId;
    get routeTableId(): string;
    set routeTableId(value: string);
    get routeTableIdInput(): string;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _timeouts?;
    get timeouts(): SubnetRouteTableAssociationTimeouts;
    set timeouts(value: SubnetRouteTableAssociationTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SubnetRouteTableAssociationTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
