import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SubnetConfig extends cdktf.TerraformMetaArguments {
    readonly addressPrefix?: string;
    readonly addressPrefixes?: string[];
    readonly enforcePrivateLinkEndpointNetworkPolicies?: boolean;
    readonly enforcePrivateLinkServiceNetworkPolicies?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly serviceEndpoints?: string[];
    readonly virtualNetworkName: string;
    /**
     * delegation block.
     */
    readonly delegation?: SubnetDelegation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetTimeouts;
}
export interface SubnetDelegationServiceDelegation {
    readonly actions?: string[];
    readonly name: string;
}
export interface SubnetDelegation {
    readonly name: string;
    /**
     * service_delegation block.
     */
    readonly serviceDelegation: SubnetDelegationServiceDelegation[];
}
export interface SubnetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class Subnet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SubnetConfig);
    private _addressPrefix?;
    get addressPrefix(): string;
    set addressPrefix(value: string);
    resetAddressPrefix(): void;
    get addressPrefixInput(): string | undefined;
    private _addressPrefixes?;
    get addressPrefixes(): string[];
    set addressPrefixes(value: string[]);
    resetAddressPrefixes(): void;
    get addressPrefixesInput(): string[] | undefined;
    private _enforcePrivateLinkEndpointNetworkPolicies?;
    get enforcePrivateLinkEndpointNetworkPolicies(): boolean;
    set enforcePrivateLinkEndpointNetworkPolicies(value: boolean);
    resetEnforcePrivateLinkEndpointNetworkPolicies(): void;
    get enforcePrivateLinkEndpointNetworkPoliciesInput(): boolean | undefined;
    private _enforcePrivateLinkServiceNetworkPolicies?;
    get enforcePrivateLinkServiceNetworkPolicies(): boolean;
    set enforcePrivateLinkServiceNetworkPolicies(value: boolean);
    resetEnforcePrivateLinkServiceNetworkPolicies(): void;
    get enforcePrivateLinkServiceNetworkPoliciesInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _serviceEndpoints?;
    get serviceEndpoints(): string[];
    set serviceEndpoints(value: string[]);
    resetServiceEndpoints(): void;
    get serviceEndpointsInput(): string[] | undefined;
    private _virtualNetworkName;
    get virtualNetworkName(): string;
    set virtualNetworkName(value: string);
    get virtualNetworkNameInput(): string;
    private _delegation?;
    get delegation(): SubnetDelegation[];
    set delegation(value: SubnetDelegation[]);
    resetDelegation(): void;
    get delegationInput(): SubnetDelegation[] | undefined;
    private _timeouts?;
    get timeouts(): SubnetTimeouts;
    set timeouts(value: SubnetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SubnetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
