import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SubscriptionTemplateDeploymentConfig extends cdktf.TerraformMetaArguments {
    readonly debugLevel?: string;
    readonly location: string;
    readonly name: string;
    readonly parametersContent?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly templateContent: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubscriptionTemplateDeploymentTimeouts;
}
export interface SubscriptionTemplateDeploymentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SubscriptionTemplateDeployment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SubscriptionTemplateDeploymentConfig);
    private _debugLevel?;
    get debugLevel(): string;
    set debugLevel(value: string);
    resetDebugLevel(): void;
    get debugLevelInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get outputContent(): string;
    private _parametersContent?;
    get parametersContent(): string;
    set parametersContent(value: string);
    resetParametersContent(): void;
    get parametersContentInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _templateContent;
    get templateContent(): string;
    set templateContent(value: string);
    get templateContentInput(): string;
    private _timeouts?;
    get timeouts(): SubscriptionTemplateDeploymentTimeouts;
    set timeouts(value: SubscriptionTemplateDeploymentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SubscriptionTemplateDeploymentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
