import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SynapseFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    readonly endIpAddress: string;
    readonly name: string;
    readonly startIpAddress: string;
    readonly synapseWorkspaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SynapseFirewallRuleTimeouts;
}
export interface SynapseFirewallRuleTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SynapseFirewallRule extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SynapseFirewallRuleConfig);
    private _endIpAddress;
    get endIpAddress(): string;
    set endIpAddress(value: string);
    get endIpAddressInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _startIpAddress;
    get startIpAddress(): string;
    set startIpAddress(value: string);
    get startIpAddressInput(): string;
    private _synapseWorkspaceId;
    get synapseWorkspaceId(): string;
    set synapseWorkspaceId(value: string);
    get synapseWorkspaceIdInput(): string;
    private _timeouts?;
    get timeouts(): SynapseFirewallRuleTimeouts;
    set timeouts(value: SynapseFirewallRuleTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SynapseFirewallRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
