import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SynapseRoleAssignmentConfig extends cdktf.TerraformMetaArguments {
    readonly principalId: string;
    readonly roleName: string;
    readonly synapseWorkspaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SynapseRoleAssignmentTimeouts;
}
export interface SynapseRoleAssignmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class SynapseRoleAssignment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SynapseRoleAssignmentConfig);
    get id(): string;
    private _principalId;
    get principalId(): string;
    set principalId(value: string);
    get principalIdInput(): string;
    private _roleName;
    get roleName(): string;
    set roleName(value: string);
    get roleNameInput(): string;
    private _synapseWorkspaceId;
    get synapseWorkspaceId(): string;
    set synapseWorkspaceId(value: string);
    get synapseWorkspaceIdInput(): string;
    private _timeouts?;
    get timeouts(): SynapseRoleAssignmentTimeouts;
    set timeouts(value: SynapseRoleAssignmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SynapseRoleAssignmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
