import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SynapseSparkPoolConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly nodeCount?: number;
    readonly nodeSize: string;
    readonly nodeSizeFamily: string;
    readonly sparkEventsFolder?: string;
    readonly sparkLogFolder?: string;
    readonly sparkVersion?: string;
    readonly synapseWorkspaceId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * auto_pause block.
     */
    readonly autoPause?: SynapseSparkPoolAutoPause[];
    /**
     * auto_scale block.
     */
    readonly autoScale?: SynapseSparkPoolAutoScale[];
    /**
     * library_requirement block.
     */
    readonly libraryRequirement?: SynapseSparkPoolLibraryRequirement[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SynapseSparkPoolTimeouts;
}
export interface SynapseSparkPoolAutoPause {
    readonly delayInMinutes: number;
}
export interface SynapseSparkPoolAutoScale {
    readonly maxNodeCount: number;
    readonly minNodeCount: number;
}
export interface SynapseSparkPoolLibraryRequirement {
    readonly content: string;
    readonly filename: string;
}
export interface SynapseSparkPoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SynapseSparkPool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SynapseSparkPoolConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _nodeCount?;
    get nodeCount(): number;
    set nodeCount(value: number);
    resetNodeCount(): void;
    get nodeCountInput(): number | undefined;
    private _nodeSize;
    get nodeSize(): string;
    set nodeSize(value: string);
    get nodeSizeInput(): string;
    private _nodeSizeFamily;
    get nodeSizeFamily(): string;
    set nodeSizeFamily(value: string);
    get nodeSizeFamilyInput(): string;
    private _sparkEventsFolder?;
    get sparkEventsFolder(): string;
    set sparkEventsFolder(value: string);
    resetSparkEventsFolder(): void;
    get sparkEventsFolderInput(): string | undefined;
    private _sparkLogFolder?;
    get sparkLogFolder(): string;
    set sparkLogFolder(value: string);
    resetSparkLogFolder(): void;
    get sparkLogFolderInput(): string | undefined;
    private _sparkVersion?;
    get sparkVersion(): string;
    set sparkVersion(value: string);
    resetSparkVersion(): void;
    get sparkVersionInput(): string | undefined;
    private _synapseWorkspaceId;
    get synapseWorkspaceId(): string;
    set synapseWorkspaceId(value: string);
    get synapseWorkspaceIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _autoPause?;
    get autoPause(): SynapseSparkPoolAutoPause[];
    set autoPause(value: SynapseSparkPoolAutoPause[]);
    resetAutoPause(): void;
    get autoPauseInput(): SynapseSparkPoolAutoPause[] | undefined;
    private _autoScale?;
    get autoScale(): SynapseSparkPoolAutoScale[];
    set autoScale(value: SynapseSparkPoolAutoScale[]);
    resetAutoScale(): void;
    get autoScaleInput(): SynapseSparkPoolAutoScale[] | undefined;
    private _libraryRequirement?;
    get libraryRequirement(): SynapseSparkPoolLibraryRequirement[];
    set libraryRequirement(value: SynapseSparkPoolLibraryRequirement[]);
    resetLibraryRequirement(): void;
    get libraryRequirementInput(): SynapseSparkPoolLibraryRequirement[] | undefined;
    private _timeouts?;
    get timeouts(): SynapseSparkPoolTimeouts;
    set timeouts(value: SynapseSparkPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SynapseSparkPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
