import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SynapseSqlPoolConfig extends cdktf.TerraformMetaArguments {
    readonly collation?: string;
    readonly createMode?: string;
    readonly dataEncrypted?: boolean;
    readonly name: string;
    readonly recoveryDatabaseId?: string;
    readonly skuName: string;
    readonly synapseWorkspaceId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * restore block.
     */
    readonly restore?: SynapseSqlPoolRestore[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SynapseSqlPoolTimeouts;
}
export interface SynapseSqlPoolRestore {
    readonly pointInTime: string;
    readonly sourceDatabaseId: string;
}
export interface SynapseSqlPoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SynapseSqlPool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SynapseSqlPoolConfig);
    private _collation?;
    get collation(): string;
    set collation(value: string);
    resetCollation(): void;
    get collationInput(): string | undefined;
    private _createMode?;
    get createMode(): string;
    set createMode(value: string);
    resetCreateMode(): void;
    get createModeInput(): string | undefined;
    private _dataEncrypted?;
    get dataEncrypted(): boolean;
    set dataEncrypted(value: boolean);
    resetDataEncrypted(): void;
    get dataEncryptedInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _recoveryDatabaseId?;
    get recoveryDatabaseId(): string;
    set recoveryDatabaseId(value: string);
    resetRecoveryDatabaseId(): void;
    get recoveryDatabaseIdInput(): string | undefined;
    private _skuName;
    get skuName(): string;
    set skuName(value: string);
    get skuNameInput(): string;
    private _synapseWorkspaceId;
    get synapseWorkspaceId(): string;
    set synapseWorkspaceId(value: string);
    get synapseWorkspaceIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _restore?;
    get restore(): SynapseSqlPoolRestore[];
    set restore(value: SynapseSqlPoolRestore[]);
    resetRestore(): void;
    get restoreInput(): SynapseSqlPoolRestore[] | undefined;
    private _timeouts?;
    get timeouts(): SynapseSqlPoolTimeouts;
    set timeouts(value: SynapseSqlPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SynapseSqlPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
