import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SynapseWorkspaceConfig extends cdktf.TerraformMetaArguments {
    readonly aadAdmin?: SynapseWorkspaceAadAdmin[];
    readonly location: string;
    readonly managedVirtualNetworkEnabled?: boolean;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sqlAdministratorLogin: string;
    readonly sqlAdministratorLoginPassword: string;
    readonly storageDataLakeGen2FilesystemId: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: SynapseWorkspaceTimeouts;
}
export interface SynapseWorkspaceAadAdmin {
    readonly login?: string;
    readonly objectId?: string;
    readonly tenantId?: string;
}
export declare class SynapseWorkspaceIdentity extends cdktf.ComplexComputedList {
    get principalId(): string;
    get tenantId(): string;
    get type(): string;
}
export interface SynapseWorkspaceTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class SynapseWorkspace extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: SynapseWorkspaceConfig);
    private _aadAdmin?;
    get aadAdmin(): SynapseWorkspaceAadAdmin[];
    set aadAdmin(value: SynapseWorkspaceAadAdmin[]);
    resetAadAdmin(): void;
    get aadAdminInput(): SynapseWorkspaceAadAdmin[] | undefined;
    connectivityEndpoints(key: string): string;
    get id(): string;
    identity(index: string): SynapseWorkspaceIdentity;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    get managedResourceGroupName(): string;
    private _managedVirtualNetworkEnabled?;
    get managedVirtualNetworkEnabled(): boolean;
    set managedVirtualNetworkEnabled(value: boolean);
    resetManagedVirtualNetworkEnabled(): void;
    get managedVirtualNetworkEnabledInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sqlAdministratorLogin;
    get sqlAdministratorLogin(): string;
    set sqlAdministratorLogin(value: string);
    get sqlAdministratorLoginInput(): string;
    private _sqlAdministratorLoginPassword;
    get sqlAdministratorLoginPassword(): string;
    set sqlAdministratorLoginPassword(value: string);
    get sqlAdministratorLoginPasswordInput(): string;
    private _storageDataLakeGen2FilesystemId;
    get storageDataLakeGen2FilesystemId(): string;
    set storageDataLakeGen2FilesystemId(value: string);
    get storageDataLakeGen2FilesystemIdInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    get timeouts(): SynapseWorkspaceTimeouts;
    set timeouts(value: SynapseWorkspaceTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): SynapseWorkspaceTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
