import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TemplateDeploymentConfig extends cdktf.TerraformMetaArguments {
    readonly deploymentMode: string;
    readonly name: string;
    readonly parameters?: {
        [key: string]: string;
    };
    readonly parametersBody?: string;
    readonly resourceGroupName: string;
    readonly templateBody?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: TemplateDeploymentTimeouts;
}
export interface TemplateDeploymentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class TemplateDeployment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: TemplateDeploymentConfig);
    private _deploymentMode;
    get deploymentMode(): string;
    set deploymentMode(value: string);
    get deploymentModeInput(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    outputs(key: string): string;
    private _parameters?;
    get parameters(): {
        [key: string]: string;
    };
    set parameters(value: {
        [key: string]: string;
    });
    resetParameters(): void;
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _parametersBody?;
    get parametersBody(): string;
    set parametersBody(value: string);
    resetParametersBody(): void;
    get parametersBodyInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _templateBody?;
    get templateBody(): string;
    set templateBody(value: string);
    resetTemplateBody(): void;
    get templateBodyInput(): string | undefined;
    private _timeouts?;
    get timeouts(): TemplateDeploymentTimeouts;
    set timeouts(value: TemplateDeploymentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): TemplateDeploymentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
