import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TrafficManagerEndpointConfig extends cdktf.TerraformMetaArguments {
    readonly endpointLocation?: string;
    readonly endpointStatus?: string;
    readonly geoMappings?: string[];
    readonly minChildEndpoints?: number;
    readonly name: string;
    readonly priority?: number;
    readonly profileName: string;
    readonly resourceGroupName: string;
    readonly target?: string;
    readonly targetResourceId?: string;
    readonly type: string;
    readonly weight?: number;
    /**
     * custom_header block.
     */
    readonly customHeader?: TrafficManagerEndpointCustomHeader[];
    /**
     * subnet block.
     */
    readonly subnet?: TrafficManagerEndpointSubnet[];
    /**
     * timeouts block.
     */
    readonly timeouts?: TrafficManagerEndpointTimeouts;
}
export interface TrafficManagerEndpointCustomHeader {
    readonly name: string;
    readonly value: string;
}
export interface TrafficManagerEndpointSubnet {
    readonly first: string;
    readonly last?: string;
    readonly scope?: number;
}
export interface TrafficManagerEndpointTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class TrafficManagerEndpoint extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: TrafficManagerEndpointConfig);
    private _endpointLocation?;
    get endpointLocation(): string;
    set endpointLocation(value: string);
    resetEndpointLocation(): void;
    get endpointLocationInput(): string | undefined;
    get endpointMonitorStatus(): string;
    private _endpointStatus?;
    get endpointStatus(): string;
    set endpointStatus(value: string);
    resetEndpointStatus(): void;
    get endpointStatusInput(): string | undefined;
    private _geoMappings?;
    get geoMappings(): string[];
    set geoMappings(value: string[]);
    resetGeoMappings(): void;
    get geoMappingsInput(): string[] | undefined;
    get id(): string;
    private _minChildEndpoints?;
    get minChildEndpoints(): number;
    set minChildEndpoints(value: number);
    resetMinChildEndpoints(): void;
    get minChildEndpointsInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _priority?;
    get priority(): number;
    set priority(value: number);
    resetPriority(): void;
    get priorityInput(): number | undefined;
    private _profileName;
    get profileName(): string;
    set profileName(value: string);
    get profileNameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _target?;
    get target(): string;
    set target(value: string);
    resetTarget(): void;
    get targetInput(): string | undefined;
    private _targetResourceId?;
    get targetResourceId(): string;
    set targetResourceId(value: string);
    resetTargetResourceId(): void;
    get targetResourceIdInput(): string | undefined;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _weight?;
    get weight(): number;
    set weight(value: number);
    resetWeight(): void;
    get weightInput(): number | undefined;
    private _customHeader?;
    get customHeader(): TrafficManagerEndpointCustomHeader[];
    set customHeader(value: TrafficManagerEndpointCustomHeader[]);
    resetCustomHeader(): void;
    get customHeaderInput(): TrafficManagerEndpointCustomHeader[] | undefined;
    private _subnet?;
    get subnet(): TrafficManagerEndpointSubnet[];
    set subnet(value: TrafficManagerEndpointSubnet[]);
    resetSubnet(): void;
    get subnetInput(): TrafficManagerEndpointSubnet[] | undefined;
    private _timeouts?;
    get timeouts(): TrafficManagerEndpointTimeouts;
    set timeouts(value: TrafficManagerEndpointTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): TrafficManagerEndpointTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
