import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TrafficManagerProfileConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly profileStatus?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly trafficRoutingMethod: string;
    /**
     * dns_config block.
     */
    readonly dnsConfig: TrafficManagerProfileDnsConfig[];
    /**
     * monitor_config block.
     */
    readonly monitorConfig: TrafficManagerProfileMonitorConfig[];
    /**
     * timeouts block.
     */
    readonly timeouts?: TrafficManagerProfileTimeouts;
}
export interface TrafficManagerProfileDnsConfig {
    readonly relativeName: string;
    readonly ttl: number;
}
export interface TrafficManagerProfileMonitorConfigCustomHeader {
    readonly name: string;
    readonly value: string;
}
export interface TrafficManagerProfileMonitorConfig {
    readonly expectedStatusCodeRanges?: string[];
    readonly intervalInSeconds?: number;
    readonly path?: string;
    readonly port: number;
    readonly protocol: string;
    readonly timeoutInSeconds?: number;
    readonly toleratedNumberOfFailures?: number;
    /**
     * custom_header block.
     */
    readonly customHeader?: TrafficManagerProfileMonitorConfigCustomHeader[];
}
export interface TrafficManagerProfileTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class TrafficManagerProfile extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: TrafficManagerProfileConfig);
    get fqdn(): string;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _profileStatus?;
    get profileStatus(): string;
    set profileStatus(value: string);
    resetProfileStatus(): void;
    get profileStatusInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _trafficRoutingMethod;
    get trafficRoutingMethod(): string;
    set trafficRoutingMethod(value: string);
    get trafficRoutingMethodInput(): string;
    private _dnsConfig;
    get dnsConfig(): TrafficManagerProfileDnsConfig[];
    set dnsConfig(value: TrafficManagerProfileDnsConfig[]);
    get dnsConfigInput(): TrafficManagerProfileDnsConfig[];
    private _monitorConfig;
    get monitorConfig(): TrafficManagerProfileMonitorConfig[];
    set monitorConfig(value: TrafficManagerProfileMonitorConfig[]);
    get monitorConfigInput(): TrafficManagerProfileMonitorConfig[];
    private _timeouts?;
    get timeouts(): TrafficManagerProfileTimeouts;
    set timeouts(value: TrafficManagerProfileTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): TrafficManagerProfileTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
