import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualDesktopHostPoolConfig extends cdktf.TerraformMetaArguments {
    readonly description?: string;
    readonly friendlyName?: string;
    readonly loadBalancerType: string;
    readonly location: string;
    readonly maximumSessionsAllowed?: number;
    readonly name: string;
    readonly personalDesktopAssignmentType?: string;
    /**
     * Preferred App Group type to display.
     */
    readonly preferredAppGroupType?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly type: string;
    readonly validateEnvironment?: boolean;
    /**
     * registration_info block.
     */
    readonly registrationInfo?: VirtualDesktopHostPoolRegistrationInfo[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualDesktopHostPoolTimeouts;
}
export interface VirtualDesktopHostPoolRegistrationInfo {
    readonly expirationDate: string;
}
export interface VirtualDesktopHostPoolTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualDesktopHostPool extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualDesktopHostPoolConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _friendlyName?;
    get friendlyName(): string;
    set friendlyName(value: string);
    resetFriendlyName(): void;
    get friendlyNameInput(): string | undefined;
    get id(): string;
    private _loadBalancerType;
    get loadBalancerType(): string;
    set loadBalancerType(value: string);
    get loadBalancerTypeInput(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maximumSessionsAllowed?;
    get maximumSessionsAllowed(): number;
    set maximumSessionsAllowed(value: number);
    resetMaximumSessionsAllowed(): void;
    get maximumSessionsAllowedInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _personalDesktopAssignmentType?;
    get personalDesktopAssignmentType(): string;
    set personalDesktopAssignmentType(value: string);
    resetPersonalDesktopAssignmentType(): void;
    get personalDesktopAssignmentTypeInput(): string | undefined;
    private _preferredAppGroupType?;
    get preferredAppGroupType(): string;
    set preferredAppGroupType(value: string);
    resetPreferredAppGroupType(): void;
    get preferredAppGroupTypeInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _validateEnvironment?;
    get validateEnvironment(): boolean;
    set validateEnvironment(value: boolean);
    resetValidateEnvironment(): void;
    get validateEnvironmentInput(): boolean | undefined;
    private _registrationInfo?;
    get registrationInfo(): VirtualDesktopHostPoolRegistrationInfo[];
    set registrationInfo(value: VirtualDesktopHostPoolRegistrationInfo[]);
    resetRegistrationInfo(): void;
    get registrationInfoInput(): VirtualDesktopHostPoolRegistrationInfo[] | undefined;
    private _timeouts?;
    get timeouts(): VirtualDesktopHostPoolTimeouts;
    set timeouts(value: VirtualDesktopHostPoolTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualDesktopHostPoolTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
