import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubBgpConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly peerAsn: number;
    readonly peerIp: string;
    readonly virtualHubId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubBgpConnectionTimeouts;
}
export interface VirtualHubBgpConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
}
export declare class VirtualHubBgpConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubBgpConnectionConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _peerAsn;
    get peerAsn(): number;
    set peerAsn(value: number);
    get peerAsnInput(): number;
    private _peerIp;
    get peerIp(): string;
    set peerIp(value: string);
    get peerIpInput(): string;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _timeouts?;
    get timeouts(): VirtualHubBgpConnectionTimeouts;
    set timeouts(value: VirtualHubBgpConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubBgpConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
