import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly hubToVitualNetworkTrafficAllowed?: boolean;
    readonly internetSecurityEnabled?: boolean;
    readonly name: string;
    readonly remoteVirtualNetworkId: string;
    readonly virtualHubId: string;
    readonly vitualNetworkToHubGatewaysTrafficAllowed?: boolean;
    /**
     * routing block.
     */
    readonly routing?: VirtualHubConnectionRouting[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubConnectionTimeouts;
}
export interface VirtualHubConnectionRoutingPropagatedRouteTable {
    readonly labels?: string[];
    readonly routeTableIds?: string[];
}
export interface VirtualHubConnectionRoutingStaticVnetRoute {
    readonly addressPrefixes?: string[];
    readonly name?: string;
    readonly nextHopIpAddress?: string;
}
export interface VirtualHubConnectionRouting {
    readonly associatedRouteTableId?: string;
    /**
     * propagated_route_table block.
     */
    readonly propagatedRouteTable?: VirtualHubConnectionRoutingPropagatedRouteTable[];
    /**
     * static_vnet_route block.
     */
    readonly staticVnetRoute?: VirtualHubConnectionRoutingStaticVnetRoute[];
}
export interface VirtualHubConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualHubConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubConnectionConfig);
    private _hubToVitualNetworkTrafficAllowed?;
    get hubToVitualNetworkTrafficAllowed(): boolean;
    set hubToVitualNetworkTrafficAllowed(value: boolean);
    resetHubToVitualNetworkTrafficAllowed(): void;
    get hubToVitualNetworkTrafficAllowedInput(): boolean | undefined;
    get id(): string;
    private _internetSecurityEnabled?;
    get internetSecurityEnabled(): boolean;
    set internetSecurityEnabled(value: boolean);
    resetInternetSecurityEnabled(): void;
    get internetSecurityEnabledInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _remoteVirtualNetworkId;
    get remoteVirtualNetworkId(): string;
    set remoteVirtualNetworkId(value: string);
    get remoteVirtualNetworkIdInput(): string;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _vitualNetworkToHubGatewaysTrafficAllowed?;
    get vitualNetworkToHubGatewaysTrafficAllowed(): boolean;
    set vitualNetworkToHubGatewaysTrafficAllowed(value: boolean);
    resetVitualNetworkToHubGatewaysTrafficAllowed(): void;
    get vitualNetworkToHubGatewaysTrafficAllowedInput(): boolean | undefined;
    private _routing?;
    get routing(): VirtualHubConnectionRouting[];
    set routing(value: VirtualHubConnectionRouting[]);
    resetRouting(): void;
    get routingInput(): VirtualHubConnectionRouting[] | undefined;
    private _timeouts?;
    get timeouts(): VirtualHubConnectionTimeouts;
    set timeouts(value: VirtualHubConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubConnectionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
