import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubIpConfig extends cdktf.TerraformMetaArguments {
    readonly name: string;
    readonly privateIpAddress?: string;
    readonly privateIpAllocationMethod?: string;
    readonly publicIpAddressId?: string;
    readonly subnetId: string;
    readonly virtualHubId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubIpTimeouts;
}
export interface VirtualHubIpTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualHubIp extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubIpConfig);
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _privateIpAddress?;
    get privateIpAddress(): string;
    set privateIpAddress(value: string);
    resetPrivateIpAddress(): void;
    get privateIpAddressInput(): string | undefined;
    private _privateIpAllocationMethod?;
    get privateIpAllocationMethod(): string;
    set privateIpAllocationMethod(value: string);
    resetPrivateIpAllocationMethod(): void;
    get privateIpAllocationMethodInput(): string | undefined;
    private _publicIpAddressId?;
    get publicIpAddressId(): string;
    set publicIpAddressId(value: string);
    resetPublicIpAddressId(): void;
    get publicIpAddressIdInput(): string | undefined;
    private _subnetId;
    get subnetId(): string;
    set subnetId(value: string);
    get subnetIdInput(): string;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _timeouts?;
    get timeouts(): VirtualHubIpTimeouts;
    set timeouts(value: VirtualHubIpTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubIpTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
