import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubRouteTableConfig extends cdktf.TerraformMetaArguments {
    readonly labels?: string[];
    readonly name: string;
    readonly virtualHubId: string;
    /**
     * route block.
     */
    readonly route?: VirtualHubRouteTableRoute[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubRouteTableTimeouts;
}
export interface VirtualHubRouteTableRoute {
    readonly destinations: string[];
    readonly destinationsType: string;
    readonly name: string;
    readonly nextHop: string;
    readonly nextHopType?: string;
}
export interface VirtualHubRouteTableTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualHubRouteTable extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubRouteTableConfig);
    get id(): string;
    private _labels?;
    get labels(): string[];
    set labels(value: string[]);
    resetLabels(): void;
    get labelsInput(): string[] | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _route?;
    get route(): VirtualHubRouteTableRoute[];
    set route(value: VirtualHubRouteTableRoute[]);
    resetRoute(): void;
    get routeInput(): VirtualHubRouteTableRoute[] | undefined;
    private _timeouts?;
    get timeouts(): VirtualHubRouteTableTimeouts;
    set timeouts(value: VirtualHubRouteTableTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubRouteTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
