import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubSecurityPartnerProviderConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly securityProviderName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualHubId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubSecurityPartnerProviderTimeouts;
}
export interface VirtualHubSecurityPartnerProviderTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualHubSecurityPartnerProvider extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubSecurityPartnerProviderConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _securityProviderName;
    get securityProviderName(): string;
    set securityProviderName(value: string);
    get securityProviderNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId?;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    resetVirtualHubId(): void;
    get virtualHubIdInput(): string | undefined;
    private _timeouts?;
    get timeouts(): VirtualHubSecurityPartnerProviderTimeouts;
    set timeouts(value: VirtualHubSecurityPartnerProviderTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubSecurityPartnerProviderTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
