import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualHubConfig extends cdktf.TerraformMetaArguments {
    readonly addressPrefix?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly sku?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualWanId?: string;
    /**
     * route block.
     */
    readonly route?: VirtualHubRoute[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualHubTimeouts;
}
export interface VirtualHubRoute {
    readonly addressPrefixes: string[];
    readonly nextHopIpAddress: string;
}
export interface VirtualHubTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualHub extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualHubConfig);
    private _addressPrefix?;
    get addressPrefix(): string;
    set addressPrefix(value: string);
    resetAddressPrefix(): void;
    get addressPrefixInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _sku?;
    get sku(): string;
    set sku(value: string);
    resetSku(): void;
    get skuInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualWanId?;
    get virtualWanId(): string;
    set virtualWanId(value: string);
    resetVirtualWanId(): void;
    get virtualWanIdInput(): string | undefined;
    private _route?;
    get route(): VirtualHubRoute[];
    set route(value: VirtualHubRoute[]);
    resetRoute(): void;
    get routeInput(): VirtualHubRoute[] | undefined;
    private _timeouts?;
    get timeouts(): VirtualHubTimeouts;
    set timeouts(value: VirtualHubTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualHubTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
