import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualMachineDataDiskAttachmentConfig extends cdktf.TerraformMetaArguments {
    readonly caching: string;
    readonly createOption?: string;
    readonly lun: number;
    readonly managedDiskId: string;
    readonly virtualMachineId: string;
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineDataDiskAttachmentTimeouts;
}
export interface VirtualMachineDataDiskAttachmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualMachineDataDiskAttachment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualMachineDataDiskAttachmentConfig);
    private _caching;
    get caching(): string;
    set caching(value: string);
    get cachingInput(): string;
    private _createOption?;
    get createOption(): string;
    set createOption(value: string);
    resetCreateOption(): void;
    get createOptionInput(): string | undefined;
    get id(): string;
    private _lun;
    get lun(): number;
    set lun(value: number);
    get lunInput(): number;
    private _managedDiskId;
    get managedDiskId(): string;
    set managedDiskId(value: string);
    get managedDiskIdInput(): string;
    private _virtualMachineId;
    get virtualMachineId(): string;
    set virtualMachineId(value: string);
    get virtualMachineIdInput(): string;
    private _writeAcceleratorEnabled?;
    get writeAcceleratorEnabled(): boolean;
    set writeAcceleratorEnabled(value: boolean);
    resetWriteAcceleratorEnabled(): void;
    get writeAcceleratorEnabledInput(): boolean | undefined;
    private _timeouts?;
    get timeouts(): VirtualMachineDataDiskAttachmentTimeouts;
    set timeouts(value: VirtualMachineDataDiskAttachmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualMachineDataDiskAttachmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
