import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualMachineExtensionConfig extends cdktf.TerraformMetaArguments {
    readonly autoUpgradeMinorVersion?: boolean;
    readonly name: string;
    readonly protectedSettings?: string;
    readonly publisher: string;
    readonly settings?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly type: string;
    readonly typeHandlerVersion: string;
    readonly virtualMachineId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineExtensionTimeouts;
}
export interface VirtualMachineExtensionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualMachineExtension extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualMachineExtensionConfig);
    private _autoUpgradeMinorVersion?;
    get autoUpgradeMinorVersion(): boolean;
    set autoUpgradeMinorVersion(value: boolean);
    resetAutoUpgradeMinorVersion(): void;
    get autoUpgradeMinorVersionInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _protectedSettings?;
    get protectedSettings(): string;
    set protectedSettings(value: string);
    resetProtectedSettings(): void;
    get protectedSettingsInput(): string | undefined;
    private _publisher;
    get publisher(): string;
    set publisher(value: string);
    get publisherInput(): string;
    private _settings?;
    get settings(): string;
    set settings(value: string);
    resetSettings(): void;
    get settingsInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    get type(): string;
    set type(value: string);
    get typeInput(): string;
    private _typeHandlerVersion;
    get typeHandlerVersion(): string;
    set typeHandlerVersion(value: string);
    get typeHandlerVersionInput(): string;
    private _virtualMachineId;
    get virtualMachineId(): string;
    set virtualMachineId(value: string);
    get virtualMachineIdInput(): string;
    private _timeouts?;
    get timeouts(): VirtualMachineExtensionTimeouts;
    set timeouts(value: VirtualMachineExtensionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualMachineExtensionTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
