import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    readonly automaticOsUpgrade?: boolean;
    readonly evictionPolicy?: string;
    readonly healthProbeId?: string;
    readonly licenseType?: string;
    readonly location: string;
    readonly name: string;
    readonly overprovision?: boolean;
    readonly priority?: string;
    readonly proximityPlacementGroupId?: string;
    readonly resourceGroupName: string;
    readonly singlePlacementGroup?: boolean;
    readonly tags?: {
        [key: string]: string;
    };
    readonly upgradePolicyMode: string;
    readonly zones?: string[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: VirtualMachineScaleSetBootDiagnostics[];
    /**
     * extension block.
     */
    readonly extension?: VirtualMachineScaleSetExtension[];
    /**
     * identity block.
     */
    readonly identity?: VirtualMachineScaleSetIdentity[];
    /**
     * network_profile block.
     */
    readonly networkProfile: VirtualMachineScaleSetNetworkProfile[];
    /**
     * os_profile block.
     */
    readonly osProfile: VirtualMachineScaleSetOsProfile[];
    /**
     * os_profile_linux_config block.
     */
    readonly osProfileLinuxConfig?: VirtualMachineScaleSetOsProfileLinuxConfig[];
    /**
     * os_profile_secrets block.
     */
    readonly osProfileSecrets?: VirtualMachineScaleSetOsProfileSecrets[];
    /**
     * os_profile_windows_config block.
     */
    readonly osProfileWindowsConfig?: VirtualMachineScaleSetOsProfileWindowsConfig[];
    /**
     * plan block.
     */
    readonly plan?: VirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     */
    readonly rollingUpgradePolicy?: VirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * sku block.
     */
    readonly sku: VirtualMachineScaleSetSku[];
    /**
     * storage_profile_data_disk block.
     */
    readonly storageProfileDataDisk?: VirtualMachineScaleSetStorageProfileDataDisk[];
    /**
     * storage_profile_image_reference block.
     */
    readonly storageProfileImageReference?: VirtualMachineScaleSetStorageProfileImageReference[];
    /**
     * storage_profile_os_disk block.
     */
    readonly storageProfileOsDisk: VirtualMachineScaleSetStorageProfileOsDisk[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineScaleSetTimeouts;
}
export interface VirtualMachineScaleSetBootDiagnostics {
    readonly enabled?: boolean;
    readonly storageUri: string;
}
export interface VirtualMachineScaleSetExtension {
    readonly autoUpgradeMinorVersion?: boolean;
    readonly name: string;
    readonly protectedSettings?: string;
    readonly provisionAfterExtensions?: string[];
    readonly publisher: string;
    readonly settings?: string;
    readonly type: string;
    readonly typeHandlerVersion: string;
}
export interface VirtualMachineScaleSetIdentity {
    readonly identityIds?: string[];
    readonly type: string;
}
export interface VirtualMachineScaleSetNetworkProfileDnsSettings {
    readonly dnsServers: string[];
}
export interface VirtualMachineScaleSetNetworkProfileIpConfigurationPublicIpAddressConfiguration {
    readonly domainNameLabel: string;
    readonly idleTimeout: number;
    readonly name: string;
}
export interface VirtualMachineScaleSetNetworkProfileIpConfiguration {
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    readonly applicationSecurityGroupIds?: string[];
    readonly loadBalancerBackendAddressPoolIds?: string[];
    readonly loadBalancerInboundNatRulesIds?: string[];
    readonly name: string;
    readonly primary: boolean;
    readonly subnetId: string;
    /**
     * public_ip_address_configuration block.
     */
    readonly publicIpAddressConfiguration?: VirtualMachineScaleSetNetworkProfileIpConfigurationPublicIpAddressConfiguration[];
}
export interface VirtualMachineScaleSetNetworkProfile {
    readonly acceleratedNetworking?: boolean;
    readonly ipForwarding?: boolean;
    readonly name: string;
    readonly networkSecurityGroupId?: string;
    readonly primary: boolean;
    /**
     * dns_settings block.
     */
    readonly dnsSettings?: VirtualMachineScaleSetNetworkProfileDnsSettings[];
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: VirtualMachineScaleSetNetworkProfileIpConfiguration[];
}
export interface VirtualMachineScaleSetOsProfile {
    readonly adminPassword?: string;
    readonly adminUsername: string;
    readonly computerNamePrefix: string;
    readonly customData?: string;
}
export interface VirtualMachineScaleSetOsProfileLinuxConfigSshKeys {
    readonly keyData?: string;
    readonly path: string;
}
export interface VirtualMachineScaleSetOsProfileLinuxConfig {
    readonly disablePasswordAuthentication?: boolean;
    /**
     * ssh_keys block.
     */
    readonly sshKeys?: VirtualMachineScaleSetOsProfileLinuxConfigSshKeys[];
}
export interface VirtualMachineScaleSetOsProfileSecretsVaultCertificates {
    readonly certificateStore?: string;
    readonly certificateUrl: string;
}
export interface VirtualMachineScaleSetOsProfileSecrets {
    readonly sourceVaultId: string;
    /**
     * vault_certificates block.
     */
    readonly vaultCertificates?: VirtualMachineScaleSetOsProfileSecretsVaultCertificates[];
}
export interface VirtualMachineScaleSetOsProfileWindowsConfigAdditionalUnattendConfig {
    readonly component: string;
    readonly content: string;
    readonly pass: string;
    readonly settingName: string;
}
export interface VirtualMachineScaleSetOsProfileWindowsConfigWinrm {
    readonly certificateUrl?: string;
    readonly protocol: string;
}
export interface VirtualMachineScaleSetOsProfileWindowsConfig {
    readonly enableAutomaticUpgrades?: boolean;
    readonly provisionVmAgent?: boolean;
    /**
     * additional_unattend_config block.
     */
    readonly additionalUnattendConfig?: VirtualMachineScaleSetOsProfileWindowsConfigAdditionalUnattendConfig[];
    /**
     * winrm block.
     */
    readonly winrm?: VirtualMachineScaleSetOsProfileWindowsConfigWinrm[];
}
export interface VirtualMachineScaleSetPlan {
    readonly name: string;
    readonly product: string;
    readonly publisher: string;
}
export interface VirtualMachineScaleSetRollingUpgradePolicy {
    readonly maxBatchInstancePercent?: number;
    readonly maxUnhealthyInstancePercent?: number;
    readonly maxUnhealthyUpgradedInstancePercent?: number;
    readonly pauseTimeBetweenBatches?: string;
}
export interface VirtualMachineScaleSetSku {
    readonly capacity: number;
    readonly name: string;
    readonly tier?: string;
}
export interface VirtualMachineScaleSetStorageProfileDataDisk {
    readonly caching?: string;
    readonly createOption: string;
    readonly diskSizeGb?: number;
    readonly lun: number;
    readonly managedDiskType?: string;
}
export interface VirtualMachineScaleSetStorageProfileImageReference {
    readonly id?: string;
    readonly offer?: string;
    readonly publisher?: string;
    readonly sku?: string;
    readonly version?: string;
}
export interface VirtualMachineScaleSetStorageProfileOsDisk {
    readonly caching?: string;
    readonly createOption: string;
    readonly image?: string;
    readonly managedDiskType?: string;
    readonly name?: string;
    readonly osType?: string;
    readonly vhdContainers?: string[];
}
export interface VirtualMachineScaleSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualMachineScaleSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualMachineScaleSetConfig);
    private _automaticOsUpgrade?;
    get automaticOsUpgrade(): boolean;
    set automaticOsUpgrade(value: boolean);
    resetAutomaticOsUpgrade(): void;
    get automaticOsUpgradeInput(): boolean | undefined;
    private _evictionPolicy?;
    get evictionPolicy(): string;
    set evictionPolicy(value: string);
    resetEvictionPolicy(): void;
    get evictionPolicyInput(): string | undefined;
    private _healthProbeId?;
    get healthProbeId(): string;
    set healthProbeId(value: string);
    resetHealthProbeId(): void;
    get healthProbeIdInput(): string | undefined;
    get id(): string;
    private _licenseType?;
    get licenseType(): string;
    set licenseType(value: string);
    resetLicenseType(): void;
    get licenseTypeInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _overprovision?;
    get overprovision(): boolean;
    set overprovision(value: boolean);
    resetOverprovision(): void;
    get overprovisionInput(): boolean | undefined;
    private _priority?;
    get priority(): string;
    set priority(value: string);
    resetPriority(): void;
    get priorityInput(): string | undefined;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _singlePlacementGroup?;
    get singlePlacementGroup(): boolean;
    set singlePlacementGroup(value: boolean);
    resetSinglePlacementGroup(): void;
    get singlePlacementGroupInput(): boolean | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _upgradePolicyMode;
    get upgradePolicyMode(): string;
    set upgradePolicyMode(value: string);
    get upgradePolicyModeInput(): string;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _bootDiagnostics?;
    get bootDiagnostics(): VirtualMachineScaleSetBootDiagnostics[];
    set bootDiagnostics(value: VirtualMachineScaleSetBootDiagnostics[]);
    resetBootDiagnostics(): void;
    get bootDiagnosticsInput(): VirtualMachineScaleSetBootDiagnostics[] | undefined;
    private _extension?;
    get extension(): VirtualMachineScaleSetExtension[];
    set extension(value: VirtualMachineScaleSetExtension[]);
    resetExtension(): void;
    get extensionInput(): VirtualMachineScaleSetExtension[] | undefined;
    private _identity?;
    get identity(): VirtualMachineScaleSetIdentity[];
    set identity(value: VirtualMachineScaleSetIdentity[]);
    resetIdentity(): void;
    get identityInput(): VirtualMachineScaleSetIdentity[] | undefined;
    private _networkProfile;
    get networkProfile(): VirtualMachineScaleSetNetworkProfile[];
    set networkProfile(value: VirtualMachineScaleSetNetworkProfile[]);
    get networkProfileInput(): VirtualMachineScaleSetNetworkProfile[];
    private _osProfile;
    get osProfile(): VirtualMachineScaleSetOsProfile[];
    set osProfile(value: VirtualMachineScaleSetOsProfile[]);
    get osProfileInput(): VirtualMachineScaleSetOsProfile[];
    private _osProfileLinuxConfig?;
    get osProfileLinuxConfig(): VirtualMachineScaleSetOsProfileLinuxConfig[];
    set osProfileLinuxConfig(value: VirtualMachineScaleSetOsProfileLinuxConfig[]);
    resetOsProfileLinuxConfig(): void;
    get osProfileLinuxConfigInput(): VirtualMachineScaleSetOsProfileLinuxConfig[] | undefined;
    private _osProfileSecrets?;
    get osProfileSecrets(): VirtualMachineScaleSetOsProfileSecrets[];
    set osProfileSecrets(value: VirtualMachineScaleSetOsProfileSecrets[]);
    resetOsProfileSecrets(): void;
    get osProfileSecretsInput(): VirtualMachineScaleSetOsProfileSecrets[] | undefined;
    private _osProfileWindowsConfig?;
    get osProfileWindowsConfig(): VirtualMachineScaleSetOsProfileWindowsConfig[];
    set osProfileWindowsConfig(value: VirtualMachineScaleSetOsProfileWindowsConfig[]);
    resetOsProfileWindowsConfig(): void;
    get osProfileWindowsConfigInput(): VirtualMachineScaleSetOsProfileWindowsConfig[] | undefined;
    private _plan?;
    get plan(): VirtualMachineScaleSetPlan[];
    set plan(value: VirtualMachineScaleSetPlan[]);
    resetPlan(): void;
    get planInput(): VirtualMachineScaleSetPlan[] | undefined;
    private _rollingUpgradePolicy?;
    get rollingUpgradePolicy(): VirtualMachineScaleSetRollingUpgradePolicy[];
    set rollingUpgradePolicy(value: VirtualMachineScaleSetRollingUpgradePolicy[]);
    resetRollingUpgradePolicy(): void;
    get rollingUpgradePolicyInput(): VirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    private _sku;
    get sku(): VirtualMachineScaleSetSku[];
    set sku(value: VirtualMachineScaleSetSku[]);
    get skuInput(): VirtualMachineScaleSetSku[];
    private _storageProfileDataDisk?;
    get storageProfileDataDisk(): VirtualMachineScaleSetStorageProfileDataDisk[];
    set storageProfileDataDisk(value: VirtualMachineScaleSetStorageProfileDataDisk[]);
    resetStorageProfileDataDisk(): void;
    get storageProfileDataDiskInput(): VirtualMachineScaleSetStorageProfileDataDisk[] | undefined;
    private _storageProfileImageReference?;
    get storageProfileImageReference(): VirtualMachineScaleSetStorageProfileImageReference[];
    set storageProfileImageReference(value: VirtualMachineScaleSetStorageProfileImageReference[]);
    resetStorageProfileImageReference(): void;
    get storageProfileImageReferenceInput(): VirtualMachineScaleSetStorageProfileImageReference[] | undefined;
    private _storageProfileOsDisk;
    get storageProfileOsDisk(): VirtualMachineScaleSetStorageProfileOsDisk[];
    set storageProfileOsDisk(value: VirtualMachineScaleSetStorageProfileOsDisk[]);
    get storageProfileOsDiskInput(): VirtualMachineScaleSetStorageProfileOsDisk[];
    private _timeouts?;
    get timeouts(): VirtualMachineScaleSetTimeouts;
    set timeouts(value: VirtualMachineScaleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualMachineScaleSetTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
