import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualNetworkPeeringConfig extends cdktf.TerraformMetaArguments {
    readonly allowForwardedTraffic?: boolean;
    readonly allowGatewayTransit?: boolean;
    readonly allowVirtualNetworkAccess?: boolean;
    readonly name: string;
    readonly remoteVirtualNetworkId: string;
    readonly resourceGroupName: string;
    readonly useRemoteGateways?: boolean;
    readonly virtualNetworkName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkPeeringTimeouts;
}
export interface VirtualNetworkPeeringTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualNetworkPeering extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualNetworkPeeringConfig);
    private _allowForwardedTraffic?;
    get allowForwardedTraffic(): boolean;
    set allowForwardedTraffic(value: boolean);
    resetAllowForwardedTraffic(): void;
    get allowForwardedTrafficInput(): boolean | undefined;
    private _allowGatewayTransit?;
    get allowGatewayTransit(): boolean;
    set allowGatewayTransit(value: boolean);
    resetAllowGatewayTransit(): void;
    get allowGatewayTransitInput(): boolean | undefined;
    private _allowVirtualNetworkAccess?;
    get allowVirtualNetworkAccess(): boolean;
    set allowVirtualNetworkAccess(value: boolean);
    resetAllowVirtualNetworkAccess(): void;
    get allowVirtualNetworkAccessInput(): boolean | undefined;
    get id(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _remoteVirtualNetworkId;
    get remoteVirtualNetworkId(): string;
    set remoteVirtualNetworkId(value: string);
    get remoteVirtualNetworkIdInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _useRemoteGateways?;
    get useRemoteGateways(): boolean;
    set useRemoteGateways(value: boolean);
    resetUseRemoteGateways(): void;
    get useRemoteGatewaysInput(): boolean | undefined;
    private _virtualNetworkName;
    get virtualNetworkName(): string;
    set virtualNetworkName(value: string);
    get virtualNetworkNameInput(): string;
    private _timeouts?;
    get timeouts(): VirtualNetworkPeeringTimeouts;
    set timeouts(value: VirtualNetworkPeeringTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualNetworkPeeringTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
