import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualNetworkConfig extends cdktf.TerraformMetaArguments {
    readonly addressSpace: string[];
    readonly bgpCommunity?: string;
    readonly dnsServers?: string[];
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly subnet?: VirtualNetworkSubnet[];
    readonly tags?: {
        [key: string]: string;
    };
    readonly vmProtectionEnabled?: boolean;
    /**
     * ddos_protection_plan block.
     */
    readonly ddosProtectionPlan?: VirtualNetworkDdosProtectionPlan[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkTimeouts;
}
export interface VirtualNetworkSubnet {
    readonly addressPrefix?: string;
    readonly id?: string;
    readonly name?: string;
    readonly securityGroup?: string;
}
export interface VirtualNetworkDdosProtectionPlan {
    readonly enable: boolean;
    readonly id: string;
}
export interface VirtualNetworkTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualNetwork extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualNetworkConfig);
    private _addressSpace;
    get addressSpace(): string[];
    set addressSpace(value: string[]);
    get addressSpaceInput(): string[];
    private _bgpCommunity?;
    get bgpCommunity(): string;
    set bgpCommunity(value: string);
    resetBgpCommunity(): void;
    get bgpCommunityInput(): string | undefined;
    private _dnsServers?;
    get dnsServers(): string[];
    set dnsServers(value: string[]);
    resetDnsServers(): void;
    get dnsServersInput(): string[] | undefined;
    get guid(): string;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _subnet?;
    get subnet(): VirtualNetworkSubnet[];
    set subnet(value: VirtualNetworkSubnet[]);
    resetSubnet(): void;
    get subnetInput(): VirtualNetworkSubnet[] | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _vmProtectionEnabled?;
    get vmProtectionEnabled(): boolean;
    set vmProtectionEnabled(value: boolean);
    resetVmProtectionEnabled(): void;
    get vmProtectionEnabledInput(): boolean | undefined;
    private _ddosProtectionPlan?;
    get ddosProtectionPlan(): VirtualNetworkDdosProtectionPlan[];
    set ddosProtectionPlan(value: VirtualNetworkDdosProtectionPlan[]);
    resetDdosProtectionPlan(): void;
    get ddosProtectionPlanInput(): VirtualNetworkDdosProtectionPlan[] | undefined;
    private _timeouts?;
    get timeouts(): VirtualNetworkTimeouts;
    set timeouts(value: VirtualNetworkTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualNetworkTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
