import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VirtualWanConfig extends cdktf.TerraformMetaArguments {
    readonly allowBranchToBranchTraffic?: boolean;
    readonly allowVnetToVnetTraffic?: boolean;
    readonly disableVpnEncryption?: boolean;
    readonly location: string;
    readonly name: string;
    readonly office365LocalBreakoutCategory?: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly type?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualWanTimeouts;
}
export interface VirtualWanTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VirtualWan extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VirtualWanConfig);
    private _allowBranchToBranchTraffic?;
    get allowBranchToBranchTraffic(): boolean;
    set allowBranchToBranchTraffic(value: boolean);
    resetAllowBranchToBranchTraffic(): void;
    get allowBranchToBranchTrafficInput(): boolean | undefined;
    private _allowVnetToVnetTraffic?;
    get allowVnetToVnetTraffic(): boolean;
    set allowVnetToVnetTraffic(value: boolean);
    resetAllowVnetToVnetTraffic(): void;
    get allowVnetToVnetTrafficInput(): boolean | undefined;
    private _disableVpnEncryption?;
    get disableVpnEncryption(): boolean;
    set disableVpnEncryption(value: boolean);
    resetDisableVpnEncryption(): void;
    get disableVpnEncryptionInput(): boolean | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _office365LocalBreakoutCategory?;
    get office365LocalBreakoutCategory(): string;
    set office365LocalBreakoutCategory(value: string);
    resetOffice365LocalBreakoutCategory(): void;
    get office365LocalBreakoutCategoryInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type?;
    get type(): string;
    set type(value: string);
    resetType(): void;
    get typeInput(): string | undefined;
    private _timeouts?;
    get timeouts(): VirtualWanTimeouts;
    set timeouts(value: VirtualWanTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VirtualWanTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
