import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VpnGatewayConnectionConfig extends cdktf.TerraformMetaArguments {
    readonly internetSecurityEnabled?: boolean;
    readonly name: string;
    readonly remoteVpnSiteId: string;
    readonly vpnGatewayId: string;
    /**
     * routing block.
     */
    readonly routing?: VpnGatewayConnectionRouting[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VpnGatewayConnectionTimeouts;
    /**
     * vpn_link block.
     */
    readonly vpnLink: VpnGatewayConnectionVpnLink[];
}
export interface VpnGatewayConnectionRouting {
    readonly associatedRouteTable: string;
    readonly propagatedRouteTables: string[];
}
export interface VpnGatewayConnectionTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface VpnGatewayConnectionVpnLinkIpsecPolicy {
    readonly dhGroup: string;
    readonly encryptionAlgorithm: string;
    readonly ikeEncryptionAlgorithm: string;
    readonly ikeIntegrityAlgorithm: string;
    readonly integrityAlgorithm: string;
    readonly pfsGroup: string;
    readonly saDataSizeKb: number;
    readonly saLifetimeSec: number;
}
export interface VpnGatewayConnectionVpnLink {
    readonly bandwidthMbps?: number;
    readonly bgpEnabled?: boolean;
    readonly localAzureIpAddressEnabled?: boolean;
    readonly name: string;
    readonly policyBasedTrafficSelectorEnabled?: boolean;
    readonly protocol?: string;
    readonly ratelimitEnabled?: boolean;
    readonly routeWeight?: number;
    readonly sharedKey?: string;
    readonly vpnSiteLinkId: string;
    /**
     * ipsec_policy block.
     */
    readonly ipsecPolicy?: VpnGatewayConnectionVpnLinkIpsecPolicy[];
}
export declare class VpnGatewayConnection extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VpnGatewayConnectionConfig);
    get id(): string;
    private _internetSecurityEnabled?;
    get internetSecurityEnabled(): boolean;
    set internetSecurityEnabled(value: boolean);
    resetInternetSecurityEnabled(): void;
    get internetSecurityEnabledInput(): boolean | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _remoteVpnSiteId;
    get remoteVpnSiteId(): string;
    set remoteVpnSiteId(value: string);
    get remoteVpnSiteIdInput(): string;
    private _vpnGatewayId;
    get vpnGatewayId(): string;
    set vpnGatewayId(value: string);
    get vpnGatewayIdInput(): string;
    private _routing?;
    get routing(): VpnGatewayConnectionRouting[];
    set routing(value: VpnGatewayConnectionRouting[]);
    resetRouting(): void;
    get routingInput(): VpnGatewayConnectionRouting[] | undefined;
    private _timeouts?;
    get timeouts(): VpnGatewayConnectionTimeouts;
    set timeouts(value: VpnGatewayConnectionTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VpnGatewayConnectionTimeouts | undefined;
    private _vpnLink;
    get vpnLink(): VpnGatewayConnectionVpnLink[];
    set vpnLink(value: VpnGatewayConnectionVpnLink[]);
    get vpnLinkInput(): VpnGatewayConnectionVpnLink[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
