import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VpnGatewayConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly scaleUnit?: number;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualHubId: string;
    /**
     * bgp_settings block.
     */
    readonly bgpSettings?: VpnGatewayBgpSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VpnGatewayTimeouts;
}
export interface VpnGatewayBgpSettingsInstance0BgpPeeringAddress {
    readonly customIps: string[];
}
export interface VpnGatewayBgpSettingsInstance1BgpPeeringAddress {
    readonly customIps: string[];
}
export interface VpnGatewayBgpSettings {
    readonly asn: number;
    readonly peerWeight: number;
    /**
     * instance_0_bgp_peering_address block.
     */
    readonly instance0BgpPeeringAddress?: VpnGatewayBgpSettingsInstance0BgpPeeringAddress[];
    /**
     * instance_1_bgp_peering_address block.
     */
    readonly instance1BgpPeeringAddress?: VpnGatewayBgpSettingsInstance1BgpPeeringAddress[];
}
export interface VpnGatewayTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VpnGateway extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VpnGatewayConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scaleUnit?;
    get scaleUnit(): number;
    set scaleUnit(value: number);
    resetScaleUnit(): void;
    get scaleUnitInput(): number | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId;
    get virtualHubId(): string;
    set virtualHubId(value: string);
    get virtualHubIdInput(): string;
    private _bgpSettings?;
    get bgpSettings(): VpnGatewayBgpSettings[];
    set bgpSettings(value: VpnGatewayBgpSettings[]);
    resetBgpSettings(): void;
    get bgpSettingsInput(): VpnGatewayBgpSettings[] | undefined;
    private _timeouts?;
    get timeouts(): VpnGatewayTimeouts;
    set timeouts(value: VpnGatewayTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VpnGatewayTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
