import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VpnSiteConfig extends cdktf.TerraformMetaArguments {
    readonly addressCidrs?: string[];
    readonly deviceModel?: string;
    readonly deviceVendor?: string;
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly virtualWanId: string;
    /**
     * link block.
     */
    readonly link?: VpnSiteLink[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VpnSiteTimeouts;
}
export interface VpnSiteLinkBgp {
    readonly asn: number;
    readonly peeringAddress: string;
}
export interface VpnSiteLink {
    readonly fqdn?: string;
    readonly ipAddress?: string;
    readonly name: string;
    readonly providerName?: string;
    readonly speedInMbps?: number;
    /**
     * bgp block.
     */
    readonly bgp?: VpnSiteLinkBgp[];
}
export interface VpnSiteTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class VpnSite extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: VpnSiteConfig);
    private _addressCidrs?;
    get addressCidrs(): string[];
    set addressCidrs(value: string[]);
    resetAddressCidrs(): void;
    get addressCidrsInput(): string[] | undefined;
    private _deviceModel?;
    get deviceModel(): string;
    set deviceModel(value: string);
    resetDeviceModel(): void;
    get deviceModelInput(): string | undefined;
    private _deviceVendor?;
    get deviceVendor(): string;
    set deviceVendor(value: string);
    resetDeviceVendor(): void;
    get deviceVendorInput(): string | undefined;
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualWanId;
    get virtualWanId(): string;
    set virtualWanId(value: string);
    get virtualWanIdInput(): string;
    private _link?;
    get link(): VpnSiteLink[];
    set link(value: VpnSiteLink[]);
    resetLink(): void;
    get linkInput(): VpnSiteLink[] | undefined;
    private _timeouts?;
    get timeouts(): VpnSiteTimeouts;
    set timeouts(value: VpnSiteTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): VpnSiteTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
