import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface WebApplicationFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    readonly location: string;
    readonly name: string;
    readonly resourceGroupName: string;
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_rules block.
     */
    readonly customRules?: WebApplicationFirewallPolicyCustomRules[];
    /**
     * managed_rules block.
     */
    readonly managedRules: WebApplicationFirewallPolicyManagedRules[];
    /**
     * policy_settings block.
     */
    readonly policySettings?: WebApplicationFirewallPolicyPolicySettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: WebApplicationFirewallPolicyTimeouts;
}
export interface WebApplicationFirewallPolicyCustomRulesMatchConditionsMatchVariables {
    readonly selector?: string;
    readonly variableName: string;
}
export interface WebApplicationFirewallPolicyCustomRulesMatchConditions {
    readonly matchValues: string[];
    readonly negationCondition?: boolean;
    readonly operator: string;
    readonly transforms?: string[];
    /**
     * match_variables block.
     */
    readonly matchVariables: WebApplicationFirewallPolicyCustomRulesMatchConditionsMatchVariables[];
}
export interface WebApplicationFirewallPolicyCustomRules {
    readonly action: string;
    readonly name?: string;
    readonly priority: number;
    readonly ruleType: string;
    /**
     * match_conditions block.
     */
    readonly matchConditions: WebApplicationFirewallPolicyCustomRulesMatchConditions[];
}
export interface WebApplicationFirewallPolicyManagedRulesExclusion {
    readonly matchVariable: string;
    readonly selector: string;
    readonly selectorMatchOperator: string;
}
export interface WebApplicationFirewallPolicyManagedRulesManagedRuleSetRuleGroupOverride {
    readonly disabledRules: string[];
    readonly ruleGroupName: string;
}
export interface WebApplicationFirewallPolicyManagedRulesManagedRuleSet {
    readonly type?: string;
    readonly version: string;
    /**
     * rule_group_override block.
     */
    readonly ruleGroupOverride?: WebApplicationFirewallPolicyManagedRulesManagedRuleSetRuleGroupOverride[];
}
export interface WebApplicationFirewallPolicyManagedRules {
    /**
     * exclusion block.
     */
    readonly exclusion?: WebApplicationFirewallPolicyManagedRulesExclusion[];
    /**
     * managed_rule_set block.
     */
    readonly managedRuleSet: WebApplicationFirewallPolicyManagedRulesManagedRuleSet[];
}
export interface WebApplicationFirewallPolicyPolicySettings {
    readonly enabled?: boolean;
    readonly fileUploadLimitInMb?: number;
    readonly maxRequestBodySizeInKb?: number;
    readonly mode?: string;
    readonly requestBodyCheck?: boolean;
}
export interface WebApplicationFirewallPolicyTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class WebApplicationFirewallPolicy extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: WebApplicationFirewallPolicyConfig);
    get id(): string;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _customRules?;
    get customRules(): WebApplicationFirewallPolicyCustomRules[];
    set customRules(value: WebApplicationFirewallPolicyCustomRules[]);
    resetCustomRules(): void;
    get customRulesInput(): WebApplicationFirewallPolicyCustomRules[] | undefined;
    private _managedRules;
    get managedRules(): WebApplicationFirewallPolicyManagedRules[];
    set managedRules(value: WebApplicationFirewallPolicyManagedRules[]);
    get managedRulesInput(): WebApplicationFirewallPolicyManagedRules[];
    private _policySettings?;
    get policySettings(): WebApplicationFirewallPolicyPolicySettings[];
    set policySettings(value: WebApplicationFirewallPolicyPolicySettings[]);
    resetPolicySettings(): void;
    get policySettingsInput(): WebApplicationFirewallPolicyPolicySettings[] | undefined;
    private _timeouts?;
    get timeouts(): WebApplicationFirewallPolicyTimeouts;
    set timeouts(value: WebApplicationFirewallPolicyTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): WebApplicationFirewallPolicyTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
