import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface WindowsVirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    readonly adminPassword: string;
    readonly adminUsername: string;
    readonly computerNamePrefix?: string;
    readonly customData?: string;
    readonly doNotRunExtensionsOnOverprovisionedMachines?: boolean;
    readonly enableAutomaticUpdates?: boolean;
    readonly encryptionAtHostEnabled?: boolean;
    readonly evictionPolicy?: string;
    readonly healthProbeId?: string;
    readonly instances: number;
    readonly licenseType?: string;
    readonly location: string;
    readonly maxBidPrice?: number;
    readonly name: string;
    readonly overprovision?: boolean;
    readonly platformFaultDomainCount?: number;
    readonly priority?: string;
    readonly provisionVmAgent?: boolean;
    readonly proximityPlacementGroupId?: string;
    readonly resourceGroupName: string;
    readonly scaleInPolicy?: string;
    readonly singlePlacementGroup?: boolean;
    readonly sku: string;
    readonly sourceImageId?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly timezone?: string;
    readonly upgradeMode?: string;
    readonly zoneBalance?: boolean;
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: WindowsVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * additional_unattend_content block.
     */
    readonly additionalUnattendContent?: WindowsVirtualMachineScaleSetAdditionalUnattendContent[];
    /**
     * automatic_instance_repair block.
     */
    readonly automaticInstanceRepair?: WindowsVirtualMachineScaleSetAutomaticInstanceRepair[];
    /**
     * automatic_os_upgrade_policy block.
     */
    readonly automaticOsUpgradePolicy?: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: WindowsVirtualMachineScaleSetBootDiagnostics[];
    /**
     * data_disk block.
     */
    readonly dataDisk?: WindowsVirtualMachineScaleSetDataDisk[];
    /**
     * extension block.
     */
    readonly extension?: WindowsVirtualMachineScaleSetExtension[];
    /**
     * identity block.
     */
    readonly identity?: WindowsVirtualMachineScaleSetIdentity[];
    /**
     * network_interface block.
     */
    readonly networkInterface: WindowsVirtualMachineScaleSetNetworkInterface[];
    /**
     * os_disk block.
     */
    readonly osDisk: WindowsVirtualMachineScaleSetOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: WindowsVirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     */
    readonly rollingUpgradePolicy?: WindowsVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * secret block.
     */
    readonly secret?: WindowsVirtualMachineScaleSetSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: WindowsVirtualMachineScaleSetSourceImageReference[];
    /**
     * terminate_notification block.
     */
    readonly terminateNotification?: WindowsVirtualMachineScaleSetTerminateNotification[];
    /**
     * timeouts block.
     */
    readonly timeouts?: WindowsVirtualMachineScaleSetTimeouts;
    /**
     * winrm_listener block.
     */
    readonly winrmListener?: WindowsVirtualMachineScaleSetWinrmListener[];
}
export interface WindowsVirtualMachineScaleSetAdditionalCapabilities {
    readonly ultraSsdEnabled?: boolean;
}
export interface WindowsVirtualMachineScaleSetAdditionalUnattendContent {
    readonly content: string;
    readonly setting: string;
}
export interface WindowsVirtualMachineScaleSetAutomaticInstanceRepair {
    readonly enabled: boolean;
    readonly gracePeriod?: string;
}
export interface WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy {
    readonly disableAutomaticRollback: boolean;
    readonly enableAutomaticOsUpgrade: boolean;
}
export interface WindowsVirtualMachineScaleSetBootDiagnostics {
    readonly storageAccountUri?: string;
}
export interface WindowsVirtualMachineScaleSetDataDisk {
    readonly caching: string;
    readonly createOption?: string;
    readonly diskEncryptionSetId?: string;
    readonly diskIopsReadWrite?: number;
    readonly diskMbpsReadWrite?: number;
    readonly diskSizeGb: number;
    readonly lun: number;
    readonly storageAccountType: string;
    readonly writeAcceleratorEnabled?: boolean;
}
export interface WindowsVirtualMachineScaleSetExtension {
    readonly autoUpgradeMinorVersion?: boolean;
    readonly forceUpdateTag?: string;
    readonly name: string;
    readonly protectedSettings?: string;
    readonly provisionAfterExtensions?: string[];
    readonly publisher: string;
    readonly settings?: string;
    readonly type: string;
    readonly typeHandlerVersion: string;
}
export interface WindowsVirtualMachineScaleSetIdentity {
    readonly identityIds?: string[];
    readonly type: string;
}
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag {
    readonly tag: string;
    readonly type: string;
}
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress {
    readonly domainNameLabel?: string;
    readonly idleTimeoutInMinutes?: number;
    readonly name: string;
    readonly publicIpPrefixId?: string;
    /**
     * ip_tag block.
     */
    readonly ipTag?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag[];
}
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration {
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    readonly applicationSecurityGroupIds?: string[];
    readonly loadBalancerBackendAddressPoolIds?: string[];
    readonly loadBalancerInboundNatRulesIds?: string[];
    readonly name: string;
    readonly primary?: boolean;
    readonly subnetId?: string;
    readonly version?: string;
    /**
     * public_ip_address block.
     */
    readonly publicIpAddress?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress[];
}
export interface WindowsVirtualMachineScaleSetNetworkInterface {
    readonly dnsServers?: string[];
    readonly enableAcceleratedNetworking?: boolean;
    readonly enableIpForwarding?: boolean;
    readonly name: string;
    readonly networkSecurityGroupId?: string;
    readonly primary?: boolean;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration[];
}
export interface WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings {
    readonly option: string;
}
export interface WindowsVirtualMachineScaleSetOsDisk {
    readonly caching: string;
    readonly diskEncryptionSetId?: string;
    readonly diskSizeGb?: number;
    readonly storageAccountType: string;
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings[];
}
export interface WindowsVirtualMachineScaleSetPlan {
    readonly name: string;
    readonly product: string;
    readonly publisher: string;
}
export interface WindowsVirtualMachineScaleSetRollingUpgradePolicy {
    readonly maxBatchInstancePercent: number;
    readonly maxUnhealthyInstancePercent: number;
    readonly maxUnhealthyUpgradedInstancePercent: number;
    readonly pauseTimeBetweenBatches: string;
}
export interface WindowsVirtualMachineScaleSetSecretCertificate {
    readonly store: string;
    readonly url: string;
}
export interface WindowsVirtualMachineScaleSetSecret {
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: WindowsVirtualMachineScaleSetSecretCertificate[];
}
export interface WindowsVirtualMachineScaleSetSourceImageReference {
    readonly offer: string;
    readonly publisher: string;
    readonly sku: string;
    readonly version: string;
}
export interface WindowsVirtualMachineScaleSetTerminateNotification {
    readonly enabled: boolean;
    readonly timeout?: string;
}
export interface WindowsVirtualMachineScaleSetTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export interface WindowsVirtualMachineScaleSetWinrmListener {
    readonly certificateUrl?: string;
    readonly protocol: string;
}
export declare class WindowsVirtualMachineScaleSet extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: WindowsVirtualMachineScaleSetConfig);
    private _adminPassword;
    get adminPassword(): string;
    set adminPassword(value: string);
    get adminPasswordInput(): string;
    private _adminUsername;
    get adminUsername(): string;
    set adminUsername(value: string);
    get adminUsernameInput(): string;
    private _computerNamePrefix?;
    get computerNamePrefix(): string;
    set computerNamePrefix(value: string);
    resetComputerNamePrefix(): void;
    get computerNamePrefixInput(): string | undefined;
    private _customData?;
    get customData(): string;
    set customData(value: string);
    resetCustomData(): void;
    get customDataInput(): string | undefined;
    private _doNotRunExtensionsOnOverprovisionedMachines?;
    get doNotRunExtensionsOnOverprovisionedMachines(): boolean;
    set doNotRunExtensionsOnOverprovisionedMachines(value: boolean);
    resetDoNotRunExtensionsOnOverprovisionedMachines(): void;
    get doNotRunExtensionsOnOverprovisionedMachinesInput(): boolean | undefined;
    private _enableAutomaticUpdates?;
    get enableAutomaticUpdates(): boolean;
    set enableAutomaticUpdates(value: boolean);
    resetEnableAutomaticUpdates(): void;
    get enableAutomaticUpdatesInput(): boolean | undefined;
    private _encryptionAtHostEnabled?;
    get encryptionAtHostEnabled(): boolean;
    set encryptionAtHostEnabled(value: boolean);
    resetEncryptionAtHostEnabled(): void;
    get encryptionAtHostEnabledInput(): boolean | undefined;
    private _evictionPolicy?;
    get evictionPolicy(): string;
    set evictionPolicy(value: string);
    resetEvictionPolicy(): void;
    get evictionPolicyInput(): string | undefined;
    private _healthProbeId?;
    get healthProbeId(): string;
    set healthProbeId(value: string);
    resetHealthProbeId(): void;
    get healthProbeIdInput(): string | undefined;
    get id(): string;
    private _instances;
    get instances(): number;
    set instances(value: number);
    get instancesInput(): number;
    private _licenseType?;
    get licenseType(): string;
    set licenseType(value: string);
    resetLicenseType(): void;
    get licenseTypeInput(): string | undefined;
    private _location;
    get location(): string;
    set location(value: string);
    get locationInput(): string;
    private _maxBidPrice?;
    get maxBidPrice(): number;
    set maxBidPrice(value: number);
    resetMaxBidPrice(): void;
    get maxBidPriceInput(): number | undefined;
    private _name;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    private _overprovision?;
    get overprovision(): boolean;
    set overprovision(value: boolean);
    resetOverprovision(): void;
    get overprovisionInput(): boolean | undefined;
    private _platformFaultDomainCount?;
    get platformFaultDomainCount(): number;
    set platformFaultDomainCount(value: number);
    resetPlatformFaultDomainCount(): void;
    get platformFaultDomainCountInput(): number | undefined;
    private _priority?;
    get priority(): string;
    set priority(value: string);
    resetPriority(): void;
    get priorityInput(): string | undefined;
    private _provisionVmAgent?;
    get provisionVmAgent(): boolean;
    set provisionVmAgent(value: boolean);
    resetProvisionVmAgent(): void;
    get provisionVmAgentInput(): boolean | undefined;
    private _proximityPlacementGroupId?;
    get proximityPlacementGroupId(): string;
    set proximityPlacementGroupId(value: string);
    resetProximityPlacementGroupId(): void;
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    get resourceGroupName(): string;
    set resourceGroupName(value: string);
    get resourceGroupNameInput(): string;
    private _scaleInPolicy?;
    get scaleInPolicy(): string;
    set scaleInPolicy(value: string);
    resetScaleInPolicy(): void;
    get scaleInPolicyInput(): string | undefined;
    private _singlePlacementGroup?;
    get singlePlacementGroup(): boolean;
    set singlePlacementGroup(value: boolean);
    resetSinglePlacementGroup(): void;
    get singlePlacementGroupInput(): boolean | undefined;
    private _sku;
    get sku(): string;
    set sku(value: string);
    get skuInput(): string;
    private _sourceImageId?;
    get sourceImageId(): string;
    set sourceImageId(value: string);
    resetSourceImageId(): void;
    get sourceImageIdInput(): string | undefined;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone?;
    get timezone(): string;
    set timezone(value: string);
    resetTimezone(): void;
    get timezoneInput(): string | undefined;
    get uniqueId(): string;
    private _upgradeMode?;
    get upgradeMode(): string;
    set upgradeMode(value: string);
    resetUpgradeMode(): void;
    get upgradeModeInput(): string | undefined;
    private _zoneBalance?;
    get zoneBalance(): boolean;
    set zoneBalance(value: boolean);
    resetZoneBalance(): void;
    get zoneBalanceInput(): boolean | undefined;
    private _zones?;
    get zones(): string[];
    set zones(value: string[]);
    resetZones(): void;
    get zonesInput(): string[] | undefined;
    private _additionalCapabilities?;
    get additionalCapabilities(): WindowsVirtualMachineScaleSetAdditionalCapabilities[];
    set additionalCapabilities(value: WindowsVirtualMachineScaleSetAdditionalCapabilities[]);
    resetAdditionalCapabilities(): void;
    get additionalCapabilitiesInput(): WindowsVirtualMachineScaleSetAdditionalCapabilities[] | undefined;
    private _additionalUnattendContent?;
    get additionalUnattendContent(): WindowsVirtualMachineScaleSetAdditionalUnattendContent[];
    set additionalUnattendContent(value: WindowsVirtualMachineScaleSetAdditionalUnattendContent[]);
    resetAdditionalUnattendContent(): void;
    get additionalUnattendContentInput(): WindowsVirtualMachineScaleSetAdditionalUnattendContent[] | undefined;
    private _automaticInstanceRepair?;
    get automaticInstanceRepair(): WindowsVirtualMachineScaleSetAutomaticInstanceRepair[];
    set automaticInstanceRepair(value: WindowsVirtualMachineScaleSetAutomaticInstanceRepair[]);
    resetAutomaticInstanceRepair(): void;
    get automaticInstanceRepairInput(): WindowsVirtualMachineScaleSetAutomaticInstanceRepair[] | undefined;
    private _automaticOsUpgradePolicy?;
    get automaticOsUpgradePolicy(): WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    set automaticOsUpgradePolicy(value: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[]);
    resetAutomaticOsUpgradePolicy(): void;
    get automaticOsUpgradePolicyInput(): WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined;
    private _bootDiagnostics?;
    get bootDiagnostics(): WindowsVirtualMachineScaleSetBootDiagnostics[];
    set bootDiagnostics(value: WindowsVirtualMachineScaleSetBootDiagnostics[]);
    resetBootDiagnostics(): void;
    get bootDiagnosticsInput(): WindowsVirtualMachineScaleSetBootDiagnostics[] | undefined;
    private _dataDisk?;
    get dataDisk(): WindowsVirtualMachineScaleSetDataDisk[];
    set dataDisk(value: WindowsVirtualMachineScaleSetDataDisk[]);
    resetDataDisk(): void;
    get dataDiskInput(): WindowsVirtualMachineScaleSetDataDisk[] | undefined;
    private _extension?;
    get extension(): WindowsVirtualMachineScaleSetExtension[];
    set extension(value: WindowsVirtualMachineScaleSetExtension[]);
    resetExtension(): void;
    get extensionInput(): WindowsVirtualMachineScaleSetExtension[] | undefined;
    private _identity?;
    get identity(): WindowsVirtualMachineScaleSetIdentity[];
    set identity(value: WindowsVirtualMachineScaleSetIdentity[]);
    resetIdentity(): void;
    get identityInput(): WindowsVirtualMachineScaleSetIdentity[] | undefined;
    private _networkInterface;
    get networkInterface(): WindowsVirtualMachineScaleSetNetworkInterface[];
    set networkInterface(value: WindowsVirtualMachineScaleSetNetworkInterface[]);
    get networkInterfaceInput(): WindowsVirtualMachineScaleSetNetworkInterface[];
    private _osDisk;
    get osDisk(): WindowsVirtualMachineScaleSetOsDisk[];
    set osDisk(value: WindowsVirtualMachineScaleSetOsDisk[]);
    get osDiskInput(): WindowsVirtualMachineScaleSetOsDisk[];
    private _plan?;
    get plan(): WindowsVirtualMachineScaleSetPlan[];
    set plan(value: WindowsVirtualMachineScaleSetPlan[]);
    resetPlan(): void;
    get planInput(): WindowsVirtualMachineScaleSetPlan[] | undefined;
    private _rollingUpgradePolicy?;
    get rollingUpgradePolicy(): WindowsVirtualMachineScaleSetRollingUpgradePolicy[];
    set rollingUpgradePolicy(value: WindowsVirtualMachineScaleSetRollingUpgradePolicy[]);
    resetRollingUpgradePolicy(): void;
    get rollingUpgradePolicyInput(): WindowsVirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    private _secret?;
    get secret(): WindowsVirtualMachineScaleSetSecret[];
    set secret(value: WindowsVirtualMachineScaleSetSecret[]);
    resetSecret(): void;
    get secretInput(): WindowsVirtualMachineScaleSetSecret[] | undefined;
    private _sourceImageReference?;
    get sourceImageReference(): WindowsVirtualMachineScaleSetSourceImageReference[];
    set sourceImageReference(value: WindowsVirtualMachineScaleSetSourceImageReference[]);
    resetSourceImageReference(): void;
    get sourceImageReferenceInput(): WindowsVirtualMachineScaleSetSourceImageReference[] | undefined;
    private _terminateNotification?;
    get terminateNotification(): WindowsVirtualMachineScaleSetTerminateNotification[];
    set terminateNotification(value: WindowsVirtualMachineScaleSetTerminateNotification[]);
    resetTerminateNotification(): void;
    get terminateNotificationInput(): WindowsVirtualMachineScaleSetTerminateNotification[] | undefined;
    private _timeouts?;
    get timeouts(): WindowsVirtualMachineScaleSetTimeouts;
    set timeouts(value: WindowsVirtualMachineScaleSetTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): WindowsVirtualMachineScaleSetTimeouts | undefined;
    private _winrmListener?;
    get winrmListener(): WindowsVirtualMachineScaleSetWinrmListener[];
    set winrmListener(value: WindowsVirtualMachineScaleSetWinrmListener[]);
    resetWinrmListener(): void;
    get winrmListenerInput(): WindowsVirtualMachineScaleSetWinrmListener[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
