import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig extends cdktf.TerraformMetaArguments {
    readonly baselineName?: string;
    readonly databaseName: string;
    readonly ruleId: string;
    readonly serverVulnerabilityAssessmentId: string;
    /**
     * baseline_result block.
     */
    readonly baselineResult: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts;
}
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult {
    readonly result: string[];
}
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlDatabaseVulnerabilityAssessmentRuleBaseline extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig);
    private _baselineName?;
    get baselineName(): string;
    set baselineName(value: string);
    resetBaselineName(): void;
    get baselineNameInput(): string | undefined;
    private _databaseName;
    get databaseName(): string;
    set databaseName(value: string);
    get databaseNameInput(): string;
    get id(): string;
    private _ruleId;
    get ruleId(): string;
    set ruleId(value: string);
    get ruleIdInput(): string;
    private _serverVulnerabilityAssessmentId;
    get serverVulnerabilityAssessmentId(): string;
    set serverVulnerabilityAssessmentId(value: string);
    get serverVulnerabilityAssessmentIdInput(): string;
    private _baselineResult;
    get baselineResult(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    set baselineResult(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[]);
    get baselineResultInput(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    private _timeouts?;
    get timeouts(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts;
    set timeouts(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
