import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface MssqlServerVulnerabilityAssessmentConfig extends cdktf.TerraformMetaArguments {
    readonly serverSecurityAlertPolicyId: string;
    readonly storageAccountAccessKey?: string;
    readonly storageContainerPath: string;
    readonly storageContainerSasKey?: string;
    /**
     * recurring_scans block.
     */
    readonly recurringScans?: MssqlServerVulnerabilityAssessmentRecurringScans[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerVulnerabilityAssessmentTimeouts;
}
export interface MssqlServerVulnerabilityAssessmentRecurringScans {
    readonly emailSubscriptionAdmins?: boolean;
    readonly emails?: string[];
    readonly enabled?: boolean;
}
export interface MssqlServerVulnerabilityAssessmentTimeouts {
    readonly create?: string;
    readonly delete?: string;
    readonly read?: string;
    readonly update?: string;
}
export declare class MssqlServerVulnerabilityAssessment extends cdktf.TerraformResource {
    constructor(scope: Construct, id: string, config: MssqlServerVulnerabilityAssessmentConfig);
    get id(): string;
    private _serverSecurityAlertPolicyId;
    get serverSecurityAlertPolicyId(): string;
    set serverSecurityAlertPolicyId(value: string);
    get serverSecurityAlertPolicyIdInput(): string;
    private _storageAccountAccessKey?;
    get storageAccountAccessKey(): string;
    set storageAccountAccessKey(value: string);
    resetStorageAccountAccessKey(): void;
    get storageAccountAccessKeyInput(): string | undefined;
    private _storageContainerPath;
    get storageContainerPath(): string;
    set storageContainerPath(value: string);
    get storageContainerPathInput(): string;
    private _storageContainerSasKey?;
    get storageContainerSasKey(): string;
    set storageContainerSasKey(value: string);
    resetStorageContainerSasKey(): void;
    get storageContainerSasKeyInput(): string | undefined;
    private _recurringScans?;
    get recurringScans(): MssqlServerVulnerabilityAssessmentRecurringScans[];
    set recurringScans(value: MssqlServerVulnerabilityAssessmentRecurringScans[]);
    resetRecurringScans(): void;
    get recurringScansInput(): MssqlServerVulnerabilityAssessmentRecurringScans[] | undefined;
    private _timeouts?;
    get timeouts(): MssqlServerVulnerabilityAssessmentTimeouts;
    set timeouts(value: MssqlServerVulnerabilityAssessmentTimeouts);
    resetTimeouts(): void;
    get timeoutsInput(): MssqlServerVulnerabilityAssessmentTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
